title: When can a website be over 1mb?
url: http://dbushell.com/2015/02/06/when-can-a-website-be-over-1mb/
hash_url: 0b1441a4f7b34b06b70efa80b7425803

<p>When a new website is released for a popular or high profile brand there are two stages of reaction. The first is praise: “it’s responsive!”, “it’s gorgeous!”. The second is criticism: “don’t work in IE9!”, “it’s over 1MB!”. As is internet traditional, opinion must be bipolar and <strong>unconditional</strong>.</p>
<p>Initial reaction to the new <a title="Official Site - The Legend of Zelda: Majora's Mask 3D for Nintendo 3DS" href="http://zelda.com/majoras-mask/" target="_blank">Majora’s Mask 3DS</a> website has been no different.</p>
<p class="post__image"><img src="http://dbushell.com/wp-content/uploads/2015/02/majoras-mask.png" alt="Majora's Mask"/></p>
<p>Granted, it’s rather chunky. Fullscreen on my 1920 × 1080 monitor I downloaded 2.5MB of images alone. The whole thing is over 3MB, not counting the video content that starts to preload (60+ MB before I stopped it).</p>
<p>I’m not trying to argue that the Majora’s Mask website is well developed. I haven’t looked under the hood. The point I want to make is that it might, <em>just might</em>, be acceptable to build a website <strong>over 1MB</strong>. There seems to be a prevailing rhetoric within our industry that if a website exceeds this magic number, it’s a failure.</p>
<p>There’s plenty of research data to show how deadly slow loading can be. To no one’s surprise, users don’t like to wait.</p>
<p>The thing is, generalising data can be misleading. Not all websites are created on equal footing. In this particular case, users will not “go elsewhere”. For new and old customers interested in a new (re)release in the Nintendo / Zelda universe, there’s no alternative and they don’t come often.</p>
<p>Is that an excuse? I realise I’m often forced to endure poorly developed websites because there’s no alternative (public sector services come to mind)…</p>
<p>However, I do not agree that size is <em>inherently</em> bad.</p>
<p>It’s impossible to deliver the kind of visual fidelity Majora’s Mask offers without fat content. How do you spark the imagination — rekindle childhood memories — with some boring “flat design” bollocks?</p>
<p>The load is worth it.</p>
<p>It’s the same reason <a href="http://www.apple.com/">Apple.com</a> gets away with pages in the several megabyte territory. Customers wait in lines for hours when they have the option to walk next door and buy a Windows phone.</p>
<p>Websites with this privilege are few and far between. Regardless, they would always benefit from detecting slow connections and delivering a lightweight experience to make info accessible. But when the bandwidth is there, it’s not wrong to use it.</p>
<p>Anyway, if you load critical content and style first, late-load the rich stuff once the user can access the basics, the final megabyte count is a poor indicator. Stop using it to blindly judge the quality of development!</p>
<p>I want to restate: statistics can be misleading and wrongly applied. Browser usage is a common one; the global average means nothing to an individual website, yet I see the numbers quoted often.</p>
<p class="p--small p--light">I may regret writing this article when I have to tell a future client they’re nothing special and a fullscreen carousel won’t increase the bottom line.</p>
<p class="p--small p--light">I failed to complete Majora’s Mask on the 64. Anyone who says they enjoyed it is lying!</p>
