title: On meet-ups moving online
url: https://www.ripplet.org/weeknotes/2020/4/26/week-17-2020-on-meet-ups-moving-online
hash_url: abc0dac647cbe1e8b4432fdba9cb3152

<p>It's been another quiet week, not bad from a productivity standpoint considering the level of hay fever symptoms that can put me out of action on a bad day. </p>
<p>Most professional events have moved online, and it's been interesting to see what happens when geographical constraints are gone. I've been attending about one every two weeks since the confinement began, which is at least double my usual pace. </p>
<p>The remote nature of events gives us access to more free content than ever before, and from the comfort of home, the barrier to trying an event is considerably lower. It's exciting to be more adventurous with choosing topics and communities of interest, or luck out with a free talk by a known speaker who is unlikely to visit our city. </p>
<p>It comes with the "liberty" to be late, not show up, have dinner while attending the event, or quietly drop out if something better comes along. The flip side is that the chances of establishing a deep-enough connection with someone to follow-up on, even if it's an encounter at a later event, is much lower. </p>
<p>From a speaker's point of view, the commodotization of content can be tough. With boundaries of an audience - who they are, why they're here, what they expect - evaporating, we need to put more care in setting expectations before we attempt to surpass them. It takes more work to understand an audience, and then to hold their attention. </p>
<p>I believe the biggest changes are for community organizers. If I invest in my meetup as a way to contribute to my local scene and my place within it, what is my motivation to organize an event that anyone from around the world can join? If first-timers become more numerous than my regulars, how does it affect the shape of the space I try to hold? What is it I'm actually asking of, and offering to my speakers? If the long-timers can't have casual-yet-intimate conversations over drinks, where will they go instead? <strong>Who are "we" and why are we doing this? </strong> </p>
<p>It's time to re-visit the nuances of what we mean by building community. Having the technical and facilitation expertise to run online events is just one piece of the puzzle. Honestly, organizing events takes too much effort to simply move existing activities online without having chewed on these questions. I fear that community organizers will burn out faster than before, as it becomes more difficult to tangibly feel the fruits of our efforts. </p>
<p>My accelerated experiences as an attendee has been invaluable in teasing out a point of view for these three roles. With <a href="https://www.ripplet.org/design-research-tokyo">Design Research Tokyo</a>, we haven't run any events since pausing planning for a physical one in February but I think we're close to re-opening with something that's designed to be - dare I say - online-first. In parallel, I've been working with <a href="https://twitter.com/stonecrops_?lang=en">Dave</a> towards an event next Thursday for the ResearchOps Berlin community called "<a href="https://www.meetup.com/ResearchOps-Berlin/events/270235620/">Using the Research Skills Framework</a>". </p>
<p>Meetups can take on a wide spectrum of flavors but its key concern is always grounded on the quality of connections established, for which the underlying principle remains the same: Listen carefully to the signals coming from the vast and increasingly noisy networks around us, and tune what we ourselves send out. </p>
<p>p.s. 
The wider DRT audience includes plenty of (?) young mothers whose household schedules aren't compatible with coming out to a multi-hour event after hours. Offering babysitting services is beyond our reach but perhaps a shorter online event could be the right mechanism that brings learning opportunities to them. Was one of the first things that we discussed internally! </p>
