title: Les ressources pour l'écoconception et la sobriété numérique
url: https://www.pikselkraft.com/les-ressources-pour-l-ecoconception-et-la-sobriete-numerique/
hash_url: 07f65527fb51a3d31cfd7173bde1d76c

<p>Cette liste qui sera mise à jour régulièrement et regroupe des liens vers des rapports, ressources et outils qui permettent d'appréhender la sobriété numérique. L'objectif est d'inverser la tendance d'un numérique toujours plus présent, envahissant et lourd au profit d'un numérique plus humain qui peut être assimilé à un outil convivial (terme introduit par Ivan Illich dans La convivialité).</p>
<p>Cette liste n'est pas exhaustive, elle se base sur nos recherches et découvertes, mais ils existent de nombreuses autres ressources disponibles sur le sujet. Si vous voulez partager des ressources avec nous, vous pouvez nous contacter par courriel : com[@]pikselkraft.com.</p>
<h2>Le constat (Pourquoi ?)</h2>
<ul>
<li>Httparchive, <a href="https://httparchive.org/reports/state-of-the-web">State of the Web</a></li>
<li>Keycdn, <a href="https://www.keycdn.com/support/the-growth-of-web-page-size">The Growth of Web Page Size</a></li>
<li>The Shift Project, <a href="https://theshiftproject.org/article/climat-insoutenable-usage-video/">Climat : l’insoutenable usage de la vidéo en ligne</a></li>
<li>The Shift Project, <a href="https://theshiftproject.org/article/deployer-la-sobriete-numerique-rapport-shift/">Déployer la sobriété numérique : le nouveau rapport du Shift sur l’impact environnemental du numérique</a></li>
<li>Ademe, <a href="https://www.ademe.fr/sites/default/files/assets/documents/guide-pratique-face-cachee-numerique.pdf">La face cachée du numérique</a></li>
<li>France Stratégie, <a href="https://www.strategie.gouv.fr/sites/strategie.gouv.fr/files/atoms/files/fs-2020-dt-consommation-metaux-du-numerique-juin.pdf">La consommation de métaux du numérique : un secteur loin d’être dématérialisé</a></li>
<li>Guillaume Pitron, La guerre des metaux rares, éditeur : Les Liens Qui Libèrent</li>
<li>Green IT, <a href="https://www.greenit.fr/etude-empreinte-environnementale-du-numerique-mondial/">Empreinte environnementale du numérique mondial</a></li>
<li>Bertrand Keller, <a href="https://bertrandkeller.info/2020/07/15/effet-rebond-num%C3%A9rique-responsable/">C’est quoi l’effet rebond pour Internet ?</a></li>
<li>Bret Victor, <a href="http://worrydream.com/#!/ClimateChange">What can a technologist do about climate change?</a></li>
</ul>
<h2>Les principes de la sobriété numérique et des low-tech</h2>
<ul>
<li>Frédéric Bordage, Écoconception web : les 115 bonnes pratiques – 3ème édition, éditeur : Eyrolles | <a href="https://collectif.greenit.fr/ecoconception-web/115-bonnes-pratiques-eco-conception_web.html">Version en ligne</a></li>
<li>Philippe Bihouix, L'Âge des low tech. Vers une civilisation techniquement soutenable, éditeur : Seuil</li>
<li>Passerelle n°21, <a href="https://www.ritimo.org/Low-tech-face-au-tout-numerique-se-reapproprier-les-technologies-8264">Low tech : face au tout-numérique, se réapproprier les technologies</a></li>
<li>Small technology, <a href="https://small-tech.org/about/#small-technology">Small Tech is…</a></li>
<li>Lowtechmagazine, <a href="https://solar.lowtechmagazine.com/fr/2018/09/how-to-build-a-lowtech-website.html">Comment créer un site web basse technologie</a></li>
<li>Chez LauDev, <a href="https://ldevernay.github.io/green/2020/05/19/methodo.html">Audits d'écoconception</a></li>
<li><a href="https://www.academie-nr.org/#mooc-nr">MOOC Numérique Responsable</a></li>
<li>Gauthier Roussilhe, <a href="https://situer-le-numerique.netlify.app/">Situer le numérique</a></li>
<li>Gauthier Roussilhe, <a href="https://gauthierroussilhe.com/post/ecoconception-critique.html">Eco-conception, le brouillard à venir</a></li>
<li>Designer Éthique, <a href="https://eco-conception.designersethiques.org/guide/">Le guide d’éco-conception de services numériques</a></li>
<li>L'Institut Paris Region, <a href="https://www.institutparisregion.fr/economie/commerce-et-consommation/la-vie-low-tech-en-2040/">La vie low-tech en 2040</a> </li>
<li>Hundred Rabbits, <a href="https://100r.co/site/about_us.html">resilience and self-reliance through low-tech solutions</a></li>
</ul>
<h2>Recherche en design (déterminer les besoins)</h2>

<h2>Développement</h2>
<p>Il faut choisir les outils en fonction du besoin des utilisateurs et de leur impact. L'important est d'avoir une bonne maîtrise des bases du web (HTML, CSS) et en fonction des besoins de certains langages de programmation. On s'intéresse plus aux ressources qui permettent de suivre les standards d'Internet et non pas des outils précis. Attention aux tendances qui mettent en avant des langages et méthodes sans prendre en compte les besoins réels.</p>

<h2>Accessibilité et vie privée</h2>
<p>Ces domaines s'accordent parfaitement avec la sobriété numérique et sont bien souvent les conséquences d'un service écoconçu.</p>

<h2>Outils de mesure</h2>

<h2>Critique radical, histoire des technologie et technocritiques</h2>
<ul>
<li>Ivan Illich,  La Convivialité, éditeur : seuil (version original : Tools for Conviviality)</li>
<li>Nicolas Alep, Julia Lainae, Contre l'alternumérisme: Pourquoi nous ne proposerons pas d'"écogestes numériques" ni de solutions pour une "démocratie numérique", éditeur : La Lenteur éditions </li>
<li>David Edgerton, Quoi de neuf ? Du rôle des techniques dans l'histoire globale, éditeur : seuil (version original : The Shock Of The Old: Technology and Global History)</li>
<li>Irénée Régnauld, <a href="https://maisouvaleweb.fr/pour-en-finir-avec-le-colonialisme-technologique/">Pour en finir avec le « colonialisme technologique »</a>, Mais où va le Web</li>
<li>La Boite Noire, <a href="https://www.youtube.com/watch?v=1YuKnT_pjUE&amp;ab_channel=LaBoiteNoire">Histoire de la Techno-Utopie</a> (Youtube)</li>
<li>John Naughton, The Guardian, <a href="https://www.theguardian.com/commentisfree/2021/may/29/data-oil-metaphor-tech-companies-surveillance-capitalism">Data isn’t oil, whatever tech commentators tell you: it’s people’s lives</a></li>
</ul>
<h2>Dépasser le numérique, écologie et imaginaire numérique</h2>

<h2>Conférences à voir</h2>
<p>N'hésitez pas à utiliser <a href="https://github.com/SimonBrazell/privacy-redirect">Privacy Redirect</a> pour utiliser une alternative à Youtube qui évite le tracking par Google.</p>
