title: Silence is a Commons by Ivan Illich
url: http://www.davidtinapple.com/illich/1983_silence_commons.html
hash_url: 20345aead1f8d541a0819dfc5a0dbc6d


Computers are doing to communication  
what fences did to pastures  
and cars did to streets.

by Ivan Illich

Minna-san, gladly I accept the honour of addressing this forum on Science and Man. The theme that Mr. Tsuru proposes, "The Computer-Managed Society," sounds an alarm. Clearly you foresee that machines which ape people are tending to encroach on every aspect of people's lives, and that such machines force people to behave like machines. The new electronic devices do indeed have the power to force people to "communicate" with them and with each other on the terms of the machine. Whatever structurally does not fit the logic of machines is effectively filtered from a culture dominated by their use.

The machine-like behaviour of people chained to electronics constitutes a degradation of their well-being and of their dignity which, for most people in the long run, becomes intolerable. Observations of the sickening effect of programmed environments show that people in them become indolent, impotent, narcissistic and apolitical. The political process breaks down, because people cease to be able to govern themselves; they demand to be managed.

I congratulate Asahi Shimbun on its efforts to foster a new democratic consensus in Japan, by which your more than seven million readers become aware of the need to limit the encroachment of machines on the style of their own behaviour. It is important that precisely Japan initiate such action. Japan is looked upon as the capital of electronics; it would be marvellous if it became for the entire world the model of a new politics of self-limitation in the field of communication, which, in my opinion, is henceforth necessary if a people wants to remain self-governing.

Electronic management as a political issue can be approached in several ways. I propose, at the beginning of this public consultation, to approach the issue as one of political ecology. Ecology, during the last ten years, has acquired a new meaning. It is still the name for a branch of professional biology, but the term now increasingly serves as the label under which a broad, politically organized general public analyzes and influences technical decisions. I want to focus on the new electronic management devices as a technical change of the human environment which, to be benign, must remain under political (and not exclusively expert) control. I have chosen this focus for my introduction, because I thus continue my conversation with those three Japanese colleagues to whom I owe what I know about your country - Professors Yoshikazu Sakamoto, Joshiro Tamanoi and Jun Ui.

In the 13 minutes still left to me on this rostrum I will clarify a distinction that I consider fundamental to political ecology. I shall distinguish the environment as commons from the environment as resource. On our ability to make this particular distinction depends not only the construction of a sound theoretical ecology, but also - and more importantly - effective ecological jurisprudence Minna-san, how I wish, at this point, that I were a pupil trained by your Zen poet, the great Basho. Then perhaps in a bare 17 syllables I could express the distinction between the commons within which people's subsistence activities are embedded, and resources that serve for the economic production of those commodities on which modem survival depends. If I were a poet, perhaps I would make this distinction so beautifully and incisively that it would penetrate your hearts and remain unforgettable. Unfortunately I am not a Japanese poet. I must speak to you in English, a language that during the last 100 years has lost the ability to make this distinction, and - in addition - I must speak through translation. Only because I may count on the translating genius of Mr. Muramatsu do I dare to recover Old English meanings with a talk in Japan.

"Commons" is an Old English word. According to my Japanese friends, it is quite close to the meaning that iriai still has in Japanese "Commons," like iriai, is a word which, in preindustrial times, was used to designate certain aspects of the environment. People called commons those parts of the environment for which customary law exacted specific forms of community respect. People called commons that part of the environment which lay beyond their own thresholds and outside of their own possessions, to which, however, they had recognized claims of usage, not to produce commodities but to provide for the subsistence of their households. The customary law which humanized the environment by establishing the commons was usually unwritten. It was unwritten law not only because people did not care to write it down, but because what it protected was a reality much too complex to fit into paragraphs. The law of the commons regulates the right of way, the right to fish and to hunt, to graze, and to collect wood or medicinal plants in the forest.

An oak tree might be in the commons. Its shade, in summer, is reserved for the shepherd and his flock; its acorns are reserved for the pigs of the neighbouring peasants; its dry branches serve as fuel for the widows of the village; some of its fresh twigs in springtime are cut as ornaments for the church - and at sunset it might be the place for the village assembly. When people spoke about commons, iriai, they designated an aspect of the environment that was limited, that was necessary for the community's survival, that was necessary for different groups in different ways, but which, in a strictly economic sense, was not perceived as scarce.

When today, in Europe, with university students I use the term "commons" (in German Almende or Gemeinheit, in Italian gli usi civici) my listeners immediately think of the eighteenth century. They think of those pastures in England on which villagers each kept a few sheep, and they think of the "enclosure of the pastures" which transformed the grassland from commons into a resource on which commercial flocks could be raised. Primarily, however, my students think of the innovation of poverty which came with enclosure: of the absolute impoverishment of the peasants, who were driven from the land and into wage labour, and they think of the commercial enrichment of the lords.

In their immediate reaction, my students think of the rise of a new capitalist order. Facing that painful newness, they forget that enclosure also stands for something more basic. The enclosure of the commons inaugurates a new ecological order: Enclosure did not just physically transfer the control over grasslands from the peasants to the lord. Enclosure marked a radical change in the attitudes of society towards the environment. Before, in any juridical system, most of the environment had been considered as commons from which most people could draw most of their sustenance without needing to take recourse to the market. After enclosure, the environment became primarily a resource at the service of "enterprises" which, by organizing wage-labor, transformed nature into the goods and services on which the satisfaction of basic needs by consumers depends. This transformation is in the blind spot of political economy.

This change of attitudes can be illustrated better if we think about roads rather than about grasslands. What a difference there was between the new and the old parts of Mexico City only 20 years ago. In the old parts of the city the streets were true commons. Some people sat on the road to sell vegetables and charcoal. Others put their chairs on the road to drink coffee or tequila. Others held their meetings on the road to decide on the new headman for the neighbourhood or to determine the price of a donkey. Others drove their donkeys through the crowd, walking next to the heavily loaded beast of burden; others sat in the saddle. Children played in the gutter, and still people walking could use the road to get from one place to another.

Such roads were not built for people. Like any true commons, the street itself was the result of people living there and making that space liveable. The dwellings that lined the roads were not private homes in the modern sense - garages for the overnight deposit of workers. The threshold still separated two living spaces, one intimate and one common. But neither homes in this intimate sense nor streets as commons survived economic development.

In the new sections of Mexico City, streets are no more for people. They are now roadways for automobiles, for buses, for taxis, cars, and trucks. People are barely tolerated on the streets unless they are on their way to a bus stop. If people now sat down or stopped on the street, they would become obstacles for traffic, and traffic would be dangerous to them. The road has been degraded from a commons to a simple resource for the circulation of vehicles. People can circulate no more on their own. Traffic has displaced their mobility. They can circulate only when they are strapped down and are moved. 

The appropriation of the grassland by the lords was challenged, but the more fundamental transformation of grassland (or of roads) from commons to resource has happened, until recently, without being subjected to criticism. The appropriation of the environment by the few was clearly recognized as an intolerable abuse By contrast, the even more degrading transformation of people into members of an industrial labour force and into consumers was taken, until recently, for granted. For almost a hundred years the majority of political parties has challenged the accumulation of environmental resources in private hands. However, the issue was argued in terms of the private utilization of these resources, not the distinction of commons. Thus anticapitalist politics so far have bolstered the legitimacy of transforming commons into resources.

Only recently, at the base of society, a new kind of "popular intellectual" is beginning to recognize what has been happening. Enclosure has denied the people the right to that kind of environment on which - throughout all of history - the moral economy of survival had been based. Enclosure, once accepted, redefines community. Enclosure underlines the local autonomy of community. Enclosure of the commons is thus as much in the interest of professionals and of state bureaucrats as it is in the interest of capitalists. Enclosure allows the bureaucrats to define local community as impotent - "ei-ei schau-schau!!!" - to provide for its own survival. People become economic individuals that depend for their survival on commodities that are produced for them. Fundamentally, most citizens' movements represent a rebellion against this environmentally induced redefinition of people as consumers.

Minna-san, you wanted to hear me speak on electronics, not grassland and roads. But I am a historian; I wanted to speak first about the pastoral commons as I know them from the past in order then to say something about the present, much wider threat to the commons by electronics.

This man who speaks to you was born 55 years ago in Vienna. One month after his birth he was put on a train, and then on a ship and brought to the Island of Brac. Here, in a village on the Dalmatian coast, his grandfather wanted to bless him. My grandfather lived in the house in which his family had lived since the time when Muromachi ruled in Kyoto. Since then on the Dalmatian Coast many rulers had come and gone - the doges of Venice, the sultans of Istanbul, the corsairs of Almissa, the emperors of Austria, and the kings of Yugoslavia. But these many changes in the uniform and language of the governors had changed little in daily life during these 500 years. The very same olive-wood rafters still supported the roof of my grandfather's house. Water was still gathered from the same stone slabs on the roof. The wine was pressed in the same vats, the fish caught from the same kind of boat, and the oil came from trees planted when Edo was in its youth.

My grandfather had received news twice a month. The news now arrived by steamer in three days; and formerly, by sloop, it had taken five days to arrive. When I was born, for the people who lived off the main routes, history still flowed slowly, imperceptibly. Most of the environment was still in the commons. People lived in houses they had built; moved on streets that had been trampled by the feet of their animals; were autonomous in the procurement and disposal of their water; could depend on their own voices when they wanted to speak up. All this changed with my arrival in Brac.

On the same boat on which I arrived in 1926, the first loudspeaker was landed on the island. Few people there had ever heard of such a thing. Up to that day, all men and women had spoken with more or less equally powerful voices. Henceforth this would change. Henceforth the access to the microphone would determine whose voice shall be magnified. Silence now ceased to be in the commons; it became a resource for which loudspeakers compete. Language itself was transformed thereby from a local commons into a national resource for communication. As enclosure by the lords increased national productivity by denying the individual peasant to keep a few sheep, so the encroachment of the loudspeaker has destroyed that silence which so far had given each man and woman his or her proper and equal voice. Unless you have access to a loudspeaker, you now are silenced.

I hope that the parallel now becomes clear. Just as the commons of space are vulnerable, and can be destroyed by the motorization of traffic, so the commons of speech are vulnerable, and can easily be destroyed by the encroachment of modem means of communication.

The issue which I propose for discussion should therefore be clear: how to counter the encroachment of new, electronic devices and systems upon commons that are more subtle and more intimate to our being than either grassland or roads - commons that are at least as valuable as silence. Silence, according to western and eastern tradition alike, is necessary for the emergence of persons. It is taken from us by machines that ape people. We could easily be made increasingly dependent on machines for speaking and for thinking, as we are already dependent on machines for moving.

Such a transformation of the environment from a commons to a productive resource constitutes the most fundamental form of environmental degradation. This degradation has a long history, which coincides with the history of capitalism but can in no way just be reduced to it. Unfortunately the importance of this transformation has been overlooked or belittled by political ecology so far. It needs to be recognized if we are to organize defense movements of what remains of the commons. This defense constitutes the crucial public task for political action during the eighties. The task must be undertaken urgently because commons can exist without police, but resources cannot. Just as traffic does, computers call for police, and for ever more of them, and in ever more subtle forms.

By definition, resources call for defense by police. Once they are defended, their recovery as commons becomes increasingly difficult. This is a special reason for urgency.

---

Ivan Illich is doing to computers what he did to education (De-Schooling Society, 1971), to energy (Energy and Equity, 1974), to medicine (Medical Nemesis, 1975), and to sex roles (Vernacular Gender, 1983). Each time it has been radical analysis that changes our perception of what is really going on. Each time, and with growing clarity, it is an economic/historical analysis having to do with the idea of scarcity as a means of exploitation. This article is from Illich's remarks at the "Asahi Symposium Science and Man - The computer-managed Society," Tokyo, Japan, March 21, 1982. The ideas here are part of a book Illich is working on, The History of Scarcity.Ivan Illich is doing to computers what he did to education (De-Schooling Society, 1971), to energy (Energy and Equity, 1974), to medicine (Medical Nemesis, 1975), and to sex roles (Vernacular Gender, 1983). Each time it has been radical analysis that changes our perception of what is really going on. Each time, and with growing clarity, it is an economic/historical analysis having to do with the idea of scarcity as a means of exploitation. This article is from Illich's remarks at the "Asahi Symposium Science and Man - The computer-managed Society," Tokyo, Japan, March 21, 1982. The ideas here are part of a book Illich is working on, The History of Scarcity.
