title: What does sponsorship look like?
url: https://larahogan.me/blog/what-sponsorship-looks-like/
hash_url: 2ef963bae20d31e4bf836ede81512a43

<figure>
<img src="https://larahogan.me/images/sponsorship.jpg" alt="The difference between mentorship and sponsorship">
<figcaption>Illustration by <a href="http://cattsmall.com/">Catt Small</a></figcaption>
</figure>

<p>Studies have shown that women (and nonbinary folks) are <a href="https://hbr.org/2010/08/women-are-over-mentored-but-un">over-mentored, but under-sponsored</a>. As Herminia Ibarra, professor of organizational behavior at INSEAD and coauthor of the HBR article <a href="https://hbr.org/2010/09/why-men-still-get-more-promotions-than-women/ar/1?referral=00134">Why Men Still Get More Promotions Than Women</a> explains,</p>

<blockquote>
  <p>[in mentorship], the connection to actually getting promoted and actually getting developmental assignments, has been kind of diluted… [Sponsoring] has to do with fighting to get somebody a promotion, mentioning their name in an appointments meeting, and making sure that the person that you’re sponsoring gets the next assignment, and gets visible and developmental assignments.</p>
</blockquote>

<p>When members of <a href="https://twitter.com/bryanl/status/1134565369098756096">overrepresented groups</a> begin to see the systems of bias and privilege, their first instinct typically is to <strong>mentor</strong> those who haven’t benefited from the same privilege. This is understandable—they want to help them grow, get promoted, or become better engineers, to help balance out the inequity that pervades our industry.</p>

<p>But at its core, this instinct to mentor plays into the idea that <a href="https://codepen.io/tatianamac/pen/BaBKoPv">minoritized</a> people aren’t already skilled enough, smart enough, or ready for more responsibility or leadership.</p>

<p>What members of underrepresented groups in tech often need most is <strong>opportunity and visibility</strong>, <em>not</em> advice. They have to work extremely hard and be extremely good at what they do to combat the systemic privilege and unconscious bias at play in our work environments. They are consistently under-promoted and under-compensated for this work, even though it’s excellent work.</p>

<p>There’s a wealth of research out there that demonstrates to really use one’s privilege for good, you need to do things differently:</p>

<ul>
  <li><strong>Start sponsoring members of underrepresented groups</strong></li>
  <li><strong>Listen to minoritized people, and believe them</strong></li>
  <li><strong>Do “the homework” to be a better mentor</strong></li>
</ul>



<p>To sponsor someone is to feel on the hook to help get someone promoted. It is raising up the name of someone to help them get more opportunities to do visible, valuable work. It is <em>not</em> just giving advice and mentorship. Often, you can sponsor someone without them even knowing it (many of the people I sponsor have no idea I consider them sponsees).</p>

<ol>
  <li>Learn the opportunities you have to raise people’s names each week.</li>
  <li>Find a person to sponsor.</li>
  <li>Listen to their experiences, learn about their skills and how they want to grow.</li>
  <li>Raise your sponsee’s name in those opportunities.</li>
</ol>

<h3 id="when-do-we-raise-up-names">When do we raise up names?</h3>

<p>Take a hard look at the daily communications you participate in: your work chat logs, the conversations you have with your manager and other managers, the process for figuring out who should fix a bug or work on a new project, and the process for making your work visible (like an architecture review, code review, launch calendar, etc.).</p>

<p>Where do you see folks’ names raised up? It can be as simple as:</p>

<blockquote>
  <p>Person 1: The dashboards are slow today. Is there someone who knows how to fix that?</p>
</blockquote>

<blockquote>
  <p>Person 2: Oh, Max fixed our dashboards before. Maybe ask them?</p>
</blockquote>

<blockquote>
  <p>Person 3: Sara’s also been doing a lot of perf research recently. Ask her too?</p>
</blockquote>

<p>The people we name are naturally the people we’re closest to, the people whose work we’re most familiar with, and the people who also look like us. (Also known as in-group bias.) It’s a natural part of how we interact and connect, so it takes work to combat these instincts.</p>

<p>I’ve watched members of minoritized groups be passed over for opportunities because of “not enough experience” or “no demonstrated skill in this area,” while being given zero opportunities to demonstrate how they can bring over other kinds of experience to a gnarly problem, or how quick to learn they are, or how much better and more creative at problem-solving they are. It’s your job to raise up the names of those you sponsor, and to vouch for them and their work, and how they might be a good fit for a leadership opportunity. You’re on the hook to make their good work more visible to those who aren’t familiar.</p>

<p>If you’re <em>not</em> familiar with your sponsee’s work or skill set, <em>get</em> familiar. Stay up to date on what they’re working on, what kinds of problems they’re good at solving, and what they’re excited to learn. Keep your eyes peeled for opportunities to raise their name and vouch for their work.</p>

<h3 id="but-im-not-a-manager">“But I’m not a manager.”</h3>

<p><em>Anyone</em> can be a sponsor. Even other members of minoritized communities<sup><a href="#footnote">1</a></sup>. Even brand new software engineers. Even people in other departments. While it’s true that managers are uniquely positioned to give promotions to people, there are plenty of other people with influence around. You may not believe that <em>you</em> have influence, or that you can truly help to sponsor someone. I need you to fight that thought.</p>



<p>These are real-life examples of sponsorship that I’ve seen work:</p>

<ul>
  <li>suggesting someone who could be a good <strong>lead on a new project</strong> based on their experience in this codebase, solving these kinds of problems, or past demonstration of effectiveness getting work out the door on time</li>
  <li>suggesting someone be a postmortem facilitator, or another type of visible <strong>leader in a meeting</strong> where others are learning</li>
  <li>suggesting someone who could <strong>write a new blog post</strong> for the engineering blog about their recent project, approach to a tricky problem, or solution that other companies could learn from</li>
  <li>suggesting someone to <strong>give a talk</strong> at a company or team meeting in which they demonstrate their work</li>
  <li>forwarding their <strong>email summary of a project</strong> to a different group of people than the original audience, underscoring why it was interesting or what you learned from it</li>
  <li>asking someone’s manager if you can <strong>share feedback</strong> about some of their excellent work you witnessed</li>
  <li>mentioning or <strong>sharing someone’s work in Slack</strong> that you thought was helpful, interesting, etc.</li>
  <li>citing an <strong>interesting thing you learned</strong> from someone recently to a large group of influential folks</li>
</ul>

<p>Any time you can, overtly or not, help those around you see the skill set or experience of someone, that’s a sponsorship opportunity. The more you get practice doing this, the more opportunities you’ll see.</p>

<p>Note that these aren’t opportunities to raise up names for stereotypical work (like suggesting a woman take notes in a meeting). You should focus on highlighting their technical work and demonstrated leadership skill sets, and find opportunities that your sponsee has expressed would interest them.</p>

<h2 id="how-can-i-be-a-better-mentor">How can I be a better mentor?</h2>

<p>In the original version of this post, I asked members of overrepresented groups to “stop mentoring, and start sponsoring”. Kristy Tillman, Head of Communication Design at Slack, helped me see how this ask is problematic:</p>

<blockquote>
  <p>“Advice is just one thing a mentor give. But there are residual benefits from visible proximity and tangential relationships to be gained.” - <a href="https://twitter.com/KristyT/status/863785440553213952">Kristy Tillman</a></p>
</blockquote>

<p>I encourage you to read the whole thread. <a href="https://twitter.com/KristyT/status/863778744963481602">Kristy helped me see</a> that it’s more important to have access to mentors who could be sponsors than it is to reduce the pool of people eager to help.</p>

<p>So, if you’re mentoring someone with less power or privilege than you have, please start doing “the homework” of being an ally (like doing <a href="https://codeascraft.com/2016/08/10/recommended-reading-for-allies/">lots of readings</a> on what it means to be a good ally, familiarizing yourself with your own biases and the biases of others, keeping up-to-date on the bias issues du jour in our industry).</p>

<p>As my friend <a href="https://twitter.com/Geek_Manager">Meri Williams</a> says of advice members of overrepresented groups give, “It’s not bad advice, it’s just advice they can’t take.” Often advice that works really well for white men <em>will not</em> work the same way for non-white not-men. “Talk louder,” “brag about your work more,” “speak your mind,” are all examples of behavior that works when you have a lot of privilege, but carry lots of risk when you don’t. You may be perpetuating the system that you’re working so hard to upend with your sponsoring.</p>

<p>This is why <strong>listening</strong> is so important in your sponsorship relationship. As much as you can, treat any one-on-one chats you have with the person you sponsor as a learning opportunity for <em>you</em> (so long as you are not burdening them with this; they’re not there to be your teacher). You likely have limited exposure to the challenges they face, so do your own reading and research, on your own time.</p>

<p>Again, it’s not necessary for them to be aware you are sponsoring them; you’re not doing this for your <em>own</em> recognition. Take this time together to learn about them, what they face, and how they want to grow.</p>

<blockquote>
  <p>“One of the most radical things you can do is to actually believe women when they talk about their experiences”
- Anita Sarkeesian</p>
</blockquote>

<h3 id="explore-why-this-might-feel-icky-to-you">Explore why this might feel icky to you</h3>

<p>It’s upsetting to realize that the reason why you’re in a senior position may be because of the system of privilege that got you there. It’s upsetting to realize that there are people who aren’t in that rank who are <em>more qualified</em> than you, but who haven’t benefited from the same privilege you did. I find that people who believed that they were promoted because the system is meritocratic react the hardest when they start to see the systems of privilege and unconscious bias are real (and that meritocracy is a myth). These are challenging, sobering feelings; work through them with other folks you see as allies who have benefited from the same systems.</p>

<blockquote>
  <p>“If you are uncomfortable, you will know you are making progress.”
- Kronda Adair</p>
</blockquote>

<h2 id="resources-for-you">Resources for you</h2>

<p><a href="https://hbr.org/2010/09/why-men-still-get-more-promotions-than-women">Why Men Still Get More Promotions Than Women</a> (HBR)</p>

<p><a href="http://everydayfeminism.com/2014/03/moving-past-privilege-guilt/">Moving past privilege guilt</a> (Everyday Feminism)</p>

<p><em><a href="https://www.amazon.com/Men-Explain-Things-Rebecca-Solnit-ebook/dp/B00IWGQ8PU">Men Explain Things to Me</a></em> by Rebecca Solnit</p>

<p><a href="https://maleallies.com/">Male Ally Bingo card</a></p>

<p><a href="https://larahogan.me/sponsors/">This post in slide deck form</a></p>

<hr>

<p> The Center for Talent Innovation’s <a href="https://www.talentinnovation.org/publication.cfm?publication=1350">research</a> highlighted, “Sponsors of color—especially at the top—worry that they do not have the armor or ammunition to pull protégés of color up the ranks.” Plenty of research <a href="https://hbr.org/2016/03/women-and-minorities-are-penalized-for-promoting-diversity">confirms</a> that it’s risky for members of minoritized groups to be perceived as having in-group bias.</p>
