title: Ways I'm available to help.
url: https://lethain.com/ways-i-help/
hash_url: 96ff9022e3ee0d37611b30f57205810e

<p><em>tl;dr - email me at lethain[at]gmail</em></p>

<p>Thinking about how I can be a helpful person in the world, as well as the sorts of folks who do and don't think to ask for help, I wanted to take some time to explicitly write down ways that I’m available to help folks on the internet that I don't have a preexisting relationship with. This is an initial list that I’ll have to think about expanding over time.</p>

<hr>

<p>First, some things I’m not a good resource for:</p>

<ol>
<li><strong>Getting your first job in tech.</strong> My path into tech was both very traditional (B.S. Computer Science) and very lucky (<a href="https://lethain.com/monocle-studios/">failed iPhone game</a>, getting hired by Yahoo! after <a href="https://lethain.com/datahub/">writing about their Yahoo! BOSS SDK</a>). I don’t think recreating <a href="/my-career-story/">my story</a> is likely to work for many folks, so I don’t believe I can give good advice on this topic relative to many other people.</li>
<li><strong>Getting hired at <a href="https://en.wikipedia.org/wiki/Big_Tech">Big Tech</a> companies.</strong> I don’t know anything about this that you couldn’t discover yourself through Google searches.</li>
<li><strong>Specific implementation questions or bugs in your project.</strong> I spend roughly one to four hours a month writing code, mostly in a non-professional context. If I get lucky I <em>might</em> be able to give useful advice on a specific bit of code eventually, but I can give better advice more quickly on other topics, so I choose not to give this kind of advice.</li>
<li><strong>Proof reading a blog post.</strong> I’m glad to give meta-commentary on a blog post or theme, but I reserve my limited proofreading energy for my own work. Further, I’ve never been told that my proofreading is particularly helpful, so I imagine there are other folks out there who do a much better job of it.</li>
<li><strong>Responding reliably to anything other than concise email.</strong> I find it very hard to track which DMs on Twitter, LinkedIn, etc that I’ve seen or not seen, and I don’t want to invest my life in fighting their UX. If you want to contact me, email is by far the best.</li>
<li><strong>Writing or featuring guest posts.</strong> I believe that investing my limited writing time onto my own platforms is my most effective outlet in terms of influencing the broader conversation about technology, engineering management and so on. As a policy, I don’t contribute to other blogs or include content written by other folks here. I especially don't include sponsored content here.</li>
<li><strong>Referrals that I believe are unlikely to get serious consideration.</strong> This might be the wrong stance, but I don’t like to refer people into situations where I think the process is likely to fail them. I want to conserve my <a href="https://larahogan.me/sponsors/">sponsorship</a> capital for efforts that I believe will help.</li>
<li><strong>Invest in your company.</strong> I’m not very knowledgeable enough about small-scale investing, and I believe that donating my available resources is a more effective venue than investing it.</li>
</ol>


<hr>

<p>Ways I’m available to help anyone:</p>

<ol>
<li><strong>Answer concise questions via email about topics I know about. </strong>I try to answer every concise question I get over email. If you write a two to four paragraph email with a clear question, I will try to answer it in a timely fashion. Topics that I can answer about quickly are generally anything I’ve written about it <a href="https://lethain.com/all-posts/">in a blog post</a> or a book. A caveat is that if the question obliges me to perform considerable research to answer it, it’s far less likely I’ll answer. Reach out to me at <em>lethain[at]gmail</em>.</li>
<li><strong>Double opt-in introductions where I think the other party will want the introduction.</strong> I’m glad to provide introductions to folks I know, after checking with them it’s ok, to the extent that I believe it’s an introduction they want and there’s a credible reason why you haven’t reached out to them directly. Conversely, I want to protect folks’ time and won't begin the double opt-in process if I don’t have moderate confidence they would want the introduction.</li>
</ol>


<hr>

<p>Ways I’m available to help BIPOC and women in tech:</p>

<ol>
<li><strong>The above stuff I’ll do for anyone, I’ll certainly do for you.</strong> If you’re anxious or uncertain about whether something’s appropriate to ask me, go ahead and send it. I can promise that I will either write a positive, constructive reply or I simply won’t get back to you. I’ll never reply harshly or with frustration. If I do respond harshly, please feel free to call me out on Twitter or what not, it’ll be richly deserved criticism.</li>
<li><strong>Review a conference talk proposal on a topic I’m familiar with.</strong> If you’re looking for someone to proofread a conference talk proposal and it’s a topic I’ve written or spoken about before, then I’m glad to share my advice. (<a href="https://lethain.com/cfp-examples/">A bit more on conference proposals here</a>.)</li>
<li><strong>Resume and LinkedIn profile feedback for folks with 3+ years of experience.</strong> I'm glad to give feedback to folks on how to make their LinkedIn profiles or resumes effective for more senior roles. I'm not providing feedback for earlier career LinkedIn or resumes because I don't have useful feedback beyond what you might find searching Google.</li>
<li><strong>Write a blurb or foreward for your book.</strong> Until I wrote a book, I didn’t realize how cumbersome it can be to find folks to blurb or write a foreward for them! I’m glad to do either, although they both require sufficient time to complete.</li>
<li><strong><em>Maybe</em> contribute an essay to your book or publication.</strong> There are so many great writers out there and I don’t think the world is dying for lack of hearing my voice in more mediums, but I do enjoy opportunities to write different styles of work, such as when I got to write <a href="https://increment.com/teams/do-engineering-managers-need-to-be-technical/">Do engineering managers need to be technical?</a> for Increment. If you have a proposal, then I’d be interested to consider contributing. There are some caveats. The foremost caveat is that I might not have time. It’s also worth noting that at this point I am only interested in writing if I am compensated because I don’t want to contribute towards an ecosystem where you can only participate if you’re wealthy enough to give away your time. This 2015 essay by <a href="https://www.theguardian.com/commentisfree/2015/aug/06/america-rich-write-about-poverty">Barbara Ehrenreich</a> is quite compelling on this point. However, I'd be glad to donate the fee to a mutually agreeable organization.</li>
<li><strong>Refer speaking opportunities to you.</strong> Although I’m not a particularly high demand speaker, I’m generally moving away from conference speaking due to limited time, and if I’m aware you’re someone who wants to speak on a given topic, then I’m glad to refer opportunities to you as appropriate.</li>
<li><strong>Appear on engineering, technology or management podcast.</strong> I’m generally ramping down <a href="https://lethain.com/tags/podcast">recording podcasts</a>, but if I’m a relevant guest for yours, then I’m glad to do them strategically.</li>
<li><strong>Connect on LinkedIn.</strong> If you send a <a href="https://www.linkedin.com/in/will-larson-a44b543/">connect request on LinkedIn</a>, I'll accept it.</li>
</ol>


<hr>

<p>These lists aren't comprehensive, but I hope by being explicit about what I'm available to do then folks will feel more comfortable reaching out,
For anything that isn't covered, writing a concise email to inquire is the best route!</p>
