title: Hope
url: https://adactio.com/journal/18292
hash_url: d650cd3cc8831f1b28b6cc2f7eb0f9f7

<p>My last <a href="https://adactio.com/archive/2019/12/map">long-distance trip</a> before we were all grounded by The Situation was to San Francisco at the end of 2019. <a href="https://adactio.com/journal/16203">I attended Indie Web Camp</a> while I was there, which gave me the opportunity to add a little something to my website: an <a href="https://adactio.com/archive/onthisday">“on this day”</a> page.</p>

<p>I’m glad I did. While it’s probably of little interest to anyone else, I enjoy scrolling back to see how the same date unfolded over the years.</p>

<p>’Sfunny, when I look back at older <a href="https://adactio.com/journal">journal</a> entries they’re often written out of frustration, usually when something in the dev world is bugging me. But when I look back at all the <a href="https://adactio.com/links">links</a> I’ve bookmarked the vibe is much more enthusiastic, like I’m excitedly pointing at something and saying “Check this out!” I feel like sentiment analyses of those two sections of my site would yield two different results.</p>

<p>But when I scroll down through my <a href="https://adactio.com/archive/onthisday">“on this day”</a> page, it also feels like descending deeper into the dark waters of linkrot. For each year back in time, the probability of a link still working decreases until there’s nothing but decay.</p>

<p>Sadly this is nothing new. I’ve been lamenting the state of <a href="https://adactio.com/tags/digital,preservationpreservation">digital preservation</a> for years now. More recently Jonathan Zittrain penned <a href="https://www.theatlantic.com/technology/archive/2021/06/the-internet-is-a-collective-hallucination/619320/">an article in The Atlantic</a> on the topic:</p>

<blockquote>
  <p>Too much has been lost already. The glue that holds humanity’s knowledge together is coming undone.</p>
</blockquote>

<p>In one sense, linkrot is the price we pay for the web’s particular system of hypertext. We don’t have two-way linking, which means there’s no centralised repository of links which would be prohibitively complex to maintain. So when you want to link to something on the web, you just do it. An <code>a</code> element with an <code>href</code> attribute. That’s it. You don’t need to check with the owner of the resource you’re linking to. You don’t need to check with anyone. You have complete freedom to link to any URL you want to.</p>

<p>But it’s that same simple system that makes the act of linking a gamble. If the URL you’ve linked to goes away, you’ll have no way of knowing.</p>

<p>As I scroll down my <a href="https://adactio.com/archive/onthisday">“on this day”</a> page, I come across more and more dead links that have been snapped off from the fabric of the web.</p>

<p>If I stop and think about it, it can get quite dispiriting. Why bother making hyperlinks at all? It’s only a matter of time until those links break.</p>

<p>And yet I still keep linking. I still keep pointing to things and saying “Check this out!” even though I know that over a long enough timescale, there’s little chance that the link will hold.</p>

<p>In a sense, every hyperlink on the World Wide Web is little act of hope. Even though I know that when I link to something, it probably won’t last, I still harbour that hope.</p>

<p>If hyperlinks are built on hope, and the web is made of hyperlinks, then in a way, the World Wide Web is quite literally made out of hope.</p>

<p>I like that.</p>
