title: Risk: micromorts, microCOVIDs, and skydiving
url: http://interconnected.org/home/2020/09/01/microcovids
hash_url: dcba97f9e4bd70b1a152b9498dc5711c

<div class="f5 f4-l measure-wide">
  <p class="measure f5 f4-l lh-copy black-70">There’s a standard way to understand the relative danger of any activity. A <strong>micromort</strong> is <q>a unit of risk defined as one-in-a-million chance of death</q> (<a href="https://en.wikipedia.org/wiki/Micromort">Wikipedia</a>). For example:</p>
<ul class="list ph0 ph0-ns bulleted-list">
<li class="measure f5 f4-l lh-copy black-70">skydiving is 8 micromorts per jump</li>
<li class="measure f5 f4-l lh-copy black-70">running a marathon: 26 micromorts</li>
<li class="measure f5 f4-l lh-copy black-70">1 micromort: walking 17 miles, or driving 230 miles</li>
</ul>
<p class="measure f5 f4-l lh-copy black-70">Generally being alive averages out at 24 micromorts/day.</p>
<p class="measure f5 f4-l lh-copy black-70">Assuming a 1% mortality risk, <a href="https://www.nytimes.com/2020/05/22/well/live/putting-the-risk-of-covid-19-in-perspective.html">being infected with Covid-19 is 10,000 micromorts</a>.</p>
<p class="measure f5 f4-l lh-copy black-70">But what about the risk of catching Covid in the first place?</p>
<hr class="h1 xh2-ns w1 xw2-ns ml4 mv4 bb bw1 b--white">
<p class="measure f5 f4-l lh-copy black-70">The <a href="https://www.microcovid.org">microCOVID project</a>: <q>1 microCOVID = a one-in-a-million chance of getting COVID.</q></p>
<p class="measure f5 f4-l lh-copy black-70">From the <a href="https://www.microcovid.org/paper">white paper</a>:</p>
<blockquote cite="https://www.microcovid.org/paper/2-riskiness" class="quoteback bl bw1 pl2 b--light-red ml0 italic i" data-author="The microCOVID Project" data-title='We measure the riskiness of interactions in "microCOVIDs"'>
<p class="measure f5 f4-l lh-copy black-70">For example, if you live in a region where about 1 in 1,000 people currently has COVID, then you could calculate based on studies of other indoor interactions … that meeting a friend for coffee indoors has about a 1 in 17,000 chance of giving you COVID. Such small numbers are hard to think about, so we can use microCOVIDs instead. Your coffee date would be about 60 microCOVIDs. …</p>
<p class="measure f5 f4-l lh-copy black-70">One benefit of using microCOVIDs is that you can straightforwardly add up microCOVIDs to estimate your risk over longer periods of time.</p>

</blockquote>
<p class="measure f5 f4-l lh-copy black-70"><strong><a href="https://www.microcovid.org/calculator">There’s a calculator for regular activities</a></strong> (try it!) from which I can see that</p>
<ul class="list ph0 ph0-ns bulleted-list">
<li class="measure f5 f4-l lh-copy black-70">going out to buy groceries is 20 microCOVIDs</li>
<li class="measure f5 f4-l lh-copy black-70">having a small party, indoors, with no masks is 3,000 microCOVIDs</li>
<li class="measure f5 f4-l lh-copy black-70">a 30 minute commute on the train is 100-200 microCOVIDs</li>
</ul>
<p class="measure f5 f4-l lh-copy black-70">The calculator takes into account the virus prevalence where you live.</p>
<p class="measure f5 f4-l lh-copy black-70">So I might decide that I have a risk-tolerance of 10,000 microCOVIDs per year (i.e. a 1% chance of contracting Covid per year). That is, I really don’t want to get Covid, but I’m also not prepared to never, ever leave the house.</p>
<p class="measure f5 f4-l lh-copy black-70">That gives me a budget of a little under 200 microCOVIDs per week. And I can measure my activities against that.</p>
<p class="measure f5 f4-l lh-copy black-70">(I’m not sure, from the calculator, how to account for household risk: do we have this budget between us, or each?)</p>
<p class="measure f5 f4-l lh-copy black-70">I find these kind of calculators useful to educate my intuition.</p>
<p class="measure f5 f4-l lh-copy black-70">For example, an outdoor restaurant is only 30 microCOVIDs vs 500 indoors. A significant difference! Especially against my weekly budget of 200. Commuting via public transport is out if I want to do anything else. Useful to know.</p>
<hr class="h1 xh2-ns w1 xw2-ns ml4 mv4 bb bw1 b--white">
<p class="measure f5 f4-l lh-copy black-70">Back in May, I was speculating about <a href="/home/2020/05/12/pandemic_mirror_worlds">realtime, hyperlocal pandemic forecasts</a>:</p>
<blockquote class="bl bw1 pl2 b--light-red ml0 italic i">
<p class="measure f5 f4-l lh-copy black-70">Maybe your phone could track your location and give you a live exposure number over the day, like a badge? It’s 2pm and you’re at 40 co-rads today. We recommend you leave before rush hour and take this 20 co-rad route home, also WASH YOUR HANDS.</p>
</blockquote>
<p class="measure f5 f4-l lh-copy black-70">And this microCOVID calculator is the foundation of this. If you could automatically plug in realtime regional prevalence figures, you’d be able to make a risk assessment like <em>short journey on the bus</em> vs <em>slow journey walking.</em></p>
<hr class="h1 xh2-ns w1 xw2-ns ml4 mv4 bb bw1 b--white">
<p class="measure f5 f4-l lh-copy black-70">The <em>framing</em> of the microCOVID project gives me pause: it’s about personal risk.</p>
<p class="measure f5 f4-l lh-copy black-70">But there are three distinct reasons why I follow the government lockdown advice:</p>
<ul class="list ph0 ph0-ns bulleted-list">
<li class="measure f5 f4-l lh-copy black-70"><strong>risk to my personal/household,</strong> which is the focus of the microCOVID project</li>
<li class="measure f5 f4-l lh-copy black-70"><strong>risk to others I might meet.</strong> I don’t want to accidentally infect my mum, for example</li>
<li class="measure f5 f4-l lh-copy black-70"><strong>society</strong> a.k.a. public health – we beat this pandemic through collective action, by bringing down <strong><em>Re</em></strong>, the <a href="https://theconversation.com/coronavirus-is-the-r-number-still-useful-138542">effective reproduction number</a>.</li>
</ul>
<p class="measure f5 f4-l lh-copy black-70"><em>Re</em> isn’t a measure of prevalence. It’s a measure of how easily the virus spreads. It spreads more easily when people are meeting lots of other people without masks; it spreads less easily when social contact is reduced.</p>
<p class="measure f5 f4-l lh-copy black-70">If <em>Re</em> is below 1, prevalence decreases; above 1, and it goes up.</p>
<p class="measure f5 f4-l lh-copy black-70">I think of society as a whole having an <em>Re</em> budget. The figure I heard, at the beginning of lockdown, was that we needed to reduce in-person social interactions by 75%. I assume that social interactions are the key factor in <em>Re</em> (or at least, were believed to be at the time). Other factors might be: % people wearing masks; proportion of unique vs repeat people encountered.</p>
<p class="measure f5 f4-l lh-copy black-70">There are some people we <em>need</em> to spend against the <em>Re</em> budget: health workers, anyone involved in the grocery supply chain, and other <a href="/home/2020/04/09/neutron_bombs">key workers</a>. I am happy to reduce my in-person interactions by, say, 90% if that means that key workers need to reduce by only 60%.</p>
<p class="measure f5 f4-l lh-copy black-70">Is there a translation between microCOVIDs and <em>Re?</em> I don’t know. Maybe +100 microCOVIDs/week/person in a region with a population density of such-and-such contributes +0.1 to <em>Re.</em></p>
<p class="measure f5 f4-l lh-copy black-70">I’d love to have that connection between personal activity and social good.</p>
<hr class="h1 xh2-ns w1 xw2-ns ml4 mv4 bb bw1 b--white">
<p class="measure f5 f4-l lh-copy black-70">This pandemic has given us a whole new vocabulary around virality that wasn’t commonplace before. I wonder how we’ll use it in the future?</p>
<p class="measure f5 f4-l lh-copy black-70">How many micro-RTs does one of my tweets have, where 1 micro-RT is a one in a million chance of it going viral?</p>
<p class="measure f5 f4-l lh-copy black-70">Can we measure the effective reproduction rate of a given social media influencer?</p>
<p class="measure f5 f4-l lh-copy black-70">And so on.</p>
<hr class="h1 xh2-ns w1 xw2-ns ml4 mv4 bb bw1 b--white">
<p class="measure f5 f4-l lh-copy black-70">I mentioned skydiving at the top of this post <em>(8 micromorts).</em> Of course, there are also externalities. And that reminds me of something else I read:</p>
<p class="measure f5 f4-l lh-copy black-70">In the UK, skydiving is a common way to raise money for charity.</p>
<p class="measure f5 f4-l lh-copy black-70">BUT…</p>
<blockquote class="bl bw1 pl2 b--light-red ml0 italic i">
<p class="measure f5 f4-l lh-copy black-70">The injury rate in charity-parachutists was 11% at an average cost of 3751 Pounds per casualty. Sixty-three percent of casualties who were charity-parachutists required hospital admission, representing a serious injury rate of 7%, at an average cost of 5781 Pounds per patient. The amount raised per person for charity was 30 Pounds. <strong>Each pound raised for charity cost the NHS 13.75 Pounds in return.</strong></p>
</blockquote>
<p class="measure f5 f4-l lh-copy black-70">Conclusion: <q>Parachuting for charity costs more money than it raises.</q></p>
<p class="measure f5 f4-l lh-copy black-70"><em>Here’s the paper:</em></p>
<p class="measure f5 f4-l lh-copy black-70">Lee CT, Williams P, Hadden WA. <a href="https://pubmed.ncbi.nlm.nih.gov/10476298/">Parachuting for charity: is it worth the money? A 5-year audit of parachute injuries in Tayside and the cost to the NHS.</a> <em>Injury.</em> 1999;30(4):283-287. </p>
  </div>