title: The Weakness of the Despot
url: https://www.newyorker.com/news/q-and-a/stephen-kotkin-putin-russia-ukraine-stalin
hash_url: 147b20ce875cacebd10f490f2690ce57

The shock is that so much has changed, and yet we’re still seeing this pattern that they can’t escape from,” the Russia expert Stephen Kotkin says.

Stephen Kotkin is one of our most profound and prodigious scholars of Russian history. His masterwork is a biography of Joseph Stalin. So far he has published two volumes—“Paradoxes of Power, 1878-1928,” which was a finalist for the Pulitzer Prize, and “Waiting for Hitler, 1929-1941.” A third volume will take the story through the Second World War; Stalin’s death, in 1953; and the totalitarian legacy that shaped the remainder of the Soviet experience. Taking advantage of long-forbidden archives in Moscow and beyond, Kotkin has written a biography of Stalin that surpasses those by Isaac Deutscher, Robert Conquest, Robert C. Tucker, and countless others.

Kotkin has a distinguished reputation in academic circles. He is a professor of history at Princeton University and a senior fellow at the Hoover Institution, at Stanford University. He has myriad sources in various realms of contemporary Russia: government, business, culture. Both principled and pragmatic, he is also more plugged in than any reporter or analyst I know. Ever since we met in Moscow, many years ago—Kotkin was doing research on the Stalinist industrial city of Magnitogorsk—I’ve found his guidance on everything from the structure of the Putin regime to its roots in Russian history to be invaluable.


Earlier this week, I spoke with Kotkin about Putin, the invasion of Ukraine, the American and European response, and what comes next, including the possibility of a palace coup in Moscow. Our conversation, which appears in the video above, has been edited for length and clarity.


**We’ve been hearing voices both past and present saying that the reason for what has happened is, as George Kennan put it, the strategic blunder of the eastward expansion of NATO. The great-power realist-school historian John Mearsheimer insists that a great deal of the blame for what we’re witnessing must go to the United States. I thought we’d begin with your analysis of that argument.**

I have only the greatest respect for George Kennan. John Mearsheimer is a giant of a scholar. But I respectfully disagree. The problem with their argument is that it assumes that, had NATO not expanded, Russia wouldn’t be the same or very likely close to what it is today. What we have today in Russia is not some kind of surprise. It’s not some kind of deviation from a historical pattern. Way before NATO existed—in the nineteenth century—Russia looked like this: it had an autocrat. It had repression. It had militarism. It had suspicion of foreigners and the West. This is a Russia that we know, and it’s not a Russia that arrived yesterday or in the nineteen-nineties. It’s not a response to the actions of the West. There are internal processes in Russia that account for where we are today.

I would even go further. I would say that NATO expansion has put us in a better place to deal with this historical pattern in Russia that we’re seeing again today. Where would we be now if Poland or the Baltic states were not in NATO? They would be in the same limbo, in the same world that Ukraine is in. In fact, Poland’s membership in NATO stiffened NATO’s spine. Unlike some of the other NATO countries, Poland has contested Russia many times over. In fact, you can argue that Russia broke its teeth twice on Poland: first in the nineteenth century, leading up to the twentieth century, and again at the end of the Soviet Union, with Solidarity. So George Kennan was an unbelievably important scholar and practitioner—the greatest Russia expert who ever lived—but I just don’t think blaming the West is the right analysis for where we are.

**When you talk about the internal dynamics of Russia, it brings to mind a piece that you wrote for Foreign Affairs, six years ago, which began, “For half a millennium, Russian foreign policy has been characterized by soaring ambitions that have exceeded the country’s capabilities. Beginning with the reign of Ivan the Terrible in the sixteenth century, Russia managed to expand at an average rate of fifty square miles per day for hundreds of years, eventually covering one-sixth of the earth’s landmass.” You go on to describe three “fleeting moments” of Russian ascendancy: first during the reign of Peter the Great, then Alexander I’s victory over Napoleon, and then, of course, Stalin’s victory over Hitler. And then you say that, “these high-water marks aside, however, Russia has almost always been a relatively weak great power.” I wonder if you could expand on that and talk about how the internal dynamics of Russia have led to the present moment under Putin.**

We had this debate about Iraq. Was Iraq the way it was because of Saddam, or was Saddam the way he was because of Iraq? In other words, there’s the personality, which can’t be denied, but there are also structural factors that shape the personality. One of the arguments I made in my Stalin book was that being the dictator, being in charge of Russian power in the world in those circumstances and in that time period, made Stalin who he was and not the other way around.

Russia is a remarkable civilization: in the arts, music, literature, dance, film. In every sphere, it’s a profound, remarkable place—a whole civilization, more than just a country. At the same time, Russia feels that it has a “special place” in the world, a special mission. It’s Eastern Orthodox, not Western. And it wants to stand out as a great power. Its problem has always been not this sense of self or identity but the fact that its capabilities have never matched its aspirations. It’s always in a struggle to live up to these aspirations, but it can’t, because the West has always been more powerful.

Russia is a great power, but not the great power, except for those few moments in history that you just enumerated. In trying to match the West or at least manage the differential between Russia and the West, they resort to coercion. They use a very heavy state-centric approach to try to beat the country forward and upwards in order, militarily and economically, to either match or compete with the West. And that works for a time, but very superficially. Russia has a spurt of economic growth, and it builds up its military, and then, of course, it hits a wall. It then has a long period of stagnation where the problem gets worse. The very attempt to solve the problem worsens the problem, and the gulf with the West widens. The West has the technology, the economic growth, and the stronger military.

The worst part of this dynamic in Russian history is the conflation of the Russian state with a personal ruler. Instead of getting the strong state that they want, to manage the gulf with the West and push and force Russia up to the highest level, they instead get a personalist regime. They get a dictatorship, which usually becomes a despotism. They’ve been in this bind for a while because they cannot relinquish that sense of exceptionalism, that aspiration to be the greatest power, but they cannot match that in reality. Eurasia is just much weaker than the Anglo-American model of power. Iran, Russia, and China, with very similar models, are all trying to catch the West, trying to manage the West and this differential in power.

**What is Putinism? It’s not the same as Stalinism. It’s certainly not the same as Xi Jinping’s China or the regime in Iran. What are its special characteristics, and why would those special characteristics lead it to want to invade Ukraine, which seems a singularly stupid, let alone brutal, act?**

Yes, well, war usually is a miscalculation. It’s based upon assumptions that don’t pan out, things that you believe to be true or want to be true. Of course, this isn’t the same regime as Stalin’s or the tsar’s, either. There’s been tremendous change: urbanization, higher levels of education. The world outside has been transformed. And that’s the shock. The shock is that so much has changed, and yet we’re still seeing this pattern that they can’t escape from.

You have an autocrat in power—or even now a despot—making decisions completely by himself. Does he get input from others? Perhaps. We don’t know what the inside looks like. Does he pay attention? We don’t know. Do they bring him information that he doesn’t want to hear? That seems unlikely. Does he think he knows better than everybody else? That seems highly likely. Does he believe his own propaganda or his own conspiratorial view of the world? That also seems likely. These are surmises. Very few people talk to Putin, either Russians on the inside or foreigners.

And so we think, but we don’t know, that he is not getting the full gamut of information. He’s getting what he wants to hear. In any case, he believes that he’s superior and smarter. This is the problem of despotism. It’s why despotism, or even just authoritarianism, is all-powerful and brittle at the same time. Despotism creates the circumstances of its own undermining. The information gets worse. The sycophants get greater in number. The corrective mechanisms become fewer. And the mistakes become much more consequential.

Putin believed, it seems, that Ukraine is not a real country, and that the Ukrainian people are not a real people, that they are one people with the Russians. He believed that the Ukrainian government was a pushover. He believed what he was told or wanted to believe about his own military, that it had been modernized to the point where it could organize not a military invasion but a lightning coup, to take Kyiv in a few days and either install a puppet government or force the current government and President to sign some paperwork.

But think about the Prague Spring, in August, 1968. Leonid Brezhnev sent in the tanks of the Warsaw Pact to halt “socialism with a human face,” the communist reform movement of Alexander Dubček. Brezhnev kept telling Dubček, Stop it. Don’t do that. You’re ruining communism. And, if you don’t stop, we will come in. Brezhnev comes in, and they take Dubček and the other leaders of Czechoslovakia back to Moscow. They don’t have a puppet regime to install. In the Kremlin, Brezhnev is asking Dubček, after having sent the tanks in and capturing him, what should they do now? It looks ridiculous, and it was ridiculous. But, of course, it was based upon miscalculations and misunderstandings. And so they sent Dubček back to Czechoslovakia, and he stayed in power [until April, 1969], after the tanks had come in to crush the Prague Spring.

One other example is what happened in Afghanistan, in 1979. The Soviet Union did not invade Afghanistan. It did a coup in Afghanistan, sending special forces into the capital of Kabul. It murdered the Afghan leadership and installed a puppet, Babrak Karmal, who had been hiding in exile in Czechoslovakia. It was a total success because Soviet special forces were really good. But, of course, they decided they might need some security in Afghanistan for the new regime. So they sent in all sorts of Army regiments to provide security and ended up with an insurgency and with a ten-year war that they lost.

With Ukraine, we have the assumption that it could be a successful version of Afghanistan, and it wasn’t. It turned out that the Ukrainian people are brave; they are willing to resist and die for their country. Evidently, Putin didn’t believe that. But it turned out that “the television President,” Zelensky, who had a twenty-five-per-cent approval rating before the war—which was fully deserved, because he couldn’t govern—now it turns out that he has a ninety-one-per-cent approval rating. It turned out that he’s got cojones. He’s unbelievably brave. Moreover, having a TV-production company run a country is not a good idea in peacetime, but in wartime, when information war is one of your goals, it’s a fabulous thing to have in place.

The biggest surprise for Putin, of course, was the West. All the nonsense about how the West is decadent, the West is over, the West is in decline, how it’s a multipolar world and the rise of China, et cetera: all of that turned out to be bunk. The courage of the Ukrainian people and the bravery and smarts of the Ukrainian government, and its President, Zelensky, galvanized the West to remember who it was. And that shocked Putin! That’s the miscalculation.

**How do you define “the West”?**

The West is a series of institutions and values. The West is not a geographical place. Russia is European, but not Western. Japan is Western, but not European. “Western” means rule of law, democracy, private property, open markets, respect for the individual, diversity, pluralism of opinion, and all the other freedoms that we enjoy, which we sometimes take for granted. We sometimes forget where they came from. But that’s what the West is. And that West, which we expanded in the nineties, in my view properly, through the expansion of the European Union and NATO, is revived now, and it has stood up to Vladimir Putin in a way that neither he nor Xi Jinping expected.

If you assumed that the West was just going to fold, because it was in decline and ran from Afghanistan; if you assumed that the Ukrainian people were not for real, were not a nation; if you assumed that Zelensky was just a TV actor, a comedian, a Russian-speaking Jew from Eastern Ukraine—if you assumed all of that, then maybe you thought you could take Kyiv in two days or four days. But those assumptions were wrong.

**Let’s discuss the nature of the Russian regime. Putin came in twenty-three years ago, and there were figures called the oligarchs from the Yeltsin years, eight or nine of them. Putin read them the riot act, saying, You can keep your riches, but stay out of politics. Those who kept their nose in politics, like Mikhail Khodorkovsky, were punished, sent to prison. Others left the country with as much of their fortune as possible. But we still talk about oligarchs. What is the nature of the regime and the people who are loyal to it? Who is important?**

It’s a military-police dictatorship. Those are the people who are in power. In addition, it has a brilliant coterie of people who run macroeconomics. The central bank, the finance ministry, are all run on the highest professional level. That’s why Russia has this macroeconomic fortress, these foreign-currency reserves, the “rainy day” fund. It has reasonable inflation, a very balanced budget, very low state debt—twenty per cent of G.D.P., the lowest of any major economy. It had the best macroeconomic management.

So you have a military-police dictatorship in charge, with a macroeconomic team running your fiscal, military state. Those people are jockeying over who gets the upper hand. For macroeconomic stability, for economic growth, you need decent relations with the West. But, for the military security part of the regime, which is the dominant part, the West is your enemy, the West is trying to undermine you, it’s trying to overthrow your regime in some type of so-called color revolution. What happened is that the balance between those groups shifted more in favor of the military security people—let’s call it the thuggish part of the regime. And, of course, that’s where Putin himself comes from.

The oligarchs were never in power under Putin. He clipped their wings. They worked for him. If they didn’t work for him, they could lose their money. He rearranged the deck chairs. He gave out the money. He allowed expropriation by his own oligarchs, people who grew up with him, who did judo with him, who summered with him. The people who were in the K.G.B. with him in Leningrad back in the day, or in post-Soviet St. Petersburg—those people became oligarchs and expropriated the property to live the high life. Some of the early Yeltsin-era people were either expropriated, fled, or were forced out. Putin built a regime in which private property, once again, was dependent on the ruler. Everybody knew this. If they didn’t know, they learned the lesson the hard way.

Sadly, this encouraged people all up and down the regime to start stealing other people’s businesses and property. It became a kind of free-for-all. If it was good enough for Putin and his cronies, it’s good enough for me as the governor of Podunk province. The regime became more and more corrupt, less and less sophisticated, less and less trustworthy, less and less popular. It hollowed out. That’s what happens with dictatorships.

**But such people and such a regime, it seems to me, would care above all about wealth, about the high life, about power. Why would they care about Ukraine?**

It’s not clear that they do. We’re talking, at most, about six people, and certainly one person as the decision-maker. This is the thing about authoritarian regimes: they’re terrible at everything. They can’t feed their people. They can’t provide security for their people. They can’t educate their people. But they only have to be good at one thing to survive. If they can deny political alternatives, if they can force all opposition into exile or prison, they can survive, no matter how incompetent or corrupt or terrible they are.

**And yet, as corrupt as China is, they’ve lifted tens of millions of people out of extreme poverty. Education levels are rising. The Chinese leaders credit themselves with enormous achievements.**

Who did that? Did the Chinese regime do that? Or Chinese society? Let’s be careful not to allow the Chinese Communists to expropriate, as it were, the hard labor, the entrepreneurialism, the dynamism of millions and millions of people in that society. You know, in the Russian case, Navalny was arrested—

**This is Alexey Navalny, Putin’s most vivid political rival, who was poisoned by the F.S.B. and is now in prison.**

Yes. He was imprisoned in the run-up to the invasion of Ukraine. In retrospect, it could well be that this was a preparation for the invasion, the way that Ahmad Shah Massoud, for example, was blown up in Northern Afghanistan [by Al Qaeda] right before the Twin Towers came down.

You have the denial of alternatives, the suppression of any opposition, arrest, exile, and then you can prosper as an élite, not with economic growth but just with theft. And, in Russia, wealth comes right up out of the ground! The problem for authoritarian regimes is not economic growth. The problem is how to pay the patronage for their élites, how to keep the élites loyal, especially the security services and the upper levels of the officer corps. If money just gushes out of the ground in the form of hydrocarbons or diamonds or other minerals, the oppressors can emancipate themselves from the oppressed. The oppressors can say, we don’t need you. We don’t need your taxes. We don’t need you to vote. We don’t rely on you for anything, because we have oil and gas, palladium and titanium. They can have zero economic growth and still live very high on the hog.

There’s never a social contract in an authoritarian regime, whereby the people say, O.K., we’ll take economic growth and a higher standard of living, and we’ll give up our freedom to you. There is no contract. The regime doesn’t provide the economic growth, and it doesn’t say, Oh, you know, we’re in violation of our promise. We promised economic growth in exchange for freedom, so we’re going to resign now because we didn’t fulfill the contract.

**What accounts for the “popularity” of an authoritarian regime like Putin’s?**

They have stories to tell. And, as you know, stories are always more powerful than secret police. Yes, they have secret police and regular police, too, and, yes, they’re serious people and they’re terrible in what they’re doing to those who are protesting the war, putting them in solitary confinement. This is a serious regime, not to be taken lightly. But they have stories. Stories about Russian greatness, about the revival of Russian greatness, about enemies at home and enemies abroad who are trying to hold Russia down. And they might be Jews or George Soros or the I.M.F. and NATO. They might be all sorts of enemies that you just pull right off the shelf, like a book.

We think of censorship as suppression of information, but censorship is also the active promotion of certain kinds of stories that will resonate with the people. The aspiration to be a great power, the aspiration to carry out a special mission in the world, the fear and suspicion that outsiders are trying to get them or bring them down: those are stories that work in Russia. They’re not for everybody. You know many Russians who don’t buy into that and know better. But the Putin version is powerful, and they promote it every chance they get.

**The West has decided, for obvious reasons, not to go to war with Russia, not to have a no-fly zone. Economic sanctions have proved more comprehensive and more powerful than maybe people had anticipated some weeks ago. But it seems that the people who these are aimed at most directly will be able to absorb them.**

Sanctions are a weapon that you use when you don’t want to fight a hot war because you’re facing a nuclear power. It’s one thing to bomb countries in the Middle East that don’t have nuclear weapons; it’s another thing to contemplate bombing Russia or China in the nuclear age. It’s understandable that economic sanctions, including really powerful ones, are the tools that we reach for.

We are also, however, arming the Ukrainians to the teeth. And there’s a great deal of stuff happening in the cyber realm that we don’t know anything about because the people who are talking don’t know, and the people who know are not talking. And there is quite a lot of armed conflict, thanks to the courage of the Ukrainians and the response and logistics of NATO, with Washington, of course, leading them.

We don’t know yet how the sanctions are going to work. The sanctions often inflict the greatest pain on the civilian population. Regimes can sometimes survive sanctions because they can just steal more internally. If you expropriate somebody’s bank account in London or Frankfurt or New York, well, there’s a source where that came from originally, and they can go back inside Russia and tap that source again, unfortunately. Putin doesn’t have money abroad that we can just sanction or expropriate. Putin’s money is the entire Russian economy. He doesn’t need to have a separate bank account, and he certainly wouldn’t keep it vulnerable in some Western country.

The biggest and most important sanctions are always about technology transfer. It’s a matter of starving them of high tech. If, over time, through the Commerce Department, you deny them American-made software, equipment, and products, which affects just about every important technology in the world, and you have a target and an enforceable mechanism for doing that, you can hurt this regime and create a technology desert.

**In the meantime, though, we saw what Russian forces did to Grozny in 1999-2000; we saw what they did to Aleppo. For Russia, if precision doesn’t work, they will decimate cities. That is what we’re seeing now in Kharkiv and in other parts of Ukraine. And it’s only just begun, potentially.**

Russia has a lot of weapons that they haven’t used yet, but there are a couple of factors here. First of all, Ukraine is winning this war only on Twitter, not on the battlefield. They’re not winning this war. Russia is advancing very well in the south, which is an extremely valuable place because of the Black Sea littoral and the ports. They are advancing in the east. If the southern and eastern advances meet up, they will encircle and cut off the main forces of the Ukrainian Army. What’s failed so far is the Russian attempt to take Kyiv in a lightning advance. Otherwise, their war is unfolding well. It’s only a couple of weeks in; wars last much longer.

But here are some of the considerations: after three or four weeks of war, you need a strategic pause. You have to refit your armor, resupply your ammo and fuel depots, fix your planes. You have to bring in reserves. There’s always a planned pause after about three to four weeks.

If Kyiv can hold out through that pause, then potentially it could hold out for longer than that, because it can be resupplied while the Russians are being resupplied during their pause. Moreover, the largest and most important consideration is that Russia cannot successfully occupy Ukraine. They do not have the scale of forces. They do not have the number of administrators they’d need or the coöperation of the population. They don’t even have a Quisling yet.

Think about all those Ukrainians who would continue to resist. The Nazis came into Kyiv, in 1940. They grabbed all the luxury hotels, but days later those hotels started to blow up. They were booby-trapped. If you’re an administrator or a military officer in occupied Ukraine and you order a cup of tea, are you going to drink that cup of tea? Do you want to turn the ignition on in your car? Are you going to turn the light switch on in your office? All it takes is a handful of assassinations to unsettle the whole occupation.

**Let’s take the story back to Moscow. We know the story of how Tsar Paul I was assassinated by people around him. Khrushchev was overthrown and replaced, eventually, by Brezhnev. Under Putin, is there any possibility of a palace coup?**

There is always a possibility of a palace coup. There are a couple of issues here. One is that [the West is] working overtime to entice a defection. We want a high-level security official or a military officer to get on a plane and fly to Helsinki or Brussels or Warsaw and hold a press conference and say, “I’m General So-and-So and I worked in the Putin regime and I oppose this war and I oppose this regime. And here’s what the inside of that regime looks like.”

At the same time, Putin is working overtime to prevent any such defection while our intelligence services are working overtime to entice just such a defection—not of cultural figures, not former politicians but current security and military officials inside the regime. This happened under Stalin, when General Genrikh Lyushkov of the secret police defected to the Japanese, in 1938, with Stalin’s military and security plans and a sense of the regime. He denounced him at a press conference in Tokyo.

So now we’re watching Moscow. What are the dynamics there with the regime? You have to remember that these regimes practice something called “negative selection.” You’re going to promote people to be editors, and you’re going to hire writers, because they’re talented; you’re not afraid if they’re geniuses. But, in an authoritarian regime, that’s not what they do. They hire people who are a little bit, as they say in Russian, tupoi, not very bright. They hire them precisely because they won’t be too competent, too clever, to organize a coup against them. Putin surrounds himself with people who are maybe not the sharpest tools in the drawer on purpose.

That does two things. It enables him to feel more secure, through all his paranoia, that they’re not clever enough to take him down. But it also diminishes the power of the Russian state because you have a construction foreman who’s the defense minister [Sergei Shoigu], and he was feeding Putin all sorts of nonsense about what they were going to do in Ukraine. Negative selection does protect the leader, but it also undermines his regime.

But, again, we have no idea what’s going on inside. We hear chatter. There’s a lot of amazing intelligence that we’re collecting, which is scaring the Chinese, making them worry: Do we have that level of penetration of their élites as well? But the chatter is by people who don’t have a lot of face time with Putin, talking about how he might be crazy. Always, when you miscalculate, when your assumptions are bad, people think you’re crazy. Putin pretends to be crazy in order to scare us and to gain leverage.

**Do you think that’s the case with this nuclear threat?**

I think there’s no doubt that this is what he’s trying to do. The problem is, we can’t assume it’s a bluff. We can’t assume it’s a pose of being crazy, because he has the capability; he can push the button.

**Steve, Sun Tzu, the Chinese theorist of war, wrote that you must always build your opponent a “golden bridge” so that he can find a way to retreat. Can the United States and NATO help build a way for Russia to end this horrific and murderous invasion before it grows even worse?**

You hit the nail on the head. That’s a brilliant quote. We have some options here. One option is he shatters Ukraine: if I can’t have it, nobody can have it, and he does to Ukraine what he did to Grozny or Syria. That would be an unbelievable, tragic outcome. That’s the pathway we’re on now.

Even if the Ukrainians succeed in their insurgency, in their resistance, there will be countless deaths and destruction. We need a way to avoid that kind of outcome. That would mean catalyzing a process to engage Putin in discussion with, say, the President of Finland, whom he respects and knows well, or the Israeli Prime Minister, who has been in contact with him; less probably, with the Chinese leadership, with Xi Jinping. Someone to engage him in some type of process where he doesn’t have maximalist demands and it stalls for time, for things to happen on the ground, that rearrange the picture of what he can do.

It’s not as if we’re not trying. The Finns know Russia better than any country in the world. Israel is another good option, potentially, depending on how skillful Naftali Bennett proves to be. And then China, the long shot, where they’re paying a heavy price and their élites below Xi Jinping understand that. There’s now quite a lot of worry inside the Chinese élites, but Xi Jinping is in charge and has a personal relationship with Putin. Xi has thrown in his lot with Putin. But how long that goes on depends upon whether the Europeans begin to punish the Chinese. The Europeans are their biggest trading partner.

The Chinese are watching this very closely. They’re watching (a) our intelligence penetration, (b) the mistakes of a despotism, and (c) the costs that you have to pay as the U.S. and European private companies cancel Russia up and down. Xi Jinping, who is heading for an unprecedented third term in the fall, needed this like a hole in the head. But now he owns it.

Finally, there’s another card that we’ve been trying to play: the Ukrainian resistance on the ground and our resupply of the Ukrainians in terms of arms and the sanctions. All of that could help change the calculus. Somehow, we have to keep at it with all the tools that we have—pressure but also diplomacy.

**Finally, you’ve given credit to the Biden Administration for reading out its intelligence about the coming invasion, for sanctions, and for a kind of mature response to what’s happening. What have they gotten wrong?**

They’ve done much better than we anticipated based upon what we saw in Afghanistan and the botched run-up on the deal to sell nuclear submarines to the Australians. They’ve learned from their mistakes. That’s the thing about the United States. We have corrective mechanisms. We can learn from our mistakes. We have a political system that punishes mistakes. We have strong institutions. We have a powerful society, a powerful and free media. Administrations that perform badly can learn and get better, which is not the case in Russia or in China. It’s an advantage that we can’t forget.

The problem now is not that the Biden Administration made mistakes; it’s that it’s hard to figure out how to de-escalate, how to get out of the spiral of mutual maximalism. We keep raising the stakes with more and more sanctions and cancellations. There is pressure on our side to “do something” because the Ukrainians are dying every day while we are sitting on the sidelines, militarily, in some ways. (Although, as I said, we’re supplying them with arms, and we’re doing a lot in cyber.) The pressure is on to be maximalist on our side, but, the more you corner them, the more there’s nothing to lose for Putin, the more he can raise the stakes, unfortunately. He has many tools that he hasn’t used that can hurt us. We need a de-escalation from the maximalist spiral, and we need a little bit of luck and good fortune, perhaps in Moscow, perhaps in Helsinki or Jerusalem, perhaps in Beijing, but certainly in Kyiv.
