title: Is the madness ever going to end?
url: https://unixsheikh.com/articles/is-the-madness-ever-going-to-end.html
hash_url: 393a69cbefc7e1642bae86080e6fc8c4

<p class="post-data">Published on <span id="pubdate">2022-01-11</span>. Modified on <span id="moddate">2022-01-14</span>.</p>
<p class="info info-yellow"><span id="description">There is something seriously wrong with the IT industry. It's so bad that I haven't managed to find a single industry with the same massive amount of stupidity, with the exception of perhaps the fashion industry. It's like the IT industry has been paralyzed in some strange kind of mass hypnosis.</span></p>

<p>No, I will not be polite and call it something else because it is truly sheer stupidity.</p>

<p>In the past IT people, whether we're talking about programmers or something else, were very clever people. People with a high level of intelligence that took serious pride in doing things in a meaningful and pragmatic way.</p>

<p>In the so-called modern day it's like everyone - except a few - has dropped their brain on the floor. They keep inventing "revolutionary new ways" of doing the same thing that could be done in a dozen ways already. And they do that by coating more and more and more unnecessary complexity on top of existing technology stacks.</p>

<p>Electron and React Native Desktop are supposed to be a revolutionary new way of making desktop applications. Except they are not, and they eat up all the memory you have and still ask for more. They constantly crash and have no value over a native desktop application what so ever - well, perhaps with the only exception that now a 2 year old baby can make something shiny that you can click on with your mouse.</p>

<p><i>But, noooo, you're a dinosaur, you don't understand anything, it's the future, it's the modern way of doing things. Native desktop apps are dead!</i></p>

<p>PHP is a programming language mainly for web development. It is made in C, a pure procedural language, originally as a templating language, and it still is a templating language at the core, yet it is apparently not good enough. We have to put a completely different template system on top of PHP, also written in PHP, which now makes the application load four times as slow.</p>

<p><i>But, noooo, you're a dinosaur, you don't understand anything, it's the future, it's the modern way of doing things. We don't do that in modern web development any more!</i></p>

<p>All web servers have a built-in router. Whether it's NGINX, Apache, lighttpd, Caddy or something else. But no. Let's not use that; let's add yet another router on top of that with a single entry point and then basically re-write every single request before it gets served.</p>

<p><i>But, noooo, you're a dinosaur, you don't understand anything, it's the future, it's the modern way of doing things. We don't do that in modern web development any more!</i></p>

<p>The browser's native language is HTML. HTML is a markup language and if you feed HTML to the browser it will quickly render the page with what you give it. But no. Let's not do that. Let's instead feed the browser with JSON and then have the built-in JavaScript engine translate that into a pre-formatted output which then gets translated into HTML before it's served to the user. Oh, and while we're at it, let's do the same thing with CSS. So, now your simple news article or blog post takes ages to load on a 1 gigabit connection and requires about 3 times as much electrical power even though you're only serving text and perhaps a few images - just because someone thought it was a really good idea to make a React app instead of a simple HTML page rendered by the server.</p>

<p>Why in the world has this idiotic trend of abstracting everything away by layers upon layers of complexity gained such a strong foothold in the industry? Has everyone except the "unix greybeards" gone mad!?</p>

<p>The situation is really bad for the industry. And it is a real shame that the younger generations who grow up not knowing anything else, thinking that these so-called "modern ways of doing things" are the correct and best ways, will have to suffer when everything starts to crumble (which it already is).</p>

<p>The entry barrier to programming needs to be high! Programming is engineering; it's not something where you throw stuff at the wall and see what sticks and just assume that programming languages, browsers, and operating systems are made of magical dust.</p>

<h2>Update: 2022-01-12</h2>

<p>Someone wrote me an email pointing out the famous saying by <a href="https://en.wikipedia.org/wiki/Brian_Kernighan">Brian Kernighan</a>, who has stated that: "<i>Programmer time is expensive; conserve it in preference to machine time</i>", but that does not apply here at all.</p>

<p>Firstly, we live in a time in which the environmental concerns needs to be considered too. As I mentioned in the beginning, it is irresponsible to keep throwing more hardware at a problem that doesn't even need to exist.</p>

<p>Secondly, Brian is being general, which I completely agree with. The situation I am talking about in the above is something far beyond being justified by any means. The added layers of complexity results in products that are horrible. Everyone is experiencing the pain of using the web daily. Simple websites that contains nothing more that text and images takes forever to load, they only work in a few browsers, and they are suffering from a flood of almost daily security issues.</p>

<p>Someone else wrote me another email. The person assumed that I have no experience in web development, or that I don't have any experience in larger projects, and that is the reason why I write the above.</p>

<p>I have been doing web development since about 1997 and I have been involved in many different projects with many different companies and many differently sized development teams.</p>

<p>One of my main activities as a contractor today is to <a href="https://www.unixsheikh.com/articles/javascript-malware-infested-nightmare.html">clean up the mess</a> that I am addressing in this article.</p>

<p>A company may save both time and money in the beginning because, yes you can get something running quickly, but they <strong>always</strong> pay the price in the long run when they are faced with all the issues their bad decision has caused. Every time, and without exception, the developers are blamed for not raising enough concerns about the problems.</p>

<p>I write (rant) about it, not only because I - as a daily consumer of the web - are faced with all these horrible websites, or because friends and family complain about how bad this or that website has become, but mainly because I am faced with the results of this mess every single day. And I can tell you, in about 99% of the cases I deal with, people get fired and everything is re-written from the ground up without any of the added bloat - not because we want to, but because we absolutely need to.</p>

<h2>Update 2022-01-14:</h2>

<p>Someone on Hacker News commented on this article with the following comment, which sums it up pretty good:</p>

<blockquote>I have been in professional web development since 2004 and I mostly agree with the author that there are massive amounts of groupthink going on. "Modern" web development has standardized in tool stacks which are insanely complicated, far beyond anything that is warranted in most cases. We have forgotten how to make simple things in simple ways.<br><br>At a minimum you need node, npm, webpack, babel, an spa framework, a frontend router, a css transpiler, a css framework, a test runner, a testing functions library, and a bunch of smaller things, and that's just what is "needed" to build a static website with a bit of interaction. We're not even talking about the dockerized insanity that happens as soon as you want to slide an API under that beast.</blockquote>

<p>Bingo!</p>
