title: Fediverse
url: https://bastianallgeier.com/notes/fediverse
hash_url: 827b390ef9e20d414ef803611bc4f2bb

<p>I joined Mastodon in 2018. It was one of many days on Twitter that felt like it’s finally enough. I don’t exactly remember why. Twitter has been my social home on the internet since 2008 and it boosted my career in many ways. I made a lot of friends there. Some online friends turned into offline friends, into friends for life. But Twitter changed over the years.</p>
<p>I started to feel anxious whenever I scrolled my timeline. The lovely conversations with friendly human beings vanished. They where replaced by retweets and breaking news and the ever growing search for attention. The world through the lense of Twitter started to look darker and darker every day.</p>
<p>The promise of a new social home with the old friendly vibes seemed exciting. But my friends from Twitter only stayed around for a bit and then returned to Twitter – and so did I. We repeated this process a couple times. Whenever something went terribly wrong on Twitter, a group of refugees gave Mastodon another try, but it didn't work out.</p>
<p>Then recently Musk bought Twitter to push through his crude ideas of free speech.</p>
<p>A lot of us turned up on Mastodon once more and this time it was different. More activity, more conversations, more group effort to really make it work this time.</p>
<p>Oh wow, what a difference it made. Suddenly there was this old Twitter vibe. Real conversations. Real people. Interesting content. A feeling of a warm welcoming group. No algorithm to mess around with our timelines. No troll army to destory every tiny bit of peace. Yes, Mastodon is rough around the edges. Many parts are not intuitive. But this roughness somehow added to the positive experience for me.</p>
<p>This could really work! I was hesitant for days. It seemed to good to be true. Surely soon everyone would be gone again, right? Or if they stayed, the positivity would soon be replaced by the same bleakness that we all got so used to on the bird site.</p>
<p>It’s still early. This wave of refugees has just arrived. We don’t know what the future will bring. But there are a lot of things that are different on Mastodon and it takes a while to understand them.</p>
<p>Mastodon is in many ways similar to email. It's not just one big platform. There are different servers (instances) and you can choose your home. My first email address was a freenet.de address back in the 90s. A horrible cheap German provider. I moved to various email addresses over the years and ended up with my own domain and email address once I started as a professional designer and developer. I think of my current <a href="https://mastodon.social/@bastianallgeier">mastodon.social</a> address in a similar way. I'm still figuring this out. It's very likely not going to be my last place in the fediverse. At some point I want to have my own server, connected to my own domain. @bastian@social.bastianallgier.com or something like that.</p>
<p>But that's the exciting part about it. The architecture below makes it impossible to be owned by just one company. A single server can become huge. mastodon.social is currently the biggest one as far as I know. I think of it like I think about Gmail. It's an easy entry point for Mastodon, just like Gmail is a very easy entry point for email. But you can always move to a different place.</p>
<p>This fundamentally changes the power structures and the future perspective. Some individual cannot simply grab this and turn it into a hobby project for sociopathic billionaires. A company cannot get behind it and start exploting it commercially. The network has many ways to defend itself from such potential attacks.</p>
<p>Sounds pretty good for a new home if you ask me.</p>
<p>But there are actually more built-in mechanisms for a healthy social environment. Spending time on Mastodon makes it obvious that the founder, developers, server admins and users of Mastodon put a lot of time and effort into keeping this place welcoming.</p>
<ul>
<li>No algorithm for your timeline</li>
<li>Content warnings to avoid doom scrolling</li>
<li>an intentional lack of features that could lead to attention boosting</li>
<li>verification through domains or by running your own instance</li>
<li>a general culture to add alternative text to images</li>
<li>human server administrators and not just algorithms that monitor and ban bad actors</li>
<li>the principles of federation that can exclude entire servers if they risk the peace of the network</li>
</ul>
<p>Mastodon is quite obviously built around the idea to not repeat the same mistakes that led to the current state of social media.</p>
<p>But as much as I would just love to leave my Twitter life behind for good, there are things that I'm concerned about. The decentralized architecture of the fediverse comes at a cost. <a href="https://ar.al/2022/11/09/is-the-fediverse-about-to-get-fryed-or-why-every-toot-is-also-a-potential-denial-of-service-attack/">This article by Aral Balkan</a> shows pretty drastically what this means for popular accounts or viral posts.</p>
<p>In an ideal version of the fediverse, the majority of users and organisations would run their own instances. This would make the network very resilient, make verification a no-brainer (see above) and the load would be shared fairly.</p>
<p>Right now, there’s a high risk of burning through the financial means of the team behind a popular instance – as well as burning them out mentally because of the work load. That’s less than ideal as a foundation for a healthy new home.</p>
<p>Looking at Aral's post made me also realize how potentially wasteful this is from an environmental perspective when Mastodon starts to become more popular. It's hard to compare it to a platform like Twitter. Those are just black boxes. We have to "trust" their own sustainability reports if they have any. But it's likely that a centralized platform can operate more efficiently when lots of users interact with each other.</p>
<p>If the utopia of a healthy, democratic social network in 2022 is real, I believe that the Mastodon community needs answers for those aspects as well. I don't think it's unsolvable and I don't even think it's an argument against Mastodon. The transparency of Mastodon just highlights a problem that is normally hidden behind walled gardens.</p>
<p>Mastodon’s federated approach to healthier interactions is a second chance to get social media right. The transparency of Mastodon's architecture is a chance to become aware of the footprint of our digital lives.</p>
<p>When more personal instances lead to a more resilient network, we need more modest instances. Spinning up a VPS seems to be such a no-brainer in today's world of one-click CI workflows, serverless functions, edge computing and scaleable cloud solutions. But who's ever thinking about all the computational power we are simply firing up daily and all the terabytes of data we send around the globe for mundane tasks as if it was nothing.</p>
<p>Mastodon instances are monsters in their current form and it makes sense because they can potentially host tens of thousands of users. But I believe that there needs to be a 1-person or small team alternative. Something that's light and humble.</p>
<p>But it's not just about the resource-hunger of instances. Thinking about our social interactions as potentially wasteful computational tasks: how much of this do we really need?</p>
<p>After 14 years on Twitter, <a href="https://mastodon.social/@bastianallgeier/109308360571103988">I went kind of viral</a> for the first time on Mastodon two days ago. Isn't it ironic? That post is just a fun little piece of Twitter nostalgia. The following conversations were really interesting and it was mind-blowing to see how much positive activity there was on Mastodon. But after reading Aral's post I almost feel bad about it. How much trouble did I cause behind the scenes? How many of those sidekiq jobs had to be created and how many people had to wait for more important notifications to arrive?</p>
<p>In hindsight, I wish there were more mechanisms to avoid certain types of interactions. For instance, I really don't need all those likes. I don't want to cause tons of background jobs just for a vanity stat. This is a rough concept, but it would have been kind of nice to stop the wave of reactions at a certain point without removing the post. It gets really tricky here. What is a meaningful interaction and what could be avoided? There's already the possibility to post something just for your followers, but sometimes this isn't what you want. It's a balance between reaching a bigger audience and interacting with them and yet kind of finding a modest approach to avoid such viral scenarios.</p>
<p>Maybe all of this seems overblown. Discussing sidekiq processes is probably just a plastic straw discussion while millions post videos on TikTok and Youtube every day. (Apropos: there's another popular Mastodon post about why you should not upload videos directly to Mastodon instances)</p>
<p>But I feel like we are reaching a shift in society. We are in a state in which our form of living is obviously no longer working out. You have to invest a lot of energy to ignore the multiple crises we are in. Thus more and more people are looking for solutions. Mastodon could be a potential solution to the social media crisis – at least for some. It could be a home for those who are not just looking away. I've seen lots of scientists, climate activists and journalists move over in the last days. It has the potential to form new connections and move groups forward that have been stuck in Twitter hell for too long. But in my opinion this will also lead to higher expectations about the platform.</p>
<p>Despite growing pains and potential problems, I think this could be one of the most interesting movements on the web in recent years. Let's see where it goes.</p>
