title: Tech Companies Are Irrational Pop Cultures
url: https://softwarecrisis.dev/letters/tech-is-a-pop-culture/
hash_url: 45c1becce6fcd8254f2c99fbc1397018

<p>I’ve pointed out before that <a href="https://www.baldurbjarnason.com/2022/programming-is-a-pop-culture/">Programming is a Pop Culture</a>.</p>
<p>But, this isn’t an issue that’s specific to programming or software development. It’s an issue that plagues the entire tech industry.</p>
<p>In Alan Kay’s words:</p>
<figure>
  <blockquote>
    <p>So I think what happened is computing has turned into pop culture and the universities are not helping in general, at least not in the US.</p>
    <p>So, Cicero—anybody know a good Cicero quote having to do with the present and past? Let’s check your classical education here. So, you know who Cicero was. He was one of those old Roman guys.</p>
    <p>So, Cicero once wrote: ‘He who knows only his own generation remains forever a child.’</p>
  </blockquote>
  <figcaption><a href="https://www.youtube.com/watch?v=YyIQKBzIuBY">Programming and Scaling</a> (Alan Kay, 2011)</figcaption>
</figure>
<p>In a later interview, he adds:</p>
<figure>
  <blockquote>
    <p>
      But pop culture holds a disdain
      for history. Pop culture is all about identity and feeling like you’re
      participating. It has nothing to do with cooperation, the past or
      the future—it’s living in the present. I think the same is true of
      most people who write code for money. They have no idea where
      [their culture came from]—and the Internet was done so well that
      most people think of it as a natural resource like the Pacific Ocean,
      rather than something that was man-made.
    </p>
  </blockquote>
  <figcaption>Alan Kay, <a href="https://link.springer.com/content/pdf/bbm:978-3-319-90008-7/1.pdf"><em>Dr. Dobb’s Interview with Alan Kay</em></a></figcaption>
</figure>
<p>The symptoms of pop culture:</p>
<ul>
<li>A “disdain for history”. Pop cultures believe history doesn’t have anything to teach them.</li>
<li>Newer is automatically better. Pop cultures are built on the assumption that anything new or different is superior to established. Or, in other words, older is inherently inferior.</li>
<li>What’s next is going to be superior to what’s now. Pop cultures exist in perpetual anticipation of the next trend. Their disbelief of history appears to outsiders as a belief in progress.</li>
<li>The “Pop” in “Pop Culture” stands for “popularity”. If it’s popular then it must be right.</li>
</ul>
<p>These traits are deeply irrational but they are the tech industry’s default mode of operation.</p>
<p>A recent example of a pop culture trend taking tech by storm is layoffs. Every tech company is laying people off, even those whose financials are in good shape. But, as Jeffrey Pfeffer explains in this interview, these are decisions driven entirely by pop culture—‘social contagion’ to use his words:</p>
<figure>
  <blockquote>
    <p>
      The tech industry layoffs are basically an instance of social contagion, in which companies imitate what others are doing. If you look for reasons for why companies do layoffs, the reason is that everybody else is doing it. Layoffs are the result of imitative behavior and are not particularly evidence-based.</p>
      <p>I’ve had people say to me that they know layoffs are harmful to company well-being, let alone the well-being of employees, and don’t accomplish much, but everybody is doing layoffs and their board is asking why they aren’t doing layoffs also.</p>
  </blockquote><figcaption><a href="https://news.stanford.edu/2022/12/05/explains-recent-tech-layoffs-worried/">Why are there so many tech layoffs, and why should we be worried? Stanford scholar explains</a></figcaption>  
</figure>
<p>These layoffs are not rational: they are almost always bad decisions.</p>
<figure>
  <blockquote>
    <p>Layoffs often do not cut costs, as there are many instances of laid-off employees being hired back as contractors, with companies paying the contracting firm. Layoffs often do not increase stock prices, in part because layoffs can signal that a company is having difficulty. Layoffs do not increase productivity. Layoffs do not solve what is often the underlying problem, which is often an ineffective strategy, a loss of market share, or too little revenue. Layoffs are basically a bad decision.</p>
  </blockquote><figcaption><a href="https://news.stanford.edu/2022/12/05/explains-recent-tech-layoffs-worried/">Why are there so many tech layoffs, and why should we be worried? Stanford scholar explains</a></figcaption>  
</figure>
<p>The effect is even worse for software companies because <a href="https://www.baldurbjarnason.com/2022/theory-building/">employee churn is lethal for software</a>:</p>
<figure>
  <blockquote>
    <p>Constant churn in a software development team, both among the programmers and designers, is absolutely devastating. It is the death knell for a software project. Makes deadlines meaningless. It turns software into a disposable, single-use product like a paper towel. Anything that increases team member churn threatens the very viability of the project and the software it’s creating.</p>
  </blockquote>
  <figcaption><a href="https://www.baldurbjarnason.com/2022/theory-building/">Theory-building and why employee churn is lethal to software companies</a></figcaption>
</figure>
<p>The only way to win is to not participate. Don’t chase trends. Don’t copy your competitors. Evaluate strategies, tools, and technologies on their <em>own merits</em>. Look at how they affect <strong><em>your</em></strong> organisation, systems, products and markets.</p>
<p>Don’t let the industry’s pop culture drag you into making poor decisions.</p>
