title: AIs can write for us but will we actually want them to?
url: https://www.bryanbraun.com/2023/04/14/ais-can-write-for-us-but-will-we-want-them-to/
hash_url: 89aa5bbfeaa7c8f2411980f99801359c

<p>From <a href="https://openai.com/blog/chatgpt">ChatGPT</a> to <a href="https://blogs.microsoft.com/blog/2023/03/16/introducing-microsoft-365-copilot-your-copilot-for-work/">Microsoft 365 Copilot</a>, we’re seeing a wave of AIs that can write and write well.</p>
<p>In a recent post, Jim Nielsen described how having AIs write for us is a trade-off:</p>
<blockquote>
<p>“Writing is a moment for self-reflection, for providing the space and time necessary for the conception of thoughts or feelings that can change your heart or mind. Offloading that task to AI is not necessarily a net-gain, it is a trade-off. One to make consciously.”</p>
<p>Jim Nielsen - <a href="https://blog.jim-nielsen.com/2023/more-everything-with-ai">More Everything With AI</a></p>
</blockquote>
<p>That made me think about my own writing. If I had to break down my current writing activity (not counting code), it would look something like this:</p>
<ul>
<li>10% - Journaling</li>
<li>10% - <a href="https://www.bryanbraun.com/blog/">Blog posts</a></li>
<li>20% - Texting and Personal Emails</li>
<li>10% - Meeting notes / todos</li>
<li>35% - Programming notes (usually to help me work through tricky coding issues)</li>
<li>15% - <a href="https://www.bryanbraun.com/books/">Book notes</a></li>
</ul>
<p>Could I hand any of these over to AI?</p>
<p>Definitely no on the journaling and blog posts, since those are basically pure self-reflection. It’s me figuring out what I believe. I could augment that a bit with spelling and grammar check tools, but it’s hard to imagine offloading more without compromising <a href="http://www.paulgraham.com/words.html">the process</a>.</p>
<p>For texting and emails I already use autocomplete and <a href="https://support.google.com/mail/answer/9116836?hl=en&amp;co=GENIE.Platform%3DDesktop">Smart Compose</a>. I also use Gmail templates for frequent responses, so I can’t see how I could automate this much further.</p>
<p>Personal notes (for meetings, books, and coding) seems the most promising but I don’t think AI can do this for me either. When I take notes, I’m only interested in writing out the stuff that matters to me. Every book I read has a hundred summaries on the internet, each more detailed and comprehensive than mine, but I still take <a href="https://www.bryanbraun.com/books/">book notes</a> because I want to remember <a href="https://sive.rs/bfaq">what impacted me</a>. Even if an AI knew what those things were, delegating that work would defeat the purpose.</p>
<p>So maybe I don’t want AIs to take over my writing but that doesn’t mean it’s useless. Autocomplete, grammar check, and Smart Compose… these tools are already AI powered. As AI tech progresses, I expect these tools to improve and become more pervasive, impacting my writing in little ways, mostly from the margins.</p>
