title: South Pole Topography
url: https://brr.fyi/posts/south-pole-topography
hash_url: f9e282fb545b5c1f50dfa1c0d98c50e3

<p>South Pole Station sits on the polar plateau, a mostly-featureless expanse of snow and ice,
  several miles thick, extending as far as the eye can see in all directions. Onto this stark, barren landscape,
  we’ve established a series of stations throughout the decades.</p>
<p>They’ve varied in size, style, complexity, comfort, and prestige. From Old Pole, to the Dome, to the modern
  Elevated Station, the United States has maintained some type of presence at the South Pole continuously for
  a long time.</p>
<p>One thing all these stations have in common? Nature is constantly trying to bury them! And it’s succeeding.</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/extended-ventilation-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/extended-ventilation-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/extended-ventilation-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/extended-ventilation-01-small.jpg" alt="Extended Ventilation 01">
    </picture>
    <em>That's not a shack on the surface -- that's an extended ventilation shaft, connecting
      to *an entire building* which is now buried under the snow.</em>
  </a>
</p>
<p>I’ll include the obligatory preface here. I am an IT worker. My skills and knowledge are in computers, not snowdrift
  modeling. I have suddenly found myself in a strange, unfamiliar place, beyond my comprehension. This place is full
  of wonderful new infrastructure and infrastructure-adjacent features.</p>
<p>I have also, to my surprise, stumbled my way into running a somewhat popular Antarctica blog.</p>
<p>Everything I say here is based on me just walking around, photographing things, and making some (hopefully!) safe
  inferences about how this place works. There are professionals, both here and elsewhere, who devote their <strong>entire
    careers</strong> to modeling and compensating for snowdrift! Listen to them, not me, if you want to learn more about this
  stuff. I am far outside my element here.</p>
<p>Now without further ado – here’s some observations on the topography of South Pole Station.</p>
<p>Since every direction is technically “North” from here, we use a grid overlay, to bring some semblance of order
  to our surroundings. The prevailing winds here come from “Grid North”. They first encounter the “front” of the
  Elevated Station, then pass around / under it into the Operations Sector (“backyard”), where we have most of our
  logistics (storage, outbuildings, etc).</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/station-front-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/station-front-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/station-front-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/station-front-01-small.jpg" alt="Station Front 01">
    </picture>
    <em>The "front" of the Elevated Station. Winds blow from this direction, toward the station.</em>
  </a>
</p>
<p>Windblown snow is carried toward the station. Some is deposited on the front side, some passes under or around.</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/transition-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/transition-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/transition-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/transition-01-small.jpg" alt="Transition 01">
    </picture>
    <em>Around the side of the station, showing the transition in snow elevation from front to back.</em>
  </a>
</p>
<p>The Elevated Station itself acts as a bit of a snow barrier – it’s designed to avoid any major drifting/accumulation,
  but there’s still a stark difference in elevation between the front and back.</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/ground-level-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/ground-level-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/ground-level-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/ground-level-01-small.jpg" alt="Ground Level 01">
    </picture>
    <em>View from what was once "ground level", now situated below several feet of snow.</em>
  </a>
</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/elevated-station-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/elevated-station-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/elevated-station-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/elevated-station-01-small.jpg" alt="Elevated Station 01">
    </picture>
    <em>View from under the station, showing the extent of the current snow elevation difference.</em>
  </a>
</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/elevated-station-02.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/elevated-station-02-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/elevated-station-02-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/elevated-station-02-small.jpg" alt="Elevated Station 02">
    </picture>
    <em>Another view from under the station.</em>
  </a>
</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/elevated-station-03.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/elevated-station-03-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/elevated-station-03-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/elevated-station-03-small.jpg" alt="Elevated Station 03">
    </picture>
    <em>One last view from under the station, looking toward the operations sector / backyard.</em>
  </a>
</p>
<p>The station was once significantly <em>more</em> elevated than it currently is. The snow is creeping up! This is apparent
  when you look at the stairwells down to “ground” level. The bottom of the stairwells are completely buried.</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/buried-stairs-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/buried-stairs-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/buried-stairs-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/buried-stairs-01-small.jpg" alt="Buried Stairs 01">
    </picture>
    <em>A set of buried stairs, on the backside of the A1 berthing pod of the Elevated Station.</em>
  </a>
</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/buried-stairs-02.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/buried-stairs-02-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/buried-stairs-02-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/buried-stairs-02-small.jpg" alt="Buried Stairs 02">
    </picture>
    <em>Buried stairs at Destination Alpha, the main entrance to the Elevated Station.</em>
  </a>
</p>
<p>Part of the elevation difference between the front and the back is just the result of wind-blown snow
  interacting with the building.</p>
<p>However, in addition, a great deal of work is done to keep the backyard relatively flat / level.
  This prolongs its life at a given elevation, before we have to do all the hard work of lifting things up.
  We move <strong>tons</strong> of snow! It’s nearly a full-time job.</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/snow-hauler-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/snow-hauler-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/snow-hauler-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/snow-hauler-01-small.jpg" alt="Snow Hauler 01">
    </picture>
    <em>A snow hauler, for moving huge quantities of snow in order to keep the backyard flat.</em>
  </a>
</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/end-of-the-world-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/end-of-the-world-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/end-of-the-world-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/end-of-the-world-01-small.jpg" alt="End of the World 01">
    </picture>
    <em>The "End of the World", far out beyond all our storage and outbuildings in the backyard,
      where we pile up snow removed from the backyard/operations area.</em>
  </a>
</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/groomed-road-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/groomed-road-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/groomed-road-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/groomed-road-01-small.jpg" alt="Groomed Road 01">
    </picture>
    <em>A mostly-flat, groomed road in the operations sector, with some snow piles visible in the distance.</em>
  </a>
</p>
<p>However, even in the operations sector, it’s still apparent that we’ve had significant snow accumulation
  over the decades.</p>
<p>Most notable is the Arches. The Arches are a series of metal semi-circle storage/work facilities, built decades ago,
  well before the current modern Elevated Station. These are still in active use today! They house our power plant,
  water plant, primary cold/warm storage, fuel storage, carpenter shop, and vehicle maintenance facility.</p>
<p>They are also <strong>completely buried</strong> under decades of accumulated snow! We can walk right over them, and if it weren’t
  for the ventilation shafts and miscellaneous other utilities, we’d be none the wiser.</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/arches-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/arches-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/arches-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/arches-01-small.jpg" alt="Arches 01">
    </picture>
    <em>Entrance to the arches, showing snow completely covering them.</em>
  </a>
</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/arches-02.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/arches-02-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/arches-02-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/arches-02-small.jpg" alt="Arches 02">
    </picture>
    <em>Another view of the entrance to the arches. This shows the graceful ramp we had to build so vehicles can
      still get in and out, considering the entrance is now far below "ground" level.</em>
  </a>
</p>
<p>The power plant has also been here for decades. It’s been refurbished and overhauled over the years, but the building
  has been here for quite a long time. It’s now completely buried! All that is visible are the exhaust vents.</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/power-plant-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/power-plant-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/power-plant-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/power-plant-01-small.jpg" alt="Power Plant 01">
    </picture>
    <em>Exhaust vents from the now-buried power plant.</em>
  </a>
</p>
<p>Getting down from the Elevated Station to the Arches means descending about 50ft. We’ve built a vertical
  tower with an enclosed staircase for this purpose. Only about half of it is visible here! The rest is underground.</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/vertical-tower-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/vertical-tower-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/vertical-tower-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/vertical-tower-01-small.jpg" alt="Vertical Tower 01">
    </picture>
    <em>Vertical tower connecting the Elevated Station to the now-buried Arches.</em>
  </a>
</p>
<p>Less stark but still telling, there are a number of buried infrastructure elements in the backyard.</p>
<p>Here’s the access hatch to a buried infrastructure vault. Significant work goes into “digging out” things that have
  become buried, so they are still accessible. At some point, however, the snowcover becomes too much, and the hatch
  needs to be extended up to the current ground level.</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/buried-infrastructure-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/buried-infrastructure-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/buried-infrastructure-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/buried-infrastructure-01-small.jpg" alt="Buried Infrastructure 01">
    </picture>
    <em>Entrance to a deeply-buried infrastructure vault.</em>
  </a>
</p>
<p>There are examples all over station of extended hatches and
  ladders, to reach infrastructure that keeps getting buried deeper below ground level.</p>
<p>Here’s a work in progress at a location a bit farther out from station. A team has dug out a buried access hatch,
  and soon an extension will be added so that it sits at the new ground level. The infrastructure underground doesn’t
  change, but the access hatch requires constant maintenance.</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/buried-access-hatch-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/buried-access-hatch-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/buried-access-hatch-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/buried-access-hatch-01-small.jpg" alt="Buried Access Hatch 01">
    </picture>
    <em>An access hatch to an underground infrastructure vault, soon to be extended up to ground level.</em>
  </a>
</p>
<p>In the backyard, there are a number of strategies to deal with the accumulation of snow.</p>
<p>Some buildings are built right at ground level. These will get slowly buried, unless work is done to engineer the
  snow around them. You can engineer away several feet of snow accumulation, and still make a building seem at “ground”
  level, just by introducing a gentle downward slope toward a building from the prevailing ground level.</p>
<p>Here’s a few buildings that are not elevated. Yes, they collect snowdrifts. And yes, they’ll eventually have to be
  moved! But for now, the herculean effort to grade and engineer the topography of the backyard means they are still
  accessible at “ground” level.</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/outbuildings-02.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/outbuildings-02-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/outbuildings-02-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/outbuildings-02-small.jpg" alt="Outbuildings 02">
    </picture>
    <em>A ground-level outbuilding, still accessible due to careful management of the surrounding topography.</em>
  </a>
</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/outbuildings-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/outbuildings-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/outbuildings-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/outbuildings-01-small.jpg" alt="Outbuildings 01">
    </picture>
    <em>Another ground-level outbuilding. Note the snowdrifts!</em>
  </a>
</p>
<p>Speaking of snowdrifts, they are relentless! They will pile up against anything facing the wind. Here’s one
  ground-level outbuilding with some drifts up against it:</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/outbuilding-snow-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/outbuilding-snow-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/outbuilding-snow-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/outbuilding-snow-01-small.jpg" alt="Outbuilding Snow 01">
    </picture>
    <em>An outbuilding with fresh, un-shoveled snowdrifts against it.</em>
  </a>
</p>
<p>There is also a lot of ground-level storage. Here’s a typical storage aisle:</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/storage-aisle-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/storage-aisle-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/storage-aisle-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/storage-aisle-01-small.jpg" alt="Storage Aisle 01">
    </picture>
    <em>Storage aisle. Note the relentless drifting snow! Also visible is a temporary pile of snow, plowed out of the
      way so this storage can be accessed.</em>
  </a>
</p>
<p>Other buildings are designed to be resilient to some amount of snow accumulation. Just like the main Elevated Station,
  here’s a building that is elevated above ground, so it can more gracefully tolerate a shift in
  ground level.</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/elevated-outbuilding-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/elevated-outbuilding-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/elevated-outbuilding-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/elevated-outbuilding-01-small.jpg" alt="Elevated Outbuilding 01">
    </picture>
    <em>An outbuilding in our RF sector, housing information technology equipment. Elevated above ground,
      so we can tolerate shifts in snow cover without compromising access to the building.</em>
  </a>
</p>
<p>We also make use of elevated storage! Here’s a series of elevated storage platforms. This is more complex and
  more expensive than just putting stuff on the ground, but it means we’ll be able to access it for years to come
  without having to dig it out.</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/elevated-storage-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/elevated-storage-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/elevated-storage-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/elevated-storage-01-small.jpg" alt="Elevated Storage 01">
    </picture>
    <em>Elevated storage. This is a common tactic for long-term storage, to avoid stuff getting buried.</em>
  </a>
</p>
<p>On a lighter note, one benefit of our massive snow hauling operation is that we can occasionally indulge in a bit of
  fun. Here’s the South Pole Sledding Hill, lovingly maintained by station staff. There’s plenty of snow to go around!</p>
<p>
  <a href="https://brr.fyi/media/south-pole-topography/sledding-hill-01.jpg">
    <picture>
      <source srcset="https://brr.fyi/media/south-pole-topography/sledding-hill-01-small.webp" type="image/webp"></source>
      <source srcset="https://brr.fyi/media/south-pole-topography/sledding-hill-01-small.jpg" type="image/jpg"></source>
      <img src="https://brr.fyi/media/south-pole-topography/sledding-hill-01-small.jpg" alt="Sledding Hill 01">
    </picture>
  </a>
</p>
<p>It’s neat to see the layered history of the South Pole. You can
  roughly gauge the age of infrastructure by how deeply buried it is!</p>
<p>Walking from the Elevated Station down to the
  Arches is a fun journey into the past.</p>
<p>Climbing down an access hatch, extended multiple times to keep up with
  the relentless snow, is a good day-to-day reminder of the forces of nature at work here.</p>
<p>I hope others find this as interesting as I do.</p>
<p>Until next time!</p>
