title: Clean sheet: how to release data or statistics in a spreadsheet
url: http://www.clean-sheet.org/
hash_url: 31a867b4c0b768d97dbb3195987951f1

<h2>Releasing data or statistics in spreadsheets</h2>
<p>Follow these simple guidelines to make your data or statistical releases as useful as possible.</p>
<ol>
	<li>Don’t merge cells. Sorting and other manipulations people may want to apply to your data assume that each cell belongs to one row and column.</li>
	<li>Don’t mix data and metadata (e.g. date of release, name of author) in the same sheet.</li>
	<li>The first row of a data sheet should contain column headers. None of these headers should be duplicates or blank. The column header should clearly indicate which units are used in that column, where this makes sense.</li>
	<li>The remaining rows should contain data, one datum per row. Don’t include aggregate statistics such as TOTAL or AVERAGE. You can put aggregate statistics in a separate sheet, if they are important.</li>
	<li>Numbers in cells should just be numbers. Don’t put commas in them, or stars after them, or anything else. If you need to add an annotation to some rows, use a separate column.</li>
	<li>Use standard identifiers: e.g. identify countries using <a href="http://en.wikipedia.org/wiki/ISO_3166">ISO 3166</a> codes rather than names.</li>
	<li>Don’t use only colour or other stylistic cues to encode information. If you want to colour cells according to their value, use conditional formatting.</li>
	<li>Leave the cell blank if a value is not available.</li>
	<li>If you provide pivot tables, make sure the underlying data is available separately too.</li>
	<li>If you also want to create a human-friendly presentation of the data, do so by creating another sheet in the same workbook and referencing the appropriate cells in the canonical data sheet.</li>
</ol>

<p class="footer">Created by <a href="https://twitter.com/robinhouston">@robinhouston</a> and <a href="https://twitter.com/SeanClarke">@SeanClarke</a> as a counterpoint to the <a href="https://bosker.wordpress.com/2014/12/05/the-government-statistical-services-terrible-spreadsheet-advice/">advice of the Government Statistical Service</a>.</p>
