title: What we do
url: https://digital.canada.ca/how-we-work/
hash_url: 335e325f88300d5ac6285b1400221c8e

<p class="lead">
The Canadian Digital Service is focused first and foremost on delivery: building simple, easy to use services directly with federal departments. We learn by doing, and we use this experience to keep our work firmly grounded in practical experience.
</p>

<p>
Inspired by digital initiatives around the world, we are bringing together digital talent and external and government partners to:
</p>

<ul class="icon-list">

<li class="item">
	<span class="item-icon"><i class="fa fa-code"/></span>
	<span class="item-text">
		<h3>Deliver solutions</h3>
		<p>We work with federal organizations to design, prototype, and build better digital services. We focus on solving problems using design, agile methods, and proven technologies that put the user at the centre of our work. We take successful digital solutions and help replicate them across government. </p>
	</span>
</li>

<li class="item">
	<span class="item-icon"><i class="fa fa-users"/></span>
	<span class="item-text">
		<h3>Build capacity</h3>
		<p>We invest in recruitment, learning, and communities of practice to help departments and public servants amplify their skills in areas like user research, design, and data science. </p>
	</span>
</li>

<li class="item">
	<span class="item-icon"><i class="fa fa-comments-o"/></span>
	<span class="item-text">
		<h3>Provide advice</h3>
		<p>We provide advice to federal organizations grounded in practical experience and global best practices.</p>
	</span>
</li>
</ul>

<p>We work in the open, sharing what we learn to help make a bigger impact. Housed at the Treasury Board Secretariat, we benefit from line of sight across government and close proximity to the policies and standards needed to drive and scale this transformation.</p>

<h2><a name="partnering"/>Interested in partnering with us?</h2>

<p>We focus on improving services to the public and, in particular, advancing services that have a big impact (e.g., used by many people). We are on the lookout for opportunities to get involved at the front end of a problem. When we partner, we will work with you and your service users  on discovery and design, before determining the best way to get the right digital solution in place (e.g. buy, build, hybrid).</p>

<p>To ensure the work we do will measurably improve services, we assess potential projects against the following criteria with departments, which we call the âThree Rsâ (Readiness, Reach, and Replicability):</p>

<h3>Readiness</h3>

<p>Is there:</p>

<ul>

<li>a clearly defined problem?</li>
<li>an empowered service owner with a clear path to deploy a solution?</li>
<li>a commitment to adopt user-centric, open, and agile techniques?</li>
<li>flexibility concerning the technology solution?</li>
<li>broader organizational awareness and support?</li>

</ul>

<h3>Reach</h3>

<p>What is the:</p>

<ul>

<li>nature of the target audience? (e.g. veterans, citizenship applicants)</li>
<li>number of potential service users?</li>
<li>nature and scope of the service impact on the user? (e.g., saving time, saving money, improving health)</li>

</ul>

<h3>Replicability</h3>

<p>Can we:</p>

<ul>

<li>scale the solution to other users, within the organization, across government or with other partners?</li>
<li>package up the solution and share it for others to use?</li>
<li>leverage this project to unlock a barrier to service transformation?</li>

</ul>

<p>We want to help you build the best, so we take into account our current expertise and availability when we assess an opportunity; when it makes sense, we may bring other partners with complementary skills and tools to the table to help. Where a solution already exists or another partner may be a better fit, we will help connect you with the broader #GCDigital community or to outside partners.</p>

<p>Interested in chatting about a potential partnership? <a href="/contact/">Contact us!</a></p>

