title: To decarbonize we must decomputerize: why we need a Luddite revolution
url: https://www.theguardian.com/technology/2019/sep/17/tech-climate-change-luddites-data
hash_url: 3b7727ad18fb0b9bbce17ba0ac418022

<p><span class="drop-cap"><span class="drop-cap__inner">O</span></span>ur built environment is becoming one big computer. “Smartness” is coming to saturate our stores, workplaces, homes, cities. As we go about our daily lives, data is made, stored, analyzed and used to make algorithmic inferences about us that in turn structure our experience of the world. Computation encircles us as a layer, dense and interconnected. If our parents and our grandparents lived <em>with</em> computers, we live <em>inside</em> them.</p>
<p>A growing chorus of activists, journalists and scholars are calling attention to the dangers of digital enclosure. Employers are <a href="https://www.wsj.com/articles/the-new-ways-your-boss-is-spying-on-you-11563528604" data-link-name="in body link" class="u-underline">using</a> algorithmic tools to surveil and control workers. Cops are <a href="https://stoplapdspying.org/resources/architecture/" data-link-name="in body link" class="u-underline">using</a> algorithmic tools to surveil and control communities of color. And there is no shortage of dystopian possibilities on the horizon: landlords evicting tenants with “smart locks”, health insurers charging higher premiums because your Fitbit says you don’t exercise enough.</p>
<p>Digitization doesn’t just pose a risk to people, however. It also poses a risk to the planet. July was the hottest month on record. Large chunks of the Arctic are melting. In India, more than half a billion people face water shortages. Putting computation everywhere directly contributes to this crisis. Digitization is a climate disaster: if corporations and governments succeed in making vastly more of our world into data, there will be less of a world left for us to live in.</p>
<p>To understand the relationship between data and climate, the best place to start is machine learning (ML). Billions of dollars are being spent on researching, developing, and deploying ML because major breakthroughs in the past decade have made it a powerful tool for pattern recognition, whether analyzing faces or predicting consumer preferences. ML “learns” by training on large quantities of data. Computers are stupid: babies know what a face is within the first few months of being alive. For a computer to know what a face is, it must learn by looking at millions of pictures of faces.</p>

<p>This is a demanding process. It takes place inside the data centers we call the cloud, and much of the electricity that powers the cloud is generated by burning fossil fuels. As a result, ML has a large carbon footprint. In a recent <a href="https://arxiv.org/pdf/1906.02243.pdf" data-link-name="in body link" class="u-underline">paper</a> that made waves in the ML community, a team at the University of Massachusetts, Amherst, found that training a model for natural-language processing – the field that helps “virtual assistants” like Alexa understand what you’re saying – can emit as much as 626,155lb of carbon dioxide. That’s about the same amount <a href="https://www.theguardian.com/environment/ng-interactive/2019/jul/19/carbon-calculator-how-taking-one-flight-emits-as-much-as-many-people-do-in-a-year" data-link-name="in body link" class="u-underline">produced</a> by flying roundtrip between New York and Beijing 125 times.</p>
<p>Training models isn’t the only way ML contributes to the cooking of our planet. It has also stimulated a hunger for data that is probably the single biggest driver of the digitization of everything. Corporations and governments now have an incentive to acquire as much data as possible, because that data, with the help of ML, might yield valuable patterns. It might tell them who to fire, who to arrest, when to perform maintenance on a machine or how to promote a new product.</p>
<figure itemprop="associatedMedia image" itemscope="" itemtype="http://schema.org/ImageObject" data-component="image" class="element element-image img--landscape  fig--narrow-caption fig--has-shares " data-media-id="c438344138315871faa44fe46288a3e7f4872077" id="img-2">
<meta itemprop="url" content="https://i.guim.co.uk/img/media/c438344138315871faa44fe46288a3e7f4872077/0_126_5472_3283/master/5472.jpg?width=700&amp;quality=85&amp;auto=format&amp;fit=max&amp;s=5a0110a19341180161936f21d261f395"/>
<meta itemprop="width" content="5472"/>
<meta itemprop="height" content="3283"/>
<a href="#img-2" class="article__img-container js-gallerythumbs" data-link-name="Launch Article Lightbox" data-is-ajax="">
 <span class="inline-expand-image inline-icon centered-icon rounded-icon article__fullscreen modern-visible">
<svg viewbox="0 0 22 22" class="centered-icon__svg rounded-icon__svg article__fullscreen__svg modern-visible__svg inline-expand-image__svg inline-icon__svg">
<path d="M3.4 20.2L9 14.5 7.5 13l-5.7 5.6L1 14H0v7.5l.5.5H8v-1l-4.6-.8M18.7 1.9L13 7.6 14.4 9l5.7-5.7.5 4.7h1.2V.6l-.5-.5H14v1.2l4.7.6"/>
</svg> </span> </a>

<figcaption class="caption caption--img caption caption--img" itemprop="description">
<span class="inline-triangle inline-icon ">
<svg viewbox="0 0 11 10" class="inline-triangle__svg inline-icon__svg">
<path fill-rule="evenodd" d="M5.5 0L11 10H0z"/>
</svg> </span> ‘Digitization doesn’t just pose a risk to people. It also poses a risk to the planet. In India, more than half a billion people face water shortages.’ Photograph: R Parthibhan/AP
</figcaption>
</figure>
<p>One of the best ways to make more data is to put small connected computers everywhere: Cisco predicts there will be 28.5bn networked devices by 2022. Aside from the energy required to manufacture and maintain those devices, the data they produce will live in the carbon-intensive cloud. Data centers currently consume 200 terawatt hours per year – roughly the same amount as South Africa. Anders Andrae, a widely cited researcher at Huawei, tells me that number is likely to grow 4-5 times by 2030. This would put the cloud on par with Japan, the fourth-biggest energy consumer on the planet.</p>
<p>What can be done to curb the carbon costs of data? Greenpeace has long pushed cloud providers to switch to renewable energy sources and improve efficiency. These efforts have seen some success: the use of renewables by data centers has <a href="http://www.clickclean.org/downloads/ClickClean2016%20HiRes.pdf" data-link-name="in body link" class="u-underline">grown</a> substantially. Meanwhile, efficiency gains from better techniques and bigger economies of scale have <a href="https://iopscience.iop.org/article/10.1088/1748-9326/aaec9c" data-link-name="in body link" class="u-underline">moderated</a> the cloud’s power consumption in recent years. When it comes to ML, a group of researchers are <a href="https://arxiv.org/pdf/1907.10597.pdf" data-link-name="in body link" class="u-underline">calling</a> for a more energy-conscious approach, which they call “Green AI”. These are encouraging trends, and tech workers themselves are likely to play a key role in advancing them: Amazon employees have been <a href="https://www.theguardian.com/technology/2019/may/22/amazon-workers-climate-crisis-board-jeff-bezos" data-link-name="in body link" class="u-underline">organizing</a> for a climate plan since late last year, and they recently <a href="https://medium.com/@amazonemployeesclimatejustice/amazon-employees-are-joining-the-global-climate-walkout-9-20-9bfa4cbb1ce3" data-link-name="in body link" class="u-underline">announced</a> a global walkout for 20 September. Among their demands is for the company to commit to zero emissions by 2030 and to stop selling cloud services to fossil fuel companies.</p>
<p>But it’s clear that confronting the climate crisis will require something more radical than just making data greener. That’s why we should put another tactic on the table: making less data. We should reject the assumption that our built environment <em>must</em> become one big computer. We should erect barriers against the spread of “smartness” into all of the spaces of our lives.</p>
<p>To decarbonize, we need to decomputerize.</p>
<p>This proposal will no doubt be met with charges of Luddism. Good: Luddism is a label to embrace. The Luddites were heroic figures and acute technological thinkers. They smashed textile machinery in 19th-century England because they had the capacity to perceive technology “in the present tense”, in the <a href="https://books.google.com/books?id=csndAGqJlk0C" data-link-name="in body link" class="u-underline">words</a> of the historian David F Noble. They didn’t wait patiently for the glorious future promised by the gospel of progress. They saw what certain machines were doing to them in the present tense – endangering their livelihoods – and dismantled them.</p>
<p>We are often sold a similar bill of goods: big tech companies talk incessantly about how “AI” and digitization will bring a better future. In the present tense, however, putting computers everywhere is bad for most people. It enables advertisers, employers and cops to exercise more control over us – in addition to helping heat the planet.</p>
<p>Fortunately, there are latter-day Luddites working to stem the tide. Community groups like the <a href="https://stoplapdspying.org/" data-link-name="in body link" class="u-underline">Stop LAPD Spying Coalition</a> are organizing to shut down algorithmic policing programs. A growing campaign to ban the government use of facial recognition software has won important victories in <a href="https://www.nytimes.com/2019/05/14/us/facial-recognition-ban-san-francisco.html" data-link-name="in body link" class="u-underline">San Francisco</a> and <a href="https://www.bostonglobe.com/metro/2019/06/27/somerville-city-council-passes-facial-recognition-ban/SfaqQ7mG3DGulXonBHSCYK/story.html" data-link-name="in body link" class="u-underline">Somerville</a>, Massachusetts, while workers at Amazon are <a href="https://gizmodo.com/amazon-workers-demand-jeff-bezos-cancel-face-recognitio-1827037509" data-link-name="in body link" class="u-underline">calling</a> for the company to stop selling such software to law enforcement. And in the streets of Hong Kong, protesters are developing techniques for evading the algorithmic gaze, using lasers to confuse facial recognition cameras and <a href="https://twitter.com/Jordan_Sather_/status/1165327628825284610" data-link-name="in body link" class="u-underline">cutting</a> down “smart” lamp-posts equipped with monitoring devices.</p>
<figure itemprop="associatedMedia image" itemscope="" itemtype="http://schema.org/ImageObject" data-component="image" class="element element-image img--landscape  fig--narrow-caption fig--has-shares " data-media-id="f84c6ea8fbd3f984274cf30086871b58f68e6e26" id="img-3">
<meta itemprop="url" content="https://i.guim.co.uk/img/media/f84c6ea8fbd3f984274cf30086871b58f68e6e26/0_263_5568_3341/master/5568.jpg?width=700&amp;quality=85&amp;auto=format&amp;fit=max&amp;s=cc221e0f703d2dc369d5fc2d58912c1a"/>
<meta itemprop="width" content="5568"/>
<meta itemprop="height" content="3341"/>
<a href="#img-3" class="article__img-container js-gallerythumbs" data-link-name="Launch Article Lightbox" data-is-ajax="">
 <span class="inline-expand-image inline-icon centered-icon rounded-icon article__fullscreen modern-visible">
<svg viewbox="0 0 22 22" class="centered-icon__svg rounded-icon__svg article__fullscreen__svg modern-visible__svg inline-expand-image__svg inline-icon__svg">
<path d="M3.4 20.2L9 14.5 7.5 13l-5.7 5.6L1 14H0v7.5l.5.5H8v-1l-4.6-.8M18.7 1.9L13 7.6 14.4 9l5.7-5.7.5 4.7h1.2V.6l-.5-.5H14v1.2l4.7.6"/>
</svg> </span> </a>

<figcaption class="caption caption--img caption caption--img" itemprop="description">
<span class="inline-triangle inline-icon ">
<svg viewbox="0 0 11 10" class="inline-triangle__svg inline-icon__svg">
<path fill-rule="evenodd" d="M5.5 0L11 10H0z"/>
</svg> </span> Teenagers and students take part in a climate protest outside the White House in Washington on 13 September 2019. Photograph: Nicholas Kamm/AFP/Getty Images
</figcaption>
</figure>
<p>These are just a few possible sources of inspiration for a broader movement for decomputerization, one that pursues social and ecological goals simultaneously. The premise of the Green New Deal is that we can make society greener and more equitable at the same time – that we can democratize as we decarbonize. We should apply the same logic to our digital sphere. Preventing a local police department from constructing an ML-powered panopticon is a matter of algorithmic, social <em>and</em> climate justice. As they used to say in the 1960s: one struggle, many fronts.</p>
<p>For such a struggle to be successful, however, resistance is not enough. We also need a vision of the future we want. Again, the history of the Luddites can be helpful. In 1812, a group of Yorkshire Luddites sent a factory owner a letter promising continued action until “the House of Commons passes an Act to put down all Machinery hurtful to Commonality”. Following their example, we might derive a simple Luddite principle for democratizing technology: we should destroy machinery hurtful to the common good and build machinery helpful to it.</p>

<p>What does this mean in practice? It’s hard to think of anything more hurtful to our common life than heating large portions of the planet beyond habitable levels. Privacy advocates have long called for companies to restrict their collection of data to the minimum necessary to perform a service – a principle now enshrined in the GDPR, the EU’s omnibus data regulation. A 21st-century Luddism should embrace this principle but go further. What matters is not only how much data a service collects, but what imprint that service leaves upon the world – and thus whether it should be performed at all.</p>
<p>Decomputerization doesn’t mean <em>no</em> computers. It means that not <em>all</em> spheres of life should be rendered into data and computed upon. Ubiquitous “smartness” largely serves to enrich and empower the few at the expense of the many, while inflicting ecological harm that will threaten the survival and flourishing of billions of people.</p>
<p>Precisely which computational activities should be preserved in a less computerized world is a matter for those billions of people themselves to decide. The question of whether a particular machine hurts or helps the common good can only be answered by the commons itself. It can only be answered collectively, through the experiment and argument of democracy.</p>
<p>The zero-carbon commonwealth of the future must empower people to decide not just <em>how</em> technologies are built and implemented, but <em>whether</em> they’re built and implemented. Progress is an abstraction that has done a lot of damage over the centuries. Luddism urges us to consider: progress towards what and progress for whom? Sometimes a technology shouldn’t exist. Sometimes the best thing to do with a machine is to break it.</p>
