title: Phorésie
url: https://blog.crafting-labs.fr/2018/01/16/phoresie/
hash_url: 3c1e9c3e8a8ffce88fb49ef89b05594e

<p><a href="https://upload.wikimedia.org/wikipedia/commons/9/93/Lemonshark.jpg" class="left-image"><img src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/93/Lemonshark.jpg/320px-Lemonshark.jpg" alt="By Albert kok [CC BY SA 3.0 (https://creativecommons.org/licenses/by-sa/3.0/deed.en)], via Wikimedia Commons"/></a></p>

<blockquote>
  <p>La phorésie (du grec -φόρος, -phoros, de φέρω, pherô, « porter ») est un type d’interaction entre deux organismes où un individu (le phoronte) est transporté par un autre (l’hôte). – <a href="https://fr.wikipedia.org/wiki/Phor%C3%A9sie">Wikipédia</a></p>
</blockquote>

<p>J’ai envie de tester une nouvelle approche de formation/apprentissage/accompagnement en inversant la logique usuelle. Au lieu de venir dans votre environnement pour vous aider, c’est vous qui venez dans le mien faire les choses à ma façon.</p>

<p>Concrètement, à un ou deux, vous travaillez avec moi en bi/trinome sur un projet qui n’est pas le vôtre, dans un environnement qui n’est pas le vôtre.
L’objectif est de transmettre une façon de travailler sans avoir à lutter contre l’inertie d’une équipe de développement et de son environnement.</p>

<p>Au programme, on developpera du code maintenable en se posant des questions sur le design, l’architecture, en écrivant des tests (unitaires, mais peut être pas que).
On mettra en oeuvre l’intégration continue, la revue de code<sup id="fnref:3"><a href="#fn:3" class="footnote">1</a></sup> et tout ce qui fait partie du travail<sup id="fnref:4"><a href="#fn:4" class="footnote">2</a></sup>.</p>

<h1 id="cest-quoi-le-lien-avec-le-terme-phorésie-de-lintro-">C’est quoi le lien avec le terme phorésie de l’intro ?</h1>

<p>Il y a phorésie quand un individu va quelque part et qu’un autre profite du transport pour faire le trajet.
Avec ou sans vous, je ferai ces projets de la même façon, je vous propose de profiter du voyage dans une relation qui nous soit mutuellement profitable<sup id="fnref:5"><a href="#fn:5" class="footnote">3</a></sup>.</p>

<h1 id="où-ça-se-passe-">Où ça se passe ?</h1>

<p>Potentiellement n’importe où, même si, pour les premières sessions, Toulouse (où j’habite la plupart du temps) me semble un bon terrain de jeu.
Cela dit, je ne vois pas d’inconvénient à faire ça n’importe où en Europe<sup id="fnref:2"><a href="#fn:2" class="footnote">4</a></sup>.</p>

<p>Pour les lieux, on se posera comme je fais au quotidien en naviguant entre chez moi (ou un airbnb si en dehors de Toulouse) et les cafés, bibliothèques et autres lieux publiques.</p>

<p>On choisit ensemble un de mes projets, et on travaille dessus en groupe.
J’ai toute sorte de projets<sup id="fnref:6"><a href="#fn:6" class="footnote">5</a></sup> en stocks, essentiellement de type ‘backend’/’api’. J’ai aussi quelques trucs plus expérimentaux comme <a href="https://gitlab.com/avernois/gouge">Gouge</a> par exemple.</p>

<p>Et par la pratique, on aborde tous les sujets qui font partie du travail de développeur.se.</p>

<h1 id="combien-de-temps-ça-dure-">Combien de temps ça dure ?</h1>

<p>C’est une question pour laquelle je n’ai pas encore complètement la réponse:</p>

<ul>
  <li>Ce que je sais : cela fonctionnera par journée.</li>
  <li>Ce que je ne sais pas encore : est-ce que l’on fait juste une journée, plusieurs jours de suite, plusieurs jours espacés, autre ?</li>
</ul>

<p>Du coup, je commencerais bien par une journée, et on verra ensuite. Mais je suis ouvert aux suggestions.</p>

<h1 id="il-y-a-des-pré-requis-">Il y a des pré-requis ?</h1>

<p>Pas vraiment. J’aimerai que ce soit le plus ouvert possible.</p>

<p>Un des avantages de travailler avec un tout petit groupe (2 personnes max) c’est que je peux adapter au contexte et m’assurer que ça roule pour tout le monde.</p>

<h1 id="Ça-a-lieu-quand-">Ça a lieu quand ?</h1>

<p>Arbitrairement, je pose la date du 1er février pour la première version.
Mais c’est juste pour poser une date, en vrai c’est quand tu veux, si je n’ai rien d’autre de prévu ce jour là.</p>

<h1 id="combien-ça-coûte-">Combien ça coûte ?</h1>

<ul>
  <li>Si c’est une entreprise qui paye 300€ HT (360€ TTC) par personne.</li>
  <li>Si tu es un particulier<sup id="fnref:1"><a href="#fn:1" class="footnote">6</a></sup> 150€ TTC par personne la journée.</li>
</ul>

<p>Cela inclut le repas du midi et les café/thé/autres en cours de journée.</p>

<p>Note: si le prix est un problème pour toi, fais moi signe et on voit ensemble.</p>

<h1 id="jen-suis-">J’en suis !</h1>

<p>Super, envoie moi un petit message via ce <a href="/contact/">formulaire de contact</a> ou sur twitter <a href="https://twitter.com/avernois">@avernois</a> (mes dm sont ouverts) et on voit ensemble pour les détails.</p>

<h1 id="jai-des-questions">J’ai des questions.</h1>

<p>Cool, j’ai des réponses. À voir si elles correspondent :)</p>

<p>On peut me joindre par email via ce <a href="/contact/">formulaire de contact</a> ou sur twitter <a href="https://twitter.com/avernois">@avernois</a> (mes dm sont ouverts).</p>

<hr/>

<p>– Un grand merci à Ludovic et Enguerran pour les corrections.</p>

<p>– Image : <a href="https://fr.wikipedia.org/wiki/Phor%C3%A9sie#/media/File:Lemonshark.jpg">Lemonshark</a> par Albert kok <a href="https://creativecommons.org/licenses/by-sa/3.0/deed.en">CC BY SA 3.0 </a>, via Wikimedia Commons</p>
