title: Heat: the next big inequality issue
url: https://www.theguardian.com/cities/2018/aug/13/heat-next-big-inequality-issue-heatwaves-world
hash_url: 477126baff73beee5a6fc4549ab09242

<div class="content__article-body from-content-api js-article__body" itemprop="articleBody" data-test-id="article-review-body">
<p><span class="drop-cap"><span class="drop-cap__inner">W</span></span>hen July’s heatwave swept through the Canadian province of Quebec, <a href="https://www.thestar.com/news/canada/2018/07/18/89-deaths-now-linked-to-heat-wave-in-quebec.html" data-link-name="in body link" class="u-underline in-body-link--immersive">killing </a><a href="https://www.thestar.com/news/canada/2018/07/18/89-deaths-now-linked-to-heat-wave-in-quebec.html" data-link-name="in body link" class="u-underline in-body-link--immersive">more than 90 people in little over a week</a>, the unrelenting sunshine threw the disparities between rich and poor into sharp relief.</p>
<p>While the well-heeled residents of Montreal hunkered down in blissfully air conditioned offices and houses, the city’s homeless population – not usually welcome in public areas such as shopping malls and restaurants – struggled to escape the blanket of heat.</p>
<figure class="element element-interactive interactive element--thumbnail" data-interactive="https://interactive.guim.co.uk/embed/iframe-wrapper/0.1/boot.js" data-canonical-url="https://interactive.guim.co.uk/uploader/embed/2018/08/intro-map/giv-3902fOKKgRggJeIN" data-alt="montreal map">
<a href="https://interactive.guim.co.uk/uploader/embed/2018/08/intro-map/giv-3902fOKKgRggJeIN" data-link-name="in body link" class="u-underline in-body-link--immersive">montreal map</a>
</figure>
<p>Benedict Labre House, a day centre for homeless people, wasn’t able to secure a donated air-conditioning unit until five days into the heatwave. “You can imagine when you have 40 or 50 people in an enclosed space and it’s so hot, it’s very hard to deal with,” says Francine Nadler, clinical coordinator at the facility.</p>
<p>Fifty-four Montreal residents were killed by this summer’s heat. Authorities haven’t so far specified whether any homeless people were among them, but according to the regional department of public health, the majority were aged over 50, lived alone, and had underlying physical or mental health problems. None had air conditioning. Montreal coroner Jean Brochu told reporters that many of the bodies examined by his team “were in an advanced state of decay, having sometimes spent up to two days in the heat before being found”.</p>
<aside class="element element-pullquote element--supporting element-pullquote--photo-essay">
<span class="inline-garnett-quote inline-icon ">
<svg viewbox="0 0 35 25" class="inline-garnett-quote__svg inline-icon__svg">
<path d="M69.587.9c-1.842 15.556-3.89 31.316-4.708 48.1H37.043c3.07-16.784 8.391-32.544 17.602-48.1h14.942zM32.949.9c-2.047 15.556-4.094 31.316-4.912 48.1H.2C3.066 32.216 8.592 16.456 17.598.9h15.35z"/>
</svg> </span>
<blockquote>
<p class="pullquote-paragraph">Dying in a heatwave is like being slowly cooked. It’s pure torture ... this heat can kill soldiers, athletes, everyone</p>
<footer>
<cite class="pullquote-cite">Professor ​Camilo Mora</cite>
</footer>
</blockquote>
</aside>
<p>It was the poor and isolated who quietly suffered the most in the heat – a situation echoed in overheated cities across the world. In the US, immigrant workers <a href="https://www.reuters.com/article/us-temperature-immigrants-casualties/immigrant-workers-in-u-s-have-tripled-risk-for-heat-related-death-idUSKBN1DE2G3" data-link-name="in body link" class="u-underline in-body-link--immersive">are three times more likely</a> to die from heat exposure than American citizens. In India, where 24 cities are <a href="https://www.c40.org/other/the-future-we-don-t-want-for-cities-the-heat-is-on" data-link-name="in body link" class="u-underline in-body-link--immersive">expected to reach</a> average summertime highs of at least 35C (95F) by 2050, it is <a href="https://www.thehindu.com/news/cities/Vijayawada/slums-in-indian-cities-most-vulnerable-to-heat-wave/article22822096.ece" data-link-name="in body link" class="u-underline in-body-link--immersive">the slum dwellers</a> who are most vulnerable. And as the global risk of prolonged exposure to deadly heat steadily rises, so do the associated risks of human catastrophe.</p>
<p>Last year, Hawaiian researchers <a href="https://www.nature.com/articles/nclimate3322" data-link-name="in body link" class="u-underline in-body-link--immersive">projected that the</a> share of the world’s population exposed to deadly heat for at least 20 days a year will increase from 30% now to 74% by 2100 if greenhouse gas emissions are allowed to grow. (It will rise to 48% with “drastic reductions”.) They concluded that “an increasing threat to human life from excess heat now seems almost inevitable”.</p>
<figure class="element element-embed" data-alt="The Cityscape: get the best of Guardian Cities delivered to you every week, with just-released data, features and on-the-ground reports from all over the world">

</figure>
<ul>
<li>The Cityscape: get the best of Guardian Cities delivered to you every week, with just-released data, features and on-the-ground reports from all over the world <br/></li>
</ul>
<p>“Dying in a heatwave is like being slowly cooked,” said lead author Professor Camilo Mora at the time of publication. “It’s pure torture. The young and elderly are at particular risk, but we found that this heat can kill soldiers, athletes, everyone.”</p>
<figure itemprop="associatedMedia image" itemscope="" itemtype="http://schema.org/ImageObject" data-component="image" class="element element-image img--landscape element--immersive fig--narrow-caption fig--has-shares section-image element-image--photo-essay" data-media-id="94e42dbfaedc82fe1ed0a4d73f0c3102dc27b1ce" id="img-2">
<h2 class="section-title">Killer temperatures</h2>
<meta itemprop="url" content="https://i.guim.co.uk/img/media/94e42dbfaedc82fe1ed0a4d73f0c3102dc27b1ce/0_9_2901_1741/master/2901.jpg?w=700&amp;q=55&amp;auto=format&amp;usm=12&amp;fit=max&amp;s=70ed1f0b85dda1620106b340fd982a56"/>
<meta itemprop="width" content="2901"/>
<meta itemprop="height" content="1741"/>
<a href="#img-2" class="article__img-container js-gallerythumbs in-body-link--immersive" data-link-name="Launch Article Lightbox" data-is-ajax="">
 <span class="inline-expand-image inline-icon centered-icon rounded-icon article__fullscreen modern-visible">
<svg viewbox="0 0 22 22" class="centered-icon__svg rounded-icon__svg article__fullscreen__svg modern-visible__svg inline-expand-image__svg inline-icon__svg">
<path d="M3.4 20.2L9 14.5 7.5 13l-5.7 5.6L1 14H0v7.5l.5.5H8v-1l-4.6-.8M18.7 1.9L13 7.6 14.4 9l5.7-5.7.5 4.7h1.2V.6l-.5-.5H14v1.2l4.7.6"/>
</svg> </span> </a>
</figure>
<figure class="element element-interactive interactive element--thumbnail" data-interactive="https://interactive.guim.co.uk/embed/iframe-wrapper/0.1/boot.js" data-canonical-url="https://interactive.guim.co.uk/uploader/embed/2018/08/heated-divmap/giv-3902w7jp6Dnb8QVu" data-alt="divisions map">
<a href="https://interactive.guim.co.uk/uploader/embed/2018/08/heated-divmap/giv-3902w7jp6Dnb8QVu" data-link-name="in body link" class="u-underline in-body-link--immersive">divisions map</a>
</figure>
<p>The year 2018 is set to be among the hottest since records began, with unprecedented peak temperatures engulfing the planet, from 43C (109F) in Baku, Azerbaijan, to the low 30s across Scandinavia. In Kyoto, Japan, the mercury did not dip below 38C (100F) for a week. In the US, an unusually early and humid July heatwave <a href="https://www.scientificamerican.com/article/l-a-s-not-just-sizzling-its-sultry-why-californias-july-heat-wave-is-so-weird/" data-link-name="in body link" class="u-underline in-body-link--immersive">saw 48.8C (120F) in Chino</a>, inland of Los Angeles. Residents blasted their air conditioners so much they caused power shortages.</p>
<p>Urban areas are reaching these killer temperatures <a href="http://iopscience.iop.org/article/10.1088/1748-9326/10/2/024005" data-link-name="in body link" class="u-underline in-body-link--immersive">faster than </a><a href="http://iopscience.iop.org/article/10.1088/1748-9326/10/2/024005" data-link-name="in body link" class="u-underline in-body-link--immersive">those</a> that are less populated. Cities absorb, create and radiate heat. Asphalt, brick, concrete and dark roofs act like sponges for heat during the day and emit warmth at night. Air conditioning is a lifesaver for those who can afford it, but it makes the streets even hotter for those who can’t.</p>
<p>“Urban heat islands, combined with an ageing population and increased urbanisation, are projected to increase the vulnerability of urban populations, especially the poor, to heat-related health impacts in the future,” a US government assessment <a href="https://nca2014.globalchange.gov/highlights/report-findings/human-health" data-link-name="in body link" class="u-underline in-body-link--immersive">warned</a>.</p>
<p>The World Health Organisation says that 60% of people will live in cities by 2030, and the more densely populated they become, the hotter they’ll get. Considering that <a href="http://advances.sciencemag.org/content/3/8/e1603322" data-link-name="in body link" class="u-underline in-body-link--immersive">recent predictions</a> warn temperatures in South Asia will exceed the limits of human survival by the end of the century, every degree counts. Even this year, 65 people have perished from nearly 44C (111F) heat in Karachi, Pakistan – a city used to extreme heat.</p>
<aside class="element element-pullquote element--supporting element-pullquote--photo-essay">
<span class="inline-garnett-quote inline-icon ">
<svg viewbox="0 0 35 25" class="inline-garnett-quote__svg inline-icon__svg">
<path d="M69.587.9c-1.842 15.556-3.89 31.316-4.708 48.1H37.043c3.07-16.784 8.391-32.544 17.602-48.1h14.942zM32.949.9c-2.047 15.556-4.094 31.316-4.912 48.1H.2C3.066 32.216 8.592 16.456 17.598.9h15.35z"/>
</svg> </span>
<blockquote>
<p class="pullquote-paragraph">These problems are worse for vulnerable or low-income populations living near traffic in poor housing with no air conditioning</p>
<footer>
<cite class="pullquote-cite">Tarik Benmarhnia, public health researcher</cite>
</footer>
</blockquote>
</aside>
<p>But the impact is not evenly distributed. For example, there is a strong correlation between an area’s green spaces and its wealth; when shade from tree canopies <a href="https://www.epa.gov/heat-islands/using-trees-and-vegetation-reduce-heat-islands" data-link-name="in body link" class="u-underline in-body-link--immersive">can lower</a><a href="https://www.epa.gov/heat-islands/using-trees-and-vegetation-reduce-heat-islands" data-link-name="in body link" class="u-underline in-body-link--immersive"> surfaces’ peak temperature</a> by 11–25°C, “landscape is a predictor for morbidity in heatwaves”, says Tarik Benmarhnia, public health researcher at University of California San Diego. <a href="https://www.ncbi.nlm.nih.gov/pubmed/29149680" data-link-name="in body link" class="u-underline in-body-link--immersive">A review paper</a> he recently co-authored found that people living in less vegetated areas had a 5% higher risk of death from heat-related causes.</p>
<p>In 2017, researchers at University of California, Berkeley <a href="https://ehp.niehs.nih.gov/1205919/#tab2" data-link-name="in body link" class="u-underline in-body-link--immersive">were able to map</a> racial divides in the US by proximity to trees. Black people were 52% more likely than white people to live in areas of unnatural “heat risk-related land cover”, while Asians were 32% more likely and Hispanics 21%.</p>
<p><a href="https://www.epa.gov/ozone-pollution-and-your-patients-health/health-effects-ozone-general-population#mortality" data-link-name="in body link" class="u-underline in-body-link--immersive">Air pollution is more deadly</a> in these areas, too, as nitrous oxides generate ozone when heated by the sun, inflaming airways and increasing mortality risk. “These problems are worse,” says Benmarhnia, “for vulnerable or low-income populations living near traffic in poor housing with no air conditioning.”</p>
<p>But air conditioning will remain out of reach for many, even as it increasingly becomes a necessity. In 2014, Public Health England <a href="https://www.theguardian.com/environment/2014/feb/04/heat-related-deaths-climate-change" data-link-name="in body link" class="u-underline in-body-link--immersive">raised concerns that</a> “the distribution of cooling systems may reflect socioeconomic inequalities unless they are heavily subsidised,” adding that rising fuel costs could further exacerbate this. And when we need to use less energy and cool the planet, not just our homes and offices, relying upon air conditioning is not a viable long-term plan – and certainly not for everyone.</p>
<figure itemprop="associatedMedia image" itemscope="" itemtype="http://schema.org/ImageObject" data-component="image" class="element element-image img--landscape element--immersive fig--narrow-caption fig--has-shares section-image element-image--photo-essay" data-media-id="aa1cffc0c5fa07b2dfc6d73f5b23ef5d9c9d7994" id="img-3">
<h2 class="section-title">‘In Cairo everything is suffocating’</h2>
<meta itemprop="url" content="https://i.guim.co.uk/img/media/aa1cffc0c5fa07b2dfc6d73f5b23ef5d9c9d7994/0_94_3000_1800/master/3000.jpg?w=700&amp;q=55&amp;auto=format&amp;usm=12&amp;fit=max&amp;s=210a26e92f1061e12b90ba8b915a1c60"/>
<meta itemprop="width" content="3000"/>
<meta itemprop="height" content="1800"/>
<a href="#img-3" class="article__img-container js-gallerythumbs in-body-link--immersive" data-link-name="Launch Article Lightbox" data-is-ajax="">
 <span class="inline-expand-image inline-icon centered-icon rounded-icon article__fullscreen modern-visible">
<svg viewbox="0 0 22 22" class="centered-icon__svg rounded-icon__svg article__fullscreen__svg modern-visible__svg inline-expand-image__svg inline-icon__svg">
<path d="M3.4 20.2L9 14.5 7.5 13l-5.7 5.6L1 14H0v7.5l.5.5H8v-1l-4.6-.8M18.7 1.9L13 7.6 14.4 9l5.7-5.7.5 4.7h1.2V.6l-.5-.5H14v1.2l4.7.6"/>
</svg> </span> </a>
</figure>
<figure class="element element-interactive interactive element--thumbnail" data-interactive="https://interactive.guim.co.uk/embed/iframe-wrapper/0.1/boot.js" data-canonical-url="https://interactive.guim.co.uk/uploader/embed/2018/08/global-issuemap/giv-39026i9JHeU4v3Af" data-alt="Cairo map">
<a href="https://interactive.guim.co.uk/uploader/embed/2018/08/global-issuemap/giv-39026i9JHeU4v3Af" data-link-name="in body link" class="u-underline in-body-link--immersive">Cairo map</a>
</figure>
<p>Most of the research into heatwaves and public health has focused on western countries; Benmarhnia says more studies have been done on the city of Phoenix, Arizona, than the entire continent of Africa. But the problem is global, and especially pronounced across urban slums such as the <em tabindex="-1">ashwiyyat</em> in Cairo, where temperatures during the city’s five-month-long summers have peaked at 46C (115F).</p>
<p>Traditionally Egyptians <a href="https://www.researchgate.net/publication/282988400_The_architecture_of_home_in_cairo_Socio-Spatial_practice_of_the_hawari's_everyday_life" data-link-name="in body link" class="u-underline in-body-link--immersive">built low buildings</a> close together, forming dense networks of shaded alleyways where people could keep cool during summer. But the rapid construction of high-rises and decreasing green spaces have made one of the fastest-growing cities in the world increasingly stifling. Subsidy cuts have brought about a rise of 18-42% in electricity costs, affecting many poor residents’ options for cooling down.</p>
<p>Um Hamad, 41, works as a cleaner and lives with her family in a small flat in <a draggable="true" href="https://www.google.com.eg/maps/place/Musturad,+Arab+Al+Hoson,+Qesm+Al+Matareyah,+Cairo+Governorate/@30.141234,31.2781776,15z/data=!3m1!4b1!4m8!1m2!2m1!1smostorod+cairo!3m4!1s0x1458151f6d36a85d:0xe67b49ff5fa44da2!8m2!3d30.1412304!4d31.2869167" data-link-name="in body link" class="u-underline in-body-link--immersive">Musturad</a> in the city’s north. Though she considers them lucky to live on the relatively cool first floor, “in Cairo everything is suffocating”, she says. Hamad use fans and water to keep cool inside, but the water bill is becoming expensive . “There’s always that trick of sleeping on the floor, and we wear cotton clothes ,” she says. “The temperatures are harder to deal with for women who wear the hijab, so I always tell my daughters to wear only two layers and to wear bright colours.”</p>
<p>In a tight-knit cluster of urban dwellings in Giza, to Cairo’s south, Yassin Al-Ouqba, 42, a train maintenance worker, lives in a house built from a mixture of bricks and mud-bricks. In August, he says, it becomes “like an oven”. “I have a fan and I place it in front of a plate of ice so that it spreads cold air throughout the room. I spread cold water all over the sheets.”</p>
<figure itemprop="associatedMedia image" itemscope="" itemtype="http://schema.org/ImageObject" data-component="image" class="element element-image img--landscape element--immersive fig--narrow-caption fig--has-shares section-image element-image--photo-essay" data-media-id="4797f7e32863fed5f79f425e917c404638df4edd" id="img-4">
<h2 class="section-title">Manila: ‘It gets hellish in summer’</h2>
<meta itemprop="url" content="https://i.guim.co.uk/img/media/4797f7e32863fed5f79f425e917c404638df4edd/420_70_3580_2148/master/3580.jpg?w=700&amp;q=55&amp;auto=format&amp;usm=12&amp;fit=max&amp;s=a4d1c5e58ee31b112370c65d275d0637"/>
<meta itemprop="width" content="3580"/>
<meta itemprop="height" content="2148"/>
<a href="#img-4" class="article__img-container js-gallerythumbs in-body-link--immersive" data-link-name="Launch Article Lightbox" data-is-ajax="">
 <span class="inline-expand-image inline-icon centered-icon rounded-icon article__fullscreen modern-visible">
<svg viewbox="0 0 22 22" class="centered-icon__svg rounded-icon__svg article__fullscreen__svg modern-visible__svg inline-expand-image__svg inline-icon__svg">
<path d="M3.4 20.2L9 14.5 7.5 13l-5.7 5.6L1 14H0v7.5l.5.5H8v-1l-4.6-.8M18.7 1.9L13 7.6 14.4 9l5.7-5.7.5 4.7h1.2V.6l-.5-.5H14v1.2l4.7.6"/>
</svg> </span> </a>
</figure>
<figure class="element element-interactive interactive element--thumbnail" data-interactive="https://interactive.guim.co.uk/embed/iframe-wrapper/0.1/boot.js" data-canonical-url="https://interactive.guim.co.uk/uploader/embed/2018/08/hospital-prisonmap/giv-3902UjTTIqp3zO6x" data-alt="Manila map">
<a href="https://interactive.guim.co.uk/uploader/embed/2018/08/hospital-prisonmap/giv-3902UjTTIqp3zO6x" data-link-name="in body link" class="u-underline in-body-link--immersive">Manila map</a>
</figure>
<p>In tropical Manila in the Philippines, where highs above 30C are intensified by stifling humidity, air conditioning is a luxury even for those in medical care. The Dr Jose Fabella Memorial Hospital is said to have one of the world’s busiest maternity wards, with free contraception only recently made available in the predominantly Catholic country.</p>
<p>An air-conditioned private room costs 650 Philippine pesos per night – less than £10, but far beyond the means of most mothers-to-be, who end up in wards reliant on fans buzzing softly on wall mounts. “These fans work nonstop 24 hours a day, so they never last a year,” says Maribel Bote, a nurse at the hospital for 28 years.</p>
<p>The problem is compounded by regular overcrowding: in the maternity ward, known as ground zero of the country’s overpopulation crisis, as many as five mothers <a href="https://www.pri.org/stories/2015-03-05/manila-baby-factory-why-women-put-crowding-four-or-more-bed-after-giving-birth" data-link-name="in body link" class="u-underline in-body-link--immersive">have been forced</a> to share one bed. “It gets hellish in the summer – the fans blow hot air,” says Bote. “You’ll see the mothers using paper fans to cool themselves.”</p>
<p>In Cambodia, which has seen devastating heatwaves and drought in recent years, surviving the heat is as much a question of status for prisoners as it is for civilians. In the early 2000s Chao Sophea, 30, spent more than two years at Phnom Penh’s Prey Sar prison after being convicted on drug charges, which she denies. At the time she was three months pregnant; Sophea’s child spent its first year in an overcrowded cell designated for pregnant women and new mothers.</p>
<aside class="element element-pullquote element--supporting element-pullquote--photo-essay">
<span class="inline-garnett-quote inline-icon ">
<svg viewbox="0 0 35 25" class="inline-garnett-quote__svg inline-icon__svg">
<path d="M69.587.9c-1.842 15.556-3.89 31.316-4.708 48.1H37.043c3.07-16.784 8.391-32.544 17.602-48.1h14.942zM32.949.9c-2.047 15.556-4.094 31.316-4.912 48.1H.2C3.066 32.216 8.592 16.456 17.598.9h15.35z"/>
</svg> </span>
<blockquote>
<p class="pullquote-paragraph">We slept like smoked fish on a skewer. There was no air conditioning, not even a fan</p>
<footer>
<cite class="pullquote-cite">Former Prey Sar prisoner</cite>
</footer>
</blockquote>
</aside>
<p>“It was actually a steaming room,” says Sophea today. “I was using a fan made of a palm leaf to cool my baby down – that was what I could afford. There was a tiny hole in the wall, but can you imagine how much air you would absorb in such a crowded space? We made a request for an electric fan, but it never arrived.”</p>
<p>An environmental activist who wishes to remain anonymous says he shared a cell of about four square metres with at least 25 other men when he was held in Prey Sar’s men’s wing earlier this year. “We slept like smoked fish on a skewer. There was no air conditioning, not even a fan.”</p>
<p>Others may be able to secure better conditions. A 2015 report by the Cambodian League for the Promotion and Defence of Human Rights stated that “some prisons reportedly house ‘VIP cells’ for well-connected prisoners or those able to pay for single-cell accommodation,” and these are believed to be air conditioned.</p>
<figure itemprop="associatedMedia image" itemscope="" itemtype="http://schema.org/ImageObject" data-component="image" class="element element-image img--landscape element--immersive fig--narrow-caption fig--has-shares section-image element-image--photo-essay" data-media-id="37de4f50021f01202712f9e8174c4fb15e02f1b1" id="img-5">
<h2 class="section-title">Jordan: in a metal box in the desert</h2>
<meta itemprop="url" content="https://i.guim.co.uk/img/media/37de4f50021f01202712f9e8174c4fb15e02f1b1/0_242_3500_2101/master/3500.jpg?w=700&amp;q=55&amp;auto=format&amp;usm=12&amp;fit=max&amp;s=c5021b03ce833ad135c469b559afd19f"/>
<meta itemprop="width" content="3500"/>
<meta itemprop="height" content="2101"/>
<a href="#img-5" class="article__img-container js-gallerythumbs in-body-link--immersive" data-link-name="Launch Article Lightbox" data-is-ajax="">
 <span class="inline-expand-image inline-icon centered-icon rounded-icon article__fullscreen modern-visible">
<svg viewbox="0 0 22 22" class="centered-icon__svg rounded-icon__svg article__fullscreen__svg modern-visible__svg inline-expand-image__svg inline-icon__svg">
<path d="M3.4 20.2L9 14.5 7.5 13l-5.7 5.6L1 14H0v7.5l.5.5H8v-1l-4.6-.8M18.7 1.9L13 7.6 14.4 9l5.7-5.7.5 4.7h1.2V.6l-.5-.5H14v1.2l4.7.6"/>
</svg> </span> </a>
</figure>
<figure class="element element-interactive interactive element--thumbnail" data-interactive="https://interactive.guim.co.uk/embed/iframe-wrapper/0.1/boot.js" data-canonical-url="https://interactive.guim.co.uk/uploader/embed/2018/08/refugees-map/giv-3902N3d1qq93iMqM" data-alt="Amman map">
<a href="https://interactive.guim.co.uk/uploader/embed/2018/08/refugees-map/giv-3902N3d1qq93iMqM" data-link-name="in body link" class="u-underline in-body-link--immersive">Amman map</a>
</figure>
<p>Compounding the threat posed by the changing climate is the refugee crisis. The two are intimately linked, with extreme weather events often a factor in social, political and economic instability. A <a href="https://www.theguardian.com/environment/climate-consensus-97-per-cent/2018/jan/15/study-finds-that-global-warming-exacerbates-refugee-crises" data-link-name="in body link" class="u-underline in-body-link--immersive">paper published in the journal Science</a> in December found that if greenhouse gas emissions were not meaningfully reduced global asylum applications would increase by almost 200% by the end of the century.</p>
<p>On a plain north of Amman, some 80,000 Syrians live in the <a href="https://www.theguardian.com/commentisfree/2015/sep/14/life-refugee-camp-syrian-family-jordan-escape" data-link-name="in body link" class="u-underline in-body-link--immersive">Za’atari refugee camp</a>, a semi-permanent urban settlement set up six years ago and now <a href="https://www.oxfam.org/en/crisis-syria/life-zaatari-refugee-camp-jordans-fourth-biggest-city" data-link-name="in body link" class="u-underline in-body-link--immersive">considered</a> Jordan’s fourth-largest city. Hamda Al-Marzouq, 27, arrived three years ago, fleeing airstrikes on her neighbourhood in the outskirts of Damascus.</p>
<p>Her husband had gone missing during the war, and she was desperate to save her young son and extended family. Eight of them now live in a prefabricated shelter, essentially a large metal box, which Al-Marzouq says turns into an oven during the summer.</p>
<aside class="element element-pullquote element--supporting element-pullquote--photo-essay">
<span class="inline-garnett-quote inline-icon ">
<svg viewbox="0 0 35 25" class="inline-garnett-quote__svg inline-icon__svg">
<path d="M69.587.9c-1.842 15.556-3.89 31.316-4.708 48.1H37.043c3.07-16.784 8.391-32.544 17.602-48.1h14.942zM32.949.9c-2.047 15.556-4.094 31.316-4.912 48.1H.2C3.066 32.216 8.592 16.456 17.598.9h15.35z"/>
</svg> </span>
<blockquote>
<p class="pullquote-paragraph">It’s suffocating. We soak the towels and try to breathe through them</p>
<footer>
<cite class="pullquote-cite">Hamda Al-Marzouq, Za’atari camp resident</cite>
</footer>
</blockquote>
</aside>
<p>“It’s a desert area, and we’re suffering,” she says by phone from the camp. “We have different ways of coping. We wake in the early morning and soak the floor with water. Then we sprinkle water on ourselves.” There is no daytime electricity, so fans are useless. When power does arrive at night, the desert has already cooled.</p>
<p>Many days, her family will wait until the evening to walk outside, wrapping wet towels around their heads. But the biggest problem are sandstorms, which can arrive violently during the summer months and engulf the camp for days. “We have to close the caravan windows,” she says, adding the room then gets hotter. “It’s suffocating. We soak the towels and try to breathe through them.”</p>
<p>Al-Marzouq’s five-year-old son suffers respiratory problems and keeps getting infections, while asthma is rife across the camp.</p>
<p>Water has also been an issue, with demand in northern Jordan – one of the most water-scarce countries in the world – surging following the refugee arrivals. A <a href="https://www.unicef.org/jordan/media_12566.html" data-link-name="in body link" class="u-underline in-body-link--immersive">Unicef</a><a href="https://www.unicef.org/jordan/media_12566.html" data-link-name="in body link" class="u-underline in-body-link--immersive">-led operation</a> will see all households connected to a water network by October, which Al-Marzouq says has been a significant help.</p>
<p>“We used to collect water with jerry cans and had to carry it for long distances. Now, with the water network being operational, things are much easier. We don’t have to fight in a long queue to get our share of water. Now there is equity.”</p>
<figure itemprop="associatedMedia image" itemscope="" itemtype="http://schema.org/ImageObject" data-component="image" class="element element-image img--landscape fig--narrow-caption fig--has-shares element-image--photo-essay" data-media-id="e1f0d5bef280511b93764be6c1f4e5d6e3c29eaa" id="img-6">
<meta itemprop="url" content="https://i.guim.co.uk/img/media/e1f0d5bef280511b93764be6c1f4e5d6e3c29eaa/0_258_4368_2621/master/4368.jpg?w=700&amp;q=55&amp;auto=format&amp;usm=12&amp;fit=max&amp;s=b90bb60ae4d065dede6fa5718aeea625"/>
<meta itemprop="width" content="4368"/>
<meta itemprop="height" content="2621"/>
<a href="#img-6" class="article__img-container js-gallerythumbs in-body-link--immersive" data-link-name="Launch Article Lightbox" data-is-ajax="">
 <span class="inline-expand-image inline-icon centered-icon rounded-icon article__fullscreen modern-visible">
<svg viewbox="0 0 22 22" class="centered-icon__svg rounded-icon__svg article__fullscreen__svg modern-visible__svg inline-expand-image__svg inline-icon__svg">
<path d="M3.4 20.2L9 14.5 7.5 13l-5.7 5.6L1 14H0v7.5l.5.5H8v-1l-4.6-.8M18.7 1.9L13 7.6 14.4 9l5.7-5.7.5 4.7h1.2V.6l-.5-.5H14v1.2l4.7.6"/>
</svg> </span> </a>
</figure>
<h2>A plan for the future?</h2>
<p>Across the board, lack of equality has been found to feed the urban furnaces. The US researchers who in 2013 uncovered the racial divide in urban heat vulnerability discovered that the more segregated a city was, the hotter it was for everyone. Rachel Morello-Frosch, one of the co-authors,<a href="http://www.latimes.com/science/sciencenow/la-sci-sn-minorities-urban-heat-islands-20130709-story.html" data-link-name="in body link" class="u-underline in-body-link--immersive"> told the LA Times</a> at the time that “this pattern of racial segregation appears to increase everyone’s risk of living in a heat-prone environment”.</p>
<p>Treating cities as a whole, ghettos and all, is a more effective way to tackle extreme urban heat, they found. Researchers recommended planting more trees and increasing light-coloured surfaces to reduce the overall heat island effect, adding that urban planning to mitigate future extreme heat “should proactively incorporate an environmental justice perspective and address racial/ethnic disparities”.</p>
<aside class="element element-pullquote element--supporting element-pullquote--photo-essay">
<span class="inline-garnett-quote inline-icon ">
<svg viewbox="0 0 35 25" class="inline-garnett-quote__svg inline-icon__svg">
<path d="M69.587.9c-1.842 15.556-3.89 31.316-4.708 48.1H37.043c3.07-16.784 8.391-32.544 17.602-48.1h14.942zM32.949.9c-2.047 15.556-4.094 31.316-4.912 48.1H.2C3.066 32.216 8.592 16.456 17.598.9h15.35z"/>
</svg> </span>
<blockquote>
<p class="pullquote-paragraph">Cities will have to rethink how we prepare for these emergencies and what we’re able to offer to all of our citizens</p>
<footer>
<cite class="pullquote-cite">Francine Nadler, Benedict Labre House</cite>
</footer>
</blockquote>
</aside>
<p>Working to break social isolation, says Benmarhnia, “is a win-win situation”, with the added benefit of bringing the “invisible” people most at risk – like the homeless, and illegal immigrants – back into the community, where they can be looked after.</p>
<p>In at least one of the world’s hottest countries, steps are starting to be taken. India recently announced that <a href="https://www.theguardian.com/world/2018/jun/02/india-heat-wave-deaths-public-health-measures" data-link-name="in body link" class="u-underline in-body-link--immersive">a series of common-sense public health interventions</a> have led to an enormous reduction in heat-related deaths – from 2,040 in 2015, to a little over 200 in 2017. Successful measures included unlocking the gates to public parks during the day, distributing free water, and painting the roofs of slum communities white, knocking 5C off internal temperatures.</p>
<aside class="element element-rich-link element--thumbnail element-rich-link--not-upgraded" data-component="rich-link" data-link-name="rich-link-1 | 1">
<div class="rich-link">
<div class="rich-link__container">
<p class="rich-link__header">
<h1 class="rich-link__title">Halfway to boiling: the city at 50C</h1>
</p>

<a class="rich-link__link u-faux-block-link__overlay in-body-link--immersive" href="https://www.theguardian.com/cities/2018/aug/13/halfway-boiling-city-50c" aria-label="Halfway to boiling: the city at 50C"/>
</div>
</div>
</aside>
<p>Montreal first implemented <a href="https://ehp.niehs.nih.gov/EHP203/" data-link-name="in body link" class="u-underline in-body-link--immersive">a similar heat action plan in 2004</a>, reducing mortality on hot days by 2.52 deaths per day, but as the heat waves intensify, it is likely that this will need to be reassessed. Nadler says the devastating impacts of global warming are only just beginning to dawn on everyone. “Cities will have to rethink how we prepare for these emergencies and what we’re able to offer to all of our citizens – from the most affluent, to the most vulnerable.”</p>
<p><em>Additional reporting by Ruth Michaelson with Adham Youssef in Cairo, Oliver Holmes in Jerusalem, Carmela Fonbuena in Manila and Holly Robertson in Phnom Penh</em></p>
<p><em>Follow Guardian Cities on <a href="https://twitter.com/guardiancities" data-link-name="in body link" class="u-underline in-body-link--immersive">Twitter</a>, <a href="https://www.facebook.com/guardiancities" data-link-name="in body link" class="u-underline in-body-link--immersive">Facebook</a> and <a href="https://www.instagram.com/guardiancities/?hl=en" data-link-name="in body link" class="u-underline in-body-link--immersive">Instagram</a> to join the discussion, and <a href="https://www.theguardian.com/cities" data-link-name="in body link" class="u-underline in-body-link--immersive">explore our archive here</a></em></p>
</div>