title: Hitting The Wall
url: https://glyph.twistedmatrix.com/2016/09/hitting-the-wall.html
hash_url: bee6c7038a9a47838ad362260a8339db

<p>I’m an introvert.</p>
<p>I say that with a full-on appreciation of
<a href="http://the-toast.net/2014/11/10/sorry-murdered-everyone-im-introvert/">just how awful</a>
thinkpieces on “introverts” are.</p>
<p>However, I feel compelled to write about this today because of a certain type
of social pressure that a certain type of introvert faces.  Specifically, I am
a <em>high-energy</em> introvert.</p>
<p>Cementing this piece’s place in the hallowed halls of <em>just awful</em> thinkpieces,
allow me to compare my mild cognitive fatigue with the plight of those
suffering from chronic illness and disability<sup id="fnref:1"><a class="footnote-ref" href="#fn:1" rel="footnote">1</a></sup>.  There’s a social phenomenon
associated with many chronic illnesses,
<a href="http://www.butyoudontlooksick.com">“but you don’t LOOK sick”</a>, where
well-meaning people will look at someone who is suffering, with no obvious
symptoms, and imply that they really <em>ought</em> to be able to “be normal”.</p>
<p>As a high-energy introvert, I frequently participate in social events.  I go to
meet-ups and conferences and I engage in plenty of
<a href="http://pyvideo.org/speaker/glyph.html">public speaking</a>.  I am, in a sense,
comfortable extemporizing in front of large groups of strangers.</p>
<p>This all sounds like extroverted behavior, I know.  But there’s a key
difference.</p>
<p>Let me posit two axes for personality type: on the X axis, “introvert” to
“extrovert”, and on the Y, “low energy” up to “high energy”.</p>
<p>The X axis describes <em>what kinds of activities give you energy</em>, and the Y axis
describes <em>how large your energy reserves are for the other type</em>.</p>
<p>Notice that I didn’t say which type of activity you <em>enjoy</em>.</p>
<p>Most people who would self-describe as “introverts” are in the
low-energy/introvert quadrant.  They have a small amount of energy available
for social activities, which they need to frequently re-charge by doing
solitary activities.  As a result of frequently running out of energy for
social activities, they don’t <em>enjoy</em> social activities.</p>
<p>Most people who would self-describe as “extroverts” are also on the
“low-energy” end of the spectrum.  They have low levels of patience for
solitary activity, and need to re-charge by spending time with friends, going
to parties, etc, in order to have the mental fortitude to sit still for a while
and focus.  Since they can endlessly get more energy from the company of
others, they tend to enjoy social activities quite a bit.</p>
<p>Therefore we have certain behaviors we expect to see from “introverts”.  We
expect them to be shy, and quiet, and withdrawn.  When someone who behaves this
way has to bail on a social engagement, this is expected.  There’s a certain
affordance for it.  If you spend a few hours with them, they may be initially
friendly but will visibly become uncomfortable and withdrawn.</p>
<p>This “energy” model of personality is of course an oversimplification - it’s my
personal belief that everyone needs some balance of privacy and socialization
and solitude and eventually overdoing one or the other will be bad for anyone -
but it’s a useful one.</p>
<p>As a <em>high</em>-energy introvert, my behavior often confuses people.  I’ll show up
at a week’s worth of professional events, be the life of the party, go out to
dinner at all of them, and then disappear for a month.  I’m not visibily shy -
quite the opposite, I’m a gregarious raconteur.  In fact, I quite <em>visibly</em>
enjoy the company of friends.  So, usually, when I try to explain that I am
quite introverted, this claim is met with (quite understandable) skepticism.</p>
<p>In fact, I am quite functionally what society expects of an “extrovert” - until
I hit the wall.</p>
<hr />
<p>In endurance sports, one is said to
<a href="https://en.wikipedia.org/wiki/Hitting_the_wall">“hit the wall”</a> at the point
where all the short-term energy reserves in one’s muscles are exhausted, and
there is a sudden, dramatic loss of energy.  Regardless, many people <em>enjoy</em>
endurance sports; part of the challenge of them is properly managing your
energy.</p>
<p>This is true for me and social situations.  I do <em>enjoy</em> social situations
quite a bit!  But they are nevertheless quite taxing for me, and without
prolonged intermissions of solitude, eventually I get to the point where I can
no longer behave as a normal social creature without an excruciating level of
effort and anxiety.</p>
<p>Several years ago, I attended a prolonged social event<sup id="fnref:2"><a class="footnote-ref" href="#fn:2" rel="footnote">2</a></sup> where I hit the
wall, hard.  The event itself was several hours too long for me, involved
meeting lots of strangers, and in the lead-up to it I hadn’t had a weekend to
myself for a few weeks due to work commitments and family stuff.  Towards the
end I noticed I was developing a completely
<a href="https://en.wikipedia.org/wiki/Reduced_affect_display">flat affect</a>, and had to
start very consciously performing even basic body language, like looking at
someone while they were talking or smiling.  I’d never been so exhausted and
numb in my life; at the time I thought I was just stressed from work.</p>
<p>Afterwards though, I started having a lot of weird nightmares,
<a href="https://en.wikipedia.org/wiki/Flashback_(psychology)">even during the daytime</a>.
This concerned me, since I’d never had such a severe reaction to a social
situation, and I didn’t have good language to describe it.  It was also a
little perplexing that what was effectively a nice party, the first half of
which had even been fun for me, would cause such a persistent negative reaction
after the fact.  After some research, I eventually discovered that such
involuntary thoughts are
<a href="https://en.wikipedia.org/wiki/Posttraumatic_stress_disorder">a hallmark of PTSD</a>.</p>
<p>While I’ve managed to avoid this level of exhaustion before or since, this was
a real learning experience for me that the consequences of incorrectly managing
my level of social interaction can be quite severe.</p>
<p>I’d rather not do that again.</p>
<hr />
<p>The reason I’m writing this, though<sup id="fnref:3"><a class="footnote-ref" href="#fn:3" rel="footnote">3</a></sup>, is not to avoid future anxiety.  My
social energy reserves are quite large enough, and I now have enough
self-knowledge, that it is extremely unlikely I’d ever find myself in that
situation again.</p>
<p>The reason I’m writing is to help people understand that <em>I’m not blowing them
off because I don’t like them</em>.  Many times now, I’ve declined or bailed an
invitation from someone, and later heard that they felt hurt that I was
passive-aggressively refusing to be friendly.</p>
<p>I certainly understand this reaction.  After all, if you see someone at a party
and they’re clearly having a great time and chatting with everyone, but then
when <em>you</em> invite them to do something, they say “sorry, too much social
stuff”, that seems like a pretty passive-aggressive way to respond.</p>
<p>You might even still be skeptical after reading this.  “Glyph, if you were
<em>really</em> an introvert, surely, I would have seen you looking a <em>little</em> shy and
withdrawn.  Surely I’d see <em>some</em> evidence of stage fright before your talks.”</p>
<p>But that’s exactly the problem here: no, you wouldn’t.</p>
<p>At a social event, since I have lots of energy to begin with, I’ll build up a
head of steam on burning said energy that no low-energy introvert would ever
risk.  If I were to run out of social-interaction-juice, I’d be in the middle
of a big crowd telling a long and elaborate story when I find myself exhausted.
If I hit the wall in that situation, I can’t feel a little awkward and make
excuses and leave; I’ll be stuck creepily faking a smile like a sociopath and
frantically looking for a way out of the converstaion for an hour, as the
pressure from a large crowd of people rapidly builds up months worth of
nightmare fuel from my spiraling energy deficit.</p>
<p>Given that I know that’s what’s going to happen, <em>you won’t see me</em> when I’m
close to that line.  You won’t be in at my desk when I silently sit and type
for a whole day, or on my couch when I quietly read a book for ten hours at a
time.  My solitary side is, by definition, hidden.</p>
<p>But, if I don’t show up to your party, I promise: it’s not you, it’s me.</p>
<div class="footnote">
<hr />
<ol>
<li id="fn:1">
<p>In all seriousness: this is a comparison of <em>kind</em> and not of <em>degree</em>.
I absolutely do not have any illusions that my minor mental issues are a
serious disability.  They are - by definition, since I do not have a
diagnosis - subclinical.  I am describing a minor annoyance and frequent
miscommunication in this post, not a personal tragedy.&#160;<a class="footnote-backref" href="#fnref:1" rev="footnote" title="Jump back to footnote 1 in the text">&#8617;</a></p>
</li>
<li id="fn:2">
<p>I’ll try to keep this anonymous, so hopefully you can’t guess - I don’t
want to make anyone feel bad about this, since it was my poor
time-management and not their (lovely!) event which caused the problem.&#160;<a class="footnote-backref" href="#fnref:2" rev="footnote" title="Jump back to footnote 2 in the text">&#8617;</a></p>
</li>
<li id="fn:3">
<p>... aside from the hope that maybe someone else has had trouble
explaining the same thing, and this will be a useful resource for them ...&#160;<a class="footnote-backref" href="#fnref:3" rev="footnote" title="Jump back to footnote 3 in the text">&#8617;</a></p>
</li>
</ol>
</div>
