title: De Mozilla à la Brasserie du Vieux Singe
url: https://blog.notmyidea.org/de-mozilla-a-la-brasserie-du-vieux-singe.html
hash_url: c54d933349c1733523f0036b32d2881b

<h2 class="post-headline">Comment un passionné de Logiciels libres choisit de créer une petite brasserie artisanale.</h2>
<p><em>Ce weekend avait lieu <a href="https://sudweb.fr/2018/">SudWeb</a> « la conférence Web surtout humaine », ou on m'a proposé de venir parler de ma reconversion professionnelle, ou comment un passionné de Logiciels Libres choisit de créer une petite brasserie artisanale.</em></p>
<p><em>Certaines parties de ce que je voulais transmettre sont passées à la trappe, alors que d'autres ont pris plus de place que prévu. J'avais donc envie de reprendre mes notes pour les transformer en billet de blog, question d'élaborer sur le sujet.</em></p>
<hr>
<p>J'ai toujours été motivé par mes passions. Quand j'ai commencé à travailler professionnellement, je me suis rendu compte que même si je faisais quasiment la même chose qu'auparavant, ça n'avait plus le même goût. J'étais maintenant <em>obligé</em> de le faire, et je n'en tirais pas le même plaisir.</p>
<p>Quand j'étais plus jeune au lycée j'écrivais des programmes en <em>Visual Basic</em> que je partageais en ligne sur mon site en <code>.free.fr</code>. Programmes que probablement personne n'a lu, mais l'intention était bel et bien celle de partager mes créations, et d'échanger à leur propos.</p>
<p>Cette culture du partage — celle du logiciel libre — est celle qui m'anime.</p>
<p>Quelques années plus tard, je découvre le langage de programmation Python, et avec lui toute une communauté, mue par ces mêmes valeurs de partage et d'amélioration de nos pratiques. Puis je rencontre le Logiciel Libre, avec l'écriture d'un programme (<a href="https://getpelican.com">pelican</a>) qui reste encore largement utilisé aujourd'hui. Autant dire que c'est une bonne claque que de voir des inconnus contribuer à un bout de code qu'eux aussi jugent utile.</p>
<p>A la fin de mes études, alors que je reste passionné par le développement logiciel, je ne veux ni travailler pour l'industrie, ni pour la finance. Je songe même déjà à cette époque à changer de métier (avant même d'avoir commencé !). Coup de bol, une structure qui m'est chère cherche des développeurs Python: Mozilla. Sans trop y croire, je passe une série d'entretiens qui se déroulent bien (!) et je commence quelques mois plus tard à travailler pour cette organisation incroyable, porteuse d'espoir et de toute une symbolique pour moi.</p>
<p>Je bosse sur du Logiciel Libre, en Python, en télétravail parfois, avec une bonne paie, sans parler du côté préstigieux. Grisant.</p>
<p>Mais au fur et à mesure je découvre l'envers du décors: une méritocratie ancrée et assumée, une hiérarchie de plus en plus importante, menant à une lourdeur administrative assez présente. A ajouter à la barrière de la langue, et aux différences culturelles. Finalement tout n'est pas rose ici.</p>
<p>Je décide alors de (je pense) faire un de mes meilleurs choix de vie à ce jour: passer au 4/5èmes. Je récupère tous mes vendredis. Des weekends de 3 jours, toutes les semaines. Un espace précieux pour me reposer, et pour rêver un peu.</p>
<p>C'est à ce moment que Fred, un ami de longue date, en revenant du Québec (ou les brasseries sont légion), me propose de faire de la bière avec lui. Moi qui ne savais même pas qu'il était <em>possible</em> de faire de la bière. On tente donc l'expérience, et nos premières expériences sont des journées bien <em>funky</em>, à faire toutes les erreurs possibles.</p>
<p>Peu à peu, on découvre un nouveau monde: celui des brasseurs amateurs. Des nouvelles compétences sont nécessaires, de la physique à la biochimie. On se mets à rencontrer des professionnels, des passionnés, à échanger sur les forums. On se forme, petit à petit. Tout comme il y a la communauté des gens qui font du Python, il y a la communauté des gens qui font de la bière. Pas encore autant fédérés, ça semble balbutiant alors mais la passion elle est bien présente.</p>
<p>Tout comme le monde du Logiciel Libre est constitué autour d'un ennemi commun (les GAFA), le monde de la bière artisanale à la sien: les brasseries industrielles, qui uniformisent les goûts et les process.</p>
<p>Je continue en parallèle mon travail chez Mozilla, pendant 4 années. Et puis un jour, une annonce d'arrêt d'un projet sur lequel je travaillais me fait réaliser que cette situation m'épuise. La fameuse goutte de trop.</p>
<p>Je décide alors de partir, de faire une pause, sans trop savoir ce que l'avenir me réserve. Une petite période de blanc de deux mois. Le regard des autres est parfois culpabilisant. Mes parents me demandent si « je ne veux pas attendre encore un peu ». La transition me fait peur, mais je choisis quand même de troquer mon confort matériel pour de la cohérence.</p>
<p>Petit à petit, l'idée de monter ce qui est maintenant devenu <a href="https://www.vieuxsinge.com">La Brasserie du Vieux Singe</a> se pose en évidence. Mais monter une brasserie ce n'est pas uniquement faire de la bière: c'est se mettre d'accord sur des valeurs, trouver comment les défendre, monter un projet pour, et tenir le cap.</p>
<p>Quelques mois après mon départ, on se retrouve donc à parler de ces valeurs de partage, de documentation, de goût. De gouvernance et de collaboration aussi.
Dans nos pratiques courantes, on décide d'intégrer du temps pour documenter la vie de la brasserie.</p>
<p>A titre d'exemple, nos étiquettes contiennent l'ensemble des ingrédients que l'on utilise de la manière la plus détaillée possible. On travaille aussi sur un projet de laveuse de fûts, qui sera publié sous licence libre, avec l'idée de pouvoir, petit à petit, constituer un ensemble d'outils utiles a tous les brasseurs, et peut être même réussir à favoriser les échanges entre toutes ces personnes.</p>
<p>Nous sommes deux brasseurs, deux chefs d'entreprise, mais aussi deux développeurs. Nos compétences de développeurs nous sont utiles quotidiennement: pour notre laveuse de fûts, pour nos créations de recettes (j'ai découvert la puissance des tableurs !), pour notre site de préventes, notre site Web, nos outils du quotidien. On se rends compte qu'il s'agit de compétences précieuses.</p>
<p>Mais monter une entreprise, c'est aussi assumer une partie administrative. Vous vous rappelez cette histoire de réactions face aux activités subordonnées ? Et bien quand je fais mes déclarations aux Douanes, ce n'est pas de gaïté de cœur. Je sais par contre pourquoi je le fais: ce sont les rêgles du jeu. Des obligations, mais peut-être moins de coercition. J'y trouve plus de sens.</p>
<p>Et, si je n'avais pas réduit mon temps de travail, j'aurais peut-être loupé la découverte de ce nouveau monde, celui qui me passionne aujourd'hui.</p>
<p>Alors je vous invite à vous poser la question — indispensable — de vos valeurs: qu'est-ce que vous souhaitez faire ? Qu'est-ce qui vous anime ? Et peut-être à aménager du temps pour explorer vos envies.</p>
