title: Pull request templates make code review easier
url: https://quickleft.com/blog/pull-request-templates-make-code-review-easier/
hash_url: e9b8e370e7a0b08985827431c82f1d85

<p>We do a bunch of code reviews at <a href="https://sprint.ly">Sprint.ly</a>. One of the things we&#39;ve done to make that process a little easier is institute a code review template. This template is a free-form list of questions that every person filling out a pull request uses.</p>

<p>Our pull request template looks like this:</p>
<pre><code class="md">#### What&#39;s this PR do?
#### Where should the reviewer start?
#### How should this be manually tested?
#### Any background context you want to provide?
#### What are the relevant tickets?
#### Screenshots (if appropriate)
#### Questions:
- Is there a blog post?
- Does the knowledge base need an update?
- Does this add new (Python) dependencies which need to be added to chef?
</code></pre>
<p>Some sections get a &quot;n/a&quot;, such as the screenshot section for API only changes. In general though, this has proven to make reviewing a much easier process. Curious what it looks like in practice? Here&#39;s an example from a recent pull request. </p>

<p><img src="https://quickleft.com/wp-content/uploads/asset10.png" alt="A pull request template in action"></p>

<p>From just reading this, the reviewer is sufficiently caught up on what this change is, why it is important and how they should tackle this. Just a little of the author&#39;s time can save much more for the reviewer who often lacks context. </p>

<p>Do you have any techniques which makes your code review process smoother? Let us know!</p>
