title: Micro.blog + Mastodon
url: https://www.manton.org/2018/11/07/microblog-mastodon.html
hash_url: ea9495ea063cade87f37ce56a3ca01ce

<p>For some time, we have been considering how we could open up compatibility between <a href="https://micro.blog/">Micro.blog</a> and <a href="https://joinmastodon.org/">Mastodon</a>. Any feature that could be disruptive needs to be approached carefully. In this post I want to talk about how Micro.blog supports Mastodon, why I think it’s useful, and anticipate some questions that we’ll get about this feature.</p>

<p>We’re launching 2 major features today:</p>

<ul>
  <li>Micro.blog can now cross-post to a Mastodon user account, in the same way we cross-post to Twitter, Facebook, Medium, and LinkedIn. This takes a copy of your blog posts and sends them to a specified Mastodon account.</li>
  <li>Your custom domain on Micro.blog can now be ActivityPub-compatible, so that you can follow and reply to Mastodon users directly on Micro.blog. This also means someone can follow your blog posts by adding @you@yourdomain.com on Mastodon. (This username is configurable. Mine is @manton@manton.org.)</li>
</ul>

<p>These 2 features are separate and either can be enabled if you want. I have tried to be very deliberate in how ActivityPub is implemented. It is off by default, and to keep the focus on blogging and content ownership, it only works with custom domain names.</p>

<p>One of the most important goals for Micro.blog is to encourage more people to blog. I wrote last year that <a href="https://www.manton.org/2017/01/14/key-for-microblog.html">it’s a success if more people blog</a>. Based on the feedback we’ve received from the Micro.blog community, we are making great progress toward that goal.</p>

<p>We have a lot of things we want to help solve with Micro.blog, but blogging is a core part of the foundation. It’s not about being the most popular social network. It’s not about competing with every platform that launches. It’s much better for the mission of Micro.blog for us to embrace other platforms (as we’ve always done with the <a href="https://indieweb.org/">IndieWeb</a>) rather than put up walls between APIs.</p>

<p><a href="https://manton.org/2018/09/07/the-way-out.html">I recently published a post with 4 parts</a> to how we get out of the current mess with today’s big social networks. I mentioned Mastodon in that post because while I don’t think Mastodon tackles all 4 parts of fixing this, I do think it has a role to play.</p>

<p>More compatibility with Mastodon lets us support the good things that Mastodon has accomplished, while still carrying forward what I think are the unique strengths of Micro.blog. It also opens up the Micro.blog community to interact with a much larger user base.</p>

<p>Sometimes in the Mastodon world your identity can get fragmented across multiple instances. You might start on mastodon.social but then move to another instance, effectively breaking the link between your readers and your posts each time you move, with no way to migrate posts between instances. By supporting Mastodon and ActivityPub in Micro.blog, you can consolidate your identity and posts back to your own blog at your own domain name.</p>

<p><a href="https://manton.org/2018/03/23/indieweb-generation-and.html">As I wrote earlier this year</a>, content ownership on the web is about domain names:</p>

<blockquote>
  <p>When you write and post photos at your own domain name, your content can outlive any one blogging platform. This month marked the 16th anniversary of blogging at manton.org, and in that time I’ve switched blogging platforms and hosting providers a few times. The posts and URLs can all be preserved through those changes because it’s my own domain name.</p>
</blockquote>

<p>If you already have your blog on Micro.blog at yourdomain.com, we can build on that to allow @you@yourdomain.com or @whatever@micro.domain.com. This focus on domain names will continue to guide new features in Micro.blog.</p>

<p>Let me answer some questions:</p>

<ul>
  <li><strong>How is Mastodon support enabled on my account?</strong> In Micro.blog on the web, click Account → ActivityPub. You will be prompted to select a username. A paid hosted microblog is required so that Micro.blog can use your custom domain name.</li>
  <li><strong>How can I find Mastodon users to follow on Micro.blog?</strong> As more Micro.blog users interact with Mastodon users, some of those users will naturally show up in conversations or even be featured in our Discover timeline. You can also add a specific Mastodon user by searching for their full username.</li>
  <li><strong>Will Micro.blog now start showing follower counts?</strong> No, it’s important to me that we don’t change the Micro.blog user experience to resemble every other social network. When you follow a Micro.blog user from Mastodon, an individual Mastodon instance will have its own follower count just for that instance. Any follower count shown in Mastodon for a Micro.blog user will be wrong. This isn’t ideal, but it’s the best we can currently do with how Mastodon works.</li>
  <li><strong>What about Content Warnings?</strong> Micro.blog does not support them. I’ve heard from Mastodon fans who like Content Warnings, but I’m concerned about introducing extra friction in both the posting and reading experience. We’ll reevaluate this feature later.</li>
  <li><strong>What happens to direct messages sent from Mastodon to Micro.blog?</strong> Micro.blog does not have any private posts by design. Direct messages sent from Mastodon are converted into a private email.</li>
  <li><strong>Is this going to make Micro.blog just like Mastodon?</strong> No, this is not a clone of Mastodon merged into Micro.blog or running alongside it. It’s a from-scratch implementation of a few common APIs that Mastodon uses so that both systems can talk to each other.</li>
  <li><strong>Will third-party Mastodon clients work with Micro.blog?</strong> Not currently. We might consider this later, but because of the UI differences, I think it’s a better fit to have third-party apps designed for either Micro.blog or IndieWeb standards.</li>
  <li><strong>What will happen to the Micro.blog community?</strong> I hope that this will help grow the community, without taking away from what has worked well on Micro.blog. While you might see some Mastodon posts, and those Mastodon users can interact with Micro.blog users, users from other Mastodon instances won’t know about our community guidelines or expectations for Micro.blog. The community will remain predominantly Micro.blog users who share our goals for the platform.</li>
  <li><strong>How does Micro.blog’s mute feature work with Mastodon?</strong> Muting in Micro.blog has been expanded to support muting individual Mastodon users, or entire Mastodon instances based on their domain name. We have also preloaded a common <a href="https://github.com/tootcafe/blocked-instances">list of Mastodon instances that are muted automatically</a> because of code of conduct violations.</li>
</ul>

<p>This is a really big feature. I hope you enjoy it! This is just the baseline. I’ll be working on bug fixes and improvements to make this integration work as smoothly as possible. If you have any feedback, let me know at <a href="mailto:help@micro.blog">help@micro.blog</a>.</p>
