title: The Strange Failure of the Educated Elite
url: https://www.nytimes.com/2018/05/28/opinion/failure-educated-elite.html
hash_url: 010d7b4cef0538d956bae632f72cef53

<p class="css-1i0edl6 e2kc3sl0">Once upon a time, white male Protestants ruled the roost. You got into a fancy school if your father had gone to the fancy school. You got a job at a white-shoe law firm or climbed the corporate ladder if you golfed at the right club.</p><p class="css-1i0edl6 e2kc3sl0">Then we smashed all that. We replaced a system based on birth with a fairer system based on talent. We opened up the universities and the workplace to Jews, women and minorities. University attendance surged, creating the most educated generation in history. We created a new boomer ethos, which was egalitarian (bluejeans everywhere!), socially conscious (recycling!) and deeply committed to ending bigotry.</p><p class="css-1i0edl6 e2kc3sl0">You’d think all this would have made the U.S. the best governed nation in history. Instead, inequality rose. Faith in institutions plummeted. Social trust declined. The federal government became dysfunctional and society bitterly divided.</p>
<p class="css-1i0edl6 e2kc3sl0">The older establishment won World War II and built the American Century. We, on the other hand, led to Donald Trump. The chief accomplishment of the current educated elite is that it has produced a bipartisan revolt against itself.</p><p class="css-1i0edl6 e2kc3sl0">What happened? How has so much amazing talent produced such poor results?</p><p class="css-1i0edl6 e2kc3sl0">A narrative is emerging. It is that the new meritocratic aristocracy has come to look like every other aristocracy. The members of the educated class use their intellectual, financial and social advantages to pass down privilege to their children, creating a hereditary elite that is ever more insulated from the rest of society. We need to build a meritocracy that is true to its values, truly open to all.</p><p class="css-1i0edl6 e2kc3sl0">I’m among the many who have been telling this story for 20 years. And I enjoy books that fill in compelling details, like <a class="css-1g7m0tk" href="http://knopfdoubleday.com/2018/04/24/media-center-tailspin-by-steven-brill/" title="" target="_blank">Steven Brill’s<span class="css-8l6xbc e1tp43kk0">  </span>“Tailspin,”</a> which is being released Tuesday.</p><p class="css-1i0edl6 e2kc3sl0">But the narrative is insufficient. The real problem with the modern meritocracy can be found in the ideology of meritocracy itself. Meritocracy is a system built on the maximization of individual talent, and that system unwittingly encourages several ruinous beliefs:</p><p class="css-1i0edl6 e2kc3sl0"><em class="css-2fg4z9 ehxkw330">Exaggerated faith in intelligence</em>. Today’s educated establishment is still basically selected on the basis of I.Q. High I.Q. correlates with career success but is not the crucial quality required for civic leadership. Many of the great failures of the last 50 years, from Vietnam to Watergate to the financial crisis, were caused by extremely intelligent people who didn’t care about the civic consequences of their actions.</p>
<p class="css-1i0edl6 e2kc3sl0"><em class="css-2fg4z9 ehxkw330">Misplaced faith in autonomy</em>. The meritocracy is based on the metaphor that life is a journey. On graduation days, members for the educated class give their young Dr. Seuss’ “Oh, the Places You’ll Go!” which shows a main character, “you,” who goes on a solitary, unencumbered journey through life toward success. If you build a society upon this metaphor you will wind up with a society high in narcissism and low in social connection. Life is not really an individual journey. Life is more like settling a sequence of villages. You help build a community at home, at work, in your town and then you go off and settle more villages.</p><p class="css-1i0edl6 e2kc3sl0"><em class="css-2fg4z9 ehxkw330">Misplaced notion of the self</em>. Instead of seeing the self as the seat of the soul, the meritocracy sees the self as a vessel of human capital, a series of talents to be cultivated and accomplishments to be celebrated. If you base a society on a conception of self that is about achievement, not character, you will wind up with a society that is demoralized; that puts little emphasis on the sorts of moral systems that create harmony within people, harmony between people and harmony between people and their ultimate purpose.</p><p class="css-1i0edl6 e2kc3sl0"><em class="css-2fg4z9 ehxkw330">Inability to think institutionally</em>. Previous elites poured themselves into institutions and were pretty good at maintaining existing institutions, like the U.S. Congress, and building new ones, like the postwar global order. The current generation sees institutions as things they pass through on the way to individual success. Some institutions, like Congress and the political parties, have decayed to the point of uselessness, while others, like corporations, lose their generational consciousness and become obsessed with the short term.</p><p class="css-1i0edl6 e2kc3sl0"><em class="css-2fg4z9 ehxkw330">Misplaced idolization of diversity</em>. The great achievement of the meritocracy is that it has widened opportunities to those who were formerly oppressed. But diversity is a midpoint, not an endpoint. Just as a mind has to be opened so that it can close on something, an organization has to be diverse so that different perspectives can serve some end. Diversity for its own sake, without a common telos, is infinitely centrifugal, and leads to social fragmentation.</p><p class="css-1i0edl6 e2kc3sl0">The essential point is this: Those dimwitted, stuck up blue bloods in the old establishment had something we meritocrats lack — a civic consciousness, a sense that we live life embedded in community and nation, that we owe a debt to community and nation and that the essence of the admirable life is community before self.</p><p class="css-1i0edl6 e2kc3sl0">The meritocracy is here to stay, thank goodness, but we probably need a new ethos to reconfigure it — to redefine how people are seen, how applicants are selected, how social roles are understood and how we narrate a common national purpose.</p>
