title: Dégooglisons Internet
url: https://degooglisons-internet.org/fr/
hash_url: 8589fdcb9656efb132e1513c07d48bd1


<h2>Quels sont les enjeux ?</h2>

<p>Ces dernières années ont vu se généraliser une <strong>concentration des acteurs d’Internet</strong> (Youtube appartient à Google, WhatsApp à Facebook, Skype à Microsoft, etc.). Cette centralisation est nuisible, non seulement parce qu’elle freine l’innovation, mais surtout parce qu’elle entraîne une perte de liberté pour les visiteurs. <strong>Les utilisateurs de ces derniers services ne contrôlent plus leur vie numérique</strong> : leurs comportements sont disséqués en permanence afin de mieux être ciblés par la publicité, et leurs données - pourtant privées (sites visités, mails échangés, vidéos regardées, etc.) - peuvent être analysées par des services gouvernementaux.</p> <p>La réponse que souhaite apporter Framasoft à cette problématique est simple : mettre en valeur, pour chacun de ces services privateurs de liberté, une alternative Libre, Ethique, Décentralisée et Solidaire.</p>

<h2>Les dangers</h2>

<p>Les services en ligne toujours plus centralisés de géants tentaculaires comme Google, Amazon, Facebook, Apple ou Microsoft (GAFAM) mettent en danger nos vies numériques.</p>

<h3 id="t2-espionnum"><i class="far fa-eye fa-fw fc-g6"></i> <span>Surveillance</span></h3>

<p>Sous le prétexte de fournir une « meilleure expérience utilisateur », nos comportements sur Internet sont espionnés en permanence. Ces informations peuvent servir à afficher de la publicité ciblée, mais les révélations de l’affaire Snowden ont aussi prouvé que les géants de l’Internet étaient contraints de communiquer ces données (parfois extrêmement privées : emails échangés sur GMail, photos partagées sur Facebook, conversations Skype, géolocalisation des téléphones, etc.) à des services gouvernementaux. <strong>Sous prétexte de lutte contre le terrorisme</strong>, les états sont capables aujourd’hui d’obtenir bien plus d’informations qu’un « Big Brother » ne l’aurait jamais rêvé.</p>

<img alt="" src="https://degooglisons-internet.org/img/fr/cyberpolicus.png" class="d-block mx-auto">

<h3 id="t2-privatum"><i class="far fa-user-circle fa-fw fc-g6"></i> <span>Vie privée</span></h3>

<p>Nos données sont une extension de nous-mêmes. Elles peuvent indiquer où nous sommes, avec qui, notre orientation politique ou sexuelle, les sites que nous avons visités, notre recette préférée, les sujets qui nous intéressent, etc.<br> Si une donnée seule, prise indépendamment, n’est pas forcément sensible, un ensemble de données peut le devenir (par exemple si vous avez fait des recherches sur le cancer avant de souscrire à une assurance-vie).<br> Dans un monde où tout devient numérique (lecture, TV, téléphonie, musique, réseau social, etc.), <strong>notre vie privée est un élément essentiel de ce qui fait de nous une personne singulière</strong>. Une personne malveillante qui aurait accès à votre smartphone peut en apprendre suffisamment sur vous en quelques minutes pour vous causer des torts très importants (usurpation d’identité sur Facebook, détournement d’informations professionnelles, achats effectués sans votre accord, etc.).</p>

<h3 id="t2-centralisum"><i class="far fa-dot-circle fa-fw fc-g6"></i> <span>Centralisation</span></h3>

<p>Les acteurs majeurs de l’internet sont devenus de véritables pieuvres : Facebook possède WhatsApp et Instagram, Google détient Youtube et Waze, Microsoft distribue Skype, etc.<br> Cette concentration des acteurs pose de multiples problèmes : que se passera-t-il si Facebook met la clé sous la porte ? Comment faire des recherches si Google subit une panne ? <strong>Nous devenons peu à peu dépendants de services fournis par un petit nombre d’acteurs.</strong> Par exemple, Apple (iPhone), Google (Android) et Microsoft (Windows Phone) se partagent la quasi-totalité du marché des systèmes d’exploitation pour smartphones.<br> Par ailleurs, la taille de ces acteurs bride l’innovation : difficile de lancer une start-up face à Apple ou Google (respectivement première et deuxième capitalisations boursières mondiale).<br> Enfin, le manque de diversité de ces géants leur donne aussi la possibilité non seulement de collecter facilement des informations personnelles, mais aussi d’altérer l’information qu’ils diffusent (une recherche Google sur le mot « nucléaire » n’affichera pas les mêmes liens suivant que Google vous perçoit comme un militant écologiste ou un pro-nucléaire).</p>

<h3 id="t2-fermetum"><i class="fas fa-lock fa-fw fc-g6"></i> <span>Fermeture</span></h3>

<p>Les services web affichés sur votre ordinateur ou votre smartphone sont généralement exécutés dans le « cloud » : des serveurs dispersés sur la planète, stockant à la fois vos données (mails, photos, fichiers, etc.) mais aussi le code des applications.<br> Pour les données, cela pose le problème de leur pérennité (que deviennent vos fichiers si Dropbox ferme demain ?) mais aussi de votre capacité à changer de services (comment faire pour récupérer l’ensemble de vos photos sur Facebook ou Picasa, et les réinsérer avec les commentaires dans un autre service ?).<br> Pour les applications, cela implique que <strong>vous êtes à la merci de changements impromptus selon le bon vouloir du fournisseur</strong> (ajout de publicité, modification de l’interface, etc.), mais surtout que vous n’avez quasiment aucun contrôle sur ce que l’application peut faire. Ce sont des « boîtes noires » qui peuvent agir de façon malveillante (envoyer des SMS à votre insu, exécuter du code indésirable, etc.).<br> Bref, ces sociétés nous enferment dans des cages dorées, certes, mais des cages malgré tout !</p>

<h2><span>Ce que nous proposons</span></h2>

<p>Framasoft souhaite faire face à ces dangers menaçant nos vies numériques en proposant des services libres, éthiques, décentralisés et solidaires.</p>

<h3><i class="fas fa-lock-open fa-fw fc-g6"></i> <span>Liberté</span></h3>

<p>L’histoire d’Internet elle-même est une histoire de logiciels libres, tant du point de vue des standards que des protocoles employés. Sa popularité et son potentiel font aussi des envieux, et de grandes entreprises aimeraient s’en attribuer le contrôle en imposant du code fermé dans des systèmes verrouillés et non-interopérables.</p> <p>Pour qu’Internet reste fidèle à ses principes fondateurs qui l’ont conduit à son succès, nous devons y trouver des applications libres, c’est-à-dire dont le code source est ouvert, accessible et sous licences libres.</p> <p><strong>Framasoft s’engage à n’utiliser que des logiciels au code source « libre ».</strong></p>

<h3><i class="far fa-eye-slash fa-fw fc-g6"></i> <span>Éthique</span></h3>

<p>Nous plébiscitons un Internet fait de partage et d’indépendance.</p> <p>L’exploitation, la surveillance, la censure et l’appropriation des données sont des valeurs que nous refusons au profit de la transparence (la probité), de l’exposition claire des conditions d’utilisation des services, et du refus des discriminations.</p> <p><strong>Framasoft s’engage à ne pas exploiter les données des utilisateurs de ses services, et à promouvoir un Web ouvert et équitable.</strong></p>

<h3><i class="fas fa-share-alt fa-fw fc-g6"></i> <span>Décentralisation</span></h3>

<p>L’intelligence d’Internet doit reposer sur chaque acteur du réseau dans une dynamique de partage de pair à pair, pour éviter de créer un Minitel 2.0.</p> <p>Pour assurer l’égalité de tous, citoyens comme entrepreneurs, les monopoles doivent non seulement être évités, mais empêchés de s’accaparer les données personnelles ou publiques.</p> <p><strong>En expliquant, par des tutoriels, comment multiplier les solutions libres permettant un Internet plus équitable, nous facilitons l’essaimage du code et diversifions les usages.</strong></p>

<h3><i class="fas fa-people-carry fa-fw fc-g6"></i> <span>Solidarité</span></h3>

<p>À travers les services que nous déployons, nous promouvons un modèle économique fondé sur la mutualisation des coûts, le partage des ressources, et l’accessibilité au plus grand nombre.</p> <p>Ce modèle possède aussi un caractère éducatif car nous pensons qu’en documentant le déploiement des services, un grand nombre d’utilisateurs seront en mesure de partager à leur tour ces ressources.</p> <p><strong>Nous pensons que ne pas infantiliser les utilisateurs et faire partager la responsabilité de l’utilisation des services permettra de réguler les abus.</strong></p>

<h2>Concrètement</h2>

<p>Le projet « Dégooglisons Internet » - qui ne concerne d’ailleurs pas que Google - consiste à <strong>proposer des services alternatifs face à un maximum de services que nous évaluons comme menaçants pour nos vies numériques</strong>.</p> <p>Google Docs, Skype, Dropbox, Facebook, Twitter, Google Agenda, Youtube, Doodle, Yahoo! Groups, et bien d’autres sont des services extrêmement pratiques, mais <strong>ils sont devenus bien trop gros et nous ont rendus dépendants</strong>. Framasoft souhaite entrer en résistance, et propose un plan de mise en place d’applications alternatives sur plusieurs années.</p> <p>Ces services sont libres, gratuits, ouverts à tous (dans la limite de nos capacités techniques et financières), tels des <strong> <a href="http://fr.wikipedia.org/wiki/Biens_communs">biens communs</a> numériques</strong>. Dans un souci de décentralisation d’internet et de promotion de l’auto-hébergement, nous ferons le maximum afin que chacun puisse installer ses propres services (pour soi, pour son association, son entreprise).</p> <p>Évidemment, nous n’avons pas la prétention de <em>concurrencer</em> ces services, nous souhaitons juste proposer un espace numérique neutre, non-commercial et non-agressif envers ses utilisateurs.</p>
