title: Read the Principles - Design Justice Network
url: https://designjustice.org/read-the-principles
hash_url: d685a0ad4878f3d833374164b49b3438

<p class="">This is a living document. Last update: summer 2018</p><p class="">Design mediates so much of our realities and has tremendous impact on our lives, yet very few of us participate in design processes. In particular, the people who are most adversely affected by design decisions — about visual culture, new technologies, the planning of our communities, or the structure of our political and economic systems — tend to have the least influence on those decisions and how they are made.</p><p class="">Design justice rethinks design processes, centers people who are normally marginalized by design, and uses collaborative, creative practices to address the deepest challenges our communities face.</p>

## Principle 1

We use design to sustain, heal, and empower our communities, as well as to seek liberation from exploitative and oppressive systems.

## Principle 2

We center the voices of those who are directly impacted by the outcomes of the design process.

## Principle 3

We prioritize design’s impact on the community over the intentions of the designer.

## Principle 4

We view change as emergent from an accountable, accessible, and collaborative process, rather than as a point at the end of a process.*

## Principle 5

We see the role of the designer as a facilitator rather than an expert.

## Principle 6

We believe that everyone is an expert based on their own lived experience, and that we all have unique and brilliant contributions to bring to a design process.

## Principle 7

We share design knowledge and tools with our communities.

## Principle 8

We work towards sustainable, community-led and -controlled outcomes.

## Principle 9

We work towards non-exploitative solutions that reconnect us to the earth and to each other.

## Principle 10

Before seeking new design solutions, we look for what is already working at the community level. We honor and uplift traditional, indigenous, and local knowledge and practices.
