title: The 'Future Book' Is Here, but It's Not What We Expected
url: https://www.wired.com/story/future-book-is-here-but-not-what-we-expected/
hash_url: 01cff17987cebe12c642331a004a575e

<p><span class="lede">The Future Book </span>was meant to be interactive, moving, alive. Its pages were supposed to be lush with whirling doodads, responsive, hands-on. The old paperback Zork choose-your-own-adventures were just the start. The Future Book would change depending on where you were, how you were feeling. It would incorporate your very environment into its story—the name of the coffee shop you were sitting at, your best friend’s birthday. It would be sly, maybe a little creepy. Definitely programmable. <em>Ulysses</em> would extend indefinitely in any direction you wanted to explore; just tap and some unique, mega-mind-blowing sui generis path of Joycean machine-learned words would wend itself out before your very eyes.</p><p>Prognostications about how technology would affect the form of paper books have been with us for centuries. Each new medium was poised to deform or murder the book: newspapers, photography, radio, movies, television, videogames, the internet.</p><p class="paywall">Some viewed the intersection of books and technology more positively: In 1945, Vannevar Bush wrote in <em>The Atlantic</em>: “Wholly new forms of encyclopedias will appear, ready made with a mesh of associative trails running through them, ready to be dropped into the memex and there amplified.”</p><p class="paywall">Researcher Alan Kay created a cardboard prototype of a tablet-like device in 1968. He called it the "Dynabook," saying, “We created a new kind of medium for boosting human thought, for amplifying human intellectual endeavor. We thought it could be as significant as Gutenberg’s invention of the printing press 500 years ago.”</p><p class="paywall">In the 1990s, Future Bookism hit a kind of beautiful fever pitch. We were so close. Brown University professor Robert Coover, in a 1992 <em>New York Times</em> op-ed titled “<a href="https://archive.nytimes.com/www.nytimes.com/books/98/09/27/specials/coover-end.html?pagewanted=all" target="_blank">The End of Books</a>,” wrote of the future of writing: “Fluidity, contingency, indeterminacy, plurality, discontinuity are the hypertext buzzwords of the day, and they seem to be fast becoming principles, in the same way that relativity not so long ago displaced the falling apple.” And then, more broadly: “The print medium is a doomed and outdated technology, a mere curiosity of bygone days destined soon to be consigned forever to those dusty unattended museums we now call libraries.”</p><p class="paywall">Normal books? Bo-ring. Future Books? Awesome—indeterminate—and we were almost there! The Voyager Company built its "expanded books" platform on Hypercard, launching with three titles at MacWorld 1992. Microsoft launched Encarta on CD-ROM.</p><p class="paywall">But … by the mid-2000s, there still were no real digital books. The Rocket eBook was too little, too early. Sony launched the eink-based Librie platform in 2004 to little uptake. Interactive CD-ROMs had dropped off the map. We had Wikipedia, blogs, and the internet, but the mythological Future Book—some electric slab that would somehow both be <em>like</em> and <em>not like</em> the quartos of yore—had yet to materialize. Peter Meirs, head of technology at <em>Time</em>, <a href="https://observer.com/2008/04/where-will-magazines-be-ten-years-from-now/" target="_blank">hedged his bets</a> perfectly, proclaiming: “Ultimately, there will be some sort of device!”</p><p class="paywall">And then there was. Several devices, actually. The iPhone launched in June 2007, the Kindle that November. Then, in 2010, the iPad arrived. High-resolution screens were suddenly in everyone’s hands and bags. And for a brief moment during the early 2010s, it seemed like it might finally be here: the glorious Future Book.</p><h3 class="paywall">A Cry in the Wilderness</h3><p class="paywall">Fast forward to 2018. At the end of Denis Johnson’s short story “Triumph Over the Grave,” he writes: “It doesn’t matter. The world keeps turning. It’s plain to you that at the time I write this, I’m not dead. But maybe by the time you read it.”</p><p class="paywall">It’s a kick in the gut, not just because of his tone, rhythm, grammar but because he <em>is</em> dead. Passed away in 2017. I was reading this story—part of his collection <em>The Largesse of the Maiden</em>—on my Kindle, during a many-day hike. Hiking with a Kindle definitely feels futuristic—an entire library in a device that weighs less than a small book, and rarely needs charging. And my first impulse on reading Johnson’s final line, sitting on a dirt path in the mountains of Japan flanked by <em>Cryptomeria japonica</em>, was to eulogize him right there, smack dab in the text while a nightingale whistled overhead. The Kindle indicated with a subtle dotted underline and small inline text that those final sentences had been highlighted by “56 highlighters.” Other humans! Reading this same text, feeling the same impulse. Some need to mark those lines.</p>
<div class="inset-left-component paywall inset-left-component--pullquote"><blockquote name="inset-left" class="inset-left-component__el"><p>My first impulse on reading Johnson’s final line, sitting on a dirt path in the mountains of Japan, was to eulogize him right there, smack dab in the text while a nightingale whistled overhead.</p></blockquote></div>
<p class="paywall">I wanted to write, “Fuck. Sad to think this is the last new work we’re going to get from this guy. Most definitely dead as I’m reading it.” You know, something in the vulgarity of Johnson himself. I wanted to stick my 10-cent eulogy between those lines for others to read, and to read what those others had thought. Purchasing a book is one of the strongest self-selections of community, and damn it, I wanted to engage.</p><p class="paywall">But I couldn’t. For my Kindle Oasis—one of the most svelte, elegant, and expensive digital book containers you can buy in 2018—is about as interactive as a potato. Instead, I left a note for myself: “Write something about how this isn’t the digital book we thought we’d have.”</p><p class="paywall">Physical books today look like physical books of last century. And digital books of today look, feel, and function almost identically to digital books of 10 years ago, when the Kindle launched. The biggest change is that many of Amazon’s competitors have gone belly up or shrunken to irrelevancy. The digital reading and digital book startup ecosystem that briefly emerged in the early 2010s has shriveled to a nubbin.</p><p class="paywall">Amazon won. Trounced, really. As of the end of 2017, about <a href="http://authorearnings.com/report/january-2018-report-us-online-book-sales-q2-q4-2017/" target="_blank">45 percent</a> (up from 37 percent in 2015) of all print sales and 83 percent of all ebook sales happen through Amazon channels. There are few alternatives with meaningful mind- or market share, especially among digital books.</p><figure class="image-embed-component"><p class="component-lazy pending" data-component="Lazy"/><figcaption class="caption-component">
<div class="caption-component__caption"><p>Kindle Oasis displaying the last page of Denis Johnson's <em>Triumph Over the Grave</em>.</p>
</div>
<p class="caption-component__credit-container"><i aria-label="Photo attribution" class=" ui-camera icon icon--16"/><cite class="caption-component__credit">Craig Mod</cite></p></figcaption></figure><p class="paywall">Yet here’s the surprise: We were looking for the Future Book in the wrong place. It’s not the form, necessarily, that needed to evolve—I think we can agree that, in an age of infinite distraction, one of the strongest assets of a “book” as a book is its singular, sustained, distraction-free, blissfully immutable voice. Instead, technology changed everything that <em>enables</em> a book, fomenting a quiet revolution. Funding, printing, fulfillment, community-building—everything leading up to and supporting a book has shifted meaningfully, even if the containers haven’t. Perhaps the form and interactivity of what we consider a “standard book” will change in the future, as screens become as cheap and durable as paper. But the books made today, held in our hands, digital or print, <em>are</em> Future Books, unfuturistic and inert may they seem.</p><h3 class="paywall">A Publishing Revolution</h3><p class="paywall">Twenty years ago, what did you need to make a book on your own? You needed a pile of words, sure. But you also needed a mountain of cash. And even if you had the cash—say, $20,000 to get the thing edited, designed, proofed, and printed—you still needed a printer. Assuming you could get your books printed, you needed a place to store them. You needed someone to ship them. You needed a relationship with a distributor to get them into Barnes and Noble. And you needed a marketing budget to get them on that front table.</p><p class="paywall">To publish a digital book today, you still need the words, but you can skip many of the other steps. From a Pages or Microsoft Word document you can export an .epub file—the open standard for digital books. Open an Amazon and iBooks account, upload the file, and suddenly you’re accessing <a href="https://www.bloomberg.com/news/articles/2018-01-25/apple-is-said-to-ready-revamped-e-books-push-against-amazon" target="_blank">92 percent</a> of the digital book market.</p><p class="paywall">For printed books, a slew of new funding, production, and distribution tools make creating and selling a physical artifact much easier. <a href="http://www.blurb.com/" target="_blank">Blurb</a>, <a href="https://kdp.amazon.com/en_US/l/print-on-demand" target="_blank">Amazon</a>, <a href="https://www.lulu.com/" target="_blank">Lulu</a>, <a href="https://www.ingramcontent.com/publishers/print" target="_blank">Lightning Source</a>, and <a href="https://www.ingramspark.com/" target="_blank">Ingram Spark</a> are just a few of the print-on-demand companies we all have access to. Many will handle sales—providing you with a web page to send potential readers to, managing the burdensome tasks of payments and shipping. The improvement in print-on-demand quality in recent decades is astounding. The books look fabulous—with decent paper options, cover types, finishes. Professional photographers are even offering up <a href="http://www.blurb.com/b/9125874-sri-lanka" target="_blank">monographs</a> in collaboration with companies like Blurb. And Amazon will have the finished books on your doorstep the next day.</p>
<div class="inset-left-component paywall inset-left-component--pullquote"><blockquote name="inset-left" class="inset-left-component__el"><p>Almost half of author earnings now come from independently published books.</p></blockquote></div>
<p class="paywall">It’s easy to take these offerings for granted. Today, anyone with a bit of technological know-how and an internet connection can publish—offering digital or physical editions, on the same online retail shelves—alongside Alexander Chee, Rebecca Makkai, or Tom Clancy.</p><p class="paywall">This proliferation of new technology and services has altered author economics. Almost <a href="http://authorearnings.com/report/the-report/" target="_blank">half of author <em>earnings</em></a> now come from independently published books. Independent books don’t outsell big-five books, but they offer higher royalty rates—roughly 70 percent versus 25 percent. For the first time—perhaps since the invention of the printing press—authors and small presses have viable independent options beyond the “traditional” publishing path with its gatekeepers.</p><h3 class="paywall">How Crowdfunding Changed the Game</h3><p class="paywall">For six years in the 2000s I was an art director and producer of printed books with a small indie press and, let me tell you, there were no great models for pre-sales or raising capital. Then crowdfunding arrived.</p><p class="paywall">Kickstarter launched in 2009. Although it wasn’t the first crowdfunding platform, it quickly became the largest and most influential. Since launch, Kickstarter has helped fund <a href="https://www.kickstarter.com/help/stats?ref=footer" target="_blank">more than 14,000 “publishing”</a>-related projects, collecting some $134 million. The 10 best-funded publishing projects on Kickstarter alone generated more than $6 million in funding—and then reaped much more in post-publication sales.</p><p class="paywall">Best-selling authors like Jack Cheng (<em>See You in the Cosmos</em>) and Robin Sloan (<em>Mr. Penumbra’s 24-Hour Bookstore</em>) got their start funding <a href="https://www.kickstarter.com/projects/robinsloan/robin-writes-a-book-and-you-get-a-copy" target="_blank">novellas</a> or <a href="https://www.kickstarter.com/projects/jackcheng/these-days-a-novel" target="_blank">first novels</a> on Kickstarter. Sloan launched his project “Robin Writes a Book” in August 2009, when few had heard the phrase “crowdfunding” and the idea of giving money for a thing not yet made seemed slightly bonkers.</p><p class="paywall">Kickstarter is not explicit patronage in the classical sense. At its worst, the platform produces products that feel chintzy and a bit scammy, an unholy union between QVC and SkyMall. But at its best there’s a sense of, as Tim Carmody puts it, “<a href="https://kottke.org/17/12/unlocking-the-commons-or-the-psychoeconomics-of-patronage" target="_blank">unlocking the commons</a>”—of helping something get into the world that otherwise wouldn’t exist, and <em>you</em> are part of that.</p><p class="paywall">I’ve published two books (with both physical and digital components) that wouldn’t have been made without crowdfunding. In 2010 I republished a guide I coauthored to the <a href="https://www.kickstarter.com/projects/craigmod/art-space-tokyo-ipad-edition-hardcover-reprint" target="_blank">Tokyo art world</a>, and in 2016 I published a <a href="https://www.kickstarter.com/projects/craigmod/koya-bound-a-book-of-photography-from-japans-kuman" target="_blank">photo collection</a> and comprehensive <a href="https://walkkumano.com/" target="_blank">online guide</a> to Japan’s Kumano Kodo UNESCO World Heritage pilgrimage path.</p><figure class="image-embed-component"><p class="component-lazy pending" data-component="Lazy"/><figcaption class="caption-component"><p class="caption-component__caption">Two books that the author self-published with the help of a Kickstarter campaign.</p><p class="caption-component__credit-container"><i aria-label="Photo attribution" class=" ui-camera icon icon--16"/><cite class="caption-component__credit">Craig Mod</cite></p></figcaption></figure><p class="paywall">I compiled everything I learned in that first campaign into a breakdown called "<a href="https://craigmod.com/journal/kickstartup/" target="_blank">Kickstartup</a>." That essay described cash raised through Kickstarter as “… micro seed capital. This—capital without relinquishment of ownership—is where the latent potential of Kickstarter funding lies.”</p><p class="paywall">I wrote that essay in 2010 just as crowdfunding was entering the mainstream. Soon after, it seemed everyone was launching books.</p><p class="paywall">The emblematic story of a Kickstarted book is <em><a href="https://www.kickstarter.com/projects/timbuktu/good-night-stories-for-rebel-girls-100-tales-to-dr" target="_blank">Goodnight Stories for Rebel Girls</a></em>. Launched in 2016, it quickly shattered all book-funding records, raising $1.2 million combined during its initial Kickstarter and IndieGogo campaigns. The book went on to sell over 1 million copies around the world. <em>Rebel Girls</em> has become a brand unto itself. Publisher Timbuktu Labs launched <em><a href="https://www.kickstarter.com/projects/timbuktu/kickstarter-gold-good-night-stories-for-rebel-girl" target="_blank">Goodnight Stories for Rebel Girls 2</a></em> in 2018, raising another $866,000 in pre-sales. Earlier this year, <a href="https://craigmod.com/onmargins/004/" target="_blank">I asked Elena Favilli</a>, co-founder of Timbuktu Labs, how she would describe the company: “When I think about <em>Goodnight Stories for Rebel Girls</em>, and the whole movement, and the whole community that has formed around it … I would say that today we are a digital native brand, and that we have done this starting from a physical object, and a very traditional one such as a children’s book.”</p><p class="paywall">The Timbuktu success story often omits one important detail: The company began in 2011 as a breathlessly future-of-publishing app developer, making a digital children’s magazine for the newly launched iPad. Timbuktu was part of a wide-eyed first wave of tablet-focused digital-publishing upstarts that tumbled forth, frothy with venture capital. This was when WIRED was publishing gigabyte-sized app updates for the digital version of the magazine, and venture capital firm Kleiner Perkins was pushing for publishing innovation via its $100 million-plus iFund. When Flipboard (where I worked from 2010 to 2011)—which reimagined the beauty of print magazines in digital-first form—went live on the App Store, it proved so popular it had to turn off signups and create a waiting list, one of the first iPad apps to constrain access.</p><p class="paywall">Amid this rush, Timbuktu Labs began winning awards for its magazine app, which was updated daily with new content. Despite the positive press, it never gained the necessary traction to become a sustainable business or justify taking on more capital. I invested a small amount in their angel round in 2012. And as an investor, I had a front-row seat: They tried. They really tried. The market simply wasn’t there. And so as a last-ditch effort, cofounders Favilli and Francesca Cavallo retreated to LA to rethink their business and life plans. It was there the idea for <em>Rebel Girls</em> was born, and a sustainable business was built around the opposite of an app: a physical book. <em>Goodnight Stories</em> didn’t emerge spontaneously, though; they began to test it, six months before launching their now famed Kickstarter campaign, using the simplest of internet technologies: email.</p><h3 class="paywall">Crucial Tech for an Author: Email</h3><p class="paywall">In 2014, <em>The New York Times</em> had 6.5 million subscribers to its email newsletters. By 2017, that number had doubled. Companies like Mailchimp have been offering newsletter services for nearly two decades, but they were never as popular as they are now. In 2018, users sent about 1 billion emails per day through Mailchimp, a 5,000-fold increase from 2013, when the service handled only 200,000 emails a day.</p><p class="paywall">In response to this email explosion, the startup <a href="https://www.substack.com/" target="_blank">Substack</a> launched in 2017 as a newsletter publishing and monetization platform. Most newsletter platforms and payment systems aren’t integrated in any smooth or meaningful way. Charging for access can be an onerous task. Through the Substack system, though, a publisher can easily set up metered access to a newsletter for a subscription fee. As of October, Substack boasts over <a href="https://techcrunch.com/2018/10/16/substack-one-year/" target="_blank">25,000 subscribers</a> across various newsletters, paying on average $80 a year. <em>Rolling Stone</em> reporter Matt Taibbi recently launched his novel, <em><a href="https://taibbi.substack.com" target="_blank">The Business Secrets of Drug Dealing</a></em>, in serial on Substack. Judd Legum’s <em><a href="https://popular.info/subscribe" target="_blank">Popular Information</a></em> is also published via Substack.</p><p class="paywall">Almost every writer or artist I know has a newsletter. One way to understand this boom is that as social media has siloed off chunks of the open web, sucking up attention, the energy that was once put into blogging has now shifted to email. Robin Sloan, in a recent—of course—<a href="https://www.robinsloan.com/" target="_blank">email newsletter</a>, lays it out thusly:</p><blockquote class="paywall"><p>In addition to sending several email newsletters, I subscribe to many, and I talk about them a lot; you might have heard me say this at some point (or seen me type it) but I think any artist or scholar or person-in-the-world today, if they don't have one already, needs to start an email list immediately.</p></blockquote><blockquote class="paywall"><p>Why? Because we simply cannot trust the social networks, or any centralized commercial platform, with these cliques and crews most vital to our lives, these bands of fellow-travelers who are—who must be—the first to hear about all good things. Email is definitely not ideal, but it is: decentralized, reliable, and not going anywhere—and more and more, those feel like quasi-magical properties.</p></blockquote><p class="paywall">Ownership. We recognize we (largely) own the mailing lists; they are portable, can be printed out, stored in a safe; they are not governed by unknowable algorithmic tomfoolery. I maintain an <a href="https://craigmod.com/explorers/" target="_blank">email newsletter</a> with more than 10,000 recipients, and I treat it as the most direct, most intimate, most valuable connection to my audience. In hard economic terms, when I was promoting my Kickstarter campaign for <em>Koya Bound</em>, each time I sent out a newsletter, I had roughly 10,000 more backer-dollars within an hour. That’s a pretty damn strong, tangible community signal. Far more immediate and predictable than I’ve found Twitter or Facebook or Instagram to be.</p><p class="paywall">That first <em>Rebel Girls</em> test email went to 25 recipients; the list snowballed in size and excitement over the six months leading up to the Kickstarter campaign. Timbuktu’s goal was—what seemed ambitious and implausible in the moment—$40,000. This exemplifies the amplification voodoo of a platform like Kickstarter: When someone backs a project, it broadcasts the news to their friends, creating a network effect. The bigger the network, the more powerful the effect. Kickstarter, with more than 15 million patrons, has the biggest network effect game in town. That also makes it a powerful online marketing force for independent authors and publishers.</p><h3 class="paywall">Newsletters as Books</h3><p class="paywall">The trouble with rigid definitions of what is or isn’t a “book” is that sometimes something that’s not <em>shaped</em> like a book, is actually very book-like.</p><p class="paywall">Taiwan-based Ben Thompson publishes a newsletter called <a href="https://stratechery.com/" target="_blank">Stratechery</a>. For $100 a year you get Thompson’s thoughts on technology and startups four times a week. Yes, he’s sharp and diligent, but most importantly he has a <em>voice</em>. And if you’re paying attention, his analysis will probably make you money. So it’s an easy sell. According to <a href="https://www.recode.net/2017/2/14/14612178/ben-thompson-stratechery-publishing-news" target="_blank">public statements</a>, in 2014 he had over 1,000 subscribers paying $100 a year. He later said his subscriptions generate 100 times what he made in 2014. Could it be? Could Ben Thompson be making $10 million a year on a newsletter? I asked him to confirm and he wrote back, “I am very successful but not near $10m unfortunately!” Still, it’s hard to imagine him with fewer than 10,000 subscribers.</p><p class="paywall">In 2008, <em>WIRED</em> co-founder and technologist Kevin Kelly predicted how the internet and email would allow creators to be independent. He called it the <a href="https://kk.org/thetechnium/1000-true-fans/" target="_blank">1,000 True Fans</a> theory of market building. Now the payments and funding and production pieces are in place to allow someone—given 1,000 fervent and supportive fans—to reliably publish for fun and profit. Stratechery is just an archetypical example of Kelly’s 1000 True Fans theory in practice.</p><p class="paywall">Folks like Ben Thompson <em>are</em> effectively writing books. Take a year of his essays, edit them for brevity and clarity, and you’d have a brilliant edition of <em>This Year in Tech</em>. And so in a strange way, Stratechery in paid newsletter form is as much a Future Book as a bounded Kindle edition.</p>
<div class="inset-left-component paywall inset-left-component--pullquote"><blockquote name="inset-left" class="inset-left-component__el"><p>Email is a boring, simple, old technology. Unlike followers or social media subscribers, email has yet to be usurped by algorithms.</p></blockquote></div>
<p class="paywall">It’s also worth noting that Thompson’s position is protected: No outsider can take away his subscribers or prevent him from communicating with them. Email is a boring, simple, old technology. The first email was sent in 1971 by Ray Tomlinson. Unlike followers or social media subscribers, email has yet to be usurped by algorithms (for the most part; Gmail does a little bit of sorting now). It’s a predictable marketing channel.</p><p class="paywall">Social media, however, is not predictable. Algorithms and product functionality have all the stability of rolling magma as companies refine how they engage, and extract value from, users. This means an investment in social media can go belly up in a few years. Take author Teju Cole, for example. His <a href="https://twitter.com/tejucole?lang=en" target="_blank">use of Twitter</a> was both <a href="https://6thfloor.blogs.nytimes.com/2014/01/09/teju-cole-puts-story-telling-to-the-twitter-test?smid=tw-nytimes" target="_blank">delicate and brilliant</a>. He amassed a quarter of a million followers before unceremoniously dropping the service in 2014, perhaps feeling the growing invective so characteristic of the platform today. He then consolidated his promotional social media activity around Facebook. Today, he says, “My main experience of Facebook is that I have no idea who sees what. I allegedly have 29,000 people following the page. I doubt that more than a few hundred of them are ever shown what I post.” Of course, Facebook gently suggests that page owners can reach their full audience by paying for promotion. Considering the <a href="https://www.theguardian.com/technology/2018/jun/01/facebook-teens-leaving-instagram-snapchat-study-user-numbers" target="_blank">shift in demographics</a> of Facebook usage, who knows if his audience is even checking their timelines, and would see the posts if he paid.</p><p class="paywall">By contrast, there’s something almost ahistorical about email, existing outside the normal flow of technological progress. It works and has worked, reliably, for decades. There’s no central email authority. Most bookish people use it. Today I’m convinced you could skip a website, Facebook page, or Twitter account, and launch a publishing company on email alone. <a href="https://coffeehousepress.org/" target="_blank">Coffee House Press</a> is a good example: I don’t ever peek at the website, or see any of the social media updates, but I love its semiregular, well-considered emails, and almost always buy something when they arrive. Similarly, publisher MCD Books’ newsletter, <a href="https://mcdbooks.us18.list-manage.com/subscribe?u=a51fdf73467e2176b71972da6&amp;id=2497c5a088" target="_blank">Electric Eel</a>, is my main vector for keeping up with their work. <a href="https://www.instagram.com/mcdbooks/?hl=en" target="_blank">MCD Books</a> has also discovered what covers in the digital age were missing: a little bit of animation. Just enough movement to catch the eye of someone scrolling through their feed.</p><p class="paywall">If a publisher <em>is</em> going to augment emails with social media, Instagram feels like the best fit. Books are inherently visual, and cover design is in something of a golden age at the moment with designers like <a href="https://www.instagram.com/aforner1/" target="_blank">Alison Forner</a>, <a href="https://www.instagram.com/gray.318/?hl=en" target="_blank">Gray318</a>, <a href="https://www.instagram.com/rodrigocorral_/?hl=en" target="_blank">Rodrigo Corral</a>, <a href="https://www.instagram.com/suzanneldean/" target="_blank">Suzanne Dean</a>, and many others producing consistently outstanding work.</p><h3 class="paywall">Bring Up the Audio</h3><p class="paywall">The Library of Congress began distributing books on cassette tape in 1969, but audiobooks only gained significant publishing market share in recent years. Once physical, now almost entirely digital and ephemeral, audiobooks have gone from a rounding error to generating <a href="https://www.publishersweekly.com/pw/by-topic/industry-news/audio-books/article/77303-audiobook-revenue-jumped-22-7-in-2018.html" target="_blank">$2.5 billion in revenue</a> in 2017, up 22 percent from the prior year.</p><p class="paywall">It turns out smartphones aren’t the best digital book <em>reading</em> devices (too many seductions, real-time travesties, notifications just behind the words), but they make excellent audiobook players, stowed away in pockets while commuting. Top-tier podcasts like Serial, S-Town, and Homecoming have normalized listening to audio or (nonfiction) booklike productions on smartphones.</p><p class="paywall">The technical improvements that made audiobooks a great experience arrived suddenly in the past few years: Higher quality, better battery life, and less expensive Bluetooth headphones have flooded the market. Connectivity and multi-device cloud syncing are ubiquitous. By August, 25 million smart home speakers had shipped, with sales rising <a href="https://venturebeat.com/2018/08/16/canalys-smart-speaker-market-grew-187-percent-in-q2-2018/" target="_blank">187 percent</a> in the second quarter. That’s useful because over <a href="https://goodereader.com/blog/audiobooks/global-audiobook-trends-and-statistics-for-2018" target="_blank">half of all audio book listening</a> takes places at home.</p><p class="paywall">From the production side of things: A serviceable home voice-over studio can be cobbled together for less than $1,000 (even less if you’re willing to cut corners and work in a closet) thanks in part to the boom in podcasting. And the distribution channels for audiobooks are accessible to anyone who has an ACX (Audiobook Creation eXchange) file to upload.</p><p class="paywall">This <a href="https://www.vulture.com/2018/09/audiobooks-are-booming-but-how-long-will-that-last.html" target="_blank">escalation</a> of audiobook mindshare has been quietly simmering on the fringes for decades. In 2005, <em>The New York Times</em> <a href="https://www.nytimes.com/2005/05/26/style/loud-proud-unabridged-it-is-too-reading.html" target="_blank">argued</a> that listening to books was roughly the same as reading them. Back then, an audiobook required intention—buying physical media (<em>Lord of the Rings</em> required juggling 12 cassettes), a trip to the library, charging the batteries on your Discman. Now our always-connected, always-charged, always-networked devices make listening to an audiobook as effortless as “Alexa, read me Moby Dick.” And so it is. So much so that <em>The New York Times</em> launched an <a href="https://www.nytimes.com/books/best-sellers/audio-fiction/" target="_blank">audiobooks best seller</a> list in March.</p><h3 class="paywall">The Complete Package</h3><p class="paywall">Last August, a box arrived on my doorstep that seemed to embody the apotheosis of contemporary publishing. The <em><a href="https://www.kickstarter.com/projects/ozmarecords/voyager-golden-record-40th-anniversary-edition" target="_blank">Voyager Golden Record: 40th Anniversary Edition</a></em> was published via a crowdfunding campaign. The edition includes a book of images, three records, and a small poster packaged in an exquisite box set with supplementary online material. When I held it, I didn’t think about how futuristic it felt, nor did I lament the lack of digital paper or interactivity. I thought: What a strange miracle to be able to publish an object like this today. Something independently produced, complex and beautiful, with foil stamping and thick pages, full-color, in multiple volumes, made into a box set, with an accompanying record and other shimmering artifacts, for a weirdly niche audience, funded by geeks like me who are turned on by the romance of space.</p><figure class="image-embed-component"><p class="component-lazy pending" data-component="Lazy"/><figcaption class="caption-component"><p class="caption-component__caption"><em>Voyager Golden Record: 40th Anniversary Edition</em>, which was published with the help of a crowdfunding campaign. The edition includes a book of images, three records and a small poster.</p><p class="caption-component__credit-container"><i aria-label="Photo attribution" class=" ui-camera icon icon--16"/><cite class="caption-component__credit">Craig Mod</cite></p></figcaption></figure><p class="paywall">We have arrived to the once imagined Future Book in piecemeal truths.</p><p class="paywall">Moving images were often espoused to be a core part of our Future Book. While rarely found inside of an iBooks or Kindle book, they are here. If you want to learn the ukulele, you don’t search Amazon for a Kindle how-to book, you go to YouTube and binge on hours of lessons, stopping when you need to, rewinding as necessary, learning at your own pace.</p><p class="paywall">Vannevar Bush's “Memex” essentially described Wikipedia built into a desk.</p><p class="paywall">The "Hitchhiker’s Guide to the Galaxy" in <em>The Hitchhiker's Guide to the Galaxy</em> is an iPhone.</p><p class="paywall">In <em>The Book of Sand</em>, Borges wrote of an infinite book: "It was then that the stranger told me: 'Study the page well. You will never see it again.'" Describing in many ways what it feels like to browse the internet or peek at Twitter.</p><p class="paywall">Our Future Book is composed of email, tweets, YouTube videos, mailing lists, crowdfunding campaigns, PDF to .mobi converters, Amazon warehouses, and a surge of hyper-affordable offset printers in places like Hong Kong.</p><p class="paywall">For a “book” is just the endpoint of a latticework of complex infrastructure, made increasingly accessible. Even if the endpoint stays stubbornly the same—either as an unchanging Kindle edition or simple paperback—the universe that produces, breathes life into, and supports books is changing in positive, inclusive ways, year by year. The Future Book is here and continues to evolve. You’re holding it. It’s exciting. It’s boring. It’s more important than it has ever been.</p><p class="paywall">But temper some of those flight-of-fancy expectations. In many ways, it’s still a potato.</p>
