title: La généralisation de la reconnaissance faciale est-elle inévitable ?
url: http://www.internetactu.net/a-lire-ailleurs/la-generalisation-de-la-reconnaissance-faciale-est-elle-inevitable/
hash_url: 15ca065d281050682e0d1ff34852b2c3

<p>Le philosophe <a href="http://eselinger.org/">Evan Selinger</a> (<a href="https://twitter.com/evanselinger">@evanselinger</a>, auteur de <em>Re-Engineering Humanity</em>) et le professeur de droit <a href="https://www.northeastern.edu/law/faculty/directory/hartzog.html">Woodrow Hartzog</a> (<a href="https://twitter.com/hartzog">@hartzog</a>, auteur de <em>Privacy’s Blueprint : The Battle to Control the Design of New Technologies</em>) signent pour OneZero une <a href="https://onezero.medium.com/our-government-should-not-be-conducting-facial-surveillance-54cc13f1ea61">intéressante tribune</a> sur la nécessité de réguler la reconnaissance faciale. </p>
<p><a href="http://www.internetactu.net/a-lire-ailleurs/10-recommandations-pour-lia/">Il y a peu</a>, l’AI Now Institute avait lancé un appel pour une régulation forte des technologies de reconnaissance faciale. Ce n’était pas le seul. L’ACLU (l’Union américaine pour les libertés civiles), Microsoft et Amazon ont également reconnu qu’une régulation était nécessaire. Aux États-Unis, plusieurs Etats envisagent des propositions de loi pour imposer quelques règles, un moratoire, voir bannir l’usage de ces technologies, notamment par les gouvernements et sur l’espace public. Reste que ces mesures de régulation ne sont pas toutes équivalentes. Celles des acteurs industriels de la surveillance, comme Amazon ou Microsoft <a href="http://www.internetactu.net/a-lire-ailleurs/10-recommandations-pour-lia/">ne sont pas aussi radicales</a> et insistent sur le processus, la transparence et le consentement, sans remettre en cause son usage. Le problème, soulignent Hartzog et Selinger, c’est de nous retrouver avec une reconnaissance faciale à deux vitesses entre d’un côté les autorités qui ne pourraient pas les utiliser et de l’autre des entreprises qui pourraient continuer à faire ce qu’elles souhaitent. Le risque, comme l’explique Sidney Fussel <a href="https://www.theatlantic.com/technology/archive/2019/02/san-francisco-proposes-ban-government-face-recognition/581923/">dans <em>The Atlantic</em></a>, c’est qu’on puisse d’un côté interdire la reconnaissance faciale par les autorités quand un braquage est commis dans un commerce, mais l’autoriser pour que les commerces puissent analyser le comportement de leurs clients !</p>
<p>Or, le problème n’est pas tant de désigner de bonnes ou de mauvaises utilisations de la reconnaissance faciale, que de pointer le fait que leur utilisation sous forme de produits et de services privés produisent, collectivement, des problèmes. En vendant la reconnaissance faciale sous forme de produits qui seraient décorrelés d’enjeux de société, les entreprises sont dans le déni de leur responsabilité et des questions de société que posent ces technologies. </p>
<p>La reconnaissance faciale revêt de nombreuses formes : de l’authentification via Face ID d’Apple, à l’étiquetage automatique des images et des gens sur les réseaux sociaux, en passant par les filtres d’Instagram aux terminaux de paiement biométriques, ou aux caméras de porte d’Amazon… la diversité d’usage des outils de reconnaissance faciale recomposent nos préférences personnelles et collectives et nous conduit à appréhender ces technologies comme une composante <em>« familière, non menaçante, voire même nécessaire à la vie au XXIe siècle »</em>. Comme si chacun de ces services rendait la perspective de la reconnaissance faciale inévitable, voire indiscutable. La perspective d’une généralisation de ces outils <a href="https://motherboard.vice.com/amp/en_us/article/j53ba3/facial-recognition-school-surveillance-v25n3">jusqu’aux salles de classe</a>, que ce soit pour la sécurité des élèves comme pour mesurer l’engagement des élèves en cours, semble désormais des préoccupations légitimes et sans impacts, au prétexte que tout le monde le fait ou s’apprête à le faire… Pire, appuient très justement Hartzog et Selinger, le fait que des expériences de surveillance se présentent comme anodines, de commodité voire de divertissement nous empêche de mesurer le risque que ces outils, à terme, font peser sur la vie privée et les libertés civiles. </p>
<p>En fin de compte, ces expériences risquent de nuire à la capacité du public à comprendre les menaces que la surveillance fait peser sur la vie privée et les libertés civiles et de saper leur capacité à concevoir qu’il existe un avenir alternatif à la surveillance totale. Si tel est le cas, nous devrions nous attendre à ce que le changement de perception du public par le biais d’une normalisation progressive et d’un glissement des fonctions affecte directement la manière dont les tribunaux considèrent ce que sont des attentes raisonnables en matière de vie privée. <em>« Si les citoyens s’attendent à être immergés dans des technologies de reconnaissance faciale où qu’ils aillent, ils pourraient plus facilement tolérer que les forces de l’ordre se comportent comme les autres acteurs de la société »</em>. Le risque de la généralisation de multiples outils et formes de reconnaissance faciale est qu’elle banalise la surveillance individuellement et transforme petit à petit nos normes collectives en matière de respect de la vie privée. C’est d’ailleurs de cela dont jouent les entreprises privées, en démultipliant les offres pour faire pression progressivement sur l’acceptation par l’opinion publique. D’où le fait que les entreprises voient finalement d’un mauvais oeil le risque d’un moratoire ou d’une interdiction de ces technologies. </p>
<p>Pour Selinger et Hartzog, le déploiement des technologies de reconnaissance faciale n’est pas inéluctable. Mais il pose assurément la question de comment mettre des limites au déterminisme technologique, à savoir de trouver les modalités démocratiques pour nous permettre, en tant que citoyens, de rejeter des formes de technologies, non seulement dans la vie sociale, mais aussi via les impacts que des projets de déploiement privés font peser sur l’ensemble de nos choix de société.</p>
