title: How the novel coronavirus has evolved
url: https://graphics.reuters.com/HEALTH-CORONAVIRUS/EVOLUTION/yxmpjqkdzvr/index.html
hash_url: 3d3e8962a6319ee4d41a75b1cd5abd38

<section class="widest headline mt-1 mb-4"><div class="headline-container"><div class="headline-block"><h2 class="smaller">How the novel coronavirus has evolved</h2><p class="intro-dek">The world is now dealing with a different type of SARS-CoV-2 than the one that emerged in China almost a year ago, with mutations creating at least seven strains of the virus so far.</p></div></div></section>
<section class="body-text"><p>As the coronavirus SARS-CoV-2 swept across the world and killed more than 1.5 million in the past year, it has mutated into several major groups, or strains, as it adapted to its human hosts. Mapping and understanding those changes to the virus is crucial to developing strategies to combat the COVID-19 disease it causes.</p><p>Reuters analysed over 185,000 genome samples from the Global Initiative on Sharing All influenza Data (GISAID), the largest database of novel coronavirus genome sequences in the world, to show how the global dominance of major strains has shifted over time.</p><p>The analysis shows there are currently seven main strains of the virus. The original strain, detected in the Chinese city of Wuhan in December 2019, is the L strain. The virus then mutated into the S strain at the beginning of 2020. That was followed by V and G strains. Strain G mutated yet further into strains GR, GH and GV. Several other infrequent mutations were collectively grouped together as strain O.</p></section><section class="wider mt-1 mb-3"><div id="g-GLOBAL-strains-box" class="ai2html"><div id="g-GLOBAL-strains-sm" class="g-artboard" data-aspect-ratio="1.372" data-min-width="510" data-max-width="689"><p/><p id="g-GLOBAL-strains-sm-img" class="g-aiImg" alt=""/><div id="g-ai0-1" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle0">Weekly breakdown of over 185,000 virus samples</p><p class="g-pstyle0">from around the world</p></div></div><div id="g-GLOBAL-strains-md" class="g-artboard" data-aspect-ratio="2.396" data-min-width="690" data-max-width="919"><p/><p id="g-GLOBAL-strains-md-img" class="g-aiImg" alt=""/><div id="g-ai1-1" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle0">Weekly breakdown of over 185,000 virus samples from around the world</p></div><div id="g-ai1-7" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle3">Latest samples</p><p class="g-pstyle3">are all G-type</p><p class="g-pstyle3">strains</p></div></div><div id="g-GLOBAL-strains-lg" class="g-artboard" data-aspect-ratio="2.893" data-min-width="920"><p/><p id="g-GLOBAL-strains-lg-img" class="g-aiImg" alt=""/><div id="g-ai2-1" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle0">Weekly breakdown of over 185,000 virus samples from around the world</p></div><div id="g-ai2-7" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle3">Latest samples</p><p class="g-pstyle3">are all G-type</p><p class="g-pstyle3">strains</p></div></div><div id="g-GLOBAL-strains-xs" class="g-artboard" data-aspect-ratio="0.848" data-min-width="0" data-max-width="509"><p/><p id="g-GLOBAL-strains-xs-img" class="g-aiImg" alt=""/><div id="g-ai3-1" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle0">Weekly breakdown of over 185,000 virus samples</p><p class="g-pstyle0">from around the world</p></div></div></div></section><section class="body-text mb-5"><p>“The reason for looking at the genomics is to try and find out where it came from … in terms of trying to map out what we would expect for the pandemic, that information is critical,” South Australia’s chief health officer, Nicola Spurrier, said following an outbreak in the state in early November. Health officials initially locked down the state because they thought the outbreak was caused by a much more contagious strain of the virus. They lifted the lockdown a day later when it turned out that a pizza restaurant worker had lied about how he caught the disease.</p><p>The graphic above shows how the original L strain is almost gone, leaving G strains dominant in the current stage of the pandemic. That’s important because the G strains include one mutation that makes it easier for the spike proteins on SARS-CoV-2 to bind to receptors on human cells, potentially increasing the chances of infection and transmissibility of the virus.</p></section>
<section class="body-text"><h3>Tracking mutations</h3><p>A mutation is a change in an organism’s genetic material. When a virus makes millions of copies of itself and moves from host to host, not every copy is identical. These small mutations accumulate as the virus is passed on – and copied again and again.</p><p>Databases like GISAID can track these changes in individual samples, allowing scientists to connect the dots with other samples and determine when major new strains form.</p><p>The GISAID database mapped out about 3,500 of these samples from all over the world, constructing a family tree that shows how they are related. A visualisation of the data illustrates the relationships among the samples and where new strains emerged.</p></section><section class="widest mt-4 mb-5"><div id="g-TREE-strains-box" class="ai2html"><div id="g-TREE-strains-sm" class="g-artboard" data-aspect-ratio="0.517" data-min-width="510" data-max-width="689"><p/><p id="g-TREE-strains-sm-img" class="g-aiImg" alt=""/><div id="g-ai0-1" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle0">Major groupings</p><p class="g-pstyle1">Colours represent strain. Data as of Nov. 3</p></div><div id="g-ai0-11" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle6">Original Wuhan</p><p class="g-pstyle6">strain in red</p></div><div id="g-ai0-13" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle7">Case one</p><p class="g-pstyle8">Common ancestor based</p><p class="g-pstyle8">on backtracking of mutations</p></div><div id="g-ai0-14" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle7">Dots represent</p><p class="g-pstyle7">virus samples</p></div><div id="g-ai0-20" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle8">By deconstructing</p><p class="g-pstyle8">the sequences,</p><p class="g-pstyle8">scientists can</p><p class="g-pstyle8">fill in the gaps to</p><p class="g-pstyle8">retrace the lineage</p><p class="g-pstyle8">of the virus samples.</p></div></div><div id="g-TREE-strains-md" class="g-artboard" data-aspect-ratio="0.635" data-min-width="690" data-max-width="919"><p/><p id="g-TREE-strains-md-img" class="g-aiImg" alt=""/><div id="g-ai1-1" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle0">Major groupings</p><p class="g-pstyle1">Colours represent strain. Data as of Nov. 3</p></div><div id="g-ai1-11" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle6">Original Wuhan</p><p class="g-pstyle6">strain in red</p></div><div id="g-ai1-13" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle7">Case one</p><p class="g-pstyle8">Common ancestor based</p><p class="g-pstyle8">on backtracking of mutations</p></div><div id="g-ai1-14" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle7">Dots represent</p><p class="g-pstyle7">virus samples</p></div><div id="g-ai1-20" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle8">By deconstructing</p><p class="g-pstyle8">the sequences,</p><p class="g-pstyle8">scientists can fill</p><p class="g-pstyle8">in the gaps to</p><p class="g-pstyle8">retrace the lineage</p><p class="g-pstyle8">of the virus samples.</p></div></div><div id="g-TREE-strains-lg" class="g-artboard" data-aspect-ratio="0.866" data-min-width="920" data-max-width="1249"><p/><p id="g-TREE-strains-lg-img" class="g-aiImg" alt=""/><div id="g-ai2-1" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle0">Major groupings</p><p class="g-pstyle1">Colours represent strain. Data as of Nov. 3</p></div><div id="g-ai2-10" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle3">Original Wuhan</p><p class="g-pstyle3">strain in red</p></div><div id="g-ai2-12" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle2">Case one</p><p class="g-pstyle5">Common ancestor based</p><p class="g-pstyle5">on backtracking of mutations</p></div><div id="g-ai2-16" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle5">By deconstructing the sequences,</p><p class="g-pstyle5">scientists can fill in the gaps to retrace</p><p class="g-pstyle5">the lineage of the virus samples.</p></div><div id="g-ai2-17" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle2">Actual virus samples</p><p class="g-pstyle2">and their relationships</p></div><div id="g-ai2-21" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle7">GV</p><p class="g-pstyle8">Latest strain</p><p class="g-pstyle8">dominating in Europe</p></div></div><div id="g-TREE-strains-xs" class="g-artboard" data-aspect-ratio="0.393" data-min-width="0" data-max-width="509"><p/><p id="g-TREE-strains-xs-img" class="g-aiImg" alt=""/><div id="g-ai3-1" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle0">Major groupings</p><p class="g-pstyle1">Colours represent strain. Data as of Nov. 3</p></div><div id="g-ai3-11" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle6">Original Wuhan</p><p class="g-pstyle6">strain in red</p></div><div id="g-ai3-13" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle7">Case one</p><p class="g-pstyle8">Common ancestor based</p><p class="g-pstyle8">on backtracking of mutations</p></div><div id="g-ai3-14" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle7">Dots represent</p><p class="g-pstyle7">virus samples</p></div><div id="g-ai3-20" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle8">By deconstructing</p><p class="g-pstyle8">the sequences,</p><p class="g-pstyle8">scientists can</p><p class="g-pstyle8">fill in the gaps</p><p class="g-pstyle8">to retrace the</p><p class="g-pstyle8">lineage of the</p><p class="g-pstyle8">virus samples.</p></div></div><div id="g-TREE-strains-xl" class="g-artboard" data-aspect-ratio="1.168" data-min-width="1250"><p/><p id="g-TREE-strains-xl-img" class="g-aiImg" alt=""/><div id="g-ai4-1" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle0">Major groupings</p><p class="g-pstyle1">Colours represent strain. Data as of Nov. 3</p></div><div id="g-ai4-10" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle3">Original Wuhan</p><p class="g-pstyle3">strain in red</p></div><div id="g-ai4-12" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle2">Case one</p><p class="g-pstyle5">Common ancestor based</p><p class="g-pstyle5">on backtracking of mutations</p></div><div id="g-ai4-16" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle5">By deconstructing the sequences,</p><p class="g-pstyle5">scientists can fill in the gaps to</p><p class="g-pstyle5">retrace the lineage of the virus samples.</p></div><div id="g-ai4-17" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle2">Actual virus samples</p><p class="g-pstyle2">and their relationships</p></div><div id="g-ai4-21" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle7">GV</p><p class="g-pstyle8">Latest strain</p><p class="g-pstyle8">dominating in Europe</p></div></div></div></section>
<section class="body-text"><h3>Shifting strains</h3><p>Earlier in the pandemic, the virus made its way relatively quickly around the world, being repeatedly introduced to different locations and sparking fresh outbreaks regularly. During that time, there was a more diverse mixture of strains among the samples reported to GISAID. As countries began to close their borders, there were fewer new strains introduced. In countries where the more resilient G-type strains were present, they began to dominate.</p><p>However, the timing and rate of evolution into new strains occurred at different stages for different countries and regions. Those differing patterns largely reflected how quickly the virus was able to spread in any given region and whether an outbreak was sparked by an “imported” case of the virus.</p></section><section class="fluid mt-4 mb-4" id="regionalMax"><div id="g-REGIONAL-strains-box" class="ai2html"><div id="g-REGIONAL-strains-sm" class="g-artboard" data-aspect-ratio="0.548" data-min-width="510" data-max-width="689"><p/><p id="g-REGIONAL-strains-sm-img" class="g-aiImg" alt=""/><div id="g-ai0-9" class="g-art g-aiAbs"><p>Highest proportion of Wuhan “L” strain in early weeks.</p></div><div id="g-ai0-10" class="g-art g-aiAbs"><p>Rapid shift to the three G-type strains</p></div><div id="g-ai0-11" class="g-art g-aiAbs"><p>Region with highest portion of “O”, or “other”, strains circulating recently.</p></div><div id="g-ai0-29" class="g-art g-aiAbs"><p>All recent samples show “GH” strain.</p></div><div id="g-ai0-30" class="g-art g-aiAbs"><p>G-type strains dominate in Africa</p></div></div><div id="g-REGIONAL-strains-md" class="g-artboard" data-aspect-ratio="0.801" data-min-width="690" data-max-width="919"><p/><p id="g-REGIONAL-strains-md-img" class="g-aiImg" alt=""/><div id="g-ai1-13" class="g-art g-aiAbs"><p>Highest proportion of Wuhan “L” strain in early weeks.</p></div><div id="g-ai1-14" class="g-art g-aiAbs"><p>Region with highest portion of “O”, or “other”, strains circulating recently</p></div><div id="g-ai1-15" class="g-art g-aiAbs"><p>Rapid shift to the three G-type strains</p></div><div id="g-ai1-25" class="g-art g-aiAbs"><p>All recent samples show “GH” strain.</p></div><div id="g-ai1-26" class="g-art g-aiAbs"><p>G-type strains dominate in Africa</p></div></div><div id="g-REGIONAL-strains-lg" class="g-artboard" data-aspect-ratio="2.471" data-min-width="920" data-max-width="1199"><p/><p id="g-REGIONAL-strains-lg-img" class="g-aiImg" alt=""/><div id="g-ai2-14" class="g-art g-aiAbs"><p>High proportion of Wuhan “L” strain in early weeks</p></div><div id="g-ai2-15" class="g-art g-aiAbs"><p>Highest portion of “O”, or “other”, strains circulating recently</p></div><div id="g-ai2-16" class="g-art g-aiAbs"><p>Rapid shift to three G-type strains</p></div><div id="g-ai2-17" class="g-art g-aiAbs"><p>All recent samples show “GH” strain</p></div><div id="g-ai2-18" class="g-art g-aiAbs"><p>G-type strains dominate in Africa</p></div></div><div id="g-REGIONAL-strains-xs" class="g-artboard" data-aspect-ratio="0.192" data-min-width="0" data-max-width="509"><p/><p id="g-REGIONAL-strains-xs-img" class="g-aiImg" alt=""/><div id="g-ai3-6" class="g-art g-aiAbs"><p>Highest proportion of Wuhan “L” strain in early weeks.</p></div><div id="g-ai3-7" class="g-art g-aiAbs"><p>High portion of “O”, or “other”, strains</p><p>circulating recently.</p></div><div id="g-ai3-13" class="g-art g-aiAbs"><p>Rapid shift to the three G-type strains</p></div><div id="g-ai3-30" class="g-art g-aiAbs"><p>All recent samples show “GH” strain.</p></div><div id="g-ai3-36" class="g-art g-aiAbs"><p>G-type strains dominate in Africa</p></div></div><div id="g-REGIONAL-strains-xl" class="g-artboard" data-aspect-ratio="2.658" data-min-width="1200"><p/><p id="g-REGIONAL-strains-xl-img" class="g-aiImg" alt=""/><div id="g-ai4-22" class="g-art g-aiAbs"><p>Highest proportion of Wuhan “L” strain in early weeks.</p></div><div id="g-ai4-23" class="g-art g-aiAbs"><p>Region with highest portion of “O”, or “other”, strains circulating recently.</p></div><div id="g-ai4-24" class="g-art g-aiAbs"><p>Rapid shift to the three G-type strains</p></div><div id="g-ai4-25" class="g-art g-aiAbs"><p>All recent samples show “GH” strain.</p></div><div id="g-ai4-26" class="g-art g-aiAbs"><p>G-type strains dominate in Africa</p></div></div></div></section>
<section class="body-text"><p>In Asia, the original L strain persisted for longer as several countries, including China, were quick to shut borders and curtail movement. In contrast, North America and Europe did not restrict movement as much, at least initially, which allowed the G strains to spread - and mutate - at a faster pace.</p><p>“A lot of it comes down to place and getting a foothold in a new population,” said Catherine Bennett, epidemiology chair in the Faculty of Health at Melbourne’s Deakin University. “This virus moves in superspreader events, which means the virus doesn’t have to be particularly contagious. We will see different patterns because of cluster transmission.”</p></section><section class="wider mt-3 mb-5"><div id="g-China-strains-box" class="ai2html"><div id="g-China-strains-sm" class="g-artboard" data-aspect-ratio="1.117" data-min-width="510" data-max-width="689"><p/><p id="g-China-strains-sm-img" class="g-aiImg" alt=""/><div id="g-ai0-5" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle4">No samples</p><p class="g-pstyle4">available as</p><p class="g-pstyle4">infections</p><p class="g-pstyle4">also drop</p></div><div id="g-ai0-9" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle1">Samples from recent sporadic</p><p class="g-pstyle1">outbreaks were “G” strain</p></div></div><div id="g-China-strains-md" class="g-artboard" data-aspect-ratio="1.462" data-min-width="690" data-max-width="919"><p/><p id="g-China-strains-md-img" class="g-aiImg" alt=""/><div id="g-ai1-5" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle1">Samples from recent</p><p class="g-pstyle1">sporadic outbreaks</p><p class="g-pstyle1">were “G” strain</p></div><div id="g-ai1-7" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle5">No samples</p><p class="g-pstyle5">available as</p><p class="g-pstyle5">infections</p><p class="g-pstyle5">also drop</p></div></div><div id="g-China-strains-lg" class="g-artboard" data-aspect-ratio="2.15" data-min-width="920"><p/><p id="g-China-strains-lg-img" class="g-aiImg" alt=""/><div id="g-ai2-5" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle1">Samples from recent</p><p class="g-pstyle1">sporadic outbreaks</p><p class="g-pstyle1">were “G” strain</p></div><div id="g-ai2-7" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle5">No samples</p><p class="g-pstyle5">available as</p><p class="g-pstyle5">infections</p><p class="g-pstyle5">also drop</p></div></div><div id="g-China-strains-xs" class="g-artboard" data-aspect-ratio="1.015" data-min-width="0" data-max-width="509"><p/><p id="g-China-strains-xs-img" class="g-aiImg" alt=""/><div id="g-ai3-9" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle1">Samples from recent sporadic</p><p class="g-pstyle1">outbreaks were “G” strain</p></div></div></div></section>
<section class="body-text"><h3>G strains take over</h3><p>G strains are now dominant around the world. One specific mutation, D614G, has become the most common variant. It is so named because one amino acid is changed from a D (aspartate) to a G (glycine) at the 614th position on the viral spike proteins, the structure that gives the virus its crown-like appearance.</p><p>The rise of the G strains coincided with spikes in outbreaks of the virus around the world, with a clutch of new cases allowing the strains to invade new areas. The dominance of the G strains is illustrated by the data for Australia, Japan and Thailand. During Australia’s second wave of infections, G strains were present in almost all samples, indicating the country had effectively eliminated transmission of the earlier L and S strains through a series of social distancing measures. All of Australia’s second wave clusters were sparked by people who had returned from overseas and breaches in quarantine.</p></section><section class="wider mt-4 mb-5"><div id="g-EARLY-strains-box" class="ai2html"><div id="g-EARLY-strains-sm" class="g-artboard" data-aspect-ratio="0.417" data-min-width="510" data-max-width="689"><p/><p id="g-EARLY-strains-sm-img" class="g-aiImg" alt=""/><div id="g-ai0-6" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle3">No samples</p><p class="g-pstyle3">available as</p><p class="g-pstyle3">infections</p><p class="g-pstyle3">also drop</p></div></div><div id="g-EARLY-strains-md" class="g-artboard" data-aspect-ratio="2.572" data-min-width="690" data-max-width="919"><p/><p id="g-EARLY-strains-md-img" class="g-aiImg" alt=""/><div id="g-ai1-12" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle3">No samples</p><p class="g-pstyle3">available as</p><p class="g-pstyle3">infections</p><p class="g-pstyle3">also drop</p></div></div><div id="g-EARLY-strains-lg" class="g-artboard" data-aspect-ratio="2.758" data-min-width="920" data-max-width="1199"><p/><p id="g-EARLY-strains-lg-img" class="g-aiImg" alt=""/><div id="g-ai2-12" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle3">No samples</p><p class="g-pstyle3">available as</p><p class="g-pstyle3">infections</p><p class="g-pstyle3">also drop</p></div></div><div id="g-EARLY-strains-xs" class="g-artboard" data-aspect-ratio="0.316" data-min-width="0" data-max-width="509"><p/><p id="g-EARLY-strains-xs-img" class="g-aiImg" alt=""/><div id="g-ai3-6" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle3">No samples</p><p class="g-pstyle3">available as</p><p class="g-pstyle3">infections</p><p class="g-pstyle3">also drop</p></div></div><div id="g-EARLY-strains-xl" class="g-artboard" data-aspect-ratio="2.878" data-min-width="1200"><p/><p id="g-EARLY-strains-xl-img" class="g-aiImg" alt=""/><div id="g-ai4-12" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle4">No samples</p><p class="g-pstyle4">available as</p><p class="g-pstyle4">infections</p><p class="g-pstyle4">also drop</p></div></div></div></section>
<section class="body-text"><h3>Major epicentres</h3><p>The dominance of the G-strains becomes even more evident when looking at some countries with the most infections.</p><p>The United States is leading the overall number of infections and deaths by far. The majority of infections and first, second, and third waves all coincide with the increase in samples showing three G strains.</p><p>In India, a similar pattern can be observed as the constant increase in infections from June to September seemed to follow the curve of the G strain samples.</p></section>
<section class="body-text"><h3>The new strain</h3><p>The most recent mutation to emerge is the GV strain, which has so far been isolated to Europe where it has become increasingly common in recent weeks. GISAID scientists said the variant has a mutation in the protein spike, but in this case it may have little effect on the virus’ ability to bind to human cells. Experts say it is currently unclear whether the GV strain is spreading because of any transmission advantage or because it affected socially active young adults and tourists over the summer.</p></section>
<section class="body-text"><h3>Outliers</h3><p>Some countries bucked the general trend for a progression - albeit at varying rates - from the L to the G strains. In some cases, insufficient sample data was submitted to GISAID to detect a pattern. However, some other countries simply failed to follow the overarching shift to G-type strains.</p><p>Singapore, for example, recorded a significant number of O strains - virus variants that did not develop into sustained lineages - for several weeks. Deakin University’s Bennett said that likely reflected the fact that most of Singapore’s outbreaks were in separate foreign worker dormitories and quickly contained to those facilities.</p><p>In South Korea, the V strain became dominant for a period linked to a huge cluster of cases at a religious sect in the city of Daegu. South Korea is also at the centre of global efforts to research the potential of reinfection with a different strain of the virus after reports in April that scores of people who had recovered from COVID-19 later tested positive again. Health officials at the time said they suspected it was due to tests picking up remnants of the dead virus. Since then, there have been documented reports of individuals being reinfected with different versions of the virus. In a recently published paper in the journal Clinical Infectious Diseases, researchers from Seoul National University Hospital used computerised analysis to show that one woman was first infected with the V strain and later reinfected with a G strain.</p></section>
<section class="body-text"><h3>Why mutations matter</h3><p>The mutations that give rise to new strains occur when the SARS-CoV-2 virus makes copies of itself inside a new host. The virus’ genome is a complete set of genetic instructions that is written in 30,000 “letters” of code. Different sections of the genome guide how different parts of the virus, such as structural proteins of the shell or non-structural proteins that impact replication, are constructed when the virus replicates in host cells.</p><p>Small mutations in the virus’s genome are normal as it is copied over and over. The GISAID database identified thousands of changes along the genome. Many are harmless but it’s virtually impossible for scientists to predict when and how a mutation can result in a strain of a virus that is more transmissible or impervious to proposed vaccines.</p><p>The diagram below shows the various regions of the viral genome and the corresponding parts of the virus they encode, as well as the many mutations recorded in each genome region.</p></section><section class="wider mt-5 mb-5"><div id="g-mutations-box" class="ai2html"><div id="g-mutations-sm" class="g-artboard" data-aspect-ratio="0.514" data-min-width="510" data-max-width="689"><p/><p id="g-mutations-sm-img" class="g-aiImg" alt=""/><div id="g-ai0-4" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle3">Areas of diversity in samples</p></div><div id="g-ai0-6" class="g-art g-aiAbs"><p class="g-pstyle5">Structural proteins</p><p class="g-pstyle4">The envelope,</p><p class="g-pstyle4">membrane, and nucleocapsid</p></div><div id="g-ai0-7" class="g-art g-aiAbs"><p class="g-pstyle6">Places with high amounts of mutation</p></div><div id="g-ai0-8" class="g-art g-aiAbs"><p class="g-pstyle5">Spike proteins</p><p class="g-pstyle4">Protrude from the viral envelope and allow it to attach to healthy cells</p></div><div id="g-ai0-9" class="g-art g-aiAbs"><p class="g-pstyle7">D614G</p><p>Now widespread. Affects the virus’s spike protein and believed to increase infectiousness</p></div><div id="g-ai0-10" class="g-art g-aiAbs"><p class="g-pstyle5">Non-structural proteins</p><p class="g-pstyle4">Do not form the physical structure of the virus but regulate other aspects of the virus</p></div></div><div id="g-mutations-md" class="g-artboard" data-aspect-ratio="1.122" data-min-width="690" data-max-width="919"><p/><p id="g-mutations-md-img" class="g-aiImg" alt=""/><div id="g-ai1-1" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle0">THE GENOME</p><p class="g-pstyle1">30,000 nucleotides long</p></div><div id="g-ai1-2" class="g-art g-aiAbs"><p class="g-pstyle2">Non-structural proteins</p><p class="g-pstyle3">Do not form the physical structure of the virus but regulate other aspects of the virus</p></div><div id="g-ai1-3" class="g-art g-aiAbs"><p class="g-pstyle4">Other structural proteins</p><p>The envelope,</p><p>membrane, and nucleocapsid</p></div><div id="g-ai1-4" class="g-art g-aiAbs"><p class="g-pstyle5">Spike proteins</p><p class="g-pstyle6">Protrude from the viral envelope and allow it to attach to healthy cells</p></div><div id="g-ai1-6" class="g-art g-aiAbs"><p class="g-pstyle4">D614G</p><p class="g-pstyle7">This now widespread</p><p class="g-pstyle7">mutation affects the virus’s spike protein and is believed to increase infectiousness</p></div><div id="g-ai1-7" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle8">WHERE IT MUTATES</p><p class="g-pstyle9">Locations along the genome and the amount</p><p class="g-pstyle9">of mutation among the samples in the database</p></div><div id="g-ai1-8" class="g-art g-aiAbs"><p>Places with high amounts of mutation or diversity</p></div><div id="g-ai1-9" class="g-art g-aiAbs"><p class="g-pstyle5">A222V</p><p class="g-pstyle6">New mutation in the “GV” strain currently circulating in Europe</p></div></div><div id="g-mutations-lg" class="g-artboard" data-aspect-ratio="1.218" data-min-width="920" data-max-width="1149"><p/><p id="g-mutations-lg-img" class="g-aiImg" alt=""/><div id="g-ai2-1" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle0">THE GENOME</p><p class="g-pstyle1">30,000 nucleotides long</p></div><div id="g-ai2-2" class="g-art g-aiAbs"><p class="g-pstyle2">Non-structural proteins</p><p class="g-pstyle3">Do not form the physical structure of the virus but regulate other aspects of the virus</p></div><div id="g-ai2-3" class="g-art g-aiAbs"><p class="g-pstyle4">Other structural proteins</p><p>The envelope,</p><p>membrane, and nucleocapsid</p></div><div id="g-ai2-4" class="g-art g-aiAbs"><p class="g-pstyle4">Spike proteins</p><p>Protrude from the viral envelope and allow it to attach to healthy cells</p></div><div id="g-ai2-6" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle0">WHERE IT MUTATES</p><p class="g-pstyle1">Locations along the genome and the amount</p><p class="g-pstyle1">of mutation among the samples in the database</p></div><div id="g-ai2-7" class="g-art g-aiAbs"><p class="g-pstyle6">D614G</p><p class="g-pstyle5">This now widespread</p><p class="g-pstyle5">mutation affects the virus’s spike protein and is believed to increase infectiousness</p></div><div id="g-ai2-8" class="g-art g-aiAbs"><p>Places with high amounts of mutation or diversity</p></div><div id="g-ai2-9" class="g-art g-aiAbs"><p class="g-pstyle6">A222V</p><p class="g-pstyle5">New mutation in the “GV” strain currently circulating in Europe</p></div></div><div id="g-mutations-xs" class="g-artboard" data-aspect-ratio="0.435" data-min-width="0" data-max-width="509"><p/><p id="g-mutations-xs-img" class="g-aiImg" alt=""/><div id="g-ai3-5" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle4">Areas of diversity in samples</p></div><div id="g-ai3-7" class="g-art g-aiAbs"><p class="g-pstyle6">Structural proteins</p><p class="g-pstyle5">The envelope,</p><p class="g-pstyle5">membrane, and nucleocapsid</p></div><div id="g-ai3-8" class="g-art g-aiAbs"><p class="g-pstyle7">Places with high amounts of mutation</p></div><div id="g-ai3-9" class="g-art g-aiAbs"><p class="g-pstyle6">Spike proteins</p><p class="g-pstyle5">Protrude from the viral envelope and allow it to attach to healthy cells</p></div><div id="g-ai3-10" class="g-art g-aiAbs"><p class="g-pstyle8">D614G</p><p>Now widespread. Affects the virus’s spike protein and believed to increase infectiousness</p></div><div id="g-ai3-11" class="g-art g-aiAbs"><p class="g-pstyle6">Non-structural proteins</p><p class="g-pstyle5">Do not form the physical structure of the virus but regulate other aspects of the virus</p></div></div><div id="g-mutations-lg_copy" class="g-artboard" data-aspect-ratio="1.523" data-min-width="1150"><p/><p id="g-mutations-lg_copy-img" class="g-aiImg" alt=""/><div id="g-ai4-1" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle0">THE GENOME</p><p class="g-pstyle1">30,000 nucleotides long</p></div><div id="g-ai4-2" class="g-art g-aiAbs"><p class="g-pstyle2">Non-structural proteins</p><p class="g-pstyle3">Do not form the physical structure of the virus but regulate other aspects of the virus</p></div><div id="g-ai4-3" class="g-art g-aiAbs"><p class="g-pstyle4">Other structural proteins</p><p>The envelope,</p><p>membrane, and nucleocapsid</p></div><div id="g-ai4-4" class="g-art g-aiAbs"><p class="g-pstyle4">Spike proteins</p><p>Protrude from the viral envelope and allow it to attach to healthy cells</p></div><div id="g-ai4-6" class="g-art g-aiAbs g-aiPointText"><p class="g-pstyle0">WHERE IT MUTATES</p><p class="g-pstyle1">Locations along the genome and the amount</p><p class="g-pstyle1">of mutation among the samples in the database</p></div><div id="g-ai4-7" class="g-art g-aiAbs"><p class="g-pstyle6">D614G</p><p class="g-pstyle5">This now widespread</p><p class="g-pstyle5">mutation affects the virus’s spike protein and is believed to increase infectiousness</p></div><div id="g-ai4-8" class="g-art g-aiAbs"><p>Places with high amounts of mutation or diversity</p></div><div id="g-ai4-9" class="g-art g-aiAbs"><p class="g-pstyle6">A222V</p><p class="g-pstyle5">New mutation in the “GV” strain currently circulating in Europe</p></div></div></div></section>
<section class="body-text"><h3>Cautious optimism</h3><p>The SARS-CoV-2 virus has so far mutated slowly, allowing scientists and policy makers to keep on top of its progress. Still, scientists have been divided on the implications of some of the mutations. Some experts have reported that the D614G variation has made the virus more transmissible, however other studies have contradicted that.</p><p>Either way, the changes so far have not resulted in strains that would likely be resistant to vaccines in development. In fact, one study by a group of scientists from several institutions including the University of Sheffield and Harvard University found that G strains might present an easier target for a vaccine because these strains have more spike proteins on their surface, which are the target of vaccine-induced antibodies.</p><p>“Fortunately, we found that none of these mutations are making COVID-19 spread more rapidly, but we need to remain vigilant and continue monitoring new mutations, particularly as vaccines get rolled out,” said University College of London Genetics Institute researcher Lucy van Dorp, co-author of a study that identified more than 12,700 mutations in the SARS-CoV-2 virus.</p><p>Still, experts who have watched influenza and HIV mutate over years, evading vaccines, warn that future mutations of SARS-CoV-2 remain unknown. And the best shot at avoiding changes that make the virus impervious to a vaccine remains curtailing its spread and reducing the opportunities it has to mutate.</p><p>“If the virus changes substantially, particularly the spike proteins, then it might escape a vaccine. We want to slow transmission globally to slow the clock,” said Deakin’s Bennett. “That reduces the chances of a one in a squillion change that’s awful news for us.”</p></section>
