title: Italy’s Bergamo finds covid-19 leaves long-term effects for some
url: https://www.washingtonpost.com/world/2020/09/08/bergamo-italy-covid-longterm/
hash_url: dd5f3b7bc94e0bbe28dedec164ff6a37

<p>BERGAMO, Italy — The first wave is over, thousands have been buried, and in a city that was once the world’s <a href="https://www.washingtonpost.com/health/2020/02/28/what-you-need-know-about-coronavirus/" target="_blank" class="contextual_link">coronavirus</a> epicenter, the hospital is calling back the survivors. It is drawing their blood, examining their hearts, scanning their lungs, asking them about their lives.</p>
<p>Twenty people per day, it is measuring what the coronavirus has left in its wake.</p>
<p>“How are you feeling?” a doctor recently asked the next patient to walk in, a 54-year-old who still can’t ascend a flight of steps without losing her breath.</p>
<p>“I feel like I’m 80 years old,” the woman said.</p>
<p>Six months ago, Bergamo was a <a href="https://www.washingtonpost.com/world/europe/coronavirus-obituaries-bergamo-italy/2020/03/16/6c342f02-66c7-11ea-b199-3a9799c54512_story.html" target="_blank">startling warning sign</a> of the virus’s fury, a city where sirens rang through the night and military trucks lined up outside the public hospital to ferry away the dead. Bergamo has dramatically curtailed the virus’s spread, but it is now offering another kind of warning, this one about the long aftermath, where recoveries are proving incomplete and sometimes excruciating.</p> <div data-elm-loc="" class="ent-photo ent-photo-fullwidth "> <a name="2O2THSHO4AI6VPIIDMIBGK2FR4"/> <img class="unprocessed photo" src="https://www.washingtonpost.com/resizer/vq_0jWSLEFR9RpdGzsJtmwWOHbQ=/480x0/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/2O2THSHO4AI6VPIIDMIBGK2FR4.jpg" data-hi-res-src="https://www.washingtonpost.com/resizer/uDnGtq4snujmzcgdluAys4B1NQ0=/1484x0/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/2O2THSHO4AI6VPIIDMIBGK2FR4.jpg" data-low-res-src="https://www.washingtonpost.com/resizer/vq_0jWSLEFR9RpdGzsJtmwWOHbQ=/480x0/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/2O2THSHO4AI6VPIIDMIBGK2FR4.jpg" data-raw-src="https://arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/2O2THSHO4AI6VPIIDMIBGK2FR4.jpg" data-threshold="480"/> <span class="pb-caption">A patient gets a CT scan in Bergamo, Italy. (Alberto Bernasconi for The Washington Post) </span> </div> <p>Those who survived the peak of the outbreak in March and April are now negative. The virus is officially gone from their systems.</p>
<p>“But we are asking: Are you feeling cured? Almost half the patients say no,” said Serena Venturelli, an infectious-disease specialist at the hospital.</p> <p class="ent-ad-leaderboard ent-ad-container" etadtype="enterprise"/> <p>The follow-ups with the once-hospitalized patients are the basis for medical research: Their health records now fill 17 bankers’ boxes, and scientific reports are on the way. Bergamo doctors say the disease clearly has full-body ramifications but leaves wildly differing marks from one patient to the next, and in some cases few marks at all. Among the first 750 patients screened, some 30 percent still have lung scarring and breathing trouble. The virus has left another 30 percent with problems linked to inflammation and clotting, such as heart abnormalities and artery blockages. A few are at risk of organ failure.</p>
<p>Beyond that, according to interviews with eight Pope John XXIII Hospital doctors involved in the work, many patients months later are dealing with a galaxy of daily conditions and have no clear answer on when it will all subside: leg pain, tingling in the extremities, hair loss, depression, severe fatigue.</p>
<p>Some patients had preexisting conditions, but doctors say survivors are not simply experiencing a version of old problems.</p>
<p>“We are talking about something new,” said Marco Rizzi, the head of the hospital’s infectious-disease unit.</p> <div data-elm-loc="" class="ent-photo "> <a name="IQDSQMHO4AI6VPIIDMIBGK2FR4"/> <img class="unprocessed photo" src="https://www.washingtonpost.com/resizer/HG2UVuwk_uu4RdgcFNEfhCjspoQ=/480x0/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/IQDSQMHO4AI6VPIIDMIBGK2FR4.jpg" data-hi-res-src="https://www.washingtonpost.com/resizer/SH3fP6LTfjp_dewJQuxprN_Qzqc=/1484x0/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/IQDSQMHO4AI6VPIIDMIBGK2FR4.jpg" data-low-res-src="https://www.washingtonpost.com/resizer/HG2UVuwk_uu4RdgcFNEfhCjspoQ=/480x0/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/IQDSQMHO4AI6VPIIDMIBGK2FR4.jpg" data-raw-src="https://arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/IQDSQMHO4AI6VPIIDMIBGK2FR4.jpg" data-threshold="480"/> <span class="pb-caption">Funeral home owner Giuseppe Vavassori, 65, developed short-term memory loss in the aftermath of the coronavirus. (Alberto Bernasconi for The Washington Post) </span> </div> <p>One patient, Giuseppe Vavassori, 65, has developed short-term memory loss and now lives under a mountain of Post-it notes and handwritten reminders, with names and phone numbers, so he can still run his funeral home business. A post-covid MRI showed dot-like lesions on his brain.</p>
<p>Another, Guido Padoa, 61, recovered well enough that he was able to go on vacation this summer. But he sleeps four extra hours per night and sometimes falls asleep suddenly midday, head on the computer keyboard.</p>
<p>Some patients who were self-reliant before contracting the virus remain so weakened that, when they arrive for their follow-up appointments, they’re helped to the waiting room by relatives, or in wheelchairs. Four people so far were too frail to make it through the several hours of testing and were rushed instead to the emergency room. Other times, people show up months later, having been through the worst — oxygen support, intubations — and are, improbably, almost fine. Doctors say one of the virus’s mysteries is how recoveries can be swift for some and brutal for others.</p>
<p>Venturelli mentioned a man in his 80s who’d come in for his follow-up visit, mostly recovered. His son, who’d also been infected, hadn’t fared as well. When Venturelli tried to refer the father to a specialist, he said he was too busy these days.</p>
<p>Covid had turned the father into his son’s caretaker.</p> <div data-elm-loc="" class="ent-photo ent-photo-fullwidth "> <a name="V7Y2BLHO4AI6VPIIDMIBGK2FR4"/> <img class="unprocessed photo" src="https://www.washingtonpost.com/resizer/86hmBrWPFQ16VdcUFOCG29h1I8E=/480x0/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/V7Y2BLHO4AI6VPIIDMIBGK2FR4.jpg" data-hi-res-src="https://www.washingtonpost.com/resizer/-c4tmjj5-1R1j17yN8HA8Q2qREs=/1484x0/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/V7Y2BLHO4AI6VPIIDMIBGK2FR4.jpg" data-low-res-src="https://www.washingtonpost.com/resizer/86hmBrWPFQ16VdcUFOCG29h1I8E=/480x0/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/V7Y2BLHO4AI6VPIIDMIBGK2FR4.jpg" data-raw-src="https://arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/V7Y2BLHO4AI6VPIIDMIBGK2FR4.jpg" data-threshold="480"/> <span class="pb-caption">Patients in a waiting room at the Pope John XXIII Hospital annex in Bergamo. (Alberto Bernasconi for The Washington Post) </span> </div> <p><b>THE BERGAMO RESEARCH</b> is being led by the same doctors who worked frantic 14-hour days in March, sometimes falling sick themselves, while watching patients rapidly outnumber the beds. Now, wearing just masks, those same doctors and patients are sitting down together in a way that was impossible months ago.</p>
<p>“We did feel a moral obligation to call them back,” said Venturelli, who helped start the study in early May. “It was such a tsunami for us. What we saw in March was a tragedy, not a normal hospitalization.”</p>
<p>Bergamo, in March, was a place with six-hour waits for ambulances and 16-hour waits in the ER. At one point, the hospital had 92 people on ventilators — compared with 143 now in all of Italy — and so many who required breathing assistance that it needed to pipe in oxygen from a rush-delivered emergency tank. Subsequent antibody sampling, according to the government, indicated that one-quarter of Bergamo’s 1.1 million people were infected with the virus.</p> <div class="ent-photo-grid ent-photo-grid-2"> <img class="unprocessed _3-to-2 placeholder " src="https://www.washingtonpost.com/resizer/TXJKur-cQ3m4AF9lqk_kkjfemkk=/3x2/www.washingtonpost.com/pb/resources/img/spacer.gif" data-hi-res-src="https://www.washingtonpost.com/resizer/2RcbzO4s93pBnzjML2RgBzGwdsI=/750x500/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/STSIJFXO4AI6VPIIDMIBGK2FR4.jpg" data-low-res-src="https://www.washingtonpost.com/resizer/WzlHeTFczUwKYz4dm4yj33pGojU=/243x162/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/STSIJFXO4AI6VPIIDMIBGK2FR4.jpg" data-raw-src="https://arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/STSIJFXO4AI6VPIIDMIBGK2FR4.jpg" data-threshold="243"/> <p class="ent-photo-grid-small-caption">Eugenio Poletti de Chaurand, a surgeon at Pope John XXIII Hospital, contracted the coronavirus in March and spent eight days using an oxygen helmet. He knew he needed the support — “I could feel myself suffocating,” he said — but he grew so agitated that he tried again and again to remove it. Doctors sedated him. He's made almost a full recovery and returned to work in mid-May. </p> <img class="unprocessed _3-to-2 placeholder " src="https://www.washingtonpost.com/resizer/TXJKur-cQ3m4AF9lqk_kkjfemkk=/3x2/www.washingtonpost.com/pb/resources/img/spacer.gif" data-hi-res-src="https://www.washingtonpost.com/resizer/ltqyH7oWPAYDyLx3He5ckPeCtFQ=/750x500/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/S7QYMEXO4AI6VPIIDMIBGK2FR4.jpg" data-low-res-src="https://www.washingtonpost.com/resizer/zX7aIOSNq7xPfUGNWAXFl1zS7LM=/243x162/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/S7QYMEXO4AI6VPIIDMIBGK2FR4.jpg" data-raw-src="https://arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/S7QYMEXO4AI6VPIIDMIBGK2FR4.jpg" data-threshold="243"/> <p class="ent-photo-grid-small-caption">Poletti de Chaurand said he has “only one lingering consequence” from his fight with the disease — a sensation, both strange and marvelous, that can suddenly overwhelm him, even during surgeries. In those moments, he becomes acutely aware of his lungs at work. “I draw deep breaths,” he said, “and feel great relief.” (Alberto Bernasconi for The Washington Post)</p> </div> <p class="ent-photo-grid-big-caption">LEFT: Eugenio Poletti de Chaurand, a surgeon at Pope John XXIII Hospital, contracted the coronavirus in March and spent eight days using an oxygen helmet. He knew he needed the support — “I could feel myself suffocating,” he said — but he grew so agitated that he tried again and again to remove it. Doctors sedated him. He's made almost a full recovery and returned to work in mid-May. RIGHT: Poletti de Chaurand said he has “only one lingering consequence” from his fight with the disease — a sensation, both strange and marvelous, that can suddenly overwhelm him, even during surgeries. In those moments, he becomes acutely aware of his lungs at work. “I draw deep breaths,” he said, “and feel great relief.” (Alberto Bernasconi for The Washington Post)</p>
<p>“I have a picture in my mind from that time of the ER with eight ambulances queuing outside,” said head nurse Monica Casati. Inside the hospital, she said, people were crying, moaning and gasping for air. “It was a noise that would remind you of Dante’s inferno,” she said.</p>
<p>The hospital was admitting only the worst cases, and to keep pace with the influx, it sometimes had to discharge patients before they were fully ready — something confirmed when the hospital started calling people for the follow-ups. In addition to the 440 people who died while hospitalized, 220 died after being told to go home.</p> <div data-elm-loc="" class="ent-photo ent-photo-fullwidth "> <a name="WCB5QUHO4AI6VPIIDMIBGK2FR4"/> <img class="unprocessed photo" src="https://www.washingtonpost.com/resizer/kSbx68tHyO7aKd8E7B-URErkwRs=/480x0/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/WCB5QUHO4AI6VPIIDMIBGK2FR4.jpg" data-hi-res-src="https://www.washingtonpost.com/resizer/4ht04NOszMY4_G0Iaxs4ozzMME4=/1484x0/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/WCB5QUHO4AI6VPIIDMIBGK2FR4.jpg" data-low-res-src="https://www.washingtonpost.com/resizer/kSbx68tHyO7aKd8E7B-URErkwRs=/480x0/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/WCB5QUHO4AI6VPIIDMIBGK2FR4.jpg" data-raw-src="https://arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/WCB5QUHO4AI6VPIIDMIBGK2FR4.jpg" data-threshold="480"/> <span class="pb-caption">A patient gets his respiration rate checked. Among the first 750 patients screened, about 30 percent exhibited breathing trouble and permanent lung scarring. (Alberto Bernasconi for The Washington Post) </span> </div> <p>The study in Bergamo is one of multiple efforts around the world to examine aspects of covid’s lingering damage. One <a href="https://jamanetwork.com/journals/jamacardiology/fullarticle/2768916" target="_blank">German study</a> of 100 people found that nearly 80 percent had heart abnormalities several months after infection. Other studies are underway to look specifically at “long-haulers” — a subset of people, some never hospitalized, who nonetheless have fatigue and other symptoms months after the illness.</p>
<p>Some of the doctors in Bergamo see reasons for encouragement in their findings, especially given the severity of what patients faced in March and April and the trial-and-error treatments they were given. They say that patients’ breathing seems to gradually improve, even though the lung scarring is permanent. Doctors have found nobody with a fever.</p> <p class="ent-ad-leaderboard ent-ad-container" etadtype="enterprise"/> <p>“Many of them coming in for repeat visits, they are doing better now than they were in May,” said Caterina Conti, a lung specialist.</p>
<p>For the patients who have been able to regain a semblance of their lives, the last barrier is the trauma itself — the raw memory of being in a hospital where so many were dying, and wondering if they might be next. Padoa, a photographer, said he remembers hearing others in his ward struggling to breathe, and seeing hospital workers remove the bodies, change the bedsheets. With his own lungs on the brink of failure, he worried what might happen if he let his eyes close, so he drew on his training four decades earlier as a paratrooper. Under an oxygen helmet, as it beeped and hissed, he willed himself to stay awake for five days, he said.</p>
<p>“It’s like when you are on a high mountain in the cold,” Padoa said. “If you fall asleep, you die.”</p> <div class="ent-photo-grid ent-photo-grid-2"> <img class="unprocessed _3-to-2 placeholder " src="https://www.washingtonpost.com/resizer/TXJKur-cQ3m4AF9lqk_kkjfemkk=/3x2/www.washingtonpost.com/pb/resources/img/spacer.gif" data-hi-res-src="https://www.washingtonpost.com/resizer/Q_WmLEisSEX7xYYTwxz_80OfP5U=/750x500/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/FA4E6JXO4AI6VPIIDMIBGK2FR4.jpg" data-low-res-src="https://www.washingtonpost.com/resizer/ypQcIz4ckb4_9qYCEAatLDqnqlI=/243x162/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/FA4E6JXO4AI6VPIIDMIBGK2FR4.jpg" data-raw-src="https://arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/FA4E6JXO4AI6VPIIDMIBGK2FR4.jpg" data-threshold="243"/> <p class="ent-photo-grid-small-caption">Mirco Carrara, 55, experienced a severe bout of covid-19 and now lives with the risk of fungus-filled bubbles exploding in his lungs. </p> <img class="unprocessed _3-to-2 placeholder " src="https://www.washingtonpost.com/resizer/TXJKur-cQ3m4AF9lqk_kkjfemkk=/3x2/www.washingtonpost.com/pb/resources/img/spacer.gif" data-hi-res-src="https://www.washingtonpost.com/resizer/N6LZ27UpjVBVPvFycY0YKWjZ6qs=/750x500/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/FNEWTGHO4AI6VPIIDMIBGK2FR4.jpg" data-low-res-src="https://www.washingtonpost.com/resizer/-imvjZqlFFOknwrz-H_kS5PhzzI=/243x162/arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/FNEWTGHO4AI6VPIIDMIBGK2FR4.jpg" data-raw-src="https://arc-anglerfish-washpost-prod-washpost.s3.amazonaws.com/public/FNEWTGHO4AI6VPIIDMIBGK2FR4.jpg" data-threshold="243"/> <p class="ent-photo-grid-small-caption">Carrara's daily medication regimen. (Photos by Alberto Bernasconi for The Washington Post)</p> </div> <p class="ent-photo-grid-big-caption">LEFT: Mirco Carrara, 55, experienced a severe bout of covid-19 and now lives with the risk of fungus-filled bubbles exploding in his lungs. RIGHT: Carrara's daily medication regimen. (Photos by Alberto Bernasconi for The Washington Post)</p>
<p><b>BUT THE GRAVEST</b> patients of all, like Mirco Carrara, 55, have no recovery in sight.</p>
<p>By the time he arrived for his follow-up, it was late August, and he’d moved back into his home on the outskirts of Bergamo. He’d started going to work again, as a manager at a military parts company. But he was also coming to terms with how drastically his life had changed.</p> <p class="ent-raw-container custom-html"> </p>
<p>He had spent more than a month in a medically induced coma. In the middle of that, he was transferred on a German medevac plane to a hospital in Cologne. Doctors there saw that his lungs had developed not only scars but also a fungal infection. He was removed from the ventilator, re-intubated after his lung collapsed, then removed again. By the time he returned, conscious, to a rehabilitation center in Italy, Carrara had lost 45 pounds. He needed to relearn to swallow and stand.</p>
<p>And even that he had felt capable of doing, until doctors told him one more thing. The full trauma of covid-19 — the ventilation, the treatment, the compounding infections — meant there were now fungus-filled bubbles inside his lungs, each a bomb-like threat that could critically impair his breathing if it burst.</p> <p class="ent-raw-container custom-html"> </p>
<p>“I started crying,” Carrara said. “Up until that point, I had thought I’d be able to recover.”</p>
<p>In an interview, Simone Benatti, the doctor at Pope John XXIII who consulted with Carrara, described the air and fungus bubbles as a “bad complication” and mentioned a separate <a href="https://www.thelancet.com/journals/laninf/article/PIIS1473-3099(20)30434-5/fulltext" target="_blank">Italian study</a> showing that some deceased covid-19 victims were found to have bacterial or fungal abscesses in their lungs.</p>
<p>“There is an interplay between covid and other infections,” Benatti said.</p> <p class="ent-ad-leaderboard ent-ad-container" etadtype="enterprise"/> <p>Carrara said the bubbles were like a “Damocles sword,” and soon enough, in early June, a cough sent his oxygen levels dipping. His girlfriend rushed him to the hospital. He had a tube inserted into his lungs for a week. A month later, it happened again — dipping oxygen; another hospital trip; another surgery to drain his lung — except this time, he wasn’t even sure what set it off. He felt a rage about his body. He said he wished the surgeon would “just cut my lung out.”</p>
<p>He arrived for his follow-up in Bergamo carrying a thick stack of medical paperwork and figured there was only so much more about his body he cared to know. Like the others, he submitted to a CT scan, an echocardiogram and blood tests. But when filling out a survey about how he was feeling and coping, he checked all the boxes in the “middle,” he said — moderate, good, okay.</p>  <p>“I lied,” Carrara said.</p>
<p>He didn’t mention how deep his despair has been, as he comes to grips with his lungs. He didn’t mention the guilt he felt, wondering if he passed the virus to his father, who had not survived. He didn’t mention his first nights back home, when he lay fully awake, one night and then two nights and then three. He didn’t say how his partner then said enough was enough, and went to the pharmacy to get sleeping pills, and how he’d agreed to take them, because that was the one way to briefly quiet his mind six months after being infected with covid-19.</p>
<p>“The bubbles will remain. They’re not going anywhere,” Carrara said, and he figured it was just a matter of time before he was back in the hospital again.</p>
<p>“I live with this terror,” he said.</p>
<p><i>Photo editing by Chloe Coleman. Designed by J.C. Reed.</i></p>
