title: Design Justice : repolitiser le design
url: https://www.internetactu.net/2021/02/03/design-justice-repolitiser-le-design/
hash_url: 6faa32ba37a3b1232125db9858700627

<p><img src="https://www.internetactu.net/wp-content/uploads/2020/07/designjustice-200x300.jpg" alt="Couverture du livre Design Justice" title="Couverture du livre Design Justice" class="alignright size-medium wp-image-35317" srcset="https://www.internetactu.net/wp-content/uploads/2020/07/designjustice-200x300.jpg 200w, https://www.internetactu.net/wp-content/uploads/2020/07/designjustice.jpg 550w" sizes="(max-width: 200px) 100vw, 200px"><a href="https://www.schock.cc/">Sasha Costanza-Chock</a> (<a href="https://twitter.com/schock">@schock</a>), activiste, professeure associée au <a href="https://cmsw.mit.edu/">Laboratoire d’études comparatives sur les médias du MIT</a> et chercheuse associée à la <a href="https://www.ajl.org/">Ligue pour la justice algorithmique</a> (<a href="https://twitter.com/ajlunited/">@ajlunited</a>), fondatrice du défunt Codesign Studio du MIT, est l’auteure de <em><a href="https://mitpress.mit.edu/books/design-justice">Design Justice : community-led practices to build the worlds we need</a></em> (MIT Press, 2020, non-traduit, <a href="https://design-justice.pubpub.org/">disponible en accès ouvert</a>).</p>
<p>Comme son titre l’indique, <em>Design Justice</em> invite à reconcevoir la justice sociale, c’est-à-dire les rapports de pouvoir. Notre conception du monde <em>« trop souvent contribue à la reproduction d’une oppression systémique »</em>, explique la chercheuse qui travaille à la rencontre des études sur le numérique et des questions raciales et <a href="https://fr.wikipedia.org/wiki/Intersectionnalit%C3%A9">intersectionnelles</a> (voir également <a href="http://www.marcjahjah.net/4553-race-intersectionnalite-et-etudes-critiques-du-code-informatique">le blog du chercheur Marc Jahjah pour une mise en perspective introductive à ces questions</a>). Nos systèmes encodent des normes, des valeurs et des présupposés. Comme disait <a href="https://www.langdonwinner.com/">Langdon Winner</a> (<a href="https://twitter.com/langdonw/">@langdonw</a>), dans <em><a href="https://www.eclm.fr/livre/la-baleine-et-le-reacteur/">La baleine et le réacteur</a></em> : les dispositifs techniques sont politiques. C’est l’expérience que vit Sasha Costanza-Chock, qui, du fait de sa transidentité, affole les systèmes de sécurité des aéroports dès qu’elle doit les franchir. Les scanners corporels imposent leurs normativités de genre, de race, de culture, de validité… sans qu’ils soient même questionnés. Comme y invitait Joi Ito, ancien directeur du Media Lab du MIT, <a href="http://www.internetactu.net/a-lire-ailleurs/resister-a-la-reduction-un-manifeste/">dans son manifeste à résister à la réduction</a>, pour Sasha Costanza-Chock, l’approche normative, genrée, raciste, validaire des scanners corporels des aéroports est la règle de développement de la technologie et donc de réduction normative qui reproduit les inégalités structurelles de nos sociétés.</p>
<p>Pour répondre à ces enjeux, Sasha Costanza-Chock développe le concept de Design Justice (qu’il est difficile de traduire, entre « Conception juste » et « justice en matière de design », son but est de remettre les personnes et groupes exclus ou marginalisés par les pratiques créatives ou collaboratives en maîtrise des développements et de la conception des systèmes qui s’appliquent sur eux). Ce terme n’est pas de son fait : il est né d’une communauté de pratique de designers et de militants embarqués dans des mouvements sociaux et des organisations communautaires aux États-Unis et tout autour du monde. À l’issu d’un atelier organisé en 2015 est né le <a href="https://designjustice.org/">réseau Design Justice</a> (<a href="https://twitter.com/design__justice">@design__justice</a>) qui a formalisé en 2018 <a href="https://designjustice.org/read-the-principles">une série d’une dizaine de principes</a> pour une conception plus juste :  </p>
<ul>
<li>Nous utilisons le design pour soutenir, soigner et donner de la puissance d’agir à nos communautés, ainsi que pour chercher à nous libérer des systèmes d’exploitation et d’oppression. </li>
<li>Nous remettons au centre les voix de celles et ceux qui sont directement touché.e.s par les résultats du processus de conception.</li>
<li>Nous privilégions l’impact du design sur la communauté plutôt que les intentions des designers.</li>
<li>Nous considérons le changement comme émergeant d’un processus responsable, accessible et collaboratif plutôt que comme le point final à l’issue d’un processus.</li>
<li>Nous considérons le rôle du designer comme celui d’un facilitateur plutôt que comme celui d’un expert.</li>
<li>Nous croyons que chacun.e est un.e expert.e depuis sa propre expérience et que nous avons tous.tes des contributions uniques et brillantes à apporter au processus de conception.</li>
<li>Nous partageons les connaissances et les outils de conception avec nos communautés.</li>
<li>Nous travaillons à des résultats durables, dirigés et contrôlés par la communauté.</li>
<li>Nous travaillons à des solutions qui ne relèvent pas de l’exploitation et qui nous reconnectent à la terre et les un.e.s aux autres.</li>
<li>Avant de chercher de nouvelles solutions de conception, nous recherchons ce qui fonctionne déjà au niveau communautaire. Nous honorons et renforçons les connaissances et pratiques traditionnelles, autochtones et locales.</li>
</ul>
<p><em>« La justice en matière de design est un cadre d’analyse de la manière dont le design répartit les avantages et les charges entre différents groupes de personnes. La justice en matière de design se concentre explicitement sur les façons dont le design reproduit et/ou conteste la matrice de domination (qu’elle soit celle de la suprématie blanche, de l’hétéropatriarcat, du capitalisme, du validisme, du colonialisme et autres formes d’inégalité structurelle). La justice en matière de design est également une communauté de pratique croissante qui vise à assurer une distribution plus équitable des avantages et des charges du design, une participation significative aux décisions de design et la reconnaissance des traditions, des connaissances et des pratiques de design communautaires, autochtones et diasporiques. »</em></p>
<p>Ces principes sont depuis appliqués par nombre d’organisations militantes, qu’elle évoque longuement dans son livre. Pour SCC, ces principes devraient être structurels au design et infuser tous les champs de la conception. </p>
<p><img src="https://www.internetactu.net/wp-content/uploads/2021/02/Design-Justice-Network-1024x714.png" alt="Page d'accueil du réseau pour la justice en matière de design" title="Page d'accueil du réseau pour la justice en matière de design" class="alignnone size-large wp-image-35612" srcset="https://www.internetactu.net/wp-content/uploads/2021/02/Design-Justice-Network-1024x714.png 1024w, https://www.internetactu.net/wp-content/uploads/2021/02/Design-Justice-Network-300x209.png 300w, https://www.internetactu.net/wp-content/uploads/2021/02/Design-Justice-Network-768x536.png 768w, https://www.internetactu.net/wp-content/uploads/2021/02/Design-Justice-Network.png 1263w" sizes="(max-width: 1024px) 100vw, 1024px"></p>
<h2>S’intéresser aux problèmes plus qu’aux solutions : aux disaffordances plus qu’aux affordances !</h2>
<p>Le Design Justice vise à se focaliser plus sur les problèmes que les solutions. Le design, <a href="https://logicmag.io/justice/fred-turner-dont-be-evil/">comme le disait Fred Turner</a>, est encore trop souvent le processus par lequel les politiques d’un monde sont les contraintes de l’autre. La critique de Sasha Costanza-Chock à l’encontre des limites du design est forte. Pour elle, l’aveuglement du secteur aux enjeux politique est profond et constant. Les questions d’inégalités ont longtemps été ignorées par les designers soutient-elle. Par exemple, la notion d’<a href="https://fr.wikipedia.org/wiki/Affordance">affordance</a>, (c’est-à-dire la caractéristique d’un objet à suggérer son usage), initiée par le psychologue <a href="https://fr.wikipedia.org/wiki/James_J._Gibson">James Gibson</a> dès les années 70 et théorisée par <ahref>Don Norman, dans son livre de référence, <em>The Design of Everyday Things</em> (1988, <a href="https://www.editions-eyrolles.com/Livre/9782212678833/le-design-des-objets-du-quotidien">dont la traduction française vient de paraître</a>), ignore largement les questions d’inégalités d’accès… Derrière l’affordance, symbole d’une acmé du design où la forme se révèle à elle-même, se cache l’hypothèse que la perception serait partagée par tous. Rien n’est pourtant moins sûr, estime Sasha Costanza-Chock. La perception est éminemment relative. Nous ne sommes pas égaux devant les affordances. Certaines sont plus perceptibles par certains utilisateurs que d’autres. L’icône de la disquette pour enregistrer quelque chose ne signifie rien aux plus jeunes. Le menu « enregistrer » est illisible à l’analphabète… </ahref></p>
<p>En suivant les critiques du professeur de design <a href="https://www.gold.ac.uk/design/staff/gaver/">William Gaver</a>, auteur de <a href="https://dl.acm.org/doi/10.1145/108844.108856">« Technology Affordances »</a> (1991), plus critique envers celles-ci, les affordances d’un dispositif ne sont jamais également perceptibles à tous ni jamais également disponibles à tous, rappelle Sasha Costanza-Chock. Elle préfère d’ailleurs évoquer les « Disaffordances » qu’explorait le philosophe des technologies, <a href="https://fs.wp.odu.edu/dwittkow/">D.E. Wittkower</a> (<a href="https://twitter.com/dwittkower">@dwittkower</a>) en fondant <a href="https://digitalcommons.odu.edu/philosophy_fac_pubs/28/">les principes d’un design antidiscriminatoire</a>. Dans les « disaffordances », les indices perceptifs sont bloqués ou limités, à l’image d’un scanner d’empreinte digitale de téléphone qui vous permet d’accéder à son contenu, mais qui vous bloque l’accès de tous les autres systèmes. Dans les « dysaffordances », les objets exigent que les utilisateurs s’identifient mal pour accéder à leurs fonctions (comme le fait de devoir sélectionner homme ou femme si vous n’êtes ni l’un ni l’autre). Le mouvement pour l’accessibilité questionne depuis longtemps les limites de l’universalité des réponses : il n’y a pas une configuration unique qui réponde à toutes les situations. <em>« Les affordances de certains sont les disaffordances des autres »</em>. </p>
<p>Les designers n’excluent pas toujours intentionnellement les groupes marginalisés, modère-t-elle, en rappelant néanmoins l’impact discriminatoire des travaux de l’urbaniste de New York, <a href="https://fr.wikipedia.org/wiki/Robert_Moses">Robert Moses</a>, privilégiant la voiture sur les transports publics et surtout construisant des ponts menant aux plages de Long Island trop bas pour les laisser passer et empêcher ainsi les populations pauvres et noires de s’y rendre. Comme le raconte Langdon Winner dans son livre, la technologie matérialise les relations de puissance. Si la plupart des designers ne sont ni sexistes, ni racistes, ni homophobes, ni xénophobes, ni islamophobes, ni libéraux…,le problème ne relève pas tant de leurs intentions, l’enjeu est plutôt d’interroger les processus et les résultats de leurs actions. Trop souvent les affordances d’un objet ou d’un système réduisent les opportunités de personnes déjà oppressées ou marginalisées et augmentent celles des groupes dominants, indépendamment des intentions des concepteurs. Pour Sasha Costanza-Chock, il est donc essentiel d’interroger la conception discriminatoire, c’est-à-dire le voile de la représentation d’une perception qui serait universelle, c’est-à-dire la normalisation des hiérarchies sociales qui sous-tend la conception, comme les dénonçait <a href="https://www.ruhabenjamin.com/">Ruha Benjamin</a> (<a href="https://twitter.com/ruha9">@ruha9</a>) dans son livre, <em>Race after technology</em> (voir notre critique <a href="https://www.internetactu.net/2020/09/15/de-lautomatisation-de-la-discrimination/">« De l’automatisation de la discrimination »</a>) ou comme <a href="https://qz.com/640302/why-is-so-much-of-our-new-technology-designed-primarily-for-men/">le soulignait</a> Soraya Chemaly (<a href="https://twitter.com/schemaly">@schemaly</a>), auteure du <em><a href="https://www.albin-michel.fr/ouvrages/le-pouvoir-de-la-colere-des-femmes-9782226442314">Pouvoir de la colère des femmes</a></em> (Albin Michel, 2019) et responsable du <a href="https://www.womensmediacenter.com/speech-project">projet Speech</a> du Women’s Media Center, en pointant que les assistants vocaux étaient capables de répondre à des questions sur une crise cardiaque ou un suicide, mais pas sur des questions portant sur le viol. </p>
<h2>Défaire la « matrice de domination »</h2>
<p>La discrimination provient souvent de la standardisation, explique Sasha Costanza-Chock, qui évoque par exemple la taille des sièges ou les algorithmes de crédit, qui normalisent les caractéristiques de certains comme étant celles de tous. Or, pour les groupes sociaux minoritaires dans les représentations, ces standardisations sont souvent autant de microagressions à leur encontre. Pour elle, s’intéresser aux microagressions permet justement de comprendre l’impact de la normalisation sur les populations marginales, à l’image des distributeurs automatiques de savon par capteur optique qui ignorent les peaux foncées qu’évoquait Benjamin dans son livre. La standardisation fait éprouver à certains un sentiment constant d’altérité : la sensation que <em>« ce monde n’a pas été construit pour nous »</em>. <em>« Le design instancie constamment l’inégalité de pouvoir par des moyens technologiques »</em>. </p>
<p><img src="https://www.internetactu.net/wp-content/uploads/2021/02/accessibleamerica-199x300.jpg" alt="Couverture du livre Accessible Access" title="Couverture du livre Accessible Access" class="alignleft size-medium wp-image-35613" srcset="https://www.internetactu.net/wp-content/uploads/2021/02/accessibleamerica-199x300.jpg 199w, https://www.internetactu.net/wp-content/uploads/2021/02/accessibleamerica.jpg 298w" sizes="(max-width: 199px) 100vw, 199px">Pour répondre à cela, l’approche Design justice se veut sensible aux valeurs (<em><a href="https://dl.acm.org/doi/10.1145/230538.230561">value-sensitive design</a></em>) embarquées dans les technologies, à l’image par exemple de la politique des vrais noms de Facebook, qui repose sur une vision eurocentrée, qui rejette par exemple les noms de peuples indigènes ou l’anonymisation nécessaire aux populations LGBT pour se protéger. L’historienne <a href="https://besswilliamson.com/">Sarah Elizabeth Williamson</a> (<a href="https://twitter.com/besswww">@besswww</a>) dans son <a href="https://nyupress.org/9781479894093/accessible-america/">histoire de l’accessibilité en Amérique</a> (NYU Press, 2019) comme <a href="https://aimihamraie.wordpress.com/">Aimi Hamraie</a> (<a href="https://twitter.com/AimiHamraie">@AimiHamraie</a>), directrice du <a href="https://www.mapping-access.com/">Critical Design Lab</a> (<a href="https://twitter.com/criticaldesignl">@criticaldesignl</a>) auteure de <em><a href="https://www.upress.umn.edu/book-division/books/building-access">Building Access</a></em> (University of Minnesota press, 2017) ont montré que le mouvement pour l’accessibilité a travaillé sans cesse à encoder l’accessibilité à tous les niveaux d’intervention. La critique a influé sur la standardisation et les bonnes pratiques ont infusé peu à peu. La révision de la standardisation n’est pas toujours parfaite souligne Sasha Costanza-Chock, mais le mouvement de défense de l’accessibilité nous montre que plutôt que de masquer la réalité et ses problèmes, l’enjeu est de les rendre explicites. La conception juste vise à rééquilibrer la relation, à apporter des bénéfices à ceux qui sont systématiquement désavantagés par <em>« la matrice de domination »</em> qui s’impose à eux. Elle s’appuie sur un design inclusif, comme le prône l’<a href="https://idrc.ocadu.ca/">Inclusive Design Research Centre</a> (<a href="https://twitter.com/idrc_ocadu">@idrc_ocadu</a>), qui défend une approche de production de solutions adaptées plutôt que des solutions à taille unique. </p>
<p>L’enjeu, ici, est bien de changer de paradigme : de passer d’une conception qui vise à <em>« démanteler activement [la matrice de domination] plutôt qu’à la renforcer involontairement »</em>. Cela suppose que les designers réinterrogent et repensent les outils et techniques spécifiques qu’ils utilisent dans leurs pratiques quotidiennes. Sasha Costanza-Chock démonte ainsi l’une des bibles du design d’interface, le livre du designer <a href="https://sensible.com/">Steve Krug</a> (<a href="https://twitter.com/skrug">@skrug</a>), <em><a href="https://www.pearson.com/store/p/don-t-make-me-think-revisited-a-common-sense-approach-to-web-usability/P100002119703/9780321965516">Don’t make me think</a></em> (Pearson, 2014), qui explique qu’un design réussi suppose de réduire au minimum la charge cognitive de l’utilisateur. Mais est-ce possible et est-ce souhaitable ?, interroge Sasha Costanza-Chock. En fait, explique-t-elle, les designers font constamment des choix pour savoir quel utilisateur privilégier, sans qu’ils soient explicites. Elle en donne un exemple éclairant : le choix de la langue par défaut, notamment l’anglais sur l’espagnol sur les sites américains. En fait, un outil comme l’A/B testing a tendance à renforcer ces choix et biais : si vous procédez à un test entre la nécessité par défaut de faire une interface en anglais et une interface en espagnol, pour un site américain, il y a de grandes chances que ce test renforce l’exclusion initiale. Pourtant, les études critiques ne manquent pas à l’encontre du fait qu’un design identique est le mieux adapté à tous les utilisateurs. <a href="https://homes.cs.washington.edu/~reinecke/">Katharina Reinecke</a>, cofondatrice de <a href="https://www.labinthewild.org/">Lab and the Wild</a> (<a href="https://twitter.com/labinthewild">@labinthewild</a>) et <a href="https://www.ifi.uzh.ch/en/ddis/people/bernstein.html">Abraham Bernstein</a> ont souvent montré (voir <a href="https://dl.acm.org/doi/10.1145/1970378.1970382">cette étude notamment</a>) que les utilisateurs préféraient les interfaces adaptées à leurs différences culturelles. Pour Sasha Costanza-Chock, il est temps de reconnaître que les designers ne cessent de prendre des décisions intentionnelles sur l’utilisateur qu’ils mettent au cœur des systèmes et rendre ceux qui décident responsables de leurs choix. L’A/B testing renforce une efficacité du design, dont on oublie d’interroger à qui elle bénéficie. Plus encore, <em>« il est urgent de déstabiliser l’affirmation sous-jacente que ce qui est le mieux pour la majorité des utilisateurs est le mieux pour tous les utilisateurs »</em>. Pour Sasha Costanza-Chock, l’A/B testing ne devrait pas être une technique utilisée, où alors uniquement au profit des moins favorisés. Pour elle, la conception de la justice propose surtout de normaliser ces interrogations, en utilisant des modalités d’analyses intersectionnelles, <a href="http://proceedings.mlr.press/v81/buolamwini18a.html">comme l’évoquaient</a> Joy Buolamwini (<a href="https://twitter.com/jovialjoy">@jovialjoy</a>) et Timnit Gebru (<a href="https://twitter.com/timnitgebru">@timnitgebru</a>). Pour Sasha Costanza-Chock, il nous faut dépasser la question mal posée de l’équité algorithmique pour atteindre la question de la justice algorithmique, c’est-à-dire appliquer les principes du Design Justice à la question des décisions automatisées, explique-t-elle en faisant référence aux travaux de <a href="https://safiyaunoble.com/">Safiya Noble</a> (<a href="https://twitter.com/safiyanoble">@safiyanoble</a>), <a href="https://virginia-eubanks.com/">Virginia Eubanks</a> (<a href="https://twitter.com/poptechworks">@poptechworks</a>), <a href="https://www.katecrawford.net/">Kate Crawford</a> (<a href="https://twitter.com/katecrawford">@katecrawford</a>)… que nous avons souvent évoqué. Pour elle, <em>« les hiérarchies raciales (de genre, etc.) ne peuvent être démantelées qu’en y appliquant activement une conception antiraciste des systèmes, pas en prétendant qu’elles n’existent pas ! »</em> </p>
<h2>La justice et pas seulement l’égalité</h2>
<p>Dans la logique intersectionnelle, l’individualisation de l’égalité, en promouvant des traitements égaux, symétriques, pour tous, promeut un aveuglement à la couleur et aux discriminations structurelles de nos sociétés. Trop souvent un algorithme considéré comme loyal est un algorithme qui a montré qu’il n’avait pas de biais dans sa distribution. Mais l’enjeu n’est peut-être pas qu’ils aient moins de biais, mais de diminuer leurs impacts sociaux. Ainsi, explique-t-elle, le calcul du risque de récidive ne doit pas tant chercher à corriger ses biais, inhérents à une longue histoire  carcérale américaine discriminatoire, qu’à diminuer le recours à l’emprisonnement préventif ! <em>« Nous devons remettre en question l’hypothèse sous-jacente selon laquelle notre objectif ultime dans la conception d’algorithmes est le traitement symétrique. En d’autres termes, nous devons nous demander si la conception des algorithmes doit être structurée selon la logique de l' »équité », à savoir la cécité aux couleurs et aux sexes, ou selon la logique de la justice en matière de race, de sexe et de handicap. La première implique que notre objectif est de produire un algorithme équitable qui « traite tous les individus de la même manière », dans les limites étroites de son domaine opérationnel et indépendamment des effets des discriminations passées ou présentes. La seconde implique autre chose : que l’objectif final est de fournir un accès, des opportunités et de meilleures chances dans la vie à tous les individus, et que cela nécessite une action de redistribution pour défaire l’héritage de centaines d’années de discrimination et d’oppression. Nous devons discuter de la différence entre le daltonisme algorithmique et la justice algorithmique. »</em> <a href="https://www.internetactu.net/2019/09/30/kate-crawford-lia-est-une-nouvelle-ingenierie-du-pouvoir/">Kate Crawford ne disait pas autre chose</a> !</p>
<p>Sasha Costanza-Chock prend un exemple, pour bien se faire comprendre. Une approche qui favorise l’équité dans l’admission à l’université tente de garantir que deux personnes ayant les mêmes caractéristiques, mais qui ne différeraient que par le sexe ou l’origine ethnique, reçoivent la même recommandation. En ce sens, l’audit algorithmique vise seulement à vérifier qu’il n’y ait pas plus d’admissions d’hommes ou de personnes blanches sur les autres. Une approche intersectionnelle, elle, demande plus de vérifications pour mieux mesurer les marqueurs d’identité, afin de regarder si le système est biaisé à l’encontre de la race, du genre, de l’orientation sexuelle, du handicap, de la religion, du statut de citoyenneté… La difficulté est de savoir combien de variables on doit inclure et sa complexité (a minima, assure-t-elle, il est nécessaire d’analyser celles protégées par la législation contre la discrimination telle qu’elle existe aux États-Unis). Enfin, si l’on vérifie le même algorithme avec l’approche Design Justice, alors il ne faut pas seulement observer les effets individualisés, mais également les effets au niveau des groupes et discuter de ce que serait une répartition plus juste des résultats. Par exemple, un algorithme d’admission pourrait décider qu’une juste répartition des décisions d’admission devrait produire une répartition par sexe qui reflète la population générale (environ 51 % de femmes aux États-Unis). Ils pourraient décider aussi que leur enjeu est de corriger les déséquilibres de répartition dans toute la population étudiante : si le taux d’étudiants latinos de tous les étudiants présents à l’université est plus faible qu’il n’est dans la population, alors l’admission en première année devrait tenter de venir compenser la sous-admission structurelle des années précédentes. En poussant l’exemple à son paroxysme, on pourrait estimer que pour corriger des années de biais d’admission, l’algorithme pourrait être calibré pour n’admettre en première année que des femmes de couleur !  </p>
<p>Derrière ce que beaucoup prendront comme une provocation ou une réaffirmation de la discrimination positive… Sasha Costanza-Chock précise : pour l’instant, <em>« la question de ce qu’est un résultat juste n’est même pas sur la table ! »</em>. Nous en restons à une conception étroite et individualisée de l’équité. Or, l’enjeu est bien d’interroger plus largement et partout, les questions de justice. <em>« Dans tout système décisionnel, quelle répartition des bénéfices est, selon nous, juste ? »</em></p>
<p><img src="https://www.internetactu.net/wp-content/uploads/2021/02/designforthepluriverse-200x300.jpg" alt="Couverture du livre Design for the pluriverse" title="Couverture du livre Design for the pluriverse" class="alignright size-medium wp-image-35614" srcset="https://www.internetactu.net/wp-content/uploads/2021/02/designforthepluriverse-200x300.jpg 200w, https://www.internetactu.net/wp-content/uploads/2021/02/designforthepluriverse.jpg 600w" sizes="(max-width: 200px) 100vw, 200px">Le design s’imagine trop souvent universel. Nous en sommes loin. Pour Sasha Costanza-Chock, au contraire, les designers doivent reconnaître les spécificités des utilisateurs, interroger leurs approches, leurs outils, leurs méthodes. Et de les inviter à s’inspirer des approches décoloniales, comme la question de <a href="https://dl.acm.org/doi/10.1145/1753326.1753522">l’informatique postcoloniale</a> proposée par <a href="https://quote.ucsd.edu/lirani/">Lilly Irani</a> notamment (<a href="https://twitter.com/gleemie">@gleemie</a>). Où la nécessité de repenser l’informatique depuis des ontologies indigènes, comme s’y intéressent <a href="http://rameshsrinivasan.org/">Ramesh Srinivasan</a> (<a href="https://twitter.com/rameshmedia">@rameshmedia</a>) dans son livre <em><a href="https://nyupress.org/9781479862962/whose-global-village/">Whose Global Village</a></em> (NYU Press, 2017) ou l’anthropologue <a href="https://anthropology.unc.edu/person/arturo-escobar/">Arturo Escobar</a> dans <em><a href="https://www.dukeupress.edu/designs-for-the-pluriverse">Designs for the pluriverse</a></em> (Duke University Press, 2018). Escobar notamment défend une conception de l’autonomie plurielle : il s’intéresse au concept zapatiste de créer un monde où plusieurs mondes se côtoient, plutôt qu’au projet du monde unique pour tous, telle que le promeut la mondialisation néolibérale. </p>
<p>Nombre d’organisations se saisissent de ces enjeux, rappelle la chercheuse, évoquant pêle-mêle les travaux de <a href="https://datasociety.net/">Data &amp; society</a> (<a href="https://twitter.com/datasociety">@datasociety</a>), de l’<a href="https://ainowinstitute.org/">AI Now Institute</a> (<a href="https://twitter.com/ainowinstitute">@ainowinstitute</a>), du <a href="https://www.digitalequitylab.org/">Digital Equity Lab</a> (<a href="https://twitter.com/digitaleqlab">@digitaleqlab</a>), du <a href="https://datajusticelab.org/">Data Justice Lab</a> (<a href="https://twitter.com/datajusticelab">@datajusticelab</a>), du <a href="https://www.publicdatalab.org/">Public Data Lab</a> (<a href="https://twitter.com/publicdatalab">@publicdatalab</a>), de <a href="https://www.codingrights.org/">Coding Rights</a> (<a href="https://twitter.com/codingrights">@codingrights</a>), du <a href="https://digitaljusticelab.ca/">Digital Justice Lab</a> (<a href="https://twitter.com/digitaljustlab">@digitaljustlab</a>), <a href="https://alliedmedia.org/">Allied Media</a> (<a href="https://twitter.com/allied_media">@allied_media</a>), du studio de design <a href="https://www.andalsotoo.net/">And Also Too</a> (<a href="https://twitter.com/and_also_too">@and_also_too</a>), de <a href="https://www.odbproject.org/">Our Data Bodies</a>, de <a href="https://d4bl.org/">Data4blacklives</a> (<a href="https://twitter.com/data4blacklives">@data4blacklives</a>) ou du <a href="https://femtechnet.org/">FemTech network</a>… qui illustrent très bien le <em>« renouveau militant des questions technologiques »</em> <a href="https://www.internetactu.net/2020/07/15/vers-un-renouveau-militant-des-questions-technologiques/">que nous avions déjà évoqué</a>. </p>
<h2>« Rien pour nous sans nous » : lever le voile des mythes de l’innovation</h2>
<p>Le secteur de la technologie est l’un des pires qui soit en matière de racisme et de sexisme – voir notamment les travaux de l’anthropologue <a href="https://annenberg.usc.edu/faculty/communication/christina-dunbar-hester">Christina Dunbar-Hester</a>. La matrice de domination y est omniprésente. Pour Sasha Costanza-Chock, la question de la diversité est un premier levier pour faire bouger les choses. D’innombrables études ont montré que la diversité permettait aux entreprises de prendre de meilleures décisions, de produire des produits plus compétitifs, d’être plus profitables… mais sans que cela ait eu vraiment d’impact décisif. Le capitalisme continue de prioriser certains utilisateurs sur d’autres, notamment les plus favorisés et les plus solvables, au détriment de solutions plus structurelles qui s’adressent aux moins favorisés. Pour elle, le design centré sur l’utilisateur favorise de même une forme d’utilisateurs sur les autres, tout en étant encore moins explicite dans cette priorisation que ne l’est le capitalisme. Trop souvent, rappelle-t-elle, <em>« les designers tendent à inconsciemment imaginer des utilisateurs par défaut proches d’eux-mêmes »</em>, socialement et économiquement favorisés notamment, à leur image. Diversifier la force de travail dans la technologie est un bon début, mais cela ne produit pas pour autant un utilisateur par défaut plus divers. </p>
<p>Sasha Costanza-Chock revient sur les « utilisateurs pilotes » (<em>Lead users</em>) théorisés par <a href="https://evhippel.mit.edu/">Eric von Hippel</a> dans son livre de référence <em>Democratizing Innovation</em> (2005) (voir par exemple, l’un de nos articles <a href="https://www.internetactu.net/2012/06/28/von-hippel-le-paradigme-de-linnovation-par-lutilisateur/">« le paradigme de l’innovation par l’utilisateur »</a>). Les utilisateurs pilotes de von Hippel demeurent bien souvent des utilisateurs qui appartiennent aux groupes sociaux dominants (à l’image des premiers surfeurs, exemple que prend von Hippel dans son livre) et ceux-ci ont plus de moyens que d’autres de trouver les modalités pour que leurs besoins spécifiques soient satisfaits par les processus d’innovation (la fabrication de surfs). </p>
<p><img src="https://www.internetactu.net/wp-content/uploads/2021/02/wernernothingaboutus.jpg" alt="Couverture du livre de David Werner" title="Couverture du livre de David Werner" class="alignleft size-full wp-image-35615" srcset="https://www.internetactu.net/wp-content/uploads/2021/02/wernernothingaboutus.jpg 200w, https://www.internetactu.net/wp-content/uploads/2021/02/wernernothingaboutus-150x150.jpg 150w" sizes="(max-width: 200px) 100vw, 200px">Si en théorie, les designers cherchent à intégrer plus de diversité, en pratique, c’est bien souvent plus difficile, souligne la chercheuse. Cela est dû, notamment, aux outils qu’ils mobilisent pour cela. Les « personas », ces utilisateurs imaginaires, de plus en plus génériques (comme le propose <a href="https://userforge.com/">l’outil userforge</a>) n’ont pourtant jamais montré qu’ils produisaient moins de discrimination qu’attendu. Trop souvent, ces utilisateurs fictifs reposent surtout sur les stéréotypes que nous en avons. Leurs comportements relèvent d’imaginaires et de représentations plus que de réalités. Pire, estime-t-elle, les personas trompent peut-être plus les designers en leur faisant croire qu’ils sont engagés dans des processus inclusifs. <a href="https://www.researchgate.net/publication/255552846_Meta-Analysis_of_Disability_Simulation_Research">Une méta-étude</a> a montré que les simulations produisaient surtout une compréhension irréaliste des formes de handicap réelles, notamment parce qu’on saisit mal les compétences que les personnes handicapées développent pour compenser leurs invalidités. Comme le disait plus simplement Chris Schweidler (<a href="https://twitter.com/scrumbly1">@scumbly</a>), cofondatrice du <a href="https://rad.cat/">Research Action design</a>, <em>« si vous n’êtes pas à la table, c’est que vous n’êtes pas au menu »</em>, un écho au <a href="https://www.internetactu.net/2018/11/23/mediation-numerique-le-point-aveugle-de-la-conception/">« rien pour nous sans nous »</a> (une référence surtout <a href="https://www.dinf.ne.jp/doc/english/global/david/dwe001/dwe00101.html">au livre éponyme de David Werner de 1998</a>) des associations de défense des droits des handicapés, réclamant justement d’être à la table et au menu de ce qu’on conçoit pour eux ! Pour Sasha Costanza-Chock une conception plus juste nécessite <em>« la pleine intégration dans le processus de conception de personnes ayant une expérience directe des conditions que l’équipe de conception veut changer »</em>. C’est ce que le design appelle depuis longtemps, la conception participative. Une approche qui a certes augmenté la contribution de l’utilisateur à la conception, mais qui a écarté des enjeux plus politiques, comme la responsabilité de la communauté, la propriété ou le partage des bénéfices. En fait, trop souvent, cette participation est très balisée, encadrée et limitée – pour ne pas dire manipulée. En fait, pointe très justement Sasha Costanza-Chock, <em>« de nombreuses approches de conception soi-disant plus inclusives, participatives et démocratiques remplissent en fait une fonction extractive »</em>, par exemple d’utiliser la participation pour générer des idées de produits nouveaux qui seront ensuite revendus aux utilisateurs. Trop souvent, l’essentiel des bénéfices de la conception participative va aux designers et aux institutions qu’ils représentent. Sasha Costanza-Chock invite donc à aller plus loin. Pas seulement s’asseoir à la table, mais également redistribuer le pouvoir d’un projet en interrogeant le processus de décision lui-même. Pour le dire autrement, il faut aussi mettre le couvert et faire la cuisine ! </p>
<p>À son meilleur, un processus de conception juste est une forme de <a href="https://www.internetactu.net/2020/07/15/vers-un-renouveau-militant-des-questions-technologiques/">community organizing</a>, c’est-à-dire qu’il doit interroger qui a le pouvoir dans le processus et le rendre à la communauté tout le long de son action. C’est ce que synthétise très bien le programme <a href="https://morethancode.cc/">#morethancode</a> du projet <a href="https://t4sj.co/">Tech for Social Justice</a> qui a interrogé des centaines de praticiens pour souligner que les projets de civic tech nécessitaient d’impliquer non seulement les gens, mais plus encore les communautés, comme de rejeter les propositions centrées sur des outils. Le risque, trop souvent, est de parachuter des techniciens et de la technique, plutôt qu’investir dans la longue et lente construction de capacités au sein des collectifs. Le programme recommande également de développer des mécanismes adaptés pour s’assurer de la responsabilité de la communauté, d’investir dans l’éducation pour que les méthodes infusent, ou encore de favoriser <a href="https://www.internetactu.net/2016/04/11/contre-linnovation-de-linvisible-importance-de-la-maintenance/">la maintenance</a> sur l’innovation… Comme le dit encore Sasha Costanza-Chock : <em>« une conception plus juste signifie considérer les valeurs qu’on encode dans les objets et systèmes qu’on conçoit »</em>. Cela signifie bien sûr construire une critique de l’innovation telle qu’elle est trop souvent proposée et pratiquée. Trop souvent, elle met en avant et favorise la figure de l’innovateur, isolé et brillant, très éduqué, mâle, blanc, riche… Masquant sa tout autre réalité : elle est plus souvent qu’on ne le croit le fait de communautés marginales et marginalisées. </p>
<p><img src="https://www.internetactu.net/wp-content/uploads/2021/02/morethancode-1024x668.png" alt="Page d'accueil du projet More than code" title="Page d'accueil du projet More than code" class="alignnone size-large wp-image-35616" srcset="https://www.internetactu.net/wp-content/uploads/2021/02/morethancode-1024x668.png 1024w, https://www.internetactu.net/wp-content/uploads/2021/02/morethancode-300x196.png 300w, https://www.internetactu.net/wp-content/uploads/2021/02/morethancode-768x501.png 768w, https://www.internetactu.net/wp-content/uploads/2021/02/morethancode.png 1263w" sizes="(max-width: 1024px) 100vw, 1024px"></p>
<h2>Dans les toilettes de Bill Gates : la dépolitisation technosolutionniste</h2>
<p>Si von Hippel a bien montré que les entreprises avaient intérêt à encourager l’innovation des utilisateurs, c’est principalement pour se l’approprier. D’où le fait que le mouvement Design justice insiste, dans ses principes clés, sur la question de l’attribution pleine et entière. Trop souvent, le design repose sur une forme d’extractivisme des idées au profit des plus favorisés. C’est particulièrement le cas dans les hackathons et autres challenges de coconception (voir par exemple, <a href="https://www.internetactu.net/a-lire-ailleurs/hackathons-une-culture-dexploitation/">Hackathons une culture d’exploitation</a> ou <a href="https://www.internetactu.net/2012/11/16/les-dispositifs-creatifs-en-questions-22-les-limites-a-la-creativite-collective/">notre dossier sur les dispositifs créatifs en questions</a>), et ce d’autant plus quand désormais ces défis sont plateformisés, à l’image d’<a href="https://www.openideo.com/">OpenIDEO</a>, <a href="https://discoverdesign.org/">DiscoverDesign</a> ou <a href="https://ideascale.com/fr/">IdeaScale</a>… Pour Sasha Costanza-Chock, le crédit doit être rendu là où il est dû. Les participants devraient être toujours les copropriétaires et coauteurs des projets dont ils participent. <em>« La justice en matière de design considère que la question de savoir « qui a contribué » est une question cruciale pour l’évaluation d’un projet de design donné. »</em> </p>
<p>Il nous faut nous défaire des mythologies entrepreneuriales sur l’innovation, pour favoriser une approche qui s’intéresse bien plus à la contribution essentielle des mouvements sociaux à l’innovation, estime la chercheuse. Or, les activistes, la résistance et la critique contribuent bien plus à l’innovation qu’on ne le pense. </p>
<p>Pour <a href="https://fr.wikipedia.org/wiki/John_Dewey">John Dewey</a>, rappelle-t-elle, la connaissance est particulière et contingente. <em>« La façon dont un problème est conçu et encadré a de réelles implications sur l’éventail des solutions possibles. Ainsi, pour Dewey, déterminer la portée d’un projet est toujours une décision éthique critique. »</em> Or, trop souvent, les designers ont une approche top-down qui commence avec des objectifs, des exigences et des contraintes pour aller à des solutions. <a href="https://dl.acm.org/doi/10.1145/1858171.1858173">Comme le soulignait</a> déjà <a href="https://www.dourish.com/">Paul Dourish</a>, le design fonctionne trop souvent comme une <em>« machine antipolitique »</em>, c’est-à-dire qu’il produit par nature de la dépolitisation. Sasha Costanza-Chock fournit plusieurs exemples à cette dépolitisation. Le plus marquant est certainement le concours de réinvention des sanitaires proposé entre 2011 et 2018 par la <a href="https://www.gatesfoundation.org/">Gates Foundation</a>, pour apporter des solutions d’assainissement durables aux 2,5 milliards de personnes dans le monde qui n’ont pas accès à un assainissement sûr et abordable. En sept ans, la Fondation de Bill et Melinda Gates a investi plus de 200 millions de dollars dans ces concours. Pourtant, très vite, les critiques ont été nourries à l’encontre d’une approche trop technosolutionniste. Les experts qui travaillaient déjà dans les pays en voie de développement ont souligné que les solutions technologiques proposées n’étaient pas accessibles aux gens auxquels elles se destinaient, malgré les contraintes du concours qui cherchaient à s’assurer du contraire. Construire des toilettes n’est pas si difficile, le problème reste de les faire fonctionner dans la durée sur le terrain. Le défi, n’est pas un défi technologique, comme souvent, c’est une question d’accès, d’entretien, de maintenance… Bref, un défi social. </p>
<p>En fait, les alternatives peu coûteuses aux stations d’épurations centralisées existent depuis longtemps. Cela ne signifie pas qu’imaginer des toilettes innovantes n’est ni souhaitable ni possible, explique Sasha Costanza-Chock, mais cela nécessite d’interroger l’objectif du défi : <m>« Quelle est l’histoire racontée ? Comment le problème est-il cadré ? Qui décide de sa portée ? Quelles sont les valeurs intégrées aux objets et aux processus conçus ? Qui en bénéficie ? Qui perd ? » Or, souligne-t-elle, le challenge a largement ignoré les technologies existantes, peu coûteuses et appropriées au problème. Bien qu’elles aient déjà fait leurs preuves, celles-ci n’ont pas été financées. Comme le pointait <a href="https://www.nytimes.com/2013/11/19/opinion/bill-gates-cant-build-a-toilet.html">une tribune du <em>New York Times</em></a>, la Fondation Gates a privilégié des projets techniques, produits par une élite d’ingénieurs pensants des solutions à des milliers de kilomètres de leurs clients. Les systèmes existants sont loin d’être parfaits, ceux qui reposent sur la sciure de bois ou le compost produisent des pollutions nuisibles. Reste que le « challenge » n’a pas cherché à améliorer ces solutions. Pour Sasha Costanza-Chock, cet exemple est emblématique du technosolutionnisme, d’une compréhension élitiste de la technologie et d’un désintérêt total pour les pratiques des communautés. Pour Urvashi Prasad (<a href="https://twitter.com/urvashi01">@urvashi01</a>), il ne peut y avoir de conception décontextualisée : <em>« l’adoption, l’utilisation et l’entretien des solutions existantes, ainsi que la compréhension des obstacles et des motivations du monde réel, sont les seules véritables clés du succès »</em>. L’enjeu consiste plus à trouver les moyens pour favoriser l’entretien et la maintenance des toilettes plutôt que de les réinventer. Pour Sasha Costanza-Chock : <em>« Il s’agit plutôt de reconnaître que, partout où il y a des problèmes, les personnes les plus touchées ont presque toujours déjà élaboré des solutions ; que les solutions existantes qui proviennent des personnes les plus touchées ont probablement l’avantage d’être basées sur des matériaux, des compétences et des infrastructures locales ; que les personnes issues des communautés les plus touchées et travaillant directement avec elles doivent être incluses dans les processus de conception qui sont censés leur profiter et les contrôler ; que parfois (mais pas toujours) les ressources externes peuvent être utilisées au mieux pour soutenir, améliorer, étendre et/ou réduire les coûts des solutions existantes créées localement ; que souvent les obstacles ne concernent pas un outil ou un objet particulier, mais sont de nature sociale, culturelle et économique. »</em> Au final, rapporte la chercheuse, l’une des innovations primées par le challenge de Gates n’a jamais été testée dans des conditions réelles avec des utilisateurs du monde réel. Pire, ce projet recommandait dans ses conclusions que son produit <em>« devrait être conçu en tenant compte de la fabrication locale »</em>, alors que ce constat aurait dû être un point de départ plutôt qu’une conclusion. <a href="https://www.treehugger.com/crapping-bill-gates-reinvent-toilet-winner-4855711">Pour Lloyd Alter</a>, les projets gagnants étaient tous coûteux, compliqués et difficiles à entretenir, nécessitant plus d’espaces domestiques que ceux dont disposaient les utilisateurs potentiels, voire proposaient de gaspiller plus d’eau ou d’énergie que n’en ont de disponibles les utilisateurs visés. Lui aussi constate que pour nous occuper de nos excréments nous n’avons pas tant besoin de haute technologie que d’organisation sociale. Enfin, souligne Sasha Costanza-Chock, plus que de proposer des toilettes technologiques, mieux poser l’enjeu aurait consisté à développer des entreprises qui collectent nos excréments pour les transformer ou encore de lutter contre le harcèlement sexuel qui fait que nombre d’Indiennes refuse d’aller aux toilettes communes. <em>« Le récit que l’on produit sur l’innovation limite généralement les possibilités d’aborder les problèmes systémiques, les causes profondes ou les approches basées sur l’organisation sociale »</em>.</m></p>
<p>Tous les défis ne sont pas aussi bornés que celui proposé par Bill Gates, rappelle la chercheuse, en invitant à regarder plutôt les défis proposés par le Design Justice Network, ou encore le <a href="https://makethebreastpumpnotsuck.com/">« Make the Breast Pump Not Suck »</a> (ces hackathons visant à réinventer le tire-lait, qui ont dépassé cet objectif pour devenir des événements visant à réorienter les politiques publiques et techniques à l’encontre des femmes), <a href="http://migrahack.org/programs/migrahack/">MigraHack</a>, <a href="https://www.transhack.org/">Trans*H4CK</a> ou les <a href="http://detroitdjc.org/discotech/">DiscoTech</a> (pour Discoverying technology community fair) créées par Diana Nucera et le <a href="http://detroitdjc.org/">Detroit Digital Justice Coalition</a> dès 2009, comme autant de contre-exemples. </p>
<p>Pour Sasha Costanza-Chock, le design est poreux aux problèmes de cadrages et de délimitation, au risque d’invisibiliser la matrice de domination existante et donc de dépolitiser les problèmes… Trop souvent, ces cadrages font disparaitre également les solutions qui existent, portées par les gens et les communautés. La Justice en matière de design doit s’intéresser à l’exact inverse : amplifier, soulever, rendre visible les solutions, les pratiques et les praticiens qui existent déjà… Elle doit repolitiser, plutôt que dépolitiser ! Son but est de transformer les participants en citoyens, en militants, pour qu’ils se remettent à agir sur leur monde. La justice en matière de design est intrinsèquement politique !</p>
<p><img src="https://www.internetactu.net/wp-content/uploads/2021/02/Make-the-Breast-Pump-Not-Suck-1024x668.png" alt="Page d'accueil du site Make the Breast Pump Not Suck" title="Page d'accueil du site Make the Breast Pump Not Suck" class="alignnone size-large wp-image-35620" srcset="https://www.internetactu.net/wp-content/uploads/2021/02/Make-the-Breast-Pump-Not-Suck-1024x668.png 1024w, https://www.internetactu.net/wp-content/uploads/2021/02/Make-the-Breast-Pump-Not-Suck-300x196.png 300w, https://www.internetactu.net/wp-content/uploads/2021/02/Make-the-Breast-Pump-Not-Suck-768x501.png 768w, https://www.internetactu.net/wp-content/uploads/2021/02/Make-the-Breast-Pump-Not-Suck.png 1263w" sizes="(max-width: 1024px) 100vw, 1024px"></p>
<h2>Le design pour politiser ce qui a été dépolitisé</h2>
<p>Sasha Costanza-Chock consacre de nombreuses pages aux hackathons et tiers lieux, pour souligner justement leur longue dépolitisation. Pour elle, il est essentiel de relier ces espaces et événements aux mouvements sociaux, notamment pour les diversifier et surtout les repolitiser. En fait, explique-t-elle, la culture hacker a été envahie par le néolibéralisme. Les espaces techniques partagés ont été normalisés par les outils et pratiques techniques high-tech. Ce n’était pas le cas pourtant avant leur renouveau, explique-t-elle en évoquant autant les bricoleurs jamaïcains qui ont transformé la façon de faire de la musique par le sample, en bricolant leurs platines jusqu’au lancement des <a href="http://makernurse.com/">MakerNurse</a> par le MIT, des espaces pour valoriser et faciliter les connaissances, les pratiques et le développement de nouveaux objets à destination des infirmières, qui s’est inspiré de <a href="https://papers.ssrn.com/sol3/papers.cfm?abstract_id=2778663">recherches</a> montrant que les infirmières, dès la première moitié du XXe siècle avaient constamment adaptées des technologies médicales dans leurs pratiques. Si les pratiques de conception, de modification et de fabrication des classes ouvrières, des femmes, des communautés de couleurs ont toujours existées, elles n’ont pas reçu les ressources, la visibilité, ni la reconnaissance qu’on a accordées aux mêmes pratiques des classes favorisées, blanches et masculinisées (et n’ont d’ailleurs pas toujours été appelées innovations, comme le souligne le journaliste <a href="https://journalism.utexas.edu/faculty/s-craig-watkins">Craig Watkins</a> dans <ahref>son récent livre). L’innovation opère souvent dans des zones grises et les innovateurs subalternes du complexe industriel n’y sont pas tous reconnus au même titre que d’autres. Dans leur pamphlet, <a href="http://www.monochrom.at/hacking-the-spaces/"><em>Hacking the spaces</em></a>, les artistes <a href="https://fr.wikipedia.org/wiki/Johannes_Grenzfurthner">Johannes Grenzfurthner</a> (<a href="https://twitter.com/johannes_mono">@johannes_mono</a>) et Frank Apunkt Schneider rappellent qu’à l’origine les hacklabs étaient des espaces de pratiques micropolitiques, des espaces alternatifs liés à la contre-culture, comme les squats, les cafés alternatifs, les coopératives… La première vague d’espaces de ce type était clairement anti-autoritaire, rejetant à la fois le capitalisme et le communisme, comme les normes bourgeoises. Le triomphe du capitalisme et le renforcement des autorités locales ont assaini les noyaux urbains, ont réprimé et fermé les squats. Les espaces alternatifs sont peu à peu devenus des refuges à geeks destinées à faire germer de nouvelles startups. Les enclaves anarchistes ont été transformées en sites de production d’entrepreneurs néolibéraux. En fait, le secteur privé, la recherche, comme les autorités ont intégré la puissance de ces espaces pour se les réapproprier et les incorporer à leurs stratégies propres, à l’image des laboratoires d’innovation. Le problème, c’est que ces nouveaux espaces d’innovation sont rarement représentatifs de la diversité. <em>« Dans la plupart des processus de conception de la participation publique, les recherches montrent que la participation de l’élite (par classe, race, sexe, éducation, langue, etc.) est la norme »</em>. <a href="http://www.chrono-synclastic-infundibulum.com/PDFs/GoodUser.pdf">Dans un article de 2015</a>, Eric Gordon et Stephen Walter évoquaient la montée du <em>« bon utilisateur »</em> en retraçant l’histoire récente des laboratoires d’innovation des villes américaines. Ils soulignaient la montée concomitante des bases de données (d’abord policières d’ailleurs) municipales et fédérales, puis leurs ouvertures, permettant de créer de nouveaux services et celles de direction à l’innovation, souvent occupées par des personnes venant du secteur privé qui apportent le langage, les approches de conception et les valeurs du secteur à but lucratif au sein de l’administration municipale et promettent d’utiliser leur expérience pour rendre l’administration municipale plus conviviale et plus efficace. Ces transformations ont certes permis d’améliorer la convivialité des interfaces, mais surtout ont renvoyé les citoyens à un simple statut d’utilisateurs, cadrés par les propositions qui leur sont faites comme simples sujets de la gouvernementalité néolibérale. Ces espaces d’innovation top-down sont planifiés et construits par de puissants acteurs institutionnels et n’émergent plus de communautés existantes. Ils ne reflètent plus les spécificités culturelles locales existantes. <em>« Ils s’inspirent plutôt d’idéaux globalisés, universalisés et abstraits sur ce qui constitue l’innovation. Généralement, ils codent et réinscrivent par défaut des hypothèses racistes, classées, sexospécifiques et capacitaires sur l’innovation, le design et les industries créatives. Ils reproduisent ce qu’Arturo Escobar décrit comme l’ontologie mondiale unique au lieu de servir de sites pour la production de possibilités plurielles. »</em> Et Sasha Costanza-Chock de nous inviter par exemple à regarder l’esthétique de ces espaces, leur monolinguisme, leur reproduction sociale. <em>« Par exemple, combien d’espaces d’innovation comprennent des services de traduction ? Combien d’entre eux comprennent des services de garde d’enfants ? »</em> Ceux qui fréquentent ces espaces sont semblables et leur gouvernance est également accaparée par les mêmes personnes. Ces espaces d’innovation <em>« reproduisent les valeurs néolibérales d’efficacité, de prévisibilité et d’individualisme »</em>. Derrière une collaboration dirigée vers certains citoyens plutôt que d’autres, les autorités renforcent leur pouvoir et promeuvent des plateformes qui facilitent le transfert de leurs actions vers des acteurs privés. <em>« Tout comme les utilisateurs fournissent de la main-d’œuvre gratuite pour les plateformes dominantes de l’économie culturelle, les citoyens néolibéraux fournissent de la main-d’œuvre gratuite aux gestionnaires des villes sur les plateformes dominantes de signalement des incidents urbains. »</em> Les autorités produisent ainsi une <em>« citoyenneté de surveillance »</em>.  Le langage de l’innovation civique adopte un code néolibéral. Les programmes publics sont transformés en challenge de conception qui sont souvent la première étape d’un processus de privatisation qui instaure l’idée que le secteur privé peut faire mieux, moins cher et plus efficacement que l’acteur public. <em>« Le processus de conception lui-même devient un exercice d’assentiment »</em>, de légitimation de décisions préexistantes, d’acceptation. </ahref></p>
<p>Sasha Costanza-Chock a des mots très durs sur le mouvement des Fablabs. Derrière leur promesse à démocratiser radicalement les moyens de production des objets quotidiens, ces espaces concourent surtout à la reproduction de la matrice de domination. <a href="http://www.labfab.fr/charte-fablab/">La charte des Fablabs</a> indique que les espaces sont ouverts, mais ne mentionne pas ne serait-ce qu’un désir de diversité ou d’inclusion. Elle souligne qu’ils ont plus participé au discours de l’entrepreneuriat néolibéral qu’à celui de la démocratisation technologique, à l’image <a href="https://www.internetactu.net/2013/10/23/mais-qui-sont-les-makers/">de la fameuse MakerBot</a>, l’imprimante 3D qui s’est approprié le modèle ouvert original de la RepRap. Même à Barcelone, le déploiement de ces espaces s’est parfois fait en conflit avec les aspirations et besoins des habitants, par exemple quand la ville a décidé de remplacer une banque alimentaire par un atelier de fabrication digitale suscitant de fortes contestations… </p>
<p>La plupart de ces espaces ont échoué à perturber la matrice de domination. Certains ont certes résisté et ont tenté de soutenir des mouvements sociaux et locaux, mais beaucoup ont surtout amplifié l’autonomie individuelle plus que collective à faire des choses. Beaucoup se sont vus comme des incubateurs plus que comme des centres sociaux. Si la démocratisation de l’accès aux technologies est essentielle, soutient Sasha Costanza-Chock, en refusant une posture politique, ces espaces se sont refermés sur eux-mêmes. Sasha Costanza-Chock critique également longuement le modèle des hackathons qui renforcent les réseaux élitaires sans produire de produits qui fonctionnent. Ces événements produisent surtout de l’attribution, du crédit, de la visibilité qu’autre chose. </p>
<p>Pour elle, comme l’ont souligné Grensfurthner et Schneider, l’enjeu est de repolitiser ces espaces et événements. Comme disait Marx, la nature de la politique est toujours dans l’intérêt de ceux qui agissent, et ces espaces aujourd’hui, favorisent essentiellement les intérêts de la classe moyenne blanche et masculine. Pour renverser cela, certains espaces font d’autres paris, comme celui d’être radicalement inclusifs, à l’image du <a href="https://www.ds4si.org/">Design Studio for Social Intervention</a> de Boston (<a href="https://twitter.com/ds4si">@ds4si</a>), de l’<a href="https://www.intelligentmischief.com/">Intelligent Mischief</a> à Brooklyn (<a href="https://twitter.com/IntelMischief">@IntelMischief</a>), du <a href="https://oaklandmakerspace.wordpress.com/">LOLspace</a> et de <a href="https://doubleunion.org/">Double Union</a> en Californie… Elle évoque <a href="https://uva.academia.edu/SophieToupin">les travaux</a> de Sophie Toupin sur les liens entre technologie, féminisme et activisme hackerspace féministes. Elle évoque nombre d’événements qui eux prennent en compte et intègrent ceux qui sont concernés, depuis des codes de conduites clairs, comme ceux détaillés par <a href="https://morethancode.cc/">#MoreThanCode</a> ou ceux recensés par la designer <a href="https://victoriapalacios.com/">Victoria Palacios</a> (<a href="https://twitter.com/toriamia">@toriamia</a>) dans <a href="https://docs.google.com/document/d/1pSsPDEVN-7oKLv3kR-9qsclDH0XNhpsJfEQJ0HQoLiw/edit#heading=h.xmstky7x81ci">les principes de « How to hack hackathons »</a>. </p>
<p><img src="https://www.internetactu.net/wp-content/uploads/2021/02/MakerNurse-1024x714.png" alt="Page d'accueil du site Maker Nurse" title="Page d'accueil du site Maker Nurse" class="alignnone size-large wp-image-35621" srcset="https://www.internetactu.net/wp-content/uploads/2021/02/MakerNurse-1024x714.png 1024w, https://www.internetactu.net/wp-content/uploads/2021/02/MakerNurse-300x209.png 300w, https://www.internetactu.net/wp-content/uploads/2021/02/MakerNurse-768x536.png 768w, https://www.internetactu.net/wp-content/uploads/2021/02/MakerNurse.png 1263w" sizes="(max-width: 1024px) 100vw, 1024px"></p>
<h2>Décoloniser l’éducation</h2>
<p>Sasha Costanza-Chock consacre tout un chapitre à la question de l’éducation populaire et à la conception de pédagogies adaptées. Elle s’inspire bien sûr de la pédagogie critique initiée par le pédagogue radical brésilien <a href="https://fr.wikipedia.org/wiki/Paulo_Freire">Paulo Freire</a> dans sa <em>Pédagogie des opprimés</em>, qui défendait une alphabétisation militante, où le rôle de l’éducateur est de poser les problèmes pour créer un espace collectif pour le développement d’une conscience critique afin d’aider à développer un sens de l’action. Pour Freire, rappelle-t-elle, le but de l’éducation est de transformer les individus opprimés en sujets capables de s’engager dans des actions collectives pour qu’ils transforment leurs conditions. Pour l’enseignant <a href="https://en.wikipedia.org/wiki/Myles_Horton">Myles Horton</a>, dès les années 30, les principes de l’éducation populaire rappelaient déjà que l’éducation n’est jamais neutre : elle peut soit maintenir le système de domination, soit être conçue pour libérer les gens ! La pédagogie constructiviste est également convoquée, à l’image des travaux de <a href="https://web.media.mit.edu/~mres/">Mitchel Resnick</a> (<a href="https://twitter.com/mres">@mres</a>), le fondateur du <a href="https://www.media.mit.edu/groups/lifelong-kindergarten/overview/">Lifelong Kindergarten</a> du Media Lab. </p>
<p>En 2017, plusieurs organisations ont réfléchi et proposé <ahref>une déclaration pour reprendre le pouvoir sur la technologie, afin qu’elle soit un outil de libération plutôt qu’un outil de contrôle. Nombre d’organisations et de militants américains travaillent à <em>« décoloniser la conception de la pédagogie »</em> et par delà, à <a href="http://www.decolonisingdesign.com/">décoloniser le design</a> (<a href="https://twitter.com/DecolDesign">@DecolDesign</a>). Pour Sasha Costanza-Chock, à la suite des travaux de l’intellectuelle féministe et militante afro-américaine <a href="https://fr.wikipedia.org/wiki/Bell_hooks">bell hooks</a>, et notamment d’un de ses livres, <em><a href="https://www.syllepse.net/apprendre-a-transgresser-_r_22_i_776.html">Apprendre à transgresser</a></em>, l’éducation consiste à développer nos capacités à penser d’une manière critique pour transgresser les assignations de race, de classe ou de genre. Pour Sasha Costanza-Chock, une pédagogie adaptée au Design Justice nécessite de l’aligner sur ses principes. Pour elle, conclut-elle, apprendre à coder devrait surtout signifier apprendre à se libérer, plutôt que de reproduire la technoculture néolibérale ambiante. Le risque, dans un monde où l’éducation numérique se renforce, c’est que les technologies d’apprentissage numériques exacerbent les inégalités plus qu’elles ne les résolvent, comme le pointent nombre d’études, <a href="https://dmlhub.net/publications/good-intentions-real-outcomes-equity-design-learning-technologies/">notamment celles</a> de l’anthropologue <a href="http://www.itofisher.com/mito/">Mimi Ito</a> (<a href="https://twitter.com/mizuko">@mizuko</a>) et du spécialiste des systèmes éducatifs Justin Reich (<a href="https://twitter.com/bjfr">@bjfr</a>, responsable du <a href="https://tsl.mit.edu/">laboratoire des systèmes d’apprentissage</a> du MIT et auteur du tout récent <a href="https://www.hup.harvard.edu/catalog.php?isbn=9780674089044"><em>Failure to disrupt</em></a> ), au risque que les bénéfices possibles de l’éducation s’enfoncent plus avant dans la matrice de domination structurelle. L’enjeu n’est pourtant pas de faire que les gens deviennent tous de bons codeurs, que de faire que les codeurs deviennent de bonnes personnes et aident le monde à se libérer. </ahref></p>
<p><img src="https://www.internetactu.net/wp-content/uploads/2021/02/Decolonising-Design-1024x552.png" alt="Page d'accueil du site Décoloniser le design" title="Page d'accueil du site Décoloniser le design" class="alignnone size-large wp-image-35617" srcset="https://www.internetactu.net/wp-content/uploads/2021/02/Decolonising-Design-1024x552.png 1024w, https://www.internetactu.net/wp-content/uploads/2021/02/Decolonising-Design-300x162.png 300w, https://www.internetactu.net/wp-content/uploads/2021/02/Decolonising-Design-768x414.png 768w, https://www.internetactu.net/wp-content/uploads/2021/02/Decolonising-Design.png 1259w" sizes="(max-width: 1024px) 100vw, 1024px"></p>
<h2>Pour un design libératoire !</h2>
<p>Sous le hastag <a href="https://twitter.com/hashtag/techwontbuildit">#techwontbuildit</a> (« la technologie ne le construira pas »), les travailleurs du secteur de la technologie ont plusieurs fois, récemment, refusé de travailler et de participer à la construction de technologies de l’oppression. De l’opposition aux projets de l’agence de contrôle des frontières américaine, à celle du projet Maven, aux protestations contre les armes robotisées ou contre le développement de la vidéosurveillance, les mots d’ordre pour organiser les contestations se sont multipliés, notamment <a href="https://www.internetactu.net/a-lire-ailleurs/gafams-et-si-la-revolution-venait-de-linterieur/">à l’intérieur même des entreprises technologiques</a>, comme <a href="https://notechforice.com/">#NoTechForICE</a>… Les organisations se sont structurées, notamment autour de la <a href="https://techworkerscoalition.org/">Tech Workers Coalition</a> (<a href="https://twitter.com/techworkersco">@techworkersco</a>, fondée en 2016) organisation clé du mouvement social en réseau. Ces mots d’ordres et structurations vont à l’encontre du mythe persistant selon lequel les travailleurs de la technologie seraient apolitiques, rappelle Sasha Costanza-Chock, qui revient sur l’effacement de l’histoire des engagements politiques des ingénieurs et scientifiques, à l’image de la Fédération des scientifiques américains, créée en 1945 en réaction au projet Manhattan et qui a activement participé à la création de la Commission à l’énergie atomique américaine. Les campagnes visant à démocratiser la technologie sont plus efficaces lorsqu’elles sont liées à des mouvements sociaux, soulignent les auteurs du livre collectif <em><a href="https://www.routledge.com/Grassroots-Innovation-Movements/Smith-Fressoli-Abrol-Arond-Ely/p/book/9781138901223">Grassroots Innovation Movements</a></em> (Routledge, 1016). Plus qu’avant, notamment en réaction à l’administration Trump, les travailleurs du secteur de la technologie ont rencontré les mouvements sociaux qui s’y opposaient. Des conversations plus fécondes ont lieu, à la fois pour résister à la conception de systèmes oppressifs, mais aussi pour concevoir, construire et maintenir des alternatives.</p>
<p>Reste que la critique est difficile, conclut Sasha Costanza-Chock. <em>« la justice en matière de design exige à la fois des processus de design équitables et des résultats de design justes. Cependant, en pratique, tous les projets de design ont des ressources et un temps limités, et il y a presque toujours des compromis entre l’inclusivité d’un processus et la nécessité d’expédier un produit. En d’autres termes, il existe de réelles tensions entre les principes de justice en matière de design qui mettent l’accent sur un processus de design inclusif et ceux qui donnent la priorité à l’impact sur une communauté plutôt qu’aux intentions des concepteurs. Un projet de design peut être merveilleusement inclusif, donner à tous les participants un sentiment d’appartenance et récompenser équitablement les gens pour leur travail, mais ne pas produire un produit de design utile à la communauté. Par contre, un processus qui n’est pas du tout inclusif peut produire un produit utile et largement apprécié. »</em> Pour le dire autrement, si les principes et les valeurs sont nécessaires, ils ne suffisent pas toujours hélas. Pour Sasha Costanza-Chock, l’enjeu est de trouver un équilibre entre l’évaluation des impacts et mener les projets. Parfois, il est impossible d’envisager toutes les conséquences en termes d’inégalités. La justice en matière de design ralentit considérablement les processus de design du monde réel, peut-être parfois trop pour qu’ils soient viables, soulignent nombre de critiques, mais <em>« peut-être qu’il vaut la peine d’aller plus lentement pour construire un monde meilleur, plus juste et plus durable »</em>, répond Sasha Costanza-Chock. <em>« Il n’est peut-être pas de processus de design parfait »</em>, souligne-t-elle – et ce d’autant que l’innovation traditionnelle non plus ne produit pas toujours ce qu’elle promet. </p>
<p>La justice en matière de design ne doit pas seulement produire de la critique, elle doit aussi produire des choses, même imparfaites. Pourtant, rappelle-t-elle, <em>« si les contraintes de ressources deviennent une excuse pour éviter d’examiner la racine des problèmes, alors les concepteurs finiront presque toujours, au mieux, par fournir des pansements pour les problèmes profonds et, au pire, par servir activement les structures de pouvoir existantes. »</em> Nous ne pouvons pas nous contenter d’un design pragmatique ! Le designer <a href="https://carldisalvo.com/">Carl DiSalvo</a> plaide pour un <em><a href="https://mitpress.mit.edu/books/adversarial-design">design contradictoire</a></em>, à créer des objets de contestation pour produire du changement. Quant à la vision intersectionnelle du design, pour Sasha Costanza-Chock, l’enjeu est bien de renverser, depuis le modèle construit notamment par le mouvement féministe noir, la matrice de domination, qui est un processus mondial en cours qui se répand et se diffuse partout. Le dynamisme des mouvements féministes noirs n’est peut-être pas tant un angle unique pour regarder le monde, mais assurément, un modèle particulièrement inspirant pour comprendre et lever les inégalités structurelles, pour repolitiser le monde au profit des délaissés, des démunis, des oubliés… comme a pu l’être à une autre époque, le mouvement ouvrier.    </p>
<p><em>Design Justice</em>, travaille à déconstruire « la matrice de domination » en interrogeant les valeurs encodées par les technologies, les pratiques du design (qui est payé et qui contrôle les processus), les récits de l’innovation (et ceux qu’ils oublient ou invisibilisent), l’inclusion et l’exclusion (en observant les lieux et la reproduction sociale des lieux où l’innovation se construit) et les méthodes. Pour évaluer les projets de design en fonction des principes du Design Justice, il est toujours nécessaire de poser des questions critiques, notamment pour en évaluer l’impact : <em>« Qui a participé au processus de conception ? Qui a bénéficié de la conception ? Et qui a été lésé par le design ? »</em> Pour cela, il est nécessaire de démultiplier les évaluations (des tests de conformités aux normes d’accessibilité tout en passant par les méthodes d’audits algorithmiques), mais aussi de s’inscrire dans des lignes directrices, des outils de normalisation et des standards pour la justice sociale. </p>
<p>Les pratiques du design justice prône le contrôle de la conception par la communauté, mais celle-ci est souvent considéré comme inefficace, voire antinomique avec la créativité, souligne-t-elle encore. Ces principes ne signifient pas tant qu’il faut instaurer un contrôle permanent que de garantir que tous ceux qui contribuent à un processus de design reçoivent une reconnaissance, une attribution et, le cas échéant, une rémunération pour leur travail. Reste que s’affranchir d’un processus décisionnel clair et partagé, structuré (que ce soit par consensus, vote, décision majoritaire…) est le seul moyen de rendre les processus démocratiques. Le risque à concevoir pour tout le monde est de concevoir des objets ennuyeux, sans inspiration, reposants sur le plus petit dénominateur commun, reconnait-elle. Mais le risque à concevoir des objets pour certains est le même ! Les principes du design justice ne sont pas <em>« un entonnoir pour réduire les options, mais un prisme pour élargir les choix aux groupes auxquels ils doivent s’adapter »</em>. La justice en matière de design cherche à rendre les choix explicites plutôt qu’invisibles. Le design justice nécessite que nous <em>« spécifiions, examinions et décidions intentionnellement de la meilleure façon de répartir les avantages et les inconvénients des objets et des systèmes que nous concevons, en tenant compte de leur contexte d’utilisation »</em>. </p>
<p>Pour Sasha Costanza-Chock, l’enjeu consiste également à changer la narration autour du design et de l’innovation. Elle nécessite de politiser le design pour sortir du technosolutionnisme pour l’inscrire dans un cycle de luttes plus large. Dans ce cadre par exemple, elle défend <a href="https://www.internetactu.net/2015/11/25/leconomie-solidaire-necessite-un-internet-de-la-solidarite/">le coopérativisme de plateforme</a> contre l’ubérisation, notamment parce qu’il permet bien sûr d’impliquer les travailleurs à leur libération. </p>
<p>Au final, les propositions de Sasha Costanza-Chock semblent surtout chercher à réancrer le design dans la politique. À lui redonner une voix, à un moment où il s’affadit, se dilue en étant trop souvent soumis au marketing. Il nous rappelle que l’enjeu du design est libératoire ! Ce n’est pas une petite promesse !</p>
<p>Hubert Guillaud </p>
