title: How Doctors Die
url: https://www.saturdayeveningpost.com/2013/03/how-doctors-die/
hash_url: b82c800f728b00d9056b38087e026598

<p>Years ago, Charlie, a highly respected orthopedist and a mentor of mine, found a lump in his stomach. He had a surgeon explore the area, and the diagnosis was pancreatic cancer. This surgeon was one of the best in the country. He had even invented a new procedure for this exact cancer that could triple a patient’s five-year-survival odds—from 5 percent to 15 percent—albeit with a poor quality of life. Charlie was uninterested. He went home the next day, closed his practice, and never set foot in a hospital again. He focused on spending time with family and feeling as good as possible. Several months later, he died at home. He got no chemotherapy, radiation, or surgical treatment. Medicare didn’t spend much on him.</p>
<p>It’s not a frequent topic of discussion, <a href="http://www.saturdayeveningpost.com/2013/02/14/health-and-family/ken-murray.html">but doctors die, too</a>. And they don’t die like the rest of us. What’s unusual about them is not how much treatment they get compared to most Americans, but how little. For all the time they spend fending off the deaths of others, they tend to be fairly serene when faced with death themselves. They know exactly what is going to happen, they know the choices, and they generally have access to any sort of medical care they could want. But they go gently.</p>
<p>Of course, doctors don’t want to die; they want to live. But they know enough about modern medicine to know its limits. And they know enough about death to know what all people fear most: dying in pain and dying alone. They’ve talked about this with their families. They want to be sure, when the time comes, that no heroic measures will happen—that they will never experience, during their last moments on earth, someone breaking their ribs in an attempt to resuscitate them with CPR (that’s what happens if CPR is done right).</p>
<p>Almost all medical professionals have seen too much of what we call “futile care” being performed on people. That’s when doctors bring the cutting edge of technology to bear on a grievously ill person near the end of life. The patient will get cut open, perforated with tubes, hooked up to machines, and assaulted with drugs. All of this occurs in the Intensive Care Unit at a cost of tens of thousands of dollars a day. What it buys is misery we would not inflict on a terrorist. I cannot count the number of times fellow physicians have told me, in words that vary only slightly, “Promise me if you find me like this that you’ll kill me.” They mean it. Some medical personnel wear medallions stamped “NO CODE” to tell physicians not to perform CPR on them. I have even seen it as a tattoo.</p>
<p>To administer medical care that makes people suffer is anguishing. Physicians are trained to gather information without revealing any of their own feelings, but in private, among fellow doctors, they’ll vent. “How can anyone do that to their family members?” they’ll ask. I suspect it’s one reason physicians have higher rates of alcohol abuse and depression than professionals in most other fields. I know it’s one reason I stopped participating in hospital care for the last 10 years of my practice.</p>
<p>How has it come to this—that doctors administer so much care that they wouldn’t want for themselves? The simple, or not-so-simple, answer is this: patients, doctors, and the system.</p>
<p>To see how patients play a role, imagine a scenario in which someone has lost consciousness and been admitted to an emergency room. As is so often the case, no one has made a plan for this situation, and shocked and scared family members find themselves caught up in a maze of choices. They’re overwhelmed. When doctors ask if they want “everything” done, they answer yes. Then the nightmare begins. Sometimes, a family really means “do everything,” but often they just mean “do everything that’s reasonable.” The problem is that they may not know what’s reasonable, nor, in their confusion and sorrow, will they ask about it or hear what a physician may be telling them. For their part, doctors told to do “everything” will do it, whether it is reasonable or not.</p>
<p>The above scenario is a common one. Feeding into the problem are unrealistic expectations of what doctors can accomplish. Many people think of CPR as a reliable lifesaver when, in fact, the results are usually poor. I’ve had hundreds of people brought to me in the emergency room after getting CPR. Exactly one, a healthy man who’d had no heart troubles (for those who want specifics, he had a “tension pneumothorax”), walked out of the hospital. If a patient suffers from severe illness, old age, or a terminal disease, the odds of a good outcome from CPR are infinitesimal, while the odds of suffering are overwhelming. Poor knowledge and misguided expectations lead to a lot of bad decisions.</p>
<p>But of course it’s not just patients making these things happen. Doctors play an enabling role, too. The trouble is that even doctors who hate to administer futile care must find a way to address the wishes of patients and families. Imagine, once again, the emergency room with those grieving, possibly hysterical, family members. They do not know the doctor. Establishing trust and confidence under such circumstances is a very delicate thing. People are prepared to think the doctor is acting out of base motives, trying to save time, or money, or effort, especially if the doctor is advising against further treatment.</p>
<p>Some doctors are stronger communicators than others, and some doctors are more adamant, but the pressures they all face are similar. When I faced circumstances involving end-of-life choices, I adopted the approach of laying out only the options that I thought were reasonable (as I would in any situation) as early in the process as possible. When patients or families brought up unreasonable choices, I would discuss the issue in layman’s terms that portrayed the downsides clearly. If patients or families still insisted on treatments I considered pointless or harmful, I would offer to transfer their care to another doctor or hospital.</p>
