title: The ‘Pyramid of Hate’ that Brought Down Basecamp
url: https://marker.medium.com/the-pyramid-of-hate-that-brought-down-basecamp-838b63ca27e
hash_url: c92f91f646dd606f81a329fe2c91d733

<h2 id="1c95" class="ho gp gq bf b hp hq hr hs ht hu hv hw hx hy hz ia ib ic id ie dx"><em class="if">Basecamp bosses banned politics at work over a social justice diagram</em></h2>

<figure class="jk jl fw fx paragraph-image"><figcaption class="kb kc fy fw fx kd ke bf b bg bh dx">The ADL’s “Pyramid of Hate.” Image via adl.org.</figcaption></figure><p id="b09b" class="kf kg gq kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">Earlier this week, I wrote a <a class="el lb" rel="noopener" href="/basecamp-is-failing-its-own-future-d487bed43155">response</a> to tech company Basecamp’s decision to ban political speech in the workplace. That same evening, Casey Newton published an article for <a href="https://www.theverge.com/2021/4/27/22406673/basecamp-political-speech-policy-controversy" class="el lb" rel="noopener nofollow"><em class="lc">The Verge</em></a><em class="lc"> </em>that shed some light on the events that apparently prompted this announcement. As Newton’s article explains, the political discussions taking place at Basecamp largely focused on the internal culture of the company itself — not conversations about the outside world brought into work, as many were led to believe by the company’s original statement. Newton writes,</p><blockquote class="ld le lf"><p id="c1f3" class="kf kg lc kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">Interviews with a half-dozen Basecamp employees over the past day paint a portrait of a company where workers sought to advance Basecamp’s commitment to diversity, equity, and inclusion by having sensitive discussions about the company’s own failures. After months of fraught conversations, Fried and his co-founder, David Heinemeier Hansson moved to shut those conversations down.</p></blockquote><p id="a324" class="kf kg gq kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">Among the sens<span id="rmm">i</span>tive topics of discussion was a list called “Best Names Ever” that had been compiled and maintained by Basecamp workers over the past decade. This was a list of customer names that various workers had found funny for some reason or another. According to Newton, many of these names were American or European in origin, however others were obviously Asian or African. Eventually, employees began to express their discomfort with the list, and the company began holding discussions about how to hold those who had allowed it to circulate for so long accountable.</p><p id="4231" class="kf kg gq kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">On April 13, two employees who had contributed to the list in the past issued an apology using Basecamp’s internal employee chat, hosted on the remote workplace collaboration software that Basecamp itself builds and distributes. This apology, Newton explains, included a link to the so-called “<a href="https://www.adl.org/sites/default/files/documents/pyramid-of-hate.pdf" class="el lb" rel="noopener nofollow">Pyramid of Hate</a>”—an illustration produced by the Anti-Defamation League that shows “how the most extreme acts of extremist violence are enabled by a foundation of biased attitudes and acts of bias.”</p><p id="80fd" class="kf kg gq kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">On the lowest level of the Pyramid of Hate are “acts of bias,” defined as jokes, stereotypes, non-inclusive language, and other comparatively minor insensitivities (often dubbed “microaggressions”). Higher up on the pyramid are structural and legal forms of discrimination, bias-motivated acts of violence, and finally, at the most extreme level, genocide.</p><p id="0e21" class="kf kg gq kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">Apparently, the founders of Basecamp took great offense to this graphic being brought into the discussion. Newton writes,</p><blockquote class="ld le lf"><p id="6bb7" class="kf kg lc kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">[Hansson] told me today that attempting to link the list of customer names to potential genocide represented a case of “catastrophizing” — one that made it impossible for any good-faith discussions to follow. Presumably, any employees who are found contributing to genocidal attitudes should be fired on the spot — and yet nobody involved seemed to think that contributing to or viewing the list was a fireable offense. If that’s the case, Hansson said, then the pyramid of hate had no place in the discussion. To him, it escalated employees’ emotions past the point of being productive.</p></blockquote><p id="2c0b" class="kf kg gq kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">In response to Newton’s article, Hansson issued a lengthy <a href="https://world.hey.com/dhh/let-it-all-out-78485e8e" class="el lb" rel="noopener nofollow">blog post</a> in which he recounted the back-and-forth that took place over the company chat, spurring multiple reports to HR. “I was dismayed to see the argument advanced in text and graphics on [Employee 1’s] post that this list should be considered part of a regime that eventually could lead to genocide,” Hansson wrote to his employees. “That’s just not an appropriate or proportionate comparison to draw.”</p><p id="4ef7" class="kf kg gq kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">When several of Hansson’s employees attempted to explain the diagram again, he responded:</p><blockquote class="ld le lf"><p id="ff25" class="kf kg lc kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">…I don’t think we serve the cause of opposing colonial regimes or racist ideology by connecting their abusive acts around names to this incident. And I don’t think we serve an evaluation of you and others making fun of names in a Campfire session by drawing that connection either.</p><p id="66cb" class="kf kg lc kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">We can recognize that forceful renaming by a colonial regime is racist and wrong while also recognizing that having a laugh at customer names behind their back is inappropriate and wrong without equating or linking the two.</p></blockquote><p id="c47d" class="kf kg gq kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">Hansson’s comments are revealing. Most notably, they reveal that he doesn’t seem to actually understand the purpose or the content of the diagram in question. The purpose of the “Pyramid of Hate” is not to suggest that racist jokes and callous insensitivities are “part of a regime that eventually could lead to genocide,” nor does it “equate” making fun of names with genocide. The purpose of the graphic is to demonstrate that hate crimes and structural racism don’t happen in a vacuum. They happen within a society in which a foundation has been laid that makes them possible. It’s not a slippery slope; it’s an architectural metaphor in which the higher levels depend upon the support they receive from the lower levels. Like all metaphors, the “Pyramid of Hate” is not perfect. But it does a reasonably good job of illustrating how seemingly isolated attitudes and behaviors can serve as part of a foundation that makes more overt forms of violence possible.</p><p id="3443" class="kf kg gq kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">Hansson’s second error is the projection of “catastrophizing” onto his employees when it is he himself who is catastrophizing. Instead of seeing a diagram in which the higher levels are dependent upon lower, obviously less extreme levels, Hansson chose to see a graphic in which the behaviors that had become normalized at Basecamp were being equated with genocide. It is this defensive misconstrual of the actual meaning of the diagram which is tantamount to an “escalation” of emotion and hurt feelings—not the use of the diagram in the first place.</p><p id="9de5" class="kf kg gq kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">For all the <a href="https://www.theatlantic.com/ideas/archive/2020/07/dehumanizing-condescension-white-fragility/614146/" class="el lb" rel="noopener nofollow">valid criticism</a> that has been lobbed at Robin DiAngelo’s work around white fragility, some of her concepts are of use here, especially the “good/bad binary.” The “good/bad binary” is the internal script that makes us say, “Racism is bad, I’m not bad, therefore I’m not a racist!” The problem with this all-or-nothing thinking is that it undermines our ability to process nuance. The emotional attachment we feel to perceiving ourselves (or being perceived by others) as “good” makes it more difficult to accept information that complicates that “good” image.</p><p id="0b1b" class="kf kg gq kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">In reality, people are complicated. Sometimes “good” people hold biases or attitudes that help reinforce negative, even violent systems. When that happens, it’s up to us to make good on our “good” self-image by holding ourselves accountable to those around us.</p><p id="59c6" class="kf kg gq kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">In the conclusion of his blog post, Hansson writes,</p><blockquote class="ld le lf"><p id="0b7c" class="kf kg lc kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">If you do indeed strive to have a diverse workforce both ideologically and identity wise, you’re not going to find unison on all these difficult, contentious issues. If you did, you’d both be revealing an intellectual monoculture and we wouldn’t be having these acrimonious debates.</p></blockquote><p id="1c66" class="kf kg gq kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">Indeed, judging from the accounts of the many employees who have now gone on record about this issue, the “debates” that have been happening at Basecamp are precisely the kinds of conversations that happen when you have a diverse workforce. Different issues affect different people differently, and being able to speak freely about those differences is the hallmark of a healthy culture. But by framing these discussions as “acrimonious debates” rather than “challenging conversations,” Hansson has positioned himself not as a peacemaker, but as a tyrant hell-bent on taking his toys and going home; shutting down discussions rather than holding space for growth and discovery.</p><p id="8e04" class="kf kg gq kh b hp ki kj kk hs kl km kn ko kp kq kr ks kt ku kv kw kx ky kz la gj hn">If Hansson and Fried had been able to tolerate the dissenting opinions of their own employees, they might have been in for a difficult few weeks or months, but the long-term benefit of cultivating an atmosphere of trust would have been invaluable. Instead, they decided to make their tantrum international news. In doing so, they have all but dismantled the positive reputation they spent more than a decade carefully crafting.</p>
