title: #39 : Le cri d’alarme de l’hydrologue Emma Haziza
url: https://nourrituresterrestres.substack.com/p/cri-alarme-hydrologue-emma-haziza
hash_url: e53ad7a748d59824b3323099fdeb5c48

<p>Emma Haziza est hydrologue, spécialiste de la résilience des territoires face aux risques climatiques extrêmes. Elle est intervenue cette semaine lors d’une <a href="https://www.youtube.com/watch?v=z0AmhqKOBs8&amp;t=2982s">conférence</a> organisée par Eau de Paris, dans le cadre d’une série d’événements qui interrogent le futur de l’eau.</p>
<p>Après avoir suivi en direct son intervention, j’ai choisi de la retranscrire ici en partie, car celle-ci m’a frappé. C’est une intervention spontanée, qui vient des tripes, et qui est donc parfois décousue. Je vous propose de la découvrir telle quelle. Pour ceux qui préfèrent le format vidéo, la séquence est visible via le <a href="https://youtu.be/z0AmhqKOBs8?t=2982">replay</a> de la conférence (entre <a href="https://youtu.be/z0AmhqKOBs8?t=2982">49’42’’</a> et 1h17’).</p>
<p><hr></p>
<p><strong>Pour Emma Haziza, il est urgent de se doter d'une vision plus globale que la seule question du carbone. L'enjeu du siècle sera le triptyque eau – alimentation – énergie. </strong>Voici sa vision des choses :</p>
<p>« Depuis 20-30 ans, les politiques publiques sont très focalisées sur l’énergie. Mais pour produire de l’énergie, il faut de l’eau. Pour faire fonctionner une centrale, qu’elle soit nucléaire ou thermique, il faut de l’eau pour le refroidissement ; pour faire de l’hydroélectricité, il faut de l’eau pour faire tourner les turbines. Cette question, on l’a anéanti. On parle de bilan carbone et de gaz à effet de serre. Mais je <a href="https://www.futura-sciences.com/planete/questions-reponses/rechauffement-climatique-vapeur-eau-elle-gaz-effet-serre-912/">rappelle</a> que le premier gaz à effet de serre au monde, c’est l’eau : c’est ce qui permet à la Terre de ne pas ressembler à la Lune et donc à l’humain de survivre. </p>
<p><strong>Le problème est qu’on est en train de plonger dans un nouveau système. Il est essentiel, y compris pour nous en France, de regarder ce qui se passe aujourd’hui en Californie [cf les précisions à la fin de ce numéro].</strong> Les premiers décrochages qui se sont déroulés en Californie sont arrivés en 2015. On a toujours connu des sécheresses majeures en Californie, par séries chronologiques, de plusieurs années ; mais depuis 2015 on bat des records chaque année. L’année dernière a été la plus dramatique en matière d’atteintes à l’agriculture, par exemple. </p>
<p>Cette année, on est en train d'atteindre un niveau record en termes de température. <strong>La Californie elle-même est à bout de souffle</strong> ; or nous ne sommes qu’en juin, alors que l’été là-bas est en septembre-octobre.</p>
<p><strong>On n’en est qu’au début d’une situation en train de totalement s’enflammer.</strong></p>
<p><strong>Le château d’eau de la Californie, la Sierra Nevada, n’a plus une seule goutte d’eau qui traverse ses cours d’eau. Il n’y a plus rien dans les réseaux hydrographiques</strong>. Tous ces réseaux hydrographiques se rejoignent dans une énorme vallée centrale où tout a été construit pour faire de l’agriculture. <strong>L’Etat de Californie a été pensé à tous les niveaux pour nourrir l’assiette de l’Américain moyen : 80% de son assiette est issu de la Californie</strong> (les œufs, le lait, la viande, les amandes, le raisin, les fruits…).</p>
<p>Puisqu’il n’y a plus assez d’eau, on fore de plus en plus loin, de plus en plus profond. </p>
<p>Certains petits propriétaires terriens n'ont plus du tout d'eau, parce que plus vous forez loin, plus ceux qui ont un petit pompage avec un système non-industrialisé n'ont plus accès à ce niveau de la nappe. <strong>Tout cela génère des états catastrophiques : on a carrément des routes qui s’affaissent, de 30cm par an en ce moment, parce qu’on soutire beaucoup trop dans les nappes et qu’il n’y a aucune limitation à l’agriculture</strong>.</p>
<p><strong>On se retrouve avec des sécheresses qu’on n’a jamais connu. En France on vient de vivre quatre années de sécheresse historique. Aucune année n’était semblable à la précédente</strong>. Même en ayant connu certains printemps très pluvieux, il suffit d’un marqueur avec des vagues de chaleur successives et une canicule pour qu’on rebascule dans un état de sécheresse. <strong>On n’est pas dans un scénario de science-fiction. En France, en 2019 on a connu 42 degrés à Paris, 46 degrés dans le Gard</strong>. </p>
<p><strong>Ces 4 dernières années, durant l'été on a atteint entre 80 et 90 départements en situation de crise au niveau de leurs masses d'eaux profondes</strong>. Pourtant on sait très bien que la France est un climat tempéré, avec des masses d'eau extrêmement importantes. </p>
<p>Sur ce point d’ailleurs, certains sont plus privilégiés que d'autres : <strong>le bassin parisien par exemple est moins confronté à ce problème. Mais la question est justement : que doit-on raconter, en France ? Va-t-on dire aux Parisiens qu’ils peuvent continuer de prendre des bains mais qu’ailleurs ça n’est pas possible ?</strong> L’an dernier dans la Creuse certains maires <a href="https://www.francetvinfo.fr/economie/emploi/metiers/agriculture/secheresse-dans-la-creuse-face-a-une-situation-dramatique-le-maire-de-gueret-va-utiliser-des-camions-citernes-pour-chercher-de-l-eau_3627599.html">ont</a> fait appel à des camions-citernes pour aller chercher de l'eau [et des agriculteurs ont dû se mettre à puiser dans le réseau d’eau potable, faute de stock d’eau suffisant].</p>
<p><strong>Voilà pourquoi c’est important de regarder la Californie : ils ont continué sur le modèle de l’agriculture intensive</strong>, ils ont continué à se focaliser sur l’objectif de nourrir le monde, en jouant sur les peurs, la peur de manquer, de ne plus pouvoir manger. <strong>On sait très bien que l’agriculture est le plus grand consommateur d’eau à l’échelle de la planète : 93% de l’eau est utilisée à des fins agricoles</strong> (en France c’est en moyenne 80% l’été et 50% le reste de l’année).</p>
<p><strong>On focalise tout sur l’usage de l’eau domestique qui représente seulement quelques petits pourcentages de l’utilisation de l’eau</strong> (un peu plus au niveau américain parce qu’ils ont beaucoup plus de piscines et qu’ils nettoient bien plus leur voiture qu’en France) <strong>alors que ce n’est rien par rapport aux réalités des questions qu’on va devoir poser</strong>. </p>
<p><strong>Ce qui m’inquiète, c’est qu’on ne se rende pas compte que si on n’a plus d’eau, on n’a, par exemple, plus de biocarburants parce qu’on ne peut plus faire d’agriculture, et on n’a plus de centrales nucléaires</strong>. L’année dernière certaines centrales nucléaires ont failli être à l'arrêt ; on a eu beaucoup de chance d'avoir un soutien d'étiage, c'est-à-dire ce niveau de débit minimum que l'on a dans les rivières, qui a été assurée par de grands opérateurs, ce qui a permis de ne pas arrêter les centrales.</p>
<p>***</p>
<p>En Sibérie, au mois de mai, on a atteint 31,9 degrés au niveau atmosphérique, et 39 degrés au niveau du sol. A Moscou, à la même période, les températures ont été exceptionnelles, avec 32-33 degrés.</p>
<p><strong>On a beau faire des graphiques - je suis moi-même scientifique, je fais beaucoup de modélisations donc je peux en parler -, je crois qu’on ne sait pas ce qu’on ne sait pas. On ne sait rien sur ce qui va se passer. </strong>C’est pour cela que j’ai commencé à créer mon propre centre de recherche appliqué en 2010 après avoir lu en 2002 et 2003 les premiers rapports du GIEC, en me disant « on ne sera pas prêt ». <strong>Il va falloir prendre la recherche, l’amener sur les territoires et chercher à transformer</strong>. Le problème est que cela prend beaucoup de temps.</p>
<p>J'ai travaillé ces dix dernières années sur des questions d'adaptation mais ça prend un temps incroyable - déjà rien qu’en termes de méthodologie. <strong>Il va falloir préparer les villes à demain, par exemple les préparer à vivre des épisodes exceptionnels de pluviométrie intense</strong> : plus vous avez une masse d’air chaude, plus vous allez voir des épisodes de pluie importants. Cela signifie qu’o<strong>n va se retrouver avec des épisodes comme les inondations sur la Tinée et la Vésubie en Alpes Maritimes avec deux fois plus de pouvoir précipitant que ce que l'on imaginait pouvoir avoir</strong>. </p>
<p><strong>Cela signifie aussi des effets de ruissellement urbain colossaux. Or on n’est absolument pas prêt. La seule chose qu’on ne gère pas au niveau français, c’est la question du ruissellement, parce qu’on ne sait pas la gérer</strong> (on n’a pas de cartographie, etc.), à la différence des inondations sur les grands cours d'eau pour lesquels on sait à peu près où sont les risques.</p>
<p>C’est pareil pour la sécheresse. Sur la question de la sécheresse, on a tout basé en disant : « on a compris, le problème c'est le retrait-gonflement des argiles, on sait qu'il y a des zones où on va avoir des effets de fissures ». <strong>Ce qu’on n’avait pas prévu, c’est que le béton est absolument incapable de tenir une température de 46 degrés : il s’effondre. Donc on a des pans de murs s’effondrent. </strong></p>
<p><strong>C’est sur tous ces effets de domino qu’il va falloir se poser des questions.</strong></p>
<p><strong>Si on ne regarde pas, comme aux échecs, les coups d'après et qu’on reste concentré sur la question du carbone, on passe complètement à côté de la question</strong>.</p>
<p>***</p>
<p><strong>Il faut raconter ces enjeux au grand public</strong>. On n’arrête pas de parler aux gens des scénarios de 1.5° et 2° C. Mais ces derniers mois, j’ai fait une étude sur la perception de la population face au changement climatique sur des niches spécialisées, et on se rend compte qu’en fait ils ne le comprennent pas, parce qu’ils entendent parler par exemple de -40°C pendant trois semaines à Montréal. <strong>En ce moment on est à -6°C en Antarctique avec des anomalies négatives, et on nous dit « mais ça ne se réchauffe pas, on a des anomalies négatives ». De même on nous dit « regardez, le mois de mai a été pluvieux ». Donc les gens ne comprennent pas.</strong> Je crois qu’il faut absolument faire un effort de pédagogie pour aller vers un discours qui ne se centre plus sur ce qu’on a envie de raconter, avec une posture de scientifique et parfois d’ego surdimensionné, mais vers sur ce que les gens ont besoin de comprendre. Les gens n’ont pas intégré ces questions-là. </p>
<p>(…) <strong>Les gens sont encore persuadés que le changement climatique c’est pour 2050, que le changement de températures c’est pour 2100, et que la fonte des glaciers himalayens c'est pour 2350 ; au fond, qu'on a le temps. Ce qu’il faut comprendre, c'est qu'il faut être humble avec la nature : on ne maîtrise absolument pas les effets domino</strong>, parce que la science s'est construite sur des effets de silos.</p>
<p>(…) <strong>Je pense que l’on n’est pas sur une échelle de 10 ans. Moi je regarde les chiffres tous les jours. Cela fait 4 à 5 ans que je suis jour après jour les états de sécheresse et d’inondation dans le monde. Je pense qu’on est sur une échelle de 3 ans maximum. Le système est en train de s’emballer complètement et on ne s’en rend absolument pas compte</strong>. Ce n’est pas une question de sobriété, c’est une question d’urgence, parce qu’il y aura des endroits sur Terre où on ne pourra plus vivre.</p>
<p>Jusque-là je n’étais pas pessimiste, j’étais très positive. Cela fait des années que je me focalise sur les solutions, les solutions, les solutions. Mais vous savez quoi ? Il y a des solutions partout (il y a des solutions pour s'adapter au risque inondation, pour s'adapter au risque sécheresse, pour recréer des petits cycle de l'eau à petite échelle…). Comme le dit une intervenante avec qui j’étais sur un plateau récemment (Bettina Laville), <strong>le problème n’est pas de trouver les solutions, mais de trouver les solutions pour mettre en œuvre ces solutions</strong>. </p>
<p>(...)</p>
<p><strong>La planète est basée sur des cycles qu’on a tendance à oublier</strong> : le cycle de formation des montagnes, le cycle de l’eau, le cycle du phosphore qui est lui aussi essentiel…<strong>Or tous ces cycles sont complètement « rejoués »</strong> [par l’activité humaine]. Ces questions-là, on évite de se les poser. </p>
<p>(…)<strong> Le cycle de l’eau est essentiel. J'ai l'impression qu'on regarde trop ailleurs et qu’on se trompe complètement de débat. Il faut regarder l’ensemble</strong>, il faut regarder où sont les vrais problèmes et prendre des vraies décisions, parce que c'est urgent. </p>
<p>Je vous donne quelques chiffres parce que moi ça m'a marqué : jusqu’ici j’étais très positive, et il y a deux semaines je me suis dit, « là, on arrive sur des points de bascule ». <strong>Il y a deux semaines on a atteint 81,6 degrés à deux endroits de la planète, au Mexique et en Iran</strong> [record mondial de température terrestre]. Et <strong>l’an passé on a atteint une température qui empêche l’humain de pouvoir vivre au-delà de 2 à 3h parce qu’au-delà les organes ne tiennent plus</strong>. Ce sont des paramètres aggravants qu’il faut absolument regarder, même si ça se déroule en Iran, en Asie ou en Inde, et pas en France. </p>
<p>On est en train de changer de système. Ce qu’il nous manque, c’est l’audace ».</p>
<p>(Extraits de la <a href="https://www.youtube.com/watch?v=z0AmhqKOBs8&amp;t=2982s">conférence</a> d’Eau de Paris du 22/06/2021, dans le cadre des “Ateliers des Métamorphoses”)</p><h3>***</h3><h3>Pour compléter : focus sur la situation inédite aux Etats-Unis</h3><p>« Une vague de chaleur ahurissante bat des records dans l'ouest des États-Unis. La température à Seattle devrait atteindre 41 ° C » <a href="https://www.ft.com/content/7b701cd2-8dc8-45b0-983d-8a20daa71932">écrit</a> le Financial Times. L’article cite <strong>le météorologue Cliff Mass : il décrit les prévisions comme « ahurissantes » et « insensées ».</strong> « Franchement, je suis sous le choc en regardant les prévisions de nos modèles » écrit-il.</p>
<p>***</p>
<p><a href="https://ici.radio-canada.ca/recit-numerique/2624/californie-secheresse-amande-culture">Sur ce lien, un bon reportage</a> (texte + photos) réalisé par le correspondant américain de Radio-Canada sur <strong>la sécheresse actuelle en Californie, l’une des plus graves de son histoire</strong>. </p>
<p>Je cite ici 4 extraits :</p><ul><li><p>« <strong>95 % de la Californie vit actuellement une situation de sécheresse sévère, extrême ou exceptionnelle. Du jamais-vu</strong>. L’année actuelle est 99,9 % plus sèche que toutes les années précédentes pour lesquelles nous avons des données».</p></li><li><p>« Je suis ici depuis 25 ans et je n’ai jamais rien vu de tel, explique une résidente. Il nous arrive de voir le bassin se vider et les pontons toucher le sol à la fin de l’année en novembre ou décembre. Mais si tôt dans la saison, c’est du jamais-vu ».</p></li><li><p>« La situation est si préoccupante qu’elle a poussé le gouverneur à déclarer l’état d’urgence dans 41 des 58 comtés où vivent 37 millions de Californiens »</p></li><li><p>« Le bureau de gestion de l’eau de l’État a averti <strong>les fermiers</strong> de la vallée centrale de Californie, habituellement l’une des régions les plus fertiles du monde, qu’ils <strong>ne pourront pas utiliser leur allocation en eau de surface cette année</strong> ».</p></li></ul><p>***</p>
<p>L’ONU l’a prévenu la semaine dernière : « <strong>La sécheresse est sur le point de devenir la prochaine pandémie</strong> et il n'existe aucun vaccin pour la guérir. La majeure partie du monde vivra avec un stress hydrique » (<a href="https://www.lci.fr/environnement-ecologie/la-secheresse-sera-la-prochaine-pandemie-s-inquiete-l-onu-2189119.html">source</a>).</p>
<p>***</p>
<p>Comment évolue et évoluera la sécheresse en France au cours du siècle ? Le site « Bon Pote » a fait le point sur les connaissances scientifiques dans un <a href="https://bonpote.com/la-secheresse-enjeu-majeur-du-changement-climatique-en-france/">article</a> dédié. Voir aussi le très bon site <a href="http://secheresses.fr/">secheresses.fr</a>.</p>
<p>***</p>
<p>« <em><strong>Les systèmes hydriques de l’Ouest américain ont été conçus avec l’idée que le climat resterait constant</strong>. C’est sur cette base que les ingénieurs ont construit les lacs artificiels et les canaux actuels, et ont déterminé quel volume d’eau partager entre les villes et l’agriculture</em> » (Lauren Sommer, journaliste climat pour la radio NPR).</p>
<p>Qu’en conclure ? Pour clore ce numéro, je crois que ce commentaire d’Emma Haziza vise très juste :</p>
<p>« <em><strong>La situation californienne doit nous interpeller. Il faut avoir conscience que c'est tout un système agricole sur le point de s'effondrer, nourrissant 80% de l'assiette des américains et qu'ils iront chercher ailleurs, comme les masques ...(…) S’il n’y a plus de résilience alimentaire ailleurs, il faudra la construire chez nous. Notre <a href="https://nourrituresterrestres.substack.com/p/numro-spcial-les-enjeux-de-la-rsilience">résilience alimentaire</a> doit devenir notre priorité</strong></em> ».</p>
<p><hr></p>
<p>C’était le 39 numéro de <a href="https://nourrituresterrestres.substack.com/">Nourritures terrestres</a>, la newsletter sur les enjeux de la transition écologique (lire numéros précédents <a href="https://nourrituresterrestres.substack.com/archive">ici</a>). Mes excuses ici pour ceux qui préfèrent les lectures non-anxiogènes sur les questions écologiques : j’essaie d’éviter autant que possible ce genre d’articles purement alarmants, mais parfois le sujet me semble trop important et trop peu entendu ainsi ailleurs pour ne pas être traité ici. Les prochains numéros, avec l’été, seront plus légers…sur des sujets parfois inattendus. A très bientôt, et merci beaucoup à celles et ceux qui continuent de soutenir ce travail sur ma <a href="https://fr.tipeee.com/nourritures-terrestres/">page Tipeee</a> ! Clément.</p>
