title: The happiest number I've heard in ages
url: https://billmckibben.substack.com/p/the-happiest-number-ive-heard-in
hash_url: 20648a9bc173f75256ae9d5f196fd913

<p>I confess to spending more time than is mentally healthy scrolling through Twitter, and too often it’s a mix of trivia, schadenfreude, and outrage—empty mental calories, usually confirming your world view. But sometimes you learn things you didn’t know beforehand, and last week, I noticed a comment in passing: forty percent of the world’s shipping, one commenter insisted, consists of just sending fossil fuels around the world to be burned.</p>
<p>That can’t be right, I thought—what about all the other things we have to ship. There’s grain, and lumber, and iron ore, and cars, and a zillion containers loaded with tennis rackets and dog toys and 70-inch tvs. But no—a little research makes clear that in fact if you <a href="https://unctad.org/system/files/official-document/rmt2019_en.pdf" rel="">add up all the tonnage</a>, something <a href="https://www.forbes.com/sites/nishandegnarain/2020/09/25/loud-calls-for-global-shipping-to-ditch-fossil-fuels-and-meet-climate-goals/?sh=49718442aaf0" rel="">very close to forty percent</a> of all the shipping on earth is just devoted to getting oil and coal and gas (and now some wood pellets) back and forth across the ocean. </p>
<p>That’s a remarkable snapshot: almost half of what we move around the seas is not finished products (cars) nor even the raw materials to make them (steel), but simply the stuff that we burn to power those transformations, and to keep ourselves warmed, cooled, and lit. <em>Which is great news. </em>Because it means that if and when we make the transition to solar power and windpower, we will not just stop pouring carbon into the atmosphere, and not just save money—we will also reduce the number of ships sailing back and forth by almost half. So if you’re worried about almost anything at all that’s going wrong on the high seas—piracy, say, or the <a href="https://www.nytimes.com/2019/01/22/science/oceans-whales-noise-offshore-drilling.html" rel="">hideous sonic effects of all those ships on whales</a>—then you can cut that in half as well. </p>
<p>Here’s what people don’t always get about fossil fuel: it’s utterly wasteful. You burn it, and then you have to go get some more and burn it again, ad infinitum. That’s why Exxon likes the business model so much; you need to buy more every month. Renewable energy is different: yes, you have to mine some lithium and cobalt to build your solar panel or your wind turbine or your battery, and yes we have to make sure we do that as humanely and with as much environmental rigor as we can—but once you’ve built that panel and shipped it off across the ocean to wherever it’s needed, that’s it: For a quarter century it stands there, and the sun delivers the energy simply by rising across the horizon. <em>It dramatically dematerializes the world.</em> </p>
<p>You can do the same experiment over and over again. There are a hundred thousand oil tanker trucks circling the U.S.—in an EV world, which is where we’re headed, they won’t be taking up space, crashing, polluting the air. There’s an endless network of pipelines, regularly spilling and exploding. Yes, you’ll need transmission lines to move electrons around, but they are far less dangerous and intrusive. Hell, eleven percent of the energy that America currently uses, according to Saul Griffith’s <a href="https://mitpress.mit.edu/books/electrify" rel="">excellent book </a>Electrify, simply goes to finding more energy. </p>
<p>These kinds of changes are not cost-free: people who drove oil trucks will need to find other jobs, and we should help them make the transition. But the bonus—a world where we’re not devoting vast parts of the economy to the now-makework task of digging up more stuff to burn—is something we think about too rarely. </p>
<p></p>
<p></p>
<p>A few notes from around the climate world as 2022 (under eight years till 2030, if you’re following the climate clock) dawns. </p>
<p>+An <a href="https://www.globalwitness.org/en/campaigns/forests/deforestation-dividends/?utm_source=hootsuite&amp;utm_medium=facebook_" rel="">important new study</a> from Global Witness finds that banks and other financial institutions have made deals worth $157 billion with companies—mostly in agribusiness—driving deforestation around the tropics</p>
<p>+A great <a href="https://asia.nikkei.com/Spotlight/Environment/Climate-Change/Global-exodus-from-fossil-fuel-holdings-tops-1-500-institutions" rel="">recap</a> of the state of the divestment movement, from Nikkei, the Asian business specialists. </p><blockquote><p>As of the end of December, 1,502 groups had announced they would partly or fully divest from fossil fuel companies, according to figures from international environmental organization 350.org and elsewhere. The count is up by 195 from the end of 2020 -- the biggest rise in three years.</p></blockquote><p>+Nicole Poindexter, my favorite energy executive on planet earth, <a href="https://time.com/6137298/solar-power-africa/" rel="">reports</a> in Time that her Energicity company will  have ten percent of Sierra Leone operating on solar power by year’s end. Her minigrid technology—which I’ve seen in operation in Ghana—brings power to people who would otherwise be waiting for decades. And to return to the main topic of this post, it brings deep other benefits: 98 people were <a href="https://www.washingtonpost.com/world/2021/11/06/sierra-leone-tanker-explosion/" rel="">killed</a> in November in Sierra Leone when a tanker truck exploded.</p>
<p>+Time also has a crackerjack <a href="https://time.com/6130826/how-to-reduce-family-emissions/" rel="">piece</a> from Alana Semuels that tracks how much carbon is bound up in the typical purchases of four American families. </p>
<p>+The Institute for Local Self Reliance, an important outfit, has a useful new <a href="https://ilsr.org/wp-content/uploads/2021/12/ILSR-Local-Solar-Developer-Survey-2021-web-res.pdf" rel="">report</a> on all the dumb local and state obstacles to putting a solar panel on a roof. Half our political class is constantly intent on cutting regulation, except, it seems, when the task is critial to averting the climate crisis. </p>
<p>And without further ado, here’s the latest couple of chapters from my epic nonviolent yarn; we’re back in China this week.  If you need to catch up on the first 38 chapters of <em>The Other Cheek, </em>check out the <a href="https://billmckibben.substack.com/s/the-other-cheek" rel="">archive</a>.  Happy New Year, y’all!</p>
<p></p>
<p></p>
<p>The tv monitor in Minister Hua’s conference room was so large—110 inches, it said on the Samsung sticker on the edge of the screen—that he and Director Liu felt as if they were in Sabermati.</p>
<p>The Dalai Lama loomed over then as he began his press conference, carried live on CNN International.</p>
<p>“A good friend who points out mistakes and imperfections is to be respected as if he reveals the secret of some hidden treasure,” the DL said. “In that sense only, I think you could call my fellow Buddhists who disrupted today’s meeting ‘friends.’ They have pointed out with their actions my mistake in issuing the invitation for this gathering. I apologize to our brothers and sisters from the Muslim community, and to everyone else who has been dismayed or upset by what happened today. It is my fault and my responsibility. I clearly should have known that my actions were premature.”</p>
<p>He paused, and looked around at the gathering. “With great apologies to all who traveled a great distance to join us, we have decided to cancel the rest of this conference. It can no longer be a source of unity, only division.”</p>
<p>“I have considered cancelling the rest of my walk to Tibet and simply returning to Dharamsala,” he continued. “We are here at Gandhiji’s home. Several times, when his demonstrations turned violent, he ceased campaigning, sometimes for years at a time, until those who followed him proved they had their emotions under control. I cannot do that. I am an old man, on my last journey, and more to the point the mountain ice of Tibet—the planet’s Third Pole—is melting fast. Our work cannot be delayed, and so I will keep walking.</p>
<p>“But I can, and will, be silent. After this gathering, and until we reach the borders of my homeland, I will not speak. My silence is partly penance for today’s events, and partly an effort to make sure that genuine actions speak for themselves. As we walk across India we will perform the small service of gathering trash as we go, helping clean the roads and paths of this nation. Prime Minister Modi has announced a ‘Swachh Bharat Abhiyan,’ a ‘Clean India Mission,’ and we will do our part as we travel. So that even if nothing else comes of our trek, our trail will be a little cleaner. Are there questions?”</p>
<p>“Rajib Gupta, Sky TV,” said a handsome man, his black hair slicked back with gel. “What is your response to the communal violence—to the reports of fires in some Muslim communities in Burma tonight?”</p>
<p>“My response is great sadness and anguish. In the past, different faiths were confined to different countries and regions; you could live your whole life with people just like you. But today we live in a world where people of all kinds mix together. This can be a great blessing, but only if there is respect. I ask all Buddhists to be full of compassion, and I ask all others to be tolerant of our failings and weaknesses.”</p>
<p>“Trevor Browner, CNN,” said another journalist. “What do you make of reports from China that there’s a sudden fashion for meditation, especially among upper-class urbanites?”</p>
<p>“I hadn’t heard that,” said the DL. “China is . . . China is the source of so much; some of the earliest records of meditation practice come from China, 3,500 years ago. I hope that people find it useful, as I have found it useful. Even on a painful day like today it sustains me.”</p>
<p>“Do you think others will join you going forward?” asked a radio reporter, holding a microphone on a boom.</p>
<p>“I don’t know,” said the DL</p>
<p>“I will join,” said a tiny old man man wearing a white taqiyah, the distinctive Muslim skullcap, who was standing near the front. “And I too will take a vow of silence.”</p>
<p>“Who are you?” several reporters asked.</p>
<p>“I am an imam from a small mosque here in Ahmedabad,” the man said. “Yusuf Timol. I am worried about the ecology of our Sabrmati River, which has gotten very polluted in my lifetime. A pig is najis, ritually unclean, but this river is literally unclean. You get boils if you bathe in it.”</p>
<p>“I’ll join too,” said a stout black woman in a purple robe. “Sister Shareen Robinson, of the African Methodist Episcopal Church, Louisiana USA. But I don’t know about keeping silent. I’m from what they call Cancer Alley, along the Mississippi River, where poor people and black people become sick people because of all the refineries. I came here because I think God’s people have got to do something about it. And I think it’s as bad here as it is to home. Maybe worse—this air is awful. I bet y’all have asthma, like half the people in my church.”</p>
<p>“I am glad to have companions,” said the DL. “And if others join, that is fine. Bring bags for trash.”</p>
<p>“Those may be the last words we hear from the Dalai Lama for some time,” said a network correspondent, doing his wrap-up moments later in front of the now-empty podium. “This day of religious drama ends on a practical note, as the Dalai Lama becomes the world’s most well-known garbageman.”</p>
<p>Minister Hua switched off the giant screen with his remote.</p>
<p>“The pig was an inspired idea,” he said to his colleague.</p>
<p>“Well, those monks have been working with the Burmese military for a long time, and of course the Burmese military work with us from time to time. We wanted to disrupt the meeting, and they came up with the pig idea,” said Director Liu. “It didn’t occur to me it would literally shut the guy up for however long it takes him to walk acoss India. One other bonus—you know we’re always trying to drive a wedge between the Tibetans and the Uighur Muslims, make sure they never join forces. We’ve been showing video footage of the pig all afternoon in Urumqi, and there’s been a small anti-Dalai protest in the main square, with people burning prayer flags.”</p>
<p>“Good, but keep it under control, obviously,” said the minister. “And speaking of prayer flags, what was the reporter talking about, this fad for meditation in China?”</p>
<p>“Ah. Well, the DL cartoon? It keeps spreading. No real worries because most people have no idea who it’s supposed to be—but the instructions for how to meditate are so simple. People are doing it in groups sometimes— women mostly.”</p>
<p>“Does it worry you?”</p>
<p>“Everything worries me,” said Director Liu. “It’s a . . . tense moment. The pollution, and now the floods and the drought.”</p>
<p>“I think sometimes—“ Minister Hua paused. “I think sometimes about what brought down the emperors. You remember studying the ‘mandate of heaven?’”</p>
<p>“Of course,” said Liu. “The most basic political idea in old superstitious China—that the rulers are legitimate as long as the gods approve. It’s more or less what we do at Propaganda, maintain that idea. Our job, when you get down to it, is to make sure the party never loses the mandate, that people don’t question the right. And so far so good. I mean, no world records. The Shang Dynasty lasted 31 kings, 17 generations—we’ve barely gone more than half a century. But we survived the Great Leap Forward, the Cultural Revolution. Drought, flood, some smog—we should be okay. As long as everyone wants a bigger television and a faster phone, and we’re the way to get them.”</p>
<p>Wei Lian was staring at the screen of her Mothra phone—a text from the local weather bureau was crawling across the bottom over and over. “The center of former Typhoon Haikul is now nearing Yiwu. Torrential rains are expected. Please stay indoors. Do not drive into high water.”</p>
<p>It was the third typhoon in a two-week train that had crashed into her corner of Zhejiang province. The professors on tv were blaming it on climate change; in any event the soil was long since saturated, the drainage ditches overwhelmed. She could look down from her fifth floor window and see the street below turned into a rushing creek, but that was scary. Safer to look at the screen.</p>
<p>Work had been cancelled for four days now. Wei had a job at the Yiwu International Trade Mart, “the world’s biggest small-commodity trading center.” She worked as a clerk in one of the 750 8-foot by 12-foot stalls that sold souvenirs in bulk to gift stores. The factories she represented in her stall were scattered across China, and they all specialized in Christmas ornaments and decorations; all year long, peaking in August, she took orders from visiting buyers for revolving Santas, Santas in snow globes, balsam-scented Santa candles, battery-operated Santas spinning hula hoops, Santas playing electric guitars. She knew that Santa was a religious figure who had died on a cross, but not much more than that. Her job was very straightforward; if the buyers wanted to ask questions or negotiate the price, she would put them in touch with the factory agents who roamed between the stalls, and otherwise all she had to do was write up the orders for 50 or 100 gross of the items.</p>
<p>It was a good job, though just reaching her corner of the vast mart took a long time—the building was as long as the Shanghai Tower laid on its side, and twice as wide. (She’d seen the tower on her trip to Shanghai, and took a selfie with it in the background as she stood, with thousands of other gawkers, on the Bund as the sun went down.) To get to her stall she walked through a half floor devoted to “Suitcases and Bags, Including School Bags,” with stacks of everything from roller bags to change purses and fanny packs to metal lunchboxes. She’d try out her English by look-ing at the words embossed on many of them” “I dream of being the best basketballer in the town.” “Durable Performance Based on the 58’s 123-45 Vintage Spirit.</p>
<p>The floor above, which she also had to traverse, was entirely devoted to “Hardware Tools and Fittings”, which as far as Wei could tell meant pretty much everything on earth (many of the items she had to look up on her phone to get a sense of what they were used for): knife blocks, car jacks, chaise lounges, surge protectors, lint rollers, jumper cables, car-abiners, bike pumps, rubber bands, cheese graters. Lucky rabbit’s feet, singing birthday cards, nail clippers, safety pins, ratchet sets, thigh exercisers, bathroom scales, toilet-bowl deodorizers, plaid wheelchairs, feather dusters, meat-pounding mallets. Dozens of models of magnetic patriotic ribbons for the backs of American cars (“Freedom Is Not Free”). Pruning shears, putty knives, carafes, egg cups, cake-decorating nozzles, depilatory machines, giant martini glasses, immersion heating coils, disposable cameras, hip flasks, sake sets, mortar and pestles, rolling pins, exit signs, sander belts, key rings, rubber gloves.</p>
<p>In the “Regular Toys” area, which came next, there were boogie boards, plastic hand grenades, squeaky mallets, bow-and-arrow sets, toy pianos, “small chef” ovens. And then the “Inflatable Toys” section, and then, biggest of all, the “Fabric Plush Toys,” with herds and flocks and of stuffed animals, many species of which she’d never even heard of. The next floor was divided between artificial flowers and hair ornaments—so many hair ornaments, which made sense, Wei thought, since there were nearly four billion women on the planet, and many of them would want at least one. And next to that, finally, the “Tourism Crafts” section, where Wei worked. Light-up Virgin Marys, “African” carvings, novelty bottle openers, refrigerator magnets by the millions. A grove of artificial Christmas trees pre-loaded with colorful LED lights signaled the edge of her domain, and by the time she reached it in the morning she was already a little tired.</p>
<p>So the rain was not entirely unwelcome; she thought of it as an unscheduled holiday, like the spring festival when she’d take the train back to her hometown near Dayi. But people died in the flooding—someone had drowned around the corner, sucked partway into the storm drain by the force of the rushing water. So she stayed in. She watched programs on her phone. She conferred with the woman down the hall, the one who could help pick lottery numbers—Wei had seventeen numbers still on her list, which she still had to pare down to seven before she could turn in her ticket. And she meditated. Sometimes twice a day—at first, 15 minutes had seemed to take almost forever. She could count her breaths for maybe a minute before her mind wandered: her mind seemed full of as many thoughts as the trade mart was full of gadgets and knickknacks. But she was patient, and before long she could get as high as 30 or 40 before she lost focus and had to start again.</p>
<p>She found it made her calmer, less jumpy. When her mind wandered now, it was less to Jay Chou and tv stars and lottery tickets and more to her youth. She’d grown up with her parents, two pairs of aunts and uncles, and six children in a rural village in the Sichuan mountains. The compound had four rooms, and one was used for a pair of swine that represented their main wealth in the world. The two boys had gone to school, but though Wei was smart there was no money to send her. Instead, when she was 14 and China’s economy was really accelerating, a man from her village named Bao Jun had sent back word that he was looking for workers. He’d moved to the country north of Beijing and opened a factory making ‘shower curtains,’ a product no one in the village had ever heard of. But she’d make enough money to be able to send her brother to technical high school, and so she got on the train and left the only world she’d ever known.</p>
<p>She’d been very lucky, she later understood. Her boss was indeed kind, and the work, though unrelenting, was not dangerous. She mastered all the skills: cutting, grommeting, packing. And she’d grown close to the other girls in the dorm. She even made enough money doing extra work that she, like the others, could buy a small stuffed animal that she kept on her bed. At night, in hot weather, Mr. Bao would take them all up on the roof of the small plant where it was cooler, and he’d tell them folk stories from the county where they’d all been born. It made them homesick and cured their homesickness all at once.</p>
<p>Wei was good at languages. She’d picked up a little English from the tv, and so she accompanied the boss when, every six months, an American arrived with a clipboard to make sure that they were following ‘good labor practices.’ The American was easy to fool (Wei was 15 when she showed him all the documents proving the workforce was all 16 or older), but he would make recommendations for some small improvement each time: more square feet for each bedroom, more time for bathroom breaks. Wei also helped when buyers from Wal-Mart arrived—they wanted to see the ‘good practices’ certificate, but mostly they were interested in beating down the price of a shower curtain. Twenty one yuan was too high, they said—18 yuan was what they’d pay. When Mr. Bao explained that such a cut would make it even harder to meet the labor standards, they’d just tell him there were other factories.</p>
<p>Mr. Bao had sent her to Yiwu for a visit, to help set up the company stall at the Trade Mart. And while she was there she’d been offered her current job. It paid better and the work was much easier—Mr. Bao encouraged her to take it, and said he was very proud of her. “You’re in the service economy now,” he said. “Service economy” was a good thing, she knew—it meant you didn’t get old and worn out before you were 30. But just as she’d missed her family when she went to the factory, now she missed the girls in her dorm. She had an apartment, and she had three more stuffed animals, but she spent a lot of time on Facebook keeping up with her old co-workers. They liked stories about her life in the city, even if she had to invent things that seemed interesting. She was still sending money back for her brother’s education—there really wasn’t much interesting for her to do.</p>
<p>Except, now, meditate. That was new. So she told them about that—sent them the little video that had come with her phone. And the rain. She took short videos out the window and put them up on Facebook. Her friends had videos too: the factory was 1,500 miles north, and there it hadn’t rained for months. The well that watered the factory had gone dry, and the driller had gone down 400 meters to find a new supply, which was briny and sluggish. They could only take a shower a week. But the shower curtains had all kinds of new designs, including one that was just a giant lottery ticket. It was selling fast, they reported.</p>
