title: The New Numbers on Music Consumption Are Very Ugly
url: https://tedgioia.substack.com/p/the-new-numbers-on-music-consumption
hash_url: 4bdaa4b32abeb8b0c9c682893b22da82

<p>There’s a widespread view that only tech industries need to innovate. Yet nothing could be further from the truth. </p><p>Even arts and entertainment businesses require constant infusions of fresh talent and new ways of thinking. It’s their lifeblood and oxygen. And if they can’t (or won’t) find it, stagnation sets in. At that juncture, even major artistic endeavors start to feel anachronistic and backward-looking. </p><p>Could this really be happening now, and in our culture? </p><p><hr></p><p><hr></p><p>It seems impossible—after all, billions of dollars are spent every year by entertainment corporations in their quest for market dominance. Yet, despite this constant spending spree, almost every week brings a new sign of cultural stagnation.</p><p><span>The latest news comes today from market research outfit </span><a href="https://luminatedata.com/" rel>Luminate</a><span>, who tell us that the share of new music continues to shrink in the face of competition from old songs. </span><a href="https://tedgioia.substack.com/p/is-old-music-killing-new-music" rel>I wrote about this a few months ago</a><span>, and the numbers were already ugly back then.   </span></p><p>But they have gotten worse.</p><p>The latest report shows that the consumption of old music grew another 14% during the first half of 2022, while demand for new music declined an additional 1.4%. These old tunes now represent a staggering 72% of the market.</p><p><span>And it’s likely to get worse when the full year numbers are released—because we are still in the midst of the Kate Bush/Metallica phenomenon spurred by the showcasing of their old songs on </span><em>Stranger Things</em><span>.</span></p><p>If this were just a short term blip of nostalgia caused by a popular TV show, I might ignore these numbers. But every other bit of market research tells the same story.  </p><p><span>A number of recent articles on Hollywood have announced that we are living in the </span><a href="https://www.theringer.com/movies/2022/6/27/23181232/old-actors-aging-tom-cruise-top-gun-maverick" rel>Golden Age of the Aging Actor</a><span>. Harrison Ford, who turns 80 this week, may be the most prominent example. As the public face of several major brand franchises, he is still in demand, and will soon show up in another Indiana Jones movie, a kind of </span><em>Raiders of the Lost AARP Card</em><span> affair. But this aging Ford assembly line is hardly an isolated example—the graying actor is everywhere. </span><em>Top Gun</em><span> is the biggest box office success of the year, and it features Tom Cruise reprising a role he last played in 1986.  I fully expect to see a septuagenarian Superman or Batman in the future. </span></p><p><span>The Ringer recently tried to </span><a href="https://www.theringer.com/movies/2022/6/27/23181232/old-actors-aging-tom-cruise-top-gun-maverick" rel>quantify this trend</a><span>. They show that a sharp upward turn in the average age of leading stars began around the year 2000—and never ended. And it’s true not just for the lead star, but also others on the cast.</span></p><p><span>Even the word ‘old’ is now used to market a movie. Not long ago, that was a rarity—used for </span><a href="https://en.wikipedia.org/wiki/Grumpy_Old_Men_(film)" rel>comic effect</a><span>—but today it’s a mark of pride.</span></p><p>If you think things are bad now, just wait. The next wave of cinema tech will allow studios to make films with dead actors. That will get interesting—especially when the corpses are called to the podium to accept their Academy Awards. Well, at least nobody will get slapped onstage. </p><p>I’d like to be amused by all this, or maybe even applaud these senior citizens who have somehow extended their careers beyond normal limits. But the larger picture is disturbing.</p><p><span>Just follow the dollars. Every big budget movie this year is either a reboot, sequel, prequel, remake, or brand extension. Every last one of them. The largest investments in music are the acquisition of old publishing catalogs, while almost nothing is spent developing new artists. Even TV is turning into a brand extension game—Netflix just announced that it will sell board games based on </span><em>Stranger Things</em><span> and </span><em>Ozark</em><span>. Netflix doesn’t have as many brands to milk as Disney, the unassailable champion of mummified old concepts, but they are determined to squeeze the ones they’ve got as hard as possible. </span></p><p><span>Nobody wants to take a chance on something new and different. It’s just too risky. You could even get </span><em>fired</em><span> for that. </span></p><p>But when cultures stop innovating, they soon lose the essential skills they need for their survival. I’m reminded of the Arch of Constantine built by order of the Roman Senate between the years 312 and 315 AD—when the Empire, for all its military might, had forgotten how to create impressive artistic works.</p><p>As a result, the builders of this monument had to steal parts from older structures. You could call it the first reboot, and it looks a lot like the entertainment business today. They took works designed to honor earlier emperors—Marcus Aurelius, Hadrian, Trajan—and pretended they were relevant to the current situation. The result was what we call anachronism—when something from a different time period is placed incoherently in the midst of newer material.</p><blockquote><h3>“The builders of this monument had to steal parts from older structures. You could call it the first reboot, and it looks like the entertainment business today.”</h3></blockquote><p>It’s like walking down the street in a suit of armor, or riding a horse to the supermarket. It might seem amusing at first, but when you start seeing things like this everyday, you begin to get worried.</p><div class="captioned-image-container"><figure><a class="image-link is-viewable-img image2" target="_blank" href="https://substackcdn.com/image/fetch/f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2F45089d9a-57e3-467f-9d0c-5f269a3841e7_1024x685.jpeg" rel></a><figcaption class="image-caption">The Arch of Constantine was an impressive reboot—and a sign of cultural decline</figcaption></figure></div><p>We have now apparently arrived at the Era of Anachronism in our own creative culture. An 80-year-old man is the star of an action movie. A tune from a different century is the song of the summer. Superheroes from the distant days before World War II are constantly juxtaposed with current urban blight, as if it were the most natural thing in the world. And maybe all this is even entertaining for a while—until you start asking how this story ends.</p><p>But we already know the answer to that. There have been other periods of artistic stagnation in the past, and they usually signaled a collapse in other spheres of society too. You can’t lose creativity in the arts—its natural home—without seeing a rise of close-mindedness in other fields as well.</p><p>But I don’t expect this trend to reverse anytime soon. Even scarier, at a certain juncture, we lose the key skills we need to support and nurture fresh perspectives and new creative endeavors.</p><p>The financial support for them has already dried up. And what happens when the creative economy only invests in the past, not the future. I’m afraid we are going to find out.</p>
