title: The Dangerous Populist Science of Yuval Noah Harari
url: https://www.currentaffairs.org/2022/07/the-dangerous-populist-science-of-yuval-noah-harari
hash_url: 73089c42e8000a2d5a07cf29a39c913d

<p>Watch videos of Yuval Noah Harari, the author of the wildly successful book <em>Sapiens: A Brief History of Humankind</em>, and you will hear him being asked the most astonishing questions.</p>
<ul>
<li>“A hundred years from now, do you think we will still care about being happy?” — Canadian journalist Steve Paikin, on the “<a href="https://www.youtube.com/watch?v=5SEDVzxmXDE">The Agenda with Steve Paikin</a>”</li>
<li>“What I do, is it still relevant, and how do I prepare for my future?” — a <a href="https://www.youtube.com/watch?v=l7_4KXVvgyM">student</a> studying languages at the University of Antwerp</li>
<li>“At the end of <em>Sapiens</em>, you said we should be asking the question, ‘What do we want to want?’ Well, what do you think we should want to want?” — an audience member at <a href="https://www.ted.com/talks/yuval_noah_harari_nationalism_vs_globalism_the_new_political_divide/transcript?language=en#t-7538">TED Dialogues</a>, Nationalism vs. Globalism: The New Political Divide</li>
<li>“You are somebody who practices Vipassana. Does that help you get closer to the force? Is that where you get closer to the force?” — the moderator at the 2018 <a href="https://www.youtube.com/watch?v=i1_YhlXiuxE">India Today Conclave</a></li>
</ul>
<p>Harari’s manner is soft spoken, even shy, in these encounters. On occasion, he good-naturedly says that he doesn’t possess the powers of divination, then briskly moves on to answer the question with an authority that makes you wonder if indeed he does. A hundred years from now it is quite likely that humans will disappear, and the earth will be populated by very different beings like cyborgs and A.I., Harari said to Paikin, asserting that it is difficult to predict “what kind of emotional or mental life such entities will have.” Diversify, he advised the university student, because the job market of 2040 will be very volatile. We should “want to want to know the truth,” he announced at the TED Conference. “I practice Vipassana meditation to see reality more clearly,” Harari said to the India Today Conclave, without so much as cracking a smile at the absurdity of the question. Moments later, he elaborated: “If I can’t observe the reality of my own breath for 10 seconds, how can I hope to observe the reality of the geopolitical system?”</p>
<p>If you are not yet disquieted, consider: among Harari’s flock are some of the most powerful people in the world, and they come to him much like the ancient kings to their oracles. Mark Zuckerberg <a href="https://www.youtube.com/watch?v=Boj9eD0Wug8">asked</a> Harari if humanity is becoming more unified or fragmented by technology. The Managing Director of the International Monetary Fund <a href="https://www.youtube.com/watch?v=t5Y2CwCsnbA">asked</a> him if doctors will depend on Universal Basic Income in the future. The CEO of Axel Springer, one of the largest publishing houses in Europe, <a href="https://www.youtube.com/watch?v=SSRvvted_Ns">asked</a> Harari what publishers should do to succeed in the digital world. An interviewer with The United Nations Educational, Scientific and Cultural Organization (UNESCO) <a href="https://unesdoc.unesco.org/ark:/48223/pf0000373916_eng">asked</a> him what effect COVID would have on international scientific cooperation. In favor of Harari’s half-formed edicts, each subverted their own authority. And they did it not for an expert in any one of their fields, but for a historian who, in many ways, is a fraud—most of all, about science.</p>
<hr class="wp-block-separator">
<p>Times are tough, and we are—all of us—looking for answers to literal questions of life and death. Will humans survive the coming waves of pandemics and climate change? Do our genes contain the key to understanding everything about us? Will technology save us, or will it destroy us? The desire for a wise guide—a sort of prophet who boldly leaps across multiple disciplines to provide simple, readable, confident answers, tying it all together in page-turning stories—is understandable. But is it realistic? </p>
<p>It scares me that, to many, this question appears to be irrelevant. Harari’s blockbuster, <em>Sapiens</em>, is a sweeping saga of the human species—from our humble beginnings as apes to a future where we will sire the algorithms that will dethrone and dominate us. <em>Sapiens</em> was published in English in 2014, and by 2019, it had been translated into more than 50 languages, selling over 13 million copies. Recommending the book on CNN in 2016, president Barack Obama <a href="https://www.cnn.com/videos/tv/2016/09/03/exp-gps-obama-clip-book-recommendation.cnn">said</a> that <em>Sapiens</em>, like the Pyramids of Giza, gave him “a sense of perspective” on our extraordinary civilization. Harari has published two subsequent bestsellers—<em>Homo Deus: A Brief History of Tomorrow</em> (2017), and <em>21 Lessons for the 21st Century</em> (2018). All told, his books have sold over 23 million copies worldwide. He might have a claim to be the most sought-after intellectual in the world, gracing stages far and wide, earning hundreds of thousands of dollars per speaking appearance.</p>
<p>We have been seduced by Harari because of the power not of his truth or scholarship but of his storytelling. As a scientist, I know how difficult it is to spin complex issues into appealing and accurate storytelling. I also know when science is being sacrificed to sensationalism. Yuval Harari is what I call a “science populist.” (Canadian clinical psychologist and YouTube guru <a href="https://www.currentaffairs.org/2018/03/the-intellectual-we-deserve">Jordan Peterson</a> is another example.) Science populists are gifted storytellers who weave sensationalist yarns around scientific “facts” in simple, emotionally persuasive language. Their narratives are largely scrubbed clean of nuance or doubt, giving them a false air of authority—and making their message even more convincing. Like their political counterparts, science populists are sources of misinformation. They promote false crises, while presenting themselves as having the answers. They understand the seduction of a story well told—relentlessly seeking to expand their audience—never mind that the underlying science is warped in the pursuit of fame and influence.</p>
<p>In this day and age, good storytelling is more necessary, but riskier, than ever before, particularly when it comes to science. Science informs medical, environmental, legal, and many other public decisions, as well as our personal opinions on what to be wary about and how to lead our lives. Important societal and individual actions depend on our best understanding of the world around us—now more than ever, with the plague in all our houses, and the worst yet to come with climate change.</p>
<p>It is time to subject our Populist Prophet, and others like him, to serious scrutiny.</p>
<hr class="wp-block-separator">
<p>This may be surprising, but the factual validity of Yuval Harari’s work has received little evaluation from scholars or major publications. Harari’s own thesis advisor, Professor Steven Gunn from Oxford—who guided Harari’s research on “Renaissance Military Memoirs: War, History and Identity, 1450-1600”—has made a startling acknowledgement: that his ex-pupil has essentially managed to dodge the fact-checking process. In the <em>New Yorker</em>’s 2020 <a href="https://www.newyorker.com/magazine/2020/02/17/yuval-noah-harari-gives-the-really-big-picture">profile</a> of Harari, Gunn supposes that Harari—specifically, with his book <em>Sapiens</em>—“leapfrogged” expert critique “by saying, ‘Let’s ask questions so large that no one can say, We think this bit’s wrong and that bit’s wrong.’ … Nobody’s an expert on the meaning of everything, or the history of everybody, over a long period.”</p>
<p>Still, I tried my hand at fact-checking <em>Sapiens</em>—the book that started it all. I consulted colleagues in the neuroscience and evolutionary biology community and found that Harari’s errors are numerous and substantial, and cannot be dismissed as nit-picking. Though sold as nonfiction, some of his narratives hue closer to fiction than fact—all signs of a science populist.   </p>
<p>Consider “Part 1: The Cognitive Revolution,” where Harari writes about our species’ jump to the top of the food chain, vaulting over, for example, lions.</p>
<blockquote class="wp-block-quote">
<p><em><em>“Most top predators of the planet are majestic creatures. Millions of years of dominion have filled them with self-confidence. Sapiens by contrast is more like a banana republic dictator. Having so recently been one of the underdogs of the savannah, we are full of fears and anxieties over our position, which makes us doubly cruel and dangerous.” </em></em></p>
</blockquote>
<p>Harari concludes that, “<em>many historical calamities, from deadly wars</em> <em><em>to ecological catastrophes, have resulted from this over-hasty jump.”</em></em></p>
<p>As an evolutionary biologist, I have to say: this passage sets my teeth on edge. What exactly makes for a self-confident lion? A loud roar? A bevy of lionesses? A firm pawshake? Is Harari’s conclusion   based on field observations or experiments in a laboratory? (The text contains no clue about his sources.) Does anxiety really make humans cruel? Is he implying that, had we taken our time getting to the top of the food chain, this planet would not have war or man-made climate change?</p>
<figure class="wp-block-image size-large"><a href="https://www.currentaffairs.org/subscribe"><img loading="lazy" src="https://images.currentaffairs.org/2021/10/printad-scaled-1-1261x2048-1-631x1024.jpg" alt="" class="wp-image-20227" srcset="https://images.currentaffairs.org/2021/10/printad-scaled-1-1261x2048-1-631x1024.jpg 631w, https://images.currentaffairs.org/2021/10/printad-scaled-1-1261x2048-1-185x300.jpg 185w, https://images.currentaffairs.org/2021/10/printad-scaled-1-1261x2048-1-768x1247.jpg 768w, https://images.currentaffairs.org/2021/10/printad-scaled-1-1261x2048-1-946x1536.jpg 946w, https://images.currentaffairs.org/2021/10/printad-scaled-1-1261x2048-1.jpg 1261w" sizes="(max-width: 631px) 100vw, 631px"></a></figure>
<p>The passage evokes scenes from <em>The Lion King</em> —majestic Mufasa looking out into the horizon and telling Simba that everything the light touches is his kingdom. Harari’s storytelling is vivid and gripping, but it is empty of science. </p>
<p>Next, take the issue of language. Harari claims that <em>“[many] animals, including all ape and monkey species, have vocal languages.”</em> </p>
<p>I have spent a decade studying vocal communication in marmosets, a New World monkey. (Occasionally, their communication with me involved spraying their urine in my direction.) In the Princeton Neuroscience Institute, where I received my doctorate, we <a href="https://asifg.mycpanel.princeton.edu/projects.php">studied</a> how vocal behavior emerges from the interaction of evolutionary, developmental, neuronal, and biomechanical phenomena. Our work succeeded in breaking the dogma that monkey communication (unlike human communication) is pre-programmed into neural or genetic codes. In fact, we <a href="http://asifg.mycpanel.princeton.edu/publications/pdfs/TakahashiFenleyTeramotoNarayananBorjonHolmesGhazanfar2015.pdf">discovered</a> that monkey babies learn to “talk,” with the help of their parents, in a fashion similar to the way human babies learn. </p>
<p>Yet, in spite of all their similarities to humans, monkeys cannot be said to have a “language.” <a href="https://mitpress.mit.edu/books/evolution-four-dimensions-revised-edition">Language</a> is a rule-bound symbolic system in which symbols (words, sentences, images, etc.) refer to people, places, events, and relations in the world—but also evoke and reference other symbols within the same system (e.g., words defining other words). The alarm calls of monkeys, and the songs of birds and whales, can transmit information; but we—as German philosopher Ernst Cassirer has said—live in “<a href="https://archive.org/stream/ErnstCassirerAnEssayOnMan/Ernst+Cassirer+-+An+essay+on+man_djvu.txt">a new dimension of reality</a>” made possible by the acquisition of a symbolic system.</p>
<p>Scientists may have competing theories on how language came to be, but everyone—from linguists like Noam Chomsky and Steven Pinker, to experts on primate communication like Michael Tomasello and Asif Ghazanfar—is in agreement that, although precursors can be found in other animals, language is unique to humans. It’s a maxim that is taught in undergraduate biology classes all around the world, and one that can be found through an easy Google search.</p>
<p>My scientific colleagues take issue with Harari as well. Biologist Hjalmar Turesson points out that Harari’s assertion that chimpanzees <em>“hunt together and fight shoulder to shoulder against baboons, cheetahs and enemy chimpanzees”</em> cannot be true because <a href="https://www.researchgate.net/figure/Known-cheetah-distribution-in-A-Africa-and-B-Asia-Gray-shading-denotes-historical_fig1_318009458">cheetahs</a> and <a href="https://www.researchgate.net/figure/Historical-and-current-distribution-of-chimpanzees-in-Africa_fig2_332865978">chimpanzees</a> don’t live in the same parts of Africa. “Harari is possibly confusing cheetahs with leopards,” Turesson says.</p>
<p>Maybe, as details go, knowing the distinction between cheetahs and leopards is not that important. Harari is after all writing the story of humans. But his errors unfortunately extend to our species as well. In the <em>Sapiens</em> chapter titled “Peace in our Time,” Harari uses the example of the Waorani people of Ecuador to argue that historically, <em>“the decline of violence is due largely to the rise of the state.”</em> He tells us the Waorani are violent because they <em>“live in the depths of the Amazon forest, without army, police or prisons.”</em> It is true that the Waorani once had some of the highest homicide rates in the world, but they have lived in <a href="https://www.nature.com/articles/news.2009.463">relative peace</a> since the early 1970s. I spoke to Anders Smolka, a plant geneticist, who happens to have spent time with the Waorani in 2015. Smolka reported that Ecuadorian law is not enforced out in the forest, and the Waorani have no police or prisons of their own. “If spearings had still been of concern, I’m absolutely sure I would have heard about it,” he says. “I was there volunteering for an eco-tourism project, so the safety of our guests was a pretty big deal.” Here Harari uses an exceedingly weak example to justify the need for our famously racist and violent police state.</p>
<figure class="wp-block-image size-large"><img loading="lazy" src="https://images.currentaffairs.org/2022/07/Screen-Shot-2022-07-05-at-6.39.04-PM-798x1024.jpg" alt="" class="wp-image-23098" srcset="https://images.currentaffairs.org/2022/07/Screen-Shot-2022-07-05-at-6.39.04-PM-798x1024.jpg 798w, https://images.currentaffairs.org/2022/07/Screen-Shot-2022-07-05-at-6.39.04-PM-234x300.jpg 234w, https://images.currentaffairs.org/2022/07/Screen-Shot-2022-07-05-at-6.39.04-PM-768x986.jpg 768w, https://images.currentaffairs.org/2022/07/Screen-Shot-2022-07-05-at-6.39.04-PM-1196x1536.jpg 1196w, https://images.currentaffairs.org/2022/07/Screen-Shot-2022-07-05-at-6.39.04-PM.jpg 1480w" sizes="(max-width: 798px) 100vw, 798px"><figcaption>Illustrations by <a href="https://www.johnbiggs.art/">John Biggs</a></figcaption></figure>
<p>These details could seem inconsequential, but each is a crumbling block in what Harari falsely presents as an inviolable foundation. If a cursory reading shows this litany of basic errors, I believe a more thorough examination will lead to wholesale repudiations.<sup id="rf1-23045"><a href="#fn1-23045" title='My concerns about the factual validity of Harari’s work echo a critique of another bestselling book—Jared Diamond’s &lt;em&gt;Turning Points for Nations in Crisis&lt;/em&gt;—by author &lt;a href="https://www.nytimes.com/2019/05/17/books/review/upheaval-jared-diamond.html"&gt;Anand Giridharadas&lt;/a&gt;. Giridharadas asks of Diamond, “If we can’t trust you on the little and medium things, how can we trust you where authors of 30,000-foot books really need our trust—on the big, hard-to-check claims?” Giridharadas also points to the need for professional fact-checking for book-length nonfiction, which I have learned—to my shock—is &lt;a href="https://www.esquire.com/entertainment/books/a33577796/nonfiction-book-fact-checking-should-be-an-industry-standard/"&gt;not the norm&lt;/a&gt;.' rel="footnote">1</a></sup></p>
<hr class="wp-block-separator">
<p>Harari is often not just describing our past; he is prognosticating on the very future of humanity itself. Everyone is, of course, entitled to speculate on our future. But it is important to find out if these speculations hold water, especially if a person has the ear of our decision-making elites—as Harari does. False projections have real consequences. They could mislead hopeful parents into thinking that genetic engineering will eradicate autism, lead to enormous amounts of money being poured into dead-end projects, or leave us woefully unprepared for threats such as pandemics.</p>
<p>Now here’s what Harari had to say about pandemics in his 2017 book <em>Homo Deus: A Brief History of Tomorrow.</em></p>
<blockquote class="wp-block-quote">
<p><em><em>“So in the struggle against calamities such as AIDS and Ebola, scales are tipping in humanity’s favor. … It is therefore likely that major epidemics will continue to endanger humankind in the future only if humankind itself creates them, in the service of some ruthless ideology. The era when humankind stood helpless before natural epidemics is probably over. But we may come to miss it.”</em></em></p>
</blockquote>
<p>I wish we had come to miss it. Instead, over 6 million of us have <a href="https://coronavirus.jhu.edu/map.html">died </a>of COVID as per official counts, with some <a href="https://www.nature.com/articles/d41586-022-00104-8">estimates</a> putting the true count at 12-22 million. And whether you think SARS-CoV-2—the virus responsible for the pandemic—came directly from the wild, or through the Wuhan Institute of Virology, we can all agree that the pandemic was not created in “service of some ruthless ideology.”</p>
<p>Harari could not have been more wrong; yet, like a good science populist, he continued to offer his supposed expertise by appearing on numerous shows during the pandemic. He appeared on <a href="https://www.npr.org/2020/04/05/827582502/a-historian-looks-ahead-at-a-transformed-post-pandemic-world">NPR</a>, talking about “how to tackle both the epidemic and the resulting economic crisis.” He went on <a href="https://edition.cnn.com/videos/tv/2020/03/15/yuval-noah-harari-amanpour-cnn-coronavirus.cnn">Christiane Amanpour</a>’s show to highlight the “key questions emerging from the coronavirus outbreak.” Then it was on to <a href="https://www.youtube.com/watch?v=yNxAmRAYagQ">BBC Newsnight</a>, where he offered “a historical perspective on the ​​ coronavirus.” He switched things up for <a href="https://samharris.org/podcasts/201-may-1-2020/">Sam Harris</a>’s podcast, where he told us about “the future implications” of COVID. Harari also found time to make an appearance on <a href="https://www.youtube.com/watch?v=7uG3fO3dJaA&amp;feature=emb_logo">Iran International</a> with Sadeq Saba, on the <a href="https://www.indiatoday.in/india/video/watch-yuval-noah-harari-on-globalisation-privacy-religion-in-post-coronavirus-world-1666987-2020-04-14">India Today</a> E-Conclave Corona Series, and a slew of <a href="https://www.ynharari.com/category/video/">other</a> news channels around the world.</p>
<p>Using the opportunity to promote a false crisis—another core trait of a science populist—Harari gave<a href="https://www.ft.com/content/19d90308-6858-11ea-a3c9-1fe6fedcca75"> dire warnings</a> of “under-the-skin surveillance” (admittedly a worrisome concept). <em>“As a thought experiment,”</em> he said,<em> “consider a hypothetical government that demands that every citizen wears a biometric bracelet that monitors body temperature and heart-rate 24 hours a day.”</em> The upside, he says, is that a government could potentially use this information to stop an epidemic within days. The downside is that it could give the government an enhanced surveillance system, because <em>“if you can monitor what happens to my body temperature, blood pressure and heart-rate as I watch the video clip, you can learn what makes me laugh, what makes me cry, and what makes me really, really angry.”</em></p>
<figure class="wp-block-image size-large"><img loading="lazy" src="https://images.currentaffairs.org/2022/07/Screen-Shot-2022-07-05-at-6.40.22-PM-1024x935.jpg" alt="" class="wp-image-23099" srcset="https://images.currentaffairs.org/2022/07/Screen-Shot-2022-07-05-at-6.40.22-PM-1024x935.jpg 1024w, https://images.currentaffairs.org/2022/07/Screen-Shot-2022-07-05-at-6.40.22-PM-300x274.jpg 300w, https://images.currentaffairs.org/2022/07/Screen-Shot-2022-07-05-at-6.40.22-PM-768x701.jpg 768w, https://images.currentaffairs.org/2022/07/Screen-Shot-2022-07-05-at-6.40.22-PM.jpg 1264w" sizes="(max-width: 1024px) 100vw, 1024px"></figure>
<p>Human emotions, and our expressions of emotions, are highly subjective and variable. There are cultural and individual differences in the way we interpret our sensations. Our emotions cannot be inferred from physiological measures stripped bare of contextual information (an old enemy, a new lover, and caffeine can all make our heart thump harder). This holds <a href="https://pubmed.ncbi.nlm.nih.gov/29389177/">true</a> even if more extensive physiological measures than body temperature, blood pressure, and heart rate are monitored. It even holds true when facial movements are monitored. Scientists like psychologist Lisa Feldman Barrett are finding that—contrary to long held belief—even emotions like sadness and anger are <a href="https://www.psychologicalscience.org/publications/emotional-expressions-reconsidered-challenges-to-inferring-emotion-from-human-facial-movements.html">not universal</a>. “Facial movements do not have inherent emotional meaning to be read like words on a page,” explains Feldman Barrett. This is why we have <a href="https://ieeexplore.ieee.org/document/5759912">not</a> been able to create technological systems that can infer what you or I feel at a given moment (and why we may never be able to build these all-reading all-knowing systems).</p>
<p>Harari’s claims are scientifically invalid, but they cannot be dismissed. “We live in a digital panopticon,” as my colleague, neuroscientist Ahmed El Hady, says. Corporations and governments are constantly monitoring us. If we let people like Harari convince us that surveillance technologies can <em>“know us far better than we know ourselves,”</em> we are in danger of letting the algorithms gaslight us. And that has real-world implications for the worse, such as deciding who is employable or who poses a security risk based on the supposed wisdom of an algorithm.</p>
<hr class="wp-block-separator">
<p>Harari’s speculations are consistently based on a poor understanding of science. His predictions of our biological future, for instance, are based on a gene-centric view of evolution—a way of thinking that has (unfortunately) dominated public discourse due to public figures like him. Such reductionism advances a simplistic view of reality, and worse yet, veers dangerously into eugenics territory.</p>
<p>In the final chapter of <em>Sapiens</em>, Harari writes:</p>
<blockquote class="wp-block-quote">
<p><em><em>“Why not go back to God’s drawing board and design better </em>Sapiens<em>? The abilities, needs and desires of </em>Homo sapiens<em> have a genetic basis. And the sapiens genome is no more complex than that of voles and mice. (The mouse genome contains about 2.5 billion nucleobases, the sapiens genome about 2.9 billion bases, meaning that the latter is only 14 percent larger.) … If genetic engineering can create genius mice, why not genius humans? If it can create monogamous voles, why not humans hard-wired to remain faithful to their partners?”</em></em><sup id="rf2-23045"><a href="#fn2-23045" title="A similar excerpt from Harari’s 2017 book&lt;em&gt; &lt;em&gt;Homo Deus: A Brief History of Tomorrow&lt;/em&gt;: &lt;/em&gt;“Once it becomes possible to amend deadly genes, why go through the hassle of inserting some foreign DNA, when we can just rewrite the code and turn a dangerous mutant gene into a benign version? Then we might start using the same mechanism to fix not just lethal genes, but also those responsible for less deadly illnesses, for autism, for stupidity and for obesity.”" rel="footnote">2</a></sup></p>
</blockquote>
<p>It would be convenient indeed if genetic engineering were a magic wand—quick flicks of which could turn philanderers into faithful partners, and everyone into Einstein. This is sadly not the case. Let’s say we want to become a nonviolent species. <a href="http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.226.6766&amp;rep=rep1&amp;type=pdf">Scientists</a> have found that low activity of the monoamine oxidase-A (MAO-A) gene is linked to aggressive behavior and violent offenses—but in case we are tempted to <em>“go back to God’s drawing board and design better Sapiens”</em> (as Harari says we can), not everyone with low MAO-A activity is violent, nor is everyone with high MAO-A activity nonviolent. People who grow up in extremely abusive environments often become aggressive or violent, no matter what their genes. Having high MAO-A activity can protect you from this fate, but it is not a given. On the contrary, when children are raised in loving and supportive environments, even those with low MAO-A activity very often thrive.</p>
<p>Our genes are not our puppet masters, pulling the right strings at the right time to control the events that create us. When Harari writes about altering our physiology, or “engineering” humans to be faithful or clever, he is skipping over the many non-genetic mechanisms that form us.</p>
<figure class="wp-block-image size-large"><a href="https://www.currentaffairs.org/subscribe"><img loading="lazy" src="https://images.currentaffairs.org/2021/10/printad-scaled-1-1261x2048-1-631x1024.jpg" alt="" class="wp-image-20227" srcset="https://images.currentaffairs.org/2021/10/printad-scaled-1-1261x2048-1-631x1024.jpg 631w, https://images.currentaffairs.org/2021/10/printad-scaled-1-1261x2048-1-185x300.jpg 185w, https://images.currentaffairs.org/2021/10/printad-scaled-1-1261x2048-1-768x1247.jpg 768w, https://images.currentaffairs.org/2021/10/printad-scaled-1-1261x2048-1-946x1536.jpg 946w, https://images.currentaffairs.org/2021/10/printad-scaled-1-1261x2048-1.jpg 1261w" sizes="(max-width: 631px) 100vw, 631px"></a></figure>
<p>For example, even something as seemingly hardwired as our physiology—cells dividing, moving, deciding their fates, and organizing into tissues and organs—is not engineered by genes alone. In the 1980s, scientist <a href="https://science.sciencemag.org/content/226/4681/1406">J.L. Marx</a> conducted a series of experiments in <em>Xenopus </em>(an aquatic frog native to sub-Saharan Africa) and found that “mundane” biophysical events (like chemical reactions in the cells, mechanical pressures inside and on the cells, and gravity) can switch genes on and off, determining cell fate. Animal bodies, he concluded, result from an intricate dance between genes, and changing physical and environmental events.</p>
<figure class="wp-block-image size-large"><img loading="lazy" src="https://images.currentaffairs.org/2022/07/Screen-Shot-2022-07-05-at-6.40.40-PM-1024x727.jpg" alt="" class="wp-image-23100" srcset="https://images.currentaffairs.org/2022/07/Screen-Shot-2022-07-05-at-6.40.40-PM-1024x727.jpg 1024w, https://images.currentaffairs.org/2022/07/Screen-Shot-2022-07-05-at-6.40.40-PM-300x213.jpg 300w, https://images.currentaffairs.org/2022/07/Screen-Shot-2022-07-05-at-6.40.40-PM-768x545.jpg 768w, https://images.currentaffairs.org/2022/07/Screen-Shot-2022-07-05-at-6.40.40-PM.jpg 1220w" sizes="(max-width: 1024px) 100vw, 1024px"></figure>
<p>Take taste. Reading someone like Harari, one might think that the behavior of newborn human babies, for example, is almost exclusively dominated by their genes, since babies have almost no “nurture” to speak of. But <a href="https://www.ncbi.nlm.nih.gov/pubmed/11389286">research</a> shows that the six-month-old babies of women who drank a lot of carrot juice in the last trimester of their pregnancy enjoyed carrot-flavored cereal more than other babies did. These babies like the flavor of carrots but not because of “carrot-liking” genes. When mothers (biological or foster) breastfeed their babies, tastes of the foods they have eaten are reflected in their breast milk, and their babies develop a preference for these foods. Babies “inherit” food preferences from the behavior of their mothers. </p>
<p><a href="https://www.npr.org/sections/thesalt/2017/04/02/520535846/for-centuries-these-asian-recipes-have-helped-new-moms-recover-from-childbirth">For generations</a>, new mothers from Korea have been told to drink  bowls of seaweed soup, and Chinese women have pigs’ feet stewed with ginger and vinegar soon after giving birth. Korean and Chinese children can <a href="https://mitpress.mit.edu/books/evolution-four-dimensions-revised-edition">inherit</a> culture-specific taste preferences without the need for “ginger-eating” or “vinegar-wanting” genes.</p>
<p>In this modern world, no matter where we live, we consume processed sugars. A prolonged high sugar diet can lead to abnormal eating patterns and obesity. Scientists have used animal models and <a href="https://www.ncbi.nlm.nih.gov/pmc/articles/PMC7673743/">uncovered</a> a molecular mechanism through which this happens. High sugar diets activate a protein complex called PRC2.1, which then regulates gene expression to reprogram taste neurons and reduce the sensation of sweetness, locking animals into maladaptive patterns of feeding. Here dietary habits are altering gene expression—an example of “epigenetic reprogramming”—leading to unhealthy food choices.</p>
<p>Nurture shapes nature, and nature shapes nurture. It is not a duality; it’s more like a Mobius strip. The reality of how the <em>“abilities, needs and desires of Homo sapiens</em>” come to be is far more <a href="https://mitpress.mit.edu/books/cycles-contingency">sophisticated</a> (and elegant!) than what Harari portrays.</p>
<p>Geneticists Eva Jablonka and Marion J. Lamb say it best in their book <em><a href="https://mitpress.mit.edu/books/evolution-four-dimensions-revised-edition">Evolution in Four Dimensions</a></em>:</p>
<blockquote class="wp-block-quote">
<p><em><em>“The idea that there is a gene for adventurousness, heart disease, obesity, religiosity, homosexuality, shyness, stupidity, or any other aspect of mind or body has no place on the platform of genetic discourse. Although many psychiatrists, biochemists, and other scientists who are not geneticists (yet express themselves with remarkable facility on genetic issues) still use the language of genes as simple causal agents, and promise their audience rapid solutions to all sorts of problems, they are no more than propagandists whose knowledge or motives must be suspect.”</em></em></p>
</blockquote>
<p>Harari’s motives remain mysterious; but his descriptions of biology (and predictions about the future) are guided by an ideology prevalent among Silicon Valley technologists like Larry Page, Bill Gates, Elon Musk, and <a href="https://www.vanityfair.com/news/2017/03/elon-musk-billion-dollar-crusade-to-stop-ai-space-x">others</a>. They may have differing opinions on whether the algorithms will save or destroy us. But they believe, all the same, in the transcendent power of digital computation. “We’re headed toward a situation where A.I. is vastly smarter than humans and I think that time frame is less than five years from now,” Musk said in a 2020 <em>New York Times</em> <a href="https://www.nytimes.com/2020/07/25/style/elon-musk-maureen-dowd.html">interview</a>. Musk is wrong. The algorithms will not take all our jobs, or rule the world, or put an end to humanity anytime soon (if at all). As A.I. specialist François Chollet <a href="https://twitter.com/fchollet/status/1373031811148771331">says</a> about the possibility of algorithms attaining cognitive autonomy, “Today and for the foreseeable future, this is stuff of science fiction.” By echoing the narratives of Silicon Valley, science populist Harari is promoting—yet again—a false crisis. Worse, he is diverting our attention from the real harms of algorithms and the unchecked power of the tech industry.</p>
<p>In the last chapter of <em>Homo Deus</em>, Harari tells us of a new religion, “The Data Religion.” The practitioners of this religion—”Dataists,” he calls them—perceive the entire universe as flows of data. They see  all organisms as biochemical data processors, and believe that humanity’s “cosmic vocation” is to create an all-knowing, all-powerful data processor that will understand us better than we can understand ourselves. The logical conclusion to this saga, Harari predicts, is that the algorithms will assume authority over all facets of our lives—they will decide who we marry, what careers we pursue, and how we will be governed. (Silicon Valley, as you can guess, is a hub of The Data Religion.)</p>
<p>“<em>Homo sapiens</em> is an obsolete algorithm,” Harari states, paraphrasing the Dataists.</p>
<blockquote class="wp-block-quote">
<p><em><em>“After all, what’s the advantage of humans over chickens? Only that in humans information flows in much more complex patterns than in chickens. Humans absorb more data, and process it using better algorithms. Well then, if we could create a data-processing system that absorbs even more data than a human being, and that processes it even more efficiently, wouldn’t that system be superior to a human in exactly the same way that a human is superior to a chicken?”</em></em></p>
</blockquote>
<p>But a human is not a spruced-up chicken, or even necessarily superior in all ways to a chicken. In fact, chickens can <em>“absorb more data”</em> than humans, and <em>“process it better</em>”—at least in the <a href="https://www.livescience.com/8099-chickens-color-humans.html">domain of vision</a>. The human retina has photoreceptor cells sensitive to red, blue, and green wavelengths. Chicken retinas have these, plus cone cells for violet wavelengths (including some ultraviolet), plus specialized receptors that can help them track motion better. Their brains are equipped to process all this additional information. The chicken’s world is a technicolor extravaganza that we can’t even fathom. My point here is not that a chicken is better than a human—this is not a competition—but that chickens are uniquely “chicken” in the same way that we are uniquely “human.”</p>
<p>Neither chickens nor humans are mere algorithms. Our brains have a body, and that body is situated in a world. Our behaviors <a href="http://asifg.mycpanel.princeton.edu/publications/pdfs/GomezmarinGhazanfar2019.pdf">emerge</a> because of our worldly and bodily activities. Living beings are not just absorbing and processing the data flows of our environment; we are continuously altering and creating our own—and each other’s—environments, a process called “<a href="https://mitpress.mit.edu/books/cycles-contingency">niche construction</a>” in  evolutionary biology. When a beaver builds a dam over a stream, it creates a lake, and all the other organisms now have to live in a world with a lake in it. Beavers can create wetlands that persist for centuries, changing the selection pressures their descendants are exposed to, potentially causing a shift in the evolutionary process. <em>Homo sapiens</em> have unrivaled flexibility; we have extraordinary ability to adapt to our environments, and also modify them. Our acts of living don’t just differentiate us from algorithms; they make it near <a href="https://www.cs.princeton.edu/~arvindn/talks/MIT-STS-AI-snakeoil.pdf">impossible</a> for the algorithms to accurately predict our social behaviors, such as who we will love, how well we will do at future jobs,<sup id="rf3-23045"><a href="#fn3-23045" title='There is no peer-reviewed evidence that algorithms can predict job performance, despite millions of people being screened by algorithms for jobs at companies like McDonald’s, Kraft-Heinz, Boston Consulting Group and Swarovski. Princeton computer scientist Arvind Narayanan has publicly called out companies that offer algorithmic job screening services—HireVue and Pymetrics being the top two—for “&lt;a href="https://twitter.com/random_walker/status/1195336537560498177"&gt;selling snake oil&lt;/a&gt;.”' rel="footnote">3</a></sup> or whether we are likely to commit a crime.</p>
<p>Harari is careful to fashion himself as an objective scribe. He takes pains to tell us he is presenting the worldview of the Dataists, and not his own. But then he does something very sneaky. The Dataist view “may strike you as some eccentric fringe notion,” he says, “but in fact it has already conquered most of the scientific establishment.” In presenting the Dataist worldview as conclusive (having “conquered most of the scientific establishment”), he tells us that it is “objectively” true that humans are algorithms, and our march to obsolescence—as the passive recipients of decisions made by better algorithms—is unavoidable, because it is integrally tied to our humanity. Turning to the footnote in support of this sweeping statement, we find that of the four books he cites, three have been written by non-scientists—a <a href="https://en.wikipedia.org/wiki/Howard_Bloom">music publicist</a>, a <a href="https://shawndubravac.com/">trendcaster</a>, and a <a href="https://kk.org/biography">magazine publisher</a>.<sup id="rf4-23045"><a href="#fn4-23045" title="The books Harari cites: Kevin Kelly, &lt;em&gt;What Technology Wants&lt;/em&gt; (New York: Viking Press, 2010); César Hidalgo, &lt;em&gt;Why Information Grows: The Evolution of Order, from Atoms to Economies&lt;/em&gt; (New York: Basic Books, 2015); Howard Bloom, &lt;em&gt;Global Brain: The Evolution of Mass Mind from the Big Bang to the 21st Century&lt;/em&gt; (Hoboken: Wiley, 2001); Shawn DuBravac, &lt;em&gt;Digital Destiny&lt;/em&gt; (Washington: Regnery Publishing, 2015.)." rel="footnote">4</a></sup></p>
<p>There is nothing predetermined about the fate of humanity. Our autonomy is eroding not because of cosmic karma, but because of a new economic model invented by Google and perfected by Facebook— a form of capitalism that has found a way to manipulate us for the purposes of making money. Social scientist Shoshana Zuboff has given this economic model the name “<a href="https://www.amazon.com/dp/B01N2QEZE2/ref=dp-kindle-redirect?_encoding=UTF8&amp;btkr=1">surveillance capitalism</a>.” Surveillance capitalist corporations—Google, Facebook, Amazon, Microsoft, and others—construct the digital platforms we increasingly rely on to live, work, and play. They monitor our online activities in astounding detail and use the information to influence our behaviors in order to maximize their profits. As a byproduct, their digital platforms have helped create echo chambers resulting in widespread climate denialism, science skepticism, and political polarization. By naming the enemy, and characterizing it as an invention of humans—not a fact of nature or technological inevitability— Zuboff gives us a way to fight it. As you can imagine, Zuboff, unlike Harari, is not a loved figure in Silicon Valley.</p>
<hr class="wp-block-separator">
<p>In October of 2021, Harari released Volume 2 of the graphic adaptation of <em>Sapiens</em>. Coming up <a href="https://www.sapienship.co/activities/storytelling#:~:text=Sapiens%20Live%20%2D%2D%20An%20Immersive%20Experience&amp;text=An%20immersive%20show%20that%20sweeps,to%20re%2Dwrite%20the%20future">next</a> are a <em>Sapiens</em> children’s book, <em>Sapiens Live</em>, an immersive experience, and a multi-season TV show inspired by <em>Sapiens</em>. Our Populist Prophet is relentless in his search for new followers—and with them new heights of fame and influence.</p>
<p>Harari has seduced us with his storytelling, but a close look at his record shows that he sacrifices science to sensationalism, often makes grave factual errors, and portrays what should be speculative as certain. The basis on which he makes his statements is obscure, as he rarely provides adequate footnotes or references and is remarkably stingy with acknowledging thinkers<sup id="rf5-23045"><a href="#fn5-23045" title='A casual reader who picks up Harari’s writing would think that all of the ideas have come from him alone, but Harari’s frameworks of thinking are often reminiscent of others who came before. For example: his &lt;a href="https://www.theguardian.com/technology/2017/may/08/virtual-reality-religion-robots-sapiens-book"&gt;comparison&lt;/a&gt; of religious and secular ideologies to a game of Pokémon Go is uncannily similar to an earlier comparison made by Slovenian philosopher Slavoj Žižek, in his 2017 &lt;a href="https://mitpress.mit.edu/books/incontinence-void"&gt;book&lt;/a&gt; &lt;em&gt;Incontinence of the Void: Economico-Philosophical Spandrels&lt;/em&gt;, and discussed before that in &lt;a href="https://www.youtube.com/watch?v=wV7oXNrl1GE"&gt;lectures&lt;/a&gt;. In his 2017 book &lt;em&gt;Homo Deus&lt;/em&gt;, Harari devotes a whole chapter to “Dataism,” but doesn’t acknowledge journalists David Brooks (who coined the term &lt;a href="https://www.nytimes.com/2013/02/05/opinion/brooks-the-philosophy-of-data.html"&gt;data-ism&lt;/a&gt;), or Steve Lohr (who published a 2015 book titled &lt;a href="https://www.harpercollins.com/9780062226815/data-ism/"&gt;&lt;em&gt;Data-ism&lt;/em&gt;&lt;/a&gt;).' rel="footnote">5</a></sup> who formulated the ideas he presents as his own. And most dangerous of all, he reinforces the narratives of surveillance capitalists, giving them a free pass to manipulate our behaviors to suit their commercial interests. To save ourselves from this current crisis, and the ones ahead of us, we must forcefully reject the dangerous populist science of Yuval Noah Harari.</p>

