title: Is your smartphone ruining your memory? A special report on the rise of ‘digital amnesia’
url: https://www.theguardian.com/global/2022/jul/03/is-your-smartphone-ruining-your-memory-the-rise-of-digital-amenesia
hash_url: 7de1fadf3f8b3a65c97e32ef7b4fbf3c

<p class="dcr-xry7m2"><span class="dcr-114to15"><span class="dcr-1jnp7wy">L</span></span><span class="dcr-xry7m2">ast week, I missed a real-life meeting because I hadn’t set a reminder on my smartphone, leaving someone I’d never met before alone in a café. But on the same day, I remembered the name of the actor who played Will Smith’s aunt in <em>The Fresh Prince of Bel-Air </em>in 1991 (Janet Hubert). <a href="https://www.theguardian.com/science/memory" data-component="auto-linked-tag" data-link-name="in body link">Memory</a> is weird, unpredictable and, neuroscientifically, not yet entirely understood. When memory lapses like mine happen (which they do, a lot), it feels both easy and logical to blame the technology we’ve so recently adopted. Does having more memory in our pockets mean there’s less in our heads? Am I losing my ability to remember things – from appointments to what I was about to do next – because I expect my phone to do it for me? Before smartphones, our heads would have held a cache of phone numbers and our memories would contain a cognitive map, built up over time, which would allow us to navigate – for smartphone users, that is no longer true.</span></p>
<p class="dcr-xry7m2">Our brains and our smartphones form a complex web of interactions: the smartphonification of life has been rising since the mid 2000s, but was accelerated by the pandemic, as was internet use in general. Prolonged periods of stress, isolation and exhaustion – common themes since March 2020 – are well known for their impact on memory. Of those surveyed by memory researcher <a href="https://youtu.be/j5xIOjGLrJo" title data-link-name="in body link">Catherine Loveday</a> in 2021, 80% felt that their memories were worse than before the pandemic. We are – still – shattered, not just by Covid-19, but also by the miserable national and global news cycle. Many of us self-soothe with distractions like social media. Meanwhile, endless scrolling can, at times, create its own distress, and phone notifications and self interrupting to check for them, also seem to affect what, how and if we remember.</p>
<p class="dcr-xry7m2">So what happens when we outsource part of our memory to an external device? Does it enable us to squeeze more and more out of life, because we aren’t as reliant on our fallible brains to cue things up for us? Are we so reliant on smartphones that they will ultimately change how our memories work (sometimes called digital amnesia)? Or do we just occasionally miss stuff when we don’t remember the reminders?</p><aside class="dcr-1x8p67f"><svg viewbox="4 4 24 16" class="dcr-knbk2a"><path d="M9.2776 8H14.0473C13.4732 12.5489 12.9653 17.0095 12.7445 22H4C4.79495 17.142 6.4511 12.5489 9.2776 8ZM20.3852 8H25.0887C24.5808 12.5489 24.0067 17.0095 23.7859 22H15.0635C15.9688 17.142 17.5587 12.5489 20.3852 8Z"></path></svg><blockquote class="dcr-1u4hpl4">Endless scrolling can, at times, create its own distress, and phone notifications seem to affect what we remember</blockquote></aside><p class="dcr-xry7m2">Neuroscientists are divided. <a href="https://profiles.sussex.ac.uk/p280383-chris-bird" title data-link-name="in body link">Chris Bird</a> is professor of cognitive neuroscience in the School of Psychology at the University of Sussex and runs research by the Episodic Memory Group. “We have always offloaded things into external devices, like writing down notes, and that’s enabled us to have more complex lives,” he says. “I don’t have a problem with using external devices to augment our thought processes or memory processes. We’re doing it more, but that frees up time to concentrate, focus on and remember other things.” He thinks that the kind of things we use our phones to remember are, for most human brains, difficult to remember. “I take a photo of my parking ticket so I know when it runs out, because it’s an arbitrary thing to remember. Our brains aren’t evolved to remember highly specific, one-off things. Before we had devices, you would have to make a quite an effort to remember the time you needed to be back at your car.”</p>
<p class="dcr-xry7m2">Professor <a href="https://www.mcgill.ca/psychology/oliver-hardt" title data-link-name="in body link">Oliver Hardt</a>, who studies the neurobiology of memory and forgetting at McGill University in Montreal, is much more cautious. “Once you stop using your memory it will get worse, which makes you use your devices even more,” he says. “We use them for everything. If you go to a website for a recipe, you press a button and it sends the ingredient list to your smartphone. It’s very convenient, but convenience has a price. It’s good for you to do certain things in your head.”</p>
<p class="dcr-xry7m2">Hardt is not keen on our reliance on GPS. “We can predict that prolonged use of GPS likely will reduce grey matter density in the hippocampus. Reduced grey matter density in this brain area goes along with a variety of symptoms, such as increased risk for depression and other psychopathologies, but also certain forms of dementia. GPS-based navigational systems don’t require you to form a complex geographic map. Instead, they just tell you orientations, like ‘Turn left at next light.’ These are very simple behavioural responses (here: turn left) at a certain stimulus (here: traffic light). These kinds of spatial behaviours do not engage the hippocampus very much, unlike those spatial strategies that require the knowledge of a geographic map, in which you can locate any point, coming from any direction and which requires [cognitively] complex computations. When exploring the spatial capacities of people who have been using GPS for a very long time, they show impairments in spatial memory abilities that require the hippocampus. Map reading is hard and that’s why we give it away to devices so easily. But hard things are good for you, because they engage cognitive processes and brain structures that have other effects on your general cognitive functioning.”</p><aside class="dcr-1x8p67f"><svg viewbox="4 4 24 16" class="dcr-knbk2a"><path d="M9.2776 8H14.0473C13.4732 12.5489 12.9653 17.0095 12.7445 22H4C4.79495 17.142 6.4511 12.5489 9.2776 8ZM20.3852 8H25.0887C24.5808 12.5489 24.0067 17.0095 23.7859 22H15.0635C15.9688 17.142 17.5587 12.5489 20.3852 8Z"></path></svg><blockquote class="dcr-1u4hpl4">Map reading is hard and that’s why we give it away to devices so easily. But hard things are good for you</blockquote></aside><p class="dcr-xry7m2">Hardt doesn’t have data yet, but believes, “the cost of this might be an enormous increase in dementia. The less you use that mind of yours, the less you use the systems that are responsible for complicated things like episodic memories, or cognitive flexibility, the more likely it is to develop dementia. There are studies showing that, for example, it is really hard to get dementia when you are a university professor, and the reason is not that these people are smarter – it’s that until old age, they are habitually engaged in tasks that are very mentally demanding.” (Other scientists disagree – <a href="https://psychology.fas.harvard.edu/people/daniel-l-schacter" title data-link-name="in body link">Daniel Schacter</a>, a Harvard psychologist who wrote the seminal <em>Seven Sins Of Memory: How The Mind Forgets and Remembers</em>, thinks effects from things like GPS are “task specific”, only.)</p>
<p class="dcr-xry7m2"><em><strong>While smartphones can</strong></em> obviously open up whole new vistas of knowledge, they can also drag us away from the present moment, like a beautiful day, unexperienced because you’re head down, WhatsApping. When we’re not attending to an experience, we are less likely to recall it properly, and fewer recalled experiences could even limit our capacity to have new ideas and being creative. As the renowned neuroscientist and memory researcher <a href="https://youtu.be/099hgtRoUZw" title data-link-name="in body link">Wendy Suzuki</a> recently put it on the Huberman Lab neuroscience podcast, “If we can’t remember what we’ve done, the information we’ve learned and the events of our lives, it changes us… [The part of the brain which remembers] really defines our personal histories. It defines who we are.”</p>
<p class="dcr-xry7m2">Catherine Price, science writer and author of <em><a href="https://guardianbookshop.com/how-to-break-up-with-your-phone-9781409182900" title data-link-name="in body link">How to Break Up With Your Phone</a></em>, concurs. “What we pay attention to in the moment adds up to our life,” she says. “Our brains cannot multitask. We think we can. But any moment where multitasking seems successful, it’s because one of those tasks was not cognitively demanding, like you can fold laundry and listen to the radio. If you’re paying attention to your phone, you’re not paying attention to anything else. That might seem like a throwaway observation, but it’s actually deeply profound. Because you will only remember the things you pay attention to. If you’re not paying attention, you’re literally not going to have a memory of it to remember.”</p><aside class="dcr-1x8p67f"><svg viewbox="4 4 24 16" class="dcr-knbk2a"><path d="M9.2776 8H14.0473C13.4732 12.5489 12.9653 17.0095 12.7445 22H4C4.79495 17.142 6.4511 12.5489 9.2776 8ZM20.3852 8H25.0887C24.5808 12.5489 24.0067 17.0095 23.7859 22H15.0635C15.9688 17.142 17.5587 12.5489 20.3852 8Z"></path></svg><blockquote class="dcr-1u4hpl4">If you’re not paying attention, you’re literally not going to have a memory of it to remember</blockquote></aside><p class="dcr-xry7m2">The Cambridge neuroscientist <a href="https://www.neuroscience.cam.ac.uk/directory/profile.php?barbara" title data-link-name="in body link">Barbara Sahakian</a> has evidence of this, too. “In an experiment in 2010, three different groups had to complete a reading task,” she says. “One group got instant messaging before it started, one got instant messaging during the task, and one got no instant messaging, and then there was a comprehension test. What they found was that the people getting instant messages couldn’t remember what they just read.”</p>
<p class="dcr-xry7m2">Price is much more worried about what being perpetually distracted by our phones – termed “continual partial attention” by the tech expert Linda Stone – does to our memories than using their simpler functions. “I’m not getting distracted by my address book,” she says. And she doesn’t believe smartphones free us up to do more. “Let’s be real with ourselves: how many of us are using the time afforded us by our banking app to write poetry? We just passively consume crap on Instagram.” Price is from Philadelphia. “What would have happened if Benjamin Franklin had had Twitter? Would he have been on Twitter all the time? Would he have made his inventions and breakthroughs?</p>
<p class="dcr-xry7m2">“I became really interested in whether the constant distractions caused by our devices might be impacting our ability to actually not just accumulate memories to begin with, but transfer them into long-term storage in a way that might impede our ability to think deep and interesting thoughts,” she says. “One of the things that impedes our brain’s ability to transfer memories from short- to long-term storage is distraction. If you get distracted in the middle of it” – by a notification, or by the overwhelming urge to pick up your phone – “you’re not actually going to have the physical changes take place that are required to store that memory.”</p>
<p class="dcr-xry7m2">It’s impossible to know for sure, because no one measured our level of intellectual creativity before smartphones took off, but Price thinks smartphone over-use could be harming our ability to be insightful. “An insight is being able to connect two disparate things in your mind. But in order to have an insight and be creative, you have to have a lot of raw material in your brain, like you couldn’t cook a recipe if you didn’t have any ingredients: you can’t have an insight if you don’t have the material in your brain, which really is long term memories.” (Her theory was backed by the 92-year-old Nobel prize-winning neuroscientist and biochemist <a href="https://www.theguardian.com/science/2004/jan/08/research.science2" title data-link-name="in body link">Eric Kandel</a>, who has studied how distraction affects memory – Price bumped into him on a train and grilled him about her idea. “I’ve got a selfie of me with a giant grin and Eric looking a bit confused.”) Psychologist professor <a href="http://drlarryrosen.com/" title data-link-name="in body link">Larry Rosen</a>, co-author (with neuroscientist <a href="https://neuroscape.ucsf.edu/profile/adam-gazzaley/" title data-link-name="in body link">Adam Gazzaley</a>) of <em>The Distracted Mind: Ancient Brains in a High-Tech World</em>, also agrees: “Constant distractions make it difficult to encode information in memory.”</p><aside class="dcr-1x8p67f"><svg viewbox="4 4 24 16" class="dcr-knbk2a"><path d="M9.2776 8H14.0473C13.4732 12.5489 12.9653 17.0095 12.7445 22H4C4.79495 17.142 6.4511 12.5489 9.2776 8ZM20.3852 8H25.0887C24.5808 12.5489 24.0067 17.0095 23.7859 22H15.0635C15.9688 17.142 17.5587 12.5489 20.3852 8Z"></path></svg><blockquote class="dcr-1u4hpl4">You can’t have an insight if you don’t have the material in your brain</blockquote></aside><p class="dcr-xry7m2">Smartphones are, of course, made to hijack our attention. “The apps that make money by taking our attention are designed to interrupt us,” says Price. “I think of notifications as interruptions because that’s what they’re doing.”</p>
<p class="dcr-xry7m2">For Oliver Hardt, phones exploit our biology. “A human is a very vulnerable animal and the only reason we are not extinct is that we have a superior brain: to avoid predation and find food, we have had to be really good at being attentive to our environment. Our attention can shift rapidly around and when it does, everything else that was being attended to stops, which is why we can’t multitask. When we focus on something, it’s a survival mechanism: you’re in the savannah or the jungle and you hear a branch cracking, you give your total attention to that – which is useful, it causes a short stress reaction, a slight arousal, and activates the sympathetic nervous system. It optimises your cognitive abilities and sets the body up for fighting or flighting.” But it’s much less useful now. “Now, 30,000 years later, we’re here with that exact brain” and every phone notification we hear is a twig snapping in the forest, “simulating what was important to what we were: a frightened little animal.”</p>
<p class="dcr-xry7m2"><em><strong>Smartphone use can</strong></em> even change the brain, according to the ongoing <a href="https://abcdstudy.org/" title data-link-name="in body link">ABCD study</a> which is tracking over 10,000 American children through to adulthood. “It started by examining 10-year-olds both with paper and pencil measures and an MRI, and one of their most interesting early results was that there was a relationship between tech use and cortical thinning,” says Larry Rosen, who studies social media, technology and the brain. “Young children who use more tech had a thinner cortex, which is supposed to happen at an older age.” Cortical thinning is a normal part of growing up and then ageing, and in much later life can be associated with degenerative diseases such as Parkinson’s and Alzheimer’s, as well as migraines.</p>
<p class="dcr-xry7m2">Obviously, the smartphone genie is out of the bottle and has run over the hills and far away. We need our smartphones to access offices, attend events, pay for travel and to function as tickets, passes and credit cards, as well as for emails, calls and messages. It’s very hard not to have one. If we’re worried about what they – or the apps on them – might be doing to our memories, what should we do?</p>
<p class="dcr-xry7m2">Rosen discusses a number of tactics in his book. “My favourites are tech breaks,” he says, “where you start by doing whatever on your devices for one minute and then set an alarm for 15 minutes time. Silence your phone and place it upside down, but within your view as a stimulus to tell your brain that you will have another one-minute tech break after the 15-minute alarm. Continue until you adapt to 15 minutes focus time and then increase to 20. If you can get to 60 minutes of focus time with short tech breaks before and after, that’s a success.”</p>
<p class="dcr-xry7m2">“If you think your memory and focus have got worse and you’re blaming things like your age, your job, or your kids, that might be true, but it’s also very likely due to the way you’re interacting with your devices,” says Price, who founded <a href="https://www.screenlifebalance.com/" title data-link-name="in body link">Screen/Life Balance </a>to help people manage their phone use. As a science writer, she’s “very much into randomly controlled trials, but with phones, it’s actually more of a qualitative question about personally how it’s impacting you. And it’s really easy to do your own experiment and see if it makes a difference. It’s great to have scientific evidence. But we can also intuitively know: if you practice keeping your phone away more and you notice that you feel calmer and you’re remembering more, then you’ve answered your own question.”</p>
