title: Ode aux petites maisons : C’est la taille qui compte !
url: https://david.mercereau.info/ode-aux-petites-maisons-cest-la-taille-qui-compte/
hash_url: 85dbf217709930ce1e6208ca4fd5bf60

<blockquote class="wp-block-quote"><p>En matière de climat, par exemple, on sait de manière générale que l’empreinte carbone des Français a très peu évolué au cours des vingt dernières années : elle stagne entre 11 et 12 tonnes de CO2e/hab/an, […]. Cette stagnation s’explique en partie par des <a href="https://youmatter.world/fr/definition/effet-rebond-ecologie-definition-principe-exemples-solutions/" data-type="URL" data-id="https://youmatter.world/fr/definition/effet-rebond-ecologie-definition-principe-exemples-solutions/" target="_blank" rel="noreferrer noopener">effets rebonds</a> au sein de leur consommation, c’est-à-dire que la baisse de certains postes de consommation est compensée par d’autres facteurs en hausse : par exemple, le contenu en CO2 des carburants et la consommation moyenne de carburant des véhicules baissent, mais les distances parcourues augmentent ; ou alors la <strong>performance des logements s’améliore mais la surface par personne s’agrandit</strong> […]</p><cite><a rel="noreferrer noopener" href="https://www.millenaire3.com/dossiers/Modes-de-vie-soutenables/Des-actes-a-la-hauteur" target="_blank">Des actes à la hauteur ? Face au défi climatique, perceptions et limites des comportements</a></cite></blockquote><p>Quand on parle de maison écologique, j’ai le sentiment qu’on s’attarde beaucoup sur « comment elle est faite ». Par exemple, est entendu qu’une maison en paille serait écologiquement plus soutenable qu’une maison en parpaings. Cependant, dans ce que je vois se construire comme maisons écologiques, et quand je lis la revue « la Maison écologique », je constate que se sont majoritairement de très grandes maisons… mais en paille… Or, je pense qu’on peut être un très <strong>bon écolo</strong> (dans le sens « réduire son impact sur cette terre ») <strong>dans une maison en parpaings de 30m2</strong> et un <strong>très mauvais dans une maison en paille de 130m2</strong> (en considérant la moyenne de <a rel="noreferrer noopener" href="https://www.insee.fr/fr/statistiques/4277630?sommaire=4318291" data-type="URL" data-id="https://www.insee.fr/fr/statistiques/4277630?sommaire=4318291" target="_blank">2,2 personnes par foyer</a>). La taille ça compte !!! Une petite maison, c’est :</p><ul><li>Moins cher à l’achat, donc moins besoin d’argent, donc moins besoin de travail pour gagner cette argent (le travail est-il bon pour la planète ? Je vais pas partir là-dessus, hein…)</li><li>Moins d’utilisation de matériaux, de déplacements… Même s’ils sont issus du ré-emploi, du recyclage, même s’ils sont issus de l’agriculture (la paille), même s’ils sont renouvelables (le bois) ; moins on en utilise et plus on préserve notre environnement, on en laisse pour les autres… on partage le gâteau…</li><li>Moins d’énergie pour son fonctionnement / sa durée de vie : Le chauffage, eau chaude (perte dans les réseaux), ventilation mécanique… (coût financier, environnemental moindre)</li><li>Moins d’entretien, (idem coût financier / environnemental)</li><li>Moins d’emprise, d’artificialisation des sols et donc plus de place pour le vivant</li><li>Pas de place pour accumuler / capitaliser des objets / vêtements…</li></ul><p>Dans mes <a rel="noreferrer noopener" href="https://david.mercereau.info/motclef/stage/" target="_blank">petites formations sur l’autonomie électrique</a> solaire, je n’encourage personne à aller vers l’autonomie, je dis juste comment le faire… Parce qu’à mon avis, et encore une fois : on peut être un très bon écolo sur le réseau, en consommant peu, et un très mauvais sur un système solaire autonome. C’est avant tout une histoire de besoin / confort / sens…</p><h2><span id="Caution_ecologique">Caution écologique</span></h2><p>J’ai le sentiment que construire en matériaux renouvelables ou issus du réemploi – comme acheter de l’électricité verte / faire installer des panneaux solaires – c’est comme « s’acheter une conscience écologiste ».  Pour moi, ce n’est pas la source de l’énergie mais la quantité qui est à questionner.</p><p>Même considération pour les maisons… Vivre dans une maison en paille n’est-il pas devenu une caution écologique en soi ? J’ai le sentiment de le percevoir dans le comportement des nouvelles personnes avec qui je discute quand je dis que je me suis fabriqué ma maison en paille : j’ai l’impression qu’ils me hissent directement sur le podium des champions de l’écologie.</p><h2><span id="Auto-contrainte_chemin_vers_la_sobriete">Auto-contrainte, chemin vers la sobriété</span></h2><p>L<strong>‘auto-contrainte</strong> est, je pense, une bonne piste pour aller vers plus de sobriété-liberté. Exemple de l’eau : si tu dois aller chercher l’eau au puits (une contrainte), tu vas forcément consommer moins d’eau que si tu n’as qu’à ouvrir le robinet. Mon foyer consomme aujourd’hui ~18L d’eau / j / personne (la moyenne française est plutôt à <a href="https://fr.wikipedia.org/wiki/Consommation_domestique_en_eau">150L / j / personne</a>). On en est là parce qu’à notre emménagement dans la yourte, nous avons fait le choix de <a rel="noreferrer noopener" href="https://david.mercereau.info/evierlavabo-sans-eau-courante-ni-electricite/" target="_blank">ne pas mettre l’eau courante au robinet</a> (auto-contrainte), mais à la porte. De ce fait, notre rapport à cette ressource a considérablement changé. Après 3 ans de bonnes habitudes, nous avons installé l’eau au robinet de vaisselle (mais toujours <a rel="noreferrer noopener" href="https://david.mercereau.info/fabrication-dune-douche-sans-eau-courante-dans-la-yourte/" target="_blank">pas dans la douche</a>) et notre consommation d’eau n’a pas augmenté…  C’est la même chose pour l’électricité, actuellement mon système solaire autonome ne me permet pas de croissance des besoins (sauf à tout changer…). Je suis contraint par ce système (contrainte choisie, heureuse) : c’est pour moi la seul façon d’avancer dans<strong> ce monde d’abondance apparente..</strong>. Cela me permet de toucher du doigt la finitude des choses.</p><p>Si j’applique ce principe d’<strong>auto-contrainte à l’habitat </strong>c’est avant tout sur la <strong>surface</strong> et <strong>non sur la composition des murs </strong>que ça se joue.</p><p>Une étude sur le mode de vie en Tiny House (de <a href="https://www.researchgate.net/profile/Maria-Saxton">Maria Saxton</a>) (<a rel="noreferrer noopener lightbox-video-0" href="https://www.youtube.com/watch?v=3htdloJ0Phk" target="_blank">les pingouins l’on vulgarisé</a>) montre que le principal atout environnemental de ce mode de vie n’est pas son aspect mobile (ça, au contraire, ça semble avoir un impact négatif sur l’environnement car de plus gros véhicules sont achetés pour tracter les tiny, et finalement utilisés aussi pour les trajets quotidiens). Mais le fait que ce soit de petits habitats est bon pour la planète car il n’y a pas de quoi stocker des « objets » de consommations / vêtements et compagnie… Bref, pas de place pour accumuler, et ça c’est bon pour l’environnement.</p><h2><span id="Lrsquoessentiel_15m2">L’essentiel : 15m2 ?</span></h2><blockquote class="wp-block-quote"><p>Quelque soit la taille de votre maison, vous finissez par passer l’essentiel de votre temps au lit, sur votre bureau, dans votre cuisine. Soit dans un espace d’environ 15m2</p><cite><a href="https://youtu.be/fymPIoz8MtE?t=170" target="_blank" rel="noreferrer noopener">source</a></cite></blockquote><p>Et ça ne me semble pas déconnant. En rédigeant cet article, si je regarde autour de moi dans <a rel="noreferrer noopener" href="https://david.mercereau.info/paillourte/" target="_blank">ma maison de 40 m2</a>, l’écrasante majorité du temps est passé dans mon lit, dans le canapé, autour de la table de la cuisine, devant mon bureau… Donc ~1/3 de ma maison… Soit ~15m2…</p><h2><span id="Mais8230">Mais…</span></h2><p>La vie peut changer, on peut avoir besoin de plus grand. Et oui, dans ce cas là, au moment ou ça se présente, si ça se présente, il faudra envisager d’agrandir. Mais dire je fais 4 chambres parce que je projette d’avoir 3 enfants, ça me paraît excessif en point de départ. Rien ne dit qu’on va les faire, rien ne dit qu’on sera encore de ce monde, rien ne dit qu’ils voudront chacun leur chambre… Et s’endetter sur 25 ans pour des hypothèses, je trouve ça périlleux. <strong>C’est plus facile d’agrandir une maison que de la réduire</strong>. D’ailleurs, pas sûr que ça se fasse « réduire une maison ». On cherche plutôt à trouver un nouvel usage pour tel ou tel espace. Quand on en a, on se crée des besoins…</p><p><strong>C’est compliqué de sauter dans le vide</strong>, vers l’inconnu, sortir de sa zone de confort, si on n’a jamais vécu dans du « petit ». Sur ce point, c’est pas faux, mais que vous ayez vécu à Paris ou que vous ayez été étudiant, il y a fort à parier que vous ayez déjà vécu dans petit. Je pense que l’homme a une formidable capacité d’adaptation. De mon côté, j’ai choisi de passer par une yourte (chantier d’1 mois, pas grand investissement financier) pour goûter à cette vie, voir si ça m’allait… j’y suis encore…</p><p><strong>Et si on n’a pas à chauffer parce qu’on a fait une maison passive, ça change la donne ?</strong> J’ai cherché à savoir si le surcoût environnemental d’une maison passive était positif par rapport au fait d’avoir la même maison bien faite avec un besoin de petite puissance de chauffage et je n’ai pas trouvé… Mais il sera toujours plus pertinent, à mon avis, de chauffer peu un petit espace plutôt que d’avoir une grande maison passive.</p><p>Tout ça est à considérer pour l’espace « habitable » (en terme énergétique mais aussi d’impact écologique à la construction) donc d’avoir des espaces de stockage non chauffés (non isolés) c’est une autre histoire, bien moins problématique…</p><h2><span id="Trsquoas_les_moyens_pour_une_grande_maison">T’as les moyens pour une grande maison ?</span></h2><p>La question pour résumer c’est : est-ce que tu as les moyens de te payer le confort souhaité ? (moyen financier / écologique)</p><ul><li>Pour moi, les moyens financiers, c’est 0 prêt. J’attends d’avoir les sous pour les dépenser sinon c’est « vivre au dessus de mes moyens » (c’est là-dessus que notre société repose…), et ça évite bien des spéculations de se passer des banques…</li><li>Pour moi les moyens écologiques, c’est considérer que la terre c’est un gâteau et que c’est pas mal de partager… Actuellement, il y a des gros gourmands (je m’y inclus) qui mangent plus que d’autres… (matériaux, énergie, espace, emprise sur le vivant…).</li></ul>
