title: Long Distance Thinking
url: https://simonsarris.substack.com/p/long-distance-thinking
hash_url: 985e33814839a9c113720a5142caec0e

<blockquote><p><em>THE TRUTH MUST DAZZLE GRADUALLY</em></p><p><em>OR EVERY MAN BE BLIND</em></p><p><em>— Emily Dickinson</em></p></blockquote><p>The knowledge of a carpenter is in his hands. The apprentice must work with his own to discover it.</p><p>Here is some terrible advice: <em>“If you can't explain it to a 6-year-old, you don't understand it yourself.”</em> Typically attributed to Einstein, the phrase only became popular long after his death, around the new millennium. It is somewhat unsurprising that an age of shorter attention spans would give currency to such a quote. Present day we find ourselves at peak <em>explain it to a six year old</em>:</p><div class="captioned-image-container"><figure><a class="image-link image2" target="_blank" rel="nofollow" href="https://cdn.substack.com/image/fetch/f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2Ff2218eaa-e9fb-42af-aa69-07593e18d30c_1174x733.png"><img src="https://cdn.substack.com/image/fetch/w_1456,c_limit,f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2Ff2218eaa-e9fb-42af-aa69-07593e18d30c_1174x733.png" data-attrs='{"src":"https://bucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com/public/images/f2218eaa-e9fb-42af-aa69-07593e18d30c_1174x733.png","fullscreen":null,"imageSize":null,"height":733,"width":1174,"resizeWidth":null,"bytes":62822,"alt":null,"title":null,"type":"image/png","href":null}' class="sizing-normal" alt=""></a><figcaption class="image-caption">(Google ngrams can only be 5 words long. "explain it to a child" has a richer ngram history, but follows the same ballooning post-2000)</figcaption></figure></div><p>Many concepts can be explained concisely, in simple language, and we should all strive for clarity. But the aphorism is a mistake, for a number of thoughts approximate the carpenter’s craft, and to meaningfully reveal them requires time and attention. Sometimes these cannot simply be told to another at all, they must be grown. For a topical example, we know that <em>maturity</em> <em>itself</em> cannot be imparted to a six year old, no matter how good a summary we might give. Despite our understanding, we know it is something that can only come to each of us in time. This pattern is more common than we think. True things are disclosed slowly.</p><p>Articulating ideas as simply as possible is attractive, not least because getting people to agree with us is attractive. But we have a tendency to overrate ideas that can be shared easily, with the most apparent advantages. By constant simplifying, we may be lulled into abridging our own ideas a little too much, and sooner or later our audience—or ourselves—might come to expect only these truncated thoughts. What is easy to explain is not necessarily what is best. What is easy to understand is not necessarily what is true.</p>
<p>A practical example:</p><div class="captioned-image-container"><figure><a class="image-link image2" target="_blank" rel="nofollow" href="https://cdn.substack.com/image/fetch/f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2F10ed4fee-5592-4059-83bd-0b92f24e40b6_2643x1444.jpeg"><img src="https://cdn.substack.com/image/fetch/w_1456,c_limit,f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2F10ed4fee-5592-4059-83bd-0b92f24e40b6_2643x1444.jpeg" data-attrs='{"src":"https://bucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com/public/images/10ed4fee-5592-4059-83bd-0b92f24e40b6_2643x1444.jpeg","fullscreen":null,"imageSize":null,"height":601,"width":1100,"resizeWidth":null,"bytes":728430,"alt":null,"title":null,"type":"image/jpeg","href":null}' class="sizing-normal" alt=""></a><figcaption class="image-caption">Aerial fire detection</figcaption></figure></div><p>In the 1930’s, the US government saw an enormous opportunity. By leveraging the latest technologies, for the first time it seemed possible to extinguish even the smallest and remotest fires. The reasoning is easy to explain: Though it may take considerable resources, successfully locating and suppressing <em>all</em> fires early, even possibly harmless ones, will prevent large fires from ever forming, saving net resources. (Note that most of the concern at the time was centered around loss of timber stock for industry and national defense, and not about settlements burning down.)</p><p>Technologically armed to the teeth, aggressive firefighting policies quickly became the rule.</p><div class="captioned-image-container"><figure><a class="image-link image2" target="_blank" rel="nofollow" href="https://cdn.substack.com/image/fetch/f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2Feef6d222-043b-47ed-a92c-e55eda06d436_2552x2052.jpeg"><img src="https://cdn.substack.com/image/fetch/w_1456,c_limit,f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2Feef6d222-043b-47ed-a92c-e55eda06d436_2552x2052.jpeg" data-attrs='{"src":"https://bucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com/public/images/eef6d222-043b-47ed-a92c-e55eda06d436_2552x2052.jpeg","fullscreen":null,"imageSize":null,"height":884,"width":1100,"resizeWidth":null,"bytes":937178,"alt":null,"title":null,"type":"image/jpeg","href":null}' class="sizing-normal" alt=""></a><figcaption class="image-caption">High tech communications, chemicals, and transportation of the early 1900’s</figcaption></figure></div><div class="captioned-image-container"><figure><a class="image-link image2" target="_blank" rel="nofollow" href="https://cdn.substack.com/image/fetch/f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2F0dcb48e6-78f6-46d2-b276-7754329ecf99_2048x1594.jpeg"><img src="https://cdn.substack.com/image/fetch/w_1456,c_limit,f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2F0dcb48e6-78f6-46d2-b276-7754329ecf99_2048x1594.jpeg" data-attrs='{"src":"https://bucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com/public/images/0dcb48e6-78f6-46d2-b276-7754329ecf99_2048x1594.jpeg","fullscreen":null,"imageSize":null,"height":856,"width":1100,"resizeWidth":null,"bytes":553589,"alt":null,"title":null,"type":"image/jpeg","href":null}' class="sizing-normal" alt=""></a><figcaption class="image-caption">A smokejumper, ready to parachute on a remote fire, and his spotter</figcaption></figure></div><p>This firefighting policy came into serious question decades later. By the 1960s, it was apparent that no new giant sequoia had grown in California forests, because fire is an essential part of their lifecycle. Fires also had utility in timber production—they clear understory, allowing more valuable timber stock to grow. And in dry climates like the western United States, with an absence of fire, flammable material simply accumulates, creating more dangerous situations years later. As problems surfaced and compounded, in response, there has been a slow and experimental shift from <em>fire fighting</em> to <em>fire management</em>.</p><p>New technology enables new solutions. A quick thought becomes policy, which becomes a long disaster, which teaches us, at last, to think a little longer. It is right of us to call fire management an “experimental” policy, for we cannot make policy about the natural world as if it is a board game of rules and resources. We simply do not know all the rules. We can only intervene and wait for the surprising consequences we never predicted. Fire policy was an experiment all along, it was only ever a question of how much we were willing to assume at one time.</p><p>The archives of human cleverness are filled with blunders. When read in a good mood, history is a blooper reel. But it should not be lost on us that history never repeats, and modern technology enables ever more leverage. The more technology you can harness to commit an idea, and the faster your idea can spread, the greater the magnitude of something going wrong with a single decision. Scale is a capricious beast, one that becomes easier to summon and harder to predict. Be very careful when you let it in the house.</p>
<p>~ ~ ~</p>
<blockquote><p><em>Now, there is a law written in the darkest of the Books of Life, and it is this: If you look at a thing nine hundred and ninety-nine times, you are perfectly safe; if you look at it the thousandth time, you are in frightful danger of seeing it for the first time.<br>— G.K. Chesterton</em></p></blockquote><p>Philosophy begins in wonder, and the art of it is to keep this wonder with you. Many questions are worth asking, re-asking, revisiting, rethinking. One must seek Knowledge, but be a little wary of finding it. Perhaps excessive, but one could say the idea of possessing knowledge represents a kind of complacency. This is what Socrates meant: <em>Once you think you know, you stop looking.</em> You cease your wonder.</p><p>These letters are intended partly as a catalog of long distance thoughts. They are commentary on topics that cannot be conveyed compactly, that I ask aloud and re-ask in a number of ways. Some topics, I think, can <em>only</em> be approached this way. Scale is one of them, it is simply a topic too large, with too many sides, to see at once. You must come back to it often and continue to grasp at it. It will rear its head again.</p><p>More faint: If you read <strong><a href="https://simonsarris.substack.com/p/that-which-is-unique-breaks" rel="">that which is unique breaks</a></strong> and about <strong><a href="https://simonsarris.substack.com/p/the-most-precious-resource-is-agency" rel="">agency</a></strong> and my <strong><a href="https://simonsarris.substack.com/p/in-praise-of-the-gods" rel="">praise of the gods</a></strong>, and perhaps others, and read between the lines, you will find a thin thread that binds them. The thread vexes people, it manifests in different ways, and it doesn’t quite have a name. People grope at the topic, try to name, summarize, rationalize, even begin advocating ideologies and assigning blame. There is an intense desire to make it digestible. This PowerPoint-ification leads to all kinds of silly outcomes. Not all sources of light are worth staring at: Some summaries illuminate. Most obscure. Better to think a little longer, if you want to take the thread seriously.</p><p>There is a somewhat obvious term for long distance thinking: Contemplation. We pass over this word too quickly to really consider what it means. It has fallen out of favor, outside of the occasional raiding of a thesaurus. I find it interesting that even the definition of <em>contemplate</em> has suffered from over-summarizing. The first dictionary definition, in today’s Merriam-Webster:</p><blockquote><p><strong>To think deeply or carefully about (something)</strong></p><p><em>I stopped to contemplate [=ponder] what might have happened.<br>He contemplated the meaning of the poem for a long time.<br>Life without them is too awful to contemplate. [=too awful to even think about]</em></p></blockquote><p>Compare the brevity, and examples, to its first definition in Webster’s 1913 edition:</p><blockquote><p><strong>To look at on all sides or in all its bearings; to view or consider with continued attention; to regard with deliberate care; to meditate on; to study.</strong></p><p><em>To love, at least contemplate and admire,<br>What I see excellent.<br>—Milton</em></p><p><em>We thus dilate<br>Our spirits to the size of that they contemplate.<br>—Byron</em></p></blockquote><p>And that same definition in Webster’s 1828 dictionary, his first edition:</p><blockquote><p><strong>To view or consider with continued attention; to study; to meditate on. This word expresses the attention of the mind, but sometimes in connection with that of the eyes; as, to </strong><em><strong>contemplate</strong></em><strong> the heavens. More generally, the act of the mind only is intended; as, to </strong><em><strong>contemplate</strong></em><strong> the wonders of redemption; to </strong><em><strong>contemplate</strong></em><strong> the state of the nation and its future prospects.</strong></p></blockquote><p>Language is a growing medium for thought, and here we witness something like soil compaction. Why? That nameless thread, it’s at work here, too.</p><p>(Aside: It is not only interesting how compacted the thinking has become, but how much of the spirit of an age is present in each work. Webster was deeply religious and nationalist, and considered his dictionary a project of “federal language”, a way to distinguish American language and thought from British. These shine through in his very personal 1828 definitions. The 1912 edition is interesting for using quotes from literature, with only last names, simply assuming the reader is familiar with them, or will know how to find them otherwise. The modern dictionary lacks confidence that the reader can fully parse the example sentences without some parentheticals.)</p><p>One way to tease out thinking is to create new language, so if I cannot say “contemplation” and be understood, I will say something else, and hope you consider it as I do.</p><p>There’s something closer to the carpenter’s craft that is required of long thoughts. Napoleon, who set up so many republics, kingdoms, and confederations, gave this mention (warning, lament), <em>“A form of government that is not the result of a long sequence of shared experiences, efforts, and endeavors can never take root.”</em> Civilization only exists at long distances, too.</p><p>The cure for over-summary, I think, is something akin to cultivation. States and maturity need good growing conditions and time. The wonder we should concern ourselves with: What else has been hidden by summary? What thoughts must we resist abridging? Those giant sequoias echo a reminder to ask ourselves, what are the unseen things today that could be growing?</p><p>Another time,</p><p>s s</p><p>~~~</p><p><em>p.s. “If you can't explain it to a 6-year-old, you don't understand it yourself.” — Another small disagreement, more implicit. You shouldn’t be so concerned about whether or not you understand something before you try to explain and share. Some things can only grow in the light of others.</em></p><p>~~~</p><p><em>The top image is Saint Jermone in his Study, Albrecht Dürer, 1511</em></p><p><em>The black and white photographs are from the U.S. Forest Service- Pacific Northwest Region, circle 1920-1950</em></p>
