title: The Hippocratic License
url: https://firstdonoharm.dev/
hash_url: e44bfaaecad989f67cb2032fac000276

<h2 id="hippocratic-license-30-hl3-an-ethical-license-for-open-source-communities">Hippocratic License 3.0 (HL3): An Ethical License for Open Source Communities</h2>
<p>Technological advancement is often <a href="https://openlibrary.org/books/OL25573370M/Technoculture" rel="noreferer nofollow" target="_blank">shaped by the choices and priorities of the powerful</a>— in particular, the military, governments, and corporate interests. Their distorted priorities are often at odds with the promise of technology as a force for <a href="https://blog.archive.org/2021/09/03/the-sacred-geometry-of-respect-trust-and-equity/" rel="noreferer nofollow" target="_blank">promoting justice and equity worldwide</a>, and this increasingly includes open source technologies.</p>
<p>Traditional open source is based on the <a href="https://ieeexplore.ieee.org/document/5010049" rel="noreferer nofollow" target="_blank">flawed premise that technology is fundamentally neutral</a>, and that <a href="https://www.gnu.org/philosophy/free-sw.en.html#four-freedoms" rel="noreferer nofollow" target="_blank">unrestricted access to source code</a>— even for <a href="https://opensource.org/faq#evil" rel="noreferer nofollow" target="_blank">explicitly “evil” purposes</a>— is in fact an unqualified good. But around the world, open source developers are starting to realize that the software that they create, with its tremendous potential to change the world for the better, is also being abused to sustain and promote systems of inequity and injustice, globally, and at unprecedented scale.</p>
<p>The Hippocratic License 3.0 (HL3) aims to confront the potential harms and abuses technology can have on fundamental human rights. It empowers open source communities to establish a clear set of ethical standards that licensees must abide by in order to adopt their code. These standards are based on international agreements and authorities on fundamental human rights norms, including the <a href="https://www.un.org/en/about-us/universal-declaration-of-human-rights" rel="noreferer nofollow" target="_blank">United Nations Universal Declaration of Human Rights</a>, the <a href="https://www.ohchr.org/en/instruments-mechanisms/instruments/international-covenant-economic-social-and-cultural-rights" rel="noreferer nofollow" target="_blank">International Covenant on Economic, Social and Cultural Rights</a>, the <a href="https://www.ohchr.org/en/instruments-mechanisms/instruments/international-covenant-civil-and-political-rights" rel="noreferer nofollow" target="_blank">International Covenant on Civil and Political Rights</a>, and the <a href="https://www.ilo.org/" rel="noreferer nofollow" target="_blank">International Labour Organization</a>.</p>
<p>HL3 also offers optional modules that focus on specific areas of concern, such as environmental justice, labor rights, and ethical supply chains. This modular approach lets open source maintainers <a href="/build/" rel="noreferer nofollow">customize the license</a> to reflect the unique needs and challenges of their particular communities.</p>
<p>Healthy open source communities don’t just form around code, but also around <a href="https://ethicalsource.dev/principles" rel="noreferer nofollow" target="_blank">shared values</a> and a vision for how their work can improve the world. The true measure of the success of open source is its impact— how the technologies we develop are leveraged to bring about positive social, cultural, and political change.</p>
<p>To get started, <a href="https://firstdonoharm.dev/build/" rel="noreferer nofollow">customize your license</a>.</p>
