title: Médias, plateformes sociales et citoyenneté
url: http://www.internetactu.net/2019/04/09/medias-plateformes-sociales-et-citoyennete/
hash_url: 6c481577ef6b895c3c25e5b01edaeb3e

<p>Le chercheur <a href="http://www.ethanzuckerman.com/blog/about-me/">Ethan Zuckerman</a> (<a href="http://www.ethanzuckerman.com/blog/">blog</a>, <a href="https://twitter.com/ethanz">@ethanz</a>), directeur du <a href="http://civic.mit.edu/">Centre pour les médias civiques au MIT</a> (<a href="https://twitter.com/civicMIT">@civicMIT</a>), publiait il y a peu avec plusieurs collègues <a href="https://www.cjr.org/analysis/christchurch-shooting-media-coverage.php">une étude</a> sur la manière dont les médias ont rendu compte de l’attentat de Christchurch en Nouvelle-Zélande. </p>
<h2>Face aux pratiques terroristes faut-il défendre des principes antijournalistiques ?</h2>
<p>Les travaux d’Ethan Zuckerman (<a href="http://www.internetactu.net/search/Ethan+Zuckerman">dont nous avons souvent parlé sur InternetActu.net</a>) s’intéressent beaucoup à la relation entre les médias et la citoyenneté. C’est également le cas de cette étude qui a regardé la manière dont la presse anglo-saxonne a rendu compte de l’attentat et comment il a été perçu. Pour réaliser cette étude, les chercheurs se sont basés sur un outil construit par le MIT et le <a href="https://cyber.harvard.edu/">Berkman Klein Center for Internet &amp; Society</a> de l’université Harvard : <a href="https://mediacloud.org/">Media Cloud</a>. Cet outil est une plateforme open source qui agrège des contenus provenant d’une grande variété de médias et permet une analyse de liens, d’audiences et de partages des articles sur Facebook et Twitter. L’outil permet d’analyser, pour un sujet particulier, les sources les plus partagées, sa couverture média dans le temps et selon différents médias. </p>
<p>À partir de l’étude de la couverture média de l’attentat de Christchurch, les chercheurs ont produit notamment des recommandations, en tension avec <a href="https://fr.wikipedia.org/wiki/QQOQCCP">les principes mêmes du journalisme</a> (principes qui consistent à préciser notamment <em>« qui a fait quoi, où, quand et pourquoi ? »</em>). Ainsi, les chercheurs recommandent aux médias, dans des cas d’actes terroristes, de ne pas publier le nom du terroriste, de ne pas publier ou lier vers les sources où le terroriste promeut ou explique ses raisons, de ne pas publier le lien ou le nom de ses revendications, de ne pas décrire ni détailler l’idéologie du tueur, ni de mèmes qui s’y réfèrent… Des recommandations qui suivent en grandes parties les lignes directrices émises par l’organisation de défense des médias <a href="https://nonotoriety.com/">No Notoriety</a>. </p>
<p>Nombre de médias n’ont bien sûr pas respecté ces règles : de grands médias américains et britanniques ont nommé le forum fréquenté par le tireur de Christchurch et beaucoup ont discuté des idées qu’il y avait exprimées. Seules 14 % des publications américaines ont rapporté le nom du tireur, alors que seulement 30 % des publications britanniques ont ignoré cette recommandation. 45 % des histoires les plus partagées sur Facebook incluait son nom et 25 % donnaient des informations sur son idéologie. Le problème, soulignent les chercheurs, c’est que le nom, la mention des forums où il s’est exprimé ou le fait d’indiquer des mots-clefs est particulièrement dangereux, car ils permettent aux lecteurs de chercher ces références : introduire des mots-clefs spécifiques, voire obscurs, confère aux terroristes une grande visibilité sur ces mots-clefs dans les moteurs de recherche (<a href="http://www.internetactu.net/2018/06/06/de-quelle-education-aux-medias-avons-nous-besoin/">danah boyd et Francesca Tripodi exprimaient les mêmes réticences</a> sur ces questions). <em>« Ces expressions inhabituelles exploitent ce qu’on appelle des « espaces vides de données » »</em> (<em><a href="https://datasociety.net/output/data-voids-where-missing-data-can-easily-be-exploited/">data voids</a></em>) : que terroristes, complotistes ou polémistes et leurs partisans vont utiliser pour créer de la visibilité sur des mots-clefs pour recruter des lecteurs et de nouveaux partisans. <em>« Comprendre qu’un assassin de ce type cherche consciemment à manipuler les médias pour amplifier ses convictions crée un défi de taille pour les salles de presse »</em>, rappelle Zuckerman. Si les journaux peuvent apprendre à ne pas donner le nom d’un terroriste, reste que ne pas détailler ses motivations peut-être plus difficiles.  </p>
<p>L’étude pointe du doigt plusieurs médias, comme le <em>Sun</em> et le <em>Daily Mail</em> britanniques, dont les articles sur le sujet ont été parmi les plus partagés sur FB, alors que leurs contenus violaient ces directives et étaient parmi ceux qui donnaient le plus d’indices aux lecteurs pour retrouver des contenus. Mais l’édition américaine du <em>Guardian</em> ou la <em>BBC</em> n’ont pas fait beaucoup mieux que les tabloïds. Si moins de 20 % du total des articles publiés en langue anglaise mentionnait le nom du tireur, 47 % des 98 articles partagés plus de 50 000 fois sur FB mentionnait son nom. Les histoires les plus partagés sur FB étaient également plus susceptibles de citer le nom du tireur, les forums où il avait publié ses avis et ses inspirateurs. </p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2019/04/NZ-Shooting-2-Topic-Mapper-Media-Cloud-986x1024.png" alt="" class="aligncenter size-large wp-image-34206" srcset="http://www.internetactu.net/wp-content/uploads/2019/04/NZ-Shooting-2-Topic-Mapper-Media-Cloud-986x1024.png 986w, http://www.internetactu.net/wp-content/uploads/2019/04/NZ-Shooting-2-Topic-Mapper-Media-Cloud-289x300.png 289w, http://www.internetactu.net/wp-content/uploads/2019/04/NZ-Shooting-2-Topic-Mapper-Media-Cloud-768x797.png 768w, http://www.internetactu.net/wp-content/uploads/2019/04/NZ-Shooting-2-Topic-Mapper-Media-Cloud.png 1257w" sizes="(max-width: 986px) 100vw, 986px"/><br/>
<em>Image : capture d’écran <a href="https://topics.mediacloud.org/#/topics/3016/summary">de résultats d’études autour de la fusillade de Christchurch via MediaCloud</a>.</em></p>
<h2>Mieux mesurer le pouvoir des médias et des plateformes</h2>
<p><img src="http://www.internetactu.net/wp-content/uploads/2019/04/zuckerman-300x262.png" alt="Ethan Zuckerman à l'école de journalisme de Sciences Po photographié par Dominique Cardon" title="Ethan Zuckerman à l'école de journalisme de Sciences Po photographié par Dominique Cardon" class="alignright size-medium wp-image-34211" srcset="http://www.internetactu.net/wp-content/uploads/2019/04/zuckerman-300x262.png 300w, http://www.internetactu.net/wp-content/uploads/2019/04/zuckerman.png 595w" sizes="(max-width: 300px) 100vw, 300px"/>Accueilli il y a peu à l’école de journalisme de Sciences Po, Ethan Zuckerman est revenu sur cette étude et l’a complété. Pour lui, expliquait-il, il est essentiel de mieux mesurer le pouvoir des médias dans ce monde en réseaux. Aux États-Unis, la violence policière notamment à l’encontre des noirs est l’un des grands problèmes de société. Plusieurs médias se sont intéressés au phénomène en tentant de documenter cette violence pour la rendre visible, comme <a href="https://www.theguardian.com/us-news/ng-interactive/2015/jun/01/the-counted-police-killings-us-database">le compteur du <em>Guardian</em></a> ou <a href="https://www.washingtonpost.com/graphics/2018/national/police-shootings-2018/?utm_term=.88eb485f141b">celui du <em>Washington Post</em></a> ou d’association citoyennes comme <a href="https://mappingpoliceviolence.org/">Mapping police violence</a>. Le problème bien souvent c’est que les gens tués par la police sont loin d’être tous identifiés. Nombre d’entre eux ne reçoivent même pas l’attention d’un article de presse ! Comme il l’expliquait dans une de ses conférences (<a href="http://opentranscripts.org/transcript/using-data-create-social-change/">voir sa transcription</a>) en évoquant des travaux menés avec <a href="https://natematias.com/">Nathan Matias</a> (<a href="https://twitter.com/natematias">@natematias</a>), les chercheurs ont utilisé MediaCloud pour souligner qu’avant le drame de <a href="https://fr.wikipedia.org/wiki/Affaire_Michael_Brown">Michael Brown</a> en 2014 et les émeutes de Fergusson, les noirs désarmés tués par la police ne recevaient la plupart du temps aucune couverture presse. Depuis la mort de Michael Brown, le nombre d’articles sur ce type de victime n’a pas nécessairement bondi, il demeure assez faible, par contre depuis, les articles qui évoquent ce genre d’affaires font bien plus souvent qu’avant référence à des histoires du même type, comme à celle de Michael Brown. Relier une histoire individuelle à une autre est un moyen pour les journalistes d’intégrer une information à une histoire plus vaste, à des phénomènes plus globaux. </p>
<p>Si depuis 2014 les médias américains couvrent avec plus de vigilance les violences policières, les biais de traitements de la presse demeurent nombreux, estime Ethan Zuckerman en montrant comment les médias américains ont classé l’information relative à <a href="https://fr.wikipedia.org/wiki/%C3%89pid%C3%A9mie_de_maladie_%C3%A0_virus_Ebola_en_Afrique_de_l%27Ouest">l’épidémie Ebola</a>, s’intéressant bien plus au décès d’un homme dans un hôpital du Texas qu’à la pandémie qui touchait l’Afrique de l’Ouest.  </p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2019/04/networkpropaganda-199x300.jpeg" alt="" class="alignright size-medium wp-image-34214" srcset="http://www.internetactu.net/wp-content/uploads/2019/04/networkpropaganda-199x300.jpeg 199w, http://www.internetactu.net/wp-content/uploads/2019/04/networkpropaganda.jpeg 364w" sizes="(max-width: 199px) 100vw, 199px"/>Il est revenu également <a href="https://www.cjr.org/analysis/breitbart-media-trump-harvard-study.php">sur l’étude</a> cosignée avec son collègue <a href="https://cyber.harvard.edu/people/ybenkler">Yochai Benkler</a> (<a href="https://twitter.com/ybenkler">@ybenkler</a>) professeur à l’école de droit de Harvard et co-directeur du <a href="https://cyber.harvard.edu/">Berkman Klein Center pour l’internet et la société à Harvard</a>. <a href="https://cyber.harvard.edu/publications/2017/08/mediacloud">Cette étude de référence</a> – qui a donné lieu à un livre de référence également signé Yochaï Benkler, <a href="https://cyber.harvard.edu/people/rfaris">Robert Faris</a> et <a href="https://cyber.harvard.edu/people/hroberts&gt;« Hal Roberts&lt;/a&gt;, &lt;em&gt;&lt;a href=" http:="">Network, Propaganda, Manipulation, Disinformation and Radicalization in American Politics</a> (Oxford University Press, 2018, non traduit) – s’est intéressée à des millions de partages d’articles publiés entre avril 2015 et les élections présidentielles américaines de 2016. L’étude pointe deux aspects préoccupants des échanges en ligne : la polarisation des échanges et plus encore leur asymétrie. Les chercheurs soulignaient notamment que la désinformation provenant de médias partisans de la droite radicale et extrémiste américaine (comme Breitbart) est renforcée par leur isolement du journalisme traditionnel et leur capacité à exploiter les médias sociaux pour relayer leur propagande. Pour ces chercheurs, l’asymétrie des schémas d’information montre que nous ne sommes pas tant dans des bulles de filtres technologiques, mais confrontés à des dynamiques politiques différentes. Le fait que ces modèles d’attention asymétriques soient similaires sur Twitter ou Facebook suggère que les choix humains, idéologiques ou politiques auraient plus d’impacts que les algorithmes des plateformes techniques. <a href="https://shorensteincenter.org/benkler/">Comme le soulignait Yochaï Benkler</a>, cette asymétrie suggère que nous sommes face à un phénomène politique plus que technologique, <em>« qui utilise les avantages de la technologie pour franchir les barrières traditionnelles et créer son propre écosystème médiatique »</em>.</p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2019/04/Twitter-Image-1-800x548.jpg" alt="" class="aligncenter size-full wp-image-34207" srcset="http://www.internetactu.net/wp-content/uploads/2019/04/Twitter-Image-1-800x548.jpg 800w, http://www.internetactu.net/wp-content/uploads/2019/04/Twitter-Image-1-800x548-300x206.jpg 300w, http://www.internetactu.net/wp-content/uploads/2019/04/Twitter-Image-1-800x548-768x526.jpg 768w" sizes="(max-width: 800px) 100vw, 800px"/><br/>
<img src="http://www.internetactu.net/wp-content/uploads/2019/04/Facebook-Image-1-800x527.jpg" alt="" class="aligncenter size-full wp-image-34208" srcset="http://www.internetactu.net/wp-content/uploads/2019/04/Facebook-Image-1-800x527.jpg 800w, http://www.internetactu.net/wp-content/uploads/2019/04/Facebook-Image-1-800x527-300x198.jpg 300w, http://www.internetactu.net/wp-content/uploads/2019/04/Facebook-Image-1-800x527-768x506.jpg 768w" sizes="(max-width: 800px) 100vw, 800px"/><br/>
<em>Image : En haut, sources médiatiques partagées sur Twitter pendant l’élection présidentielle américaine (nœuds proportionnels aux partages Twitter). En bas, sources médiatiques partagées sur Twitter pendant l’élection (nœuds proportionnels aux partages Facebook). Les nœuds sont dimensionnés en fonction de la fréquence à laquelle ils ont été partagés sur Twitter (Fig. 1) ou sur Facebook (Fig. 2). L’emplacement des nœuds est déterminé par le fait que deux sites ont été partagés par le même utilisateur Twitter ou FB le même jour, ce qui représente la mesure dans laquelle deux sites attirent des audiences similaires. Les couleurs attribuées à un site sur la carte reflètent la part des histoires de ce site qui ont été tweetées ou partagées par les utilisateurs qui ont également retweeté Clinton ou Trump pendant les élections. Ces couleurs reflètent donc les habitudes d’attention du public et non l’analyse du contenu des sites. Les sites bleu foncé attirent l’attention selon un ratio d’au moins 4:1 des adeptes de Clinton ; sites rouges 4:1 adeptes de Trump. Les sites verts sont retweetés plus ou moins également par les adeptes de chaque candidat. Les sites bleu clair attirent 3:2 adeptes de Clinton, et le rose dessine 3:2 adeptes de Trump.</em></p>
<p>Cette étude également repose sur MediaCloud, rappelle Zuckerman, qui souligne que si l’outil est fort pour traiter de l’information écrite sur un web relativement ouvert, l’outil a encore bien des écueils : notamment il ne permet pas l’analyse d’image ou de vidéos, pointe les partages de liens sur les médias sociaux, mais pas le reste (les réactions, les commentaires…) et pour l’instant est essentiellement anglocentré. Pour prolonger ce travail, outre d’innombrables collaborations avec des institutions et des médias pour analyser d’autres langues ou d’autres corpus, Zuckerman signale le lancement prochain de l’International Hate Observatory Project et du Provenance Project. L’idée de ces programmes est de regarder comment les idées se diffusent des forums les plus atypiques de l’internet à des sites d’info partisans avant d’être repris par des médias généralistes. La grande difficulté pourtant demeure d’arriver à étudier FB et Twitter : sans collaboration avec ces plateformes, les chercheurs peinent à obtenir les données d’études dont ils ont besoin. Et cela s’annonce pire avec les messageries de groupes chiffrées comme WhatsApp… Sans collaboration de ces entreprises avec les chercheurs, comment comprendrons-nous ce qu’il s’y passe ?  </p>
<h2>De nouveaux médias pour un monde en réseau</h2>
<p>Les médias ont longtemps eu un modèle de distribution assez simple. Ils produisaient, distribuaient et trouvaient leurs audiences, selon un modèle très classique de diffuseur, explique Ethan Zuckerman <a href="https://medium.com/trust-media-and-democracy/we-know-the-news-is-in-crisis-5d1c4fbf7691">en faisant référence à un de ses toujours excellents billets de blog</a>. Dans cet écosystème, l’information éclaire notre participation à la vie publique. <em>« Le journalisme tire son pouvoir de la prise de conscience que le public est aussi citoyen »</em>. Le numérique a bouleversé cet écosystème. Si la production de contenu n’est plus un problème, si la distribution ne coûte plus rien non plus, les sites d’information la maîtrisent beaucoup moins bien qu’avant, notamment du fait des grandes plateformes sociales. Sans compter que l’audience est entrée dans la boucle. <em>« Dans l’écosystème médiatique contemporain, les citoyens disposent d’un nouvel ensemble d’options allant au-delà du vote ou de la manifestation. »</em> Ils peuvent amplifier un contenu, y réagir… ce qui leur donne plus d’influence sur l’agenda des médias… Ils ne sont plus l’audience passive sur laquelle on déversait des contenus. Au contraire, l’amplification est devenue éminemment politique. Sans compter qu’ils peuvent désormais produire des médias ou des formes médiatiques (comme le #hastag) qui amplifient les médias. Ces nouvelles dynamiques transforment considérablement le schéma originel. </p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2019/04/Brodcastmodel-300x225.png" alt="" class="alignleft size-medium wp-image-34209" srcset="http://www.internetactu.net/wp-content/uploads/2019/04/Brodcastmodel-300x225.png 300w, http://www.internetactu.net/wp-content/uploads/2019/04/Brodcastmodel-768x576.png 768w, http://www.internetactu.net/wp-content/uploads/2019/04/Brodcastmodel.png 800w" sizes="(max-width: 300px) 100vw, 300px"/> <img src="http://www.internetactu.net/wp-content/uploads/2019/04/Plateformsmodels-300x225.png" alt="" class="alignleft size-medium wp-image-34210" srcset="http://www.internetactu.net/wp-content/uploads/2019/04/Plateformsmodels-300x225.png 300w, http://www.internetactu.net/wp-content/uploads/2019/04/Plateformsmodels-768x576.png 768w, http://www.internetactu.net/wp-content/uploads/2019/04/Plateformsmodels.png 800w" sizes="(max-width: 300px) 100vw, 300px"/><br/>
<em>Image : la simplicité du modèle de diffusion classique des médias comparé à la complexité de l’écosystème numérique avec ses bugs et ses mauvais acteurs. </em></p>
<p>La grande difficulté désormais, estime Zuckerman, c’est la découverte ! Comment gagner de l’attention dans des systèmes où des <em>« courtiers de l’attention »</em> (FB, Twitter, Google notamment) gèrent cette découverte ? </p>
<p>Ces nouvelles dynamiques posent plusieurs problèmes, explique le chercheur. Le premier est économique. Le fait de détacher la distribution de la production tue le business modèle des médias et du journalisme : ce sont les modalités de découverte qui accaparent désormais l’attention et les revenus. <em>« La démocratie exige non seulement un journalisme de qualité, mais également un auditoire de citoyens »</em>, rappelle-t-il. Le problème n’est pas seulement la question de payer pour l’information, pour qu’un journaliste décortique par exemple les possibles abus locaux cachés dans un procès verbal de délibérations municipales, mais bien également que cette histoire puisse atteindre les moteurs attentionnels. </p>
<p>Zuckerman dénonce la nature addictive des technologies, mais il souligne également que cet écosystème a généré l’apparition de « mauvais » acteurs, qui sont entrés dans le jeu pour s’accaparer audiences ou revenus, en ciblant les points vulnérables de l’écosystème, via des bots, des « darks ads », le harcèlement, le trolling, et bien sûr la production industrielle de désinformation. </p>
<p>Au final, ces modèles ont produit d’innombrables bugs (chambres d’échos, polarisation, effets de foules, développement d’informations conspirationnistes, filtrage algorithmique, innombrables problèmes de modération, de contrôle, de censure…). Et tous ces problèmes s’imbriquent entre médias, réseaux sociaux et participation civique et sont interreliés les uns les autres. Ce qui signifie, explique Zuckerman, que pour améliorer les choses, il y a besoin d’un travail commun entre médias, plateformes et citoyens. Mais surtout, insiste-t-il dans son article, nous avons besoin d’autres plateformes. </p>
<p>Dans son livre, <em>Pourquoi la démocratie a besoin d’une presse détestable</em> (<em>Why Democracies Need an Unlovable Press</em>, 2008, Polity Press, non traduit), le professeur en journalisme <a href="https://en.wikipedia.org/wiki/Michael_Schudson">Michael Schudson</a> expliquait que l’un des rôles des médias était d’améliorer la démocratie. En s’inspirant de ce constat, Ethan Zuckerman a écrit <a href="https://medium.com/trust-media-and-democracy/six-or-seven-things-social-media-can-do-for-democracy-66cee083b91a">un article</a> pour inviter les médias sociaux eux aussi à s’intéresser à la démocratie et à la favoriser. Zuckerman rappelle que les médias sociaux ont un rôle d’information à prendre au sérieux, notamment quand ils parviennent à toucher les gens les plus éloignés de l’information ou à leur apporter des informations qui les concernent. Ils permettent d’amplifier les informations et les enjeux. Ils peuvent être des outils pour la connexion et la solidarité. Ils peuvent être des espaces de mobilisation et pourraient être aussi des espaces de délibération et de débat et des outils pour nous montrer une diversité de points de vue. Et surtout, insiste Zuckerman, ils pourraient également devenir des modèles d’espaces gouvernés démocratiquement. C’est pour l’instant loin d’être le cas, mais le chercheur pointe les efforts de Reddit en la matière où, certaines communautés (pas toutes, beaucoup des forums de Reddit sont gangrénés par les discours racistes et haineux…), ont expérimenté et mis en place des principes de gouvernance participatifs originaux pour maximiser les discussions constructives (voir notamment <a href="https://civilservant.io/moderation_experiment_r_science_rule_posting.html">le travail</a> mené par Nathan Matias via <a href="https://civilservant.io/">Civil Servant</a>). </p>
<p>Bien sûr, les réseaux sociaux sont loin de promouvoir toutes ces fonctions – certainement parce que certains de ces objectifs sont incompatibles avec leurs modèles économiques : la polarisation politique et les insultes génèrent plus de pages vues que la délibération ou la promotion de la diversité. </p>
<p>Pour Zuckerman, cette impasse possible montre qu’il nous faut inventer d’autres médias sociaux. <em>« Mon objectif en proposant ces orientations que les médias sociaux pourraient adopter pour la démocratie est double. Alors que nous exigeons que Facebook, Twitter et d’autres fassent mieux, nous devons savoir ce que nous demandons. Je veux que Facebook soit plus respectueux de mes informations personnelles, plus dédié à m’aider à communiquer avec mes amis que de me vendre aux annonceurs, mais je veux aussi qu’ils réfléchissent au but des objectifs démocratiques qu’ils espèrent atteindre. Deuxièmement, je ne crois pas que nous devrions avoir un ou deux réseaux de médias sociaux. Mon espoir est un monde où nous pourrions avoir des dizaines de réseaux sociaux interopérables centrés sur différents buts et objectifs. »</em></p>
<p>À Sciences Po, Zuckerman va plus loin. Il rappelle brièvement l’histoire des médias publics et comment les questions de régulation ont amené à créer des chaînes de télévision et de radio publique. Aux États-Unis, gouvernements et fondations ont décidé alors de construire « autre chose », d’autres médias selon d’autres principes et valeurs. Avons-nous besoin de médias sociaux publics ? De plateformes en communs ? Certainement ! </p>
<p>Zuckerman esquisse trop rapidement quelques principes clefs pour ces réseaux à venir : <em>« la pluralité comme but, l’intérêt public comme esprit et la participation comme mode de gouvernance »</em>. Pour lui, les réseaux sociaux dont nous avons besoin doivent reposer sur une modalité de gouvernance plus démocratique, doivent favoriser la pluralité et le débat, et doivent avoir un objectif favorisant le bien public. Bien évidemment, la force de Zuckerman, c’est qu’il a un modèle à montrer comme preuve de concept : <a href="https://gobo.social/">Gobo</a> (<a href="http://www.internetactu.net/2017/12/14/parametrer-notre-bulle-de-filtre/">dont nous avions déjà longuement parlé</a>). Certes, comme nous le disions déjà, Gobo est imparfait, mais il nous montre que d’autres modalités de fonctionnement sociales sont possibles et qu’une attente pour plus de diversité d’interaction est nécessaire et possible. </p>
<p>Comme nous le soulignions <a href="http://www.internetactu.net/2019/01/15/retro-design-de-lattention-depasser-le-temps/">dans nos constats sur la question attentionnelle</a> en pointant la toxicité de certaines architectures sociales proéminentes, l’enjeu de produire d’autres formes d’échanges, d’autres modalités d’interactions et d’autres formes attentionnelles demeure entière. À l’heure où nos outils sociaux se concentrent sur quelques grands services, il est plus que nécessaire de rouvrir les possibles ! </p>
<p>Hubert Guillaud</p>
