title: Thank you for your attention
url: http://ruben.verborgh.org/blog/2014/12/31/thank-you-for-your-attention/
hash_url: c77f2b1ef3ee364634b160246d60cf1b

<p class="summary">Talks at academic conferences seldom feature a high <em>knowledge per minute</em> ratio. Speakers often talk for themselves, unwittingly spawning facts that are not directly useful to their audience. For me, the most symptomatic aspect is the obligatory <em>“thank you for your attention”</em> at the end of a talk. Think about what you’re saying. Was your talk so bad that people had to do you an actual favor by paying attention? We’ve got this whole thing backwards. <em>You</em> are one of the people the audience paid for to see. They should be thanking <em>you</em> for doing a great job—provided of course, that you really do the best you can to help them understand.</p><p>Ah, perceived politeness… It wouldn’t be the <a href="http://ruben.verborgh.org/blog/2014/01/31/apologies-for-cross-posting/">first time</a> that it stood in the way of effective communication. Even if you feel the irresistible urge to thank your audience, <strong>never thank them for their <em>attention</em></strong>. Really, how could you possibly feel better if they had to do a conscious effort to stay attentive? If they had to devote any energy on focusing their attention on you, then you clearly were giving a boring talk. And sure, it is possible that you were, but <strong>why should they even bother paying attention</strong> if you didn’t bother to make your talk interesting and relevant to them?</p><p>This whole act of of fake (or sometimes even real) humility is detrimental to an effective conference ecosystem. <em>“I’m terribly sorry that I was boring, thanks for still listening.”</em> It provides speakers with <strong>an excuse to be boring</strong>, an excuse to not explain effectively, as the audience does the apparently “hard work” of paying attention while the speaker is messing up his or her slides.</p><p>Well, you’ll never have to thank <em>me</em> if your talk is hard to follow, because I will not listen. It is <strong>your duty as a speaker</strong> to minimize my effort of understanding. If you are effective, you are explaining me in 15 minutes what could possibly take me hours to study by myself. In that case, I should—and will—be the one thanking you.</p><p>You know what is more polite than thanking the audience? Making sure they get the most out of your talk. This means two things:</p><ul><li>Give <strong>people who pay attention</strong> what they need: a clear insight in your research.</li><li>Ensure that <strong>people who are <em>not</em> interested</strong> don’t have to pay attention.</li></ul><p>That last part might seem strange: would you want people <em>not</em> paying attention? <br/> Of course—because attention was never your goal in the first place.</p><figure><img alt="" src="http://ruben.verborgh.org/images/blog/boring.jpg"/><figcaption>If you have to thank people for their <em>attention</em>, you probably didn't really deserve it anyway.</figcaption></figure><h2 id="attention-is-not-agoal-in-itself">Attention is not a goal in itself</h2><p>If you’re in the audience at a scientific conference, what do you really want? For me, that’s quite simple: understanding the papers that seem relevant to me. So as a speaker, focus not on what you want, but what the audience wants. Your personal goal is to <strong>get your message across</strong> to those researchers for whom it is relevant. Note in particular that <em>attention</em> is not a part of your goal. Sure, in order to understand a message, people will likely need to pay attention, but solely capturing (or stealing) that attention does not reach your goal. Furthermore, if people get your message <em>without</em> paying attention, that seems like a win–win situation. Therefore, instead of focusing on getting attention, focus on <strong>maximizing the <em>use</em> of the attention you get</strong>.</p><p>Most importantly, <strong>your presentation is not a soap, so it doesn’t need a cliffhanger</strong>. <strong>State your main message always first.</strong> Many speakers mistakenly believe that <em>attention</em> is a goal as such, and so they try to maintain it for as long as possible by postponing the main message—the one thing people are waiting for—until the end. Perhaps surprisingly, this is highly ineffective. Instead, after briefly introducing your field of research, you should <strong>say your conclusion before anything else</strong>. Only after that, you present material to support that conclusion, which you summarize at the end before repeating your conclusion.</p><p><em>“But if I say the most important thing first, people might not listen to the end?”</em> Exactly! <strong>You <em>never</em> know if people will listen to the end,</strong> so therefore, by stating your main message in the beginning, you ensure that people know what you want them to know. As soon as the audience gets your main point, every person can decide individually whether or not they are interested to hear how your message is supported. Those people who have different interests will not needlessly sit and listen to your talk, as you explained it’s not relevant to them. <strong>Those who <em>are</em> interested will be highly motivated</strong> to learn more, as you’ve just told them where your talk is going.</p><p>In both cases, <strong>nobody needs to be thanked for their attention</strong>. The people who paid attention deliberately chose to do so, as your message made them curious and they are eager to understand the arguments. <strong>They’ll thank <em>you</em> for explaining.</strong> People who do not care about this particular message will not pay attention, they’ll thank <em>you</em> for not wasting their time with a disappointing cliffhanger.</p><h2 id="let-people-applaud-to-thank-you">Let people applaud to thank you</h2><p>So how do you end a talk then, if not by <em>“thank you for your attention”</em>? Well, wrap up by <strong>closing the circle</strong>. You’ve stated your conclusion first, then its supporting arguments. Now you can explain how the arguments lead to your conclusion. The circle is closed, the story ends—and people just <em>feel</em> that.</p><p>Make sure your <strong>last slide displays your main message</strong> once more, so it is the one thing people remember. Don’t end with “thank you” or “questions?”, as this weakens the message on your slides. Rather, end firmly with the main take-away. People will applaud—to thank <em>you</em>, because you helped them understand something. And then, the session chair will ask for questions anyway.</p><p>Good news for those of you who still feel obliged to thank somebody: I’ve found academic audiences to be <strong>conditioned to hear the sound of “thank”</strong> before they can confidently start applauding. Therefore, what I usually do is say my last sentence, hold the suspense for two seconds (making the message sink in), and then let out a simple “thanks” to remove any doubt.</p><p>I think the most polite thing you can do for people, is taking the effort to <strong>structure your story well</strong> and <strong>make it understandable</strong> to all potential listeners in the room. Asking for their attention in any other way, and needing to thank them for that, is not the best appreciation of their presence. Pay your audience a favor: <strong>talk clearly and efficiently, and state your message upfront.</strong> Thank you, in name of all conference attendees.</p>
