title: le nouveau rapport du Shift publié
url: https://theshiftproject.org/article/pour-une-sobriete-numerique-rapport-shift/
hash_url: cb23c804b386388a44565c7cc3d52cf0

<div class="entry-content"><p class="clearboth"/><p><span><strong>La consommation d’énergie du numérique est aujourd’hui en hausse de 9 % par an. Il est possible de la ramener à 1,5 % par an en adoptant la « Sobriété numérique » comme principe d’action. La transition numérique telle qu’elle est actuellement mise en œuvre actuellement participe au dérèglement climatique plus qu’elle n’aide à le prévenir. Il est urgent d’agir.</strong></span> C’est ce que conclut le <a href="https://theshiftproject.org/wp-content/uploads/2018/10/2018-10-04_Rapport_Pour-une-sobriété-numérique_Rapport_The-Shift-Project.pdf" target="_blank" rel="noopener">rapport sur l’impact environnemental du numérique publié le 4 octobre</a> par <em>The Shift Project</em>, think tank de la transition carbone, quatre jours avant la publication du rapport spécial du GIEC sur un monde à 1,5°C. Cet impact environnemental doit être adressé, faute de quoi le numérique fera davantage partie du problème que de la solution.</p><p><strong>Le numérique étant reconnu comme un levier de développement économique et social, la transition numérique apparaît comme incontournable pour l’ensemble des pays et des entreprises.</strong> La transition numérique est en outre souvent considérée comme un moyen de réduire la consommation d’énergie dans un grand nombre de secteurs. Pourtant, les impacts environnementaux directs et indirects (« effets rebond ») liés aux usages croissants du numérique sont systématiquement sous-estimés.</p><h2>Un numérique de plus en plus vorace en énergie</h2><p><strong><span>Le développement rapide du numérique génère une augmentation forte de son empreinte énergétique directe.</span></strong> Cette empreinte inclut l’énergie de fabrication et d’utilisation des équipements (serveurs, réseaux, terminaux). Elle est en progression rapide, de 9 % par an. La consommation d’énergie directe occasionnée par un euro investi dans le numérique a augmenté de 37 % depuis 2010. <strong>L’intensité énergétique de l’industrie numérique augmente de 4 % par an</strong> : une hausse à contre-courant de l’évolution de l’intensité énergétique du PIB mondial, laquelle décroît actuellement de 1,8 % chaque année. L’explosion des usages vidéo (Skype, streaming, etc.) et la multiplication des périphériques numériques fréquemment renouvelés sont les principaux facteurs de cette inflation énergétique.</p><h2>Lourd bilan carbone pour la transition numérique</h2><p><span><strong>La part du numérique dans les émissions de gaz à effet de serre a augmenté de moitié depuis 2013, passant de 2,5 % à 3,7 % du total des émissions mondiales.</strong></span> Les émissions de CO2 du numérique ont augmenté depuis 2013 d’environ 450 millions de tonnes dans l’OCDE, dont les émissions globales ont diminué de 250MtCO2eq.</p><p><span><strong>La transition numérique capte des ressources nécessaires à la transition énergétique.</strong></span> La captation d’une part progressivement démesurée de l’électricité disponible accroît la tension sur la production électrique à l’heure où celle-ci peine à se décarboner. L’augmentation de la production d’équipements numériques nécessite des quantités croissantes de métaux rares et critiques, également indispensables aux technologies énergétiques bas-carbone, alors que des facteurs physiques, géopolitiques et économiques commencent déjà à limiter leur disponibilité.</p><h2>Le numérique, « c’est pas automatique »</h2><p><strong><span>La contribution nette du numérique à la réduction de l’impact environnemental reste donc à démontrer</span></strong>, secteur par secteur, en prenant garde aux nombreux « effets rebond ». De fait, le numérique manifeste une tendance exactement inverse à celle qui lui est généralement attribuée : dématérialiser l’économie. Nous constatons que les évolutions actuelles des impacts environnementaux du numérique vont à l’encontre des objectifs de découplage énergétique et climatique du PIB fixés par l’Accord de Paris sur le climat signé en 2015.</p><p><span><strong>Les impacts attendus de la transition numérique sur la productivité et la croissance ne sont pas visibles</strong></span> dans les pays développés sur les 5 dernières années. Le taux de croissance de la zone OCDE reste stable autour de 2 %, alors que la croissance des dépenses numériques est passée de 3 % à plus de 5 % par an : décidément, les effets attendus du numérique sont loin d’être automatiques.</p><h2>Les pays développés seuls responsables</h2><p><strong><span>La consommation numérique actuelle est très polarisée.</span></strong> Les profils de consommation numérique sont extraordinairement contrastés. En moyenne en 2018, un Américain possède près de 10 périphériques numériques connectés, et consomme 140 Gigaoctets de données par mois. Un Indien possède en moyenne un seul périphérique, et consomme 2 Gigaoctets.</p><p><strong><span>La surconsommation actuelle n’est pas généralisée : elle est le fait des pays développé</span><span>s</span><span>, pour lesquels l’enjeu clé consiste à reprendre le contrôle de leurs usages.</span></strong> Partout dans le monde, il s’agit de planifier et de prioriser les investissements dans le numérique, afin de s’assurer qu’ils servent efficacement les politiques sectorielles (sachant que les pays en développement en retireront le plus de gains, en raison des infrastructures encore à créer).</p><h2>L’impact environnemental de la transition numérique devient gérable si elle est plus sobre</h2><p><strong><span><em>The Shift Project</em> propose une définition de la sobriété numérique : acheter les équipements les moins puissants possibles, les changer le moins souvent possible, et réduire les usages énergivores superflus.</span></strong> La sobriété numérique est une approche « lean », autrement dit au plus juste, qui est aussi source d’efficacité – énergétique, humaine, financière – pour les organisations. Son principe <a href="https://www.greenit.fr/2018/10/02/societe-sempare-de-sobriete-numerique/" target="_blank" rel="noopener">étend au niveau sociétal la prise en compte des objectifs poursuivis par les approches techniques de type « Green IT »</a> destinées prioritairement aux Directions des systèmes informatiques (DSI), et confirme l’importance et la pertinence de ces approches.</p><p><strong><span>Passer de l’intempérance à la sobriété dans notre relation au numérique</span></strong> permet de ramener l’augmentation de consommation d’énergie du numérique à 1,5 %, ce qui n’est que similaire à la tendance globale tous secteurs confondus (…et n’est donc pas en soi compatible avec les objectifs de l’Accord de Paris). La mise en œuvre de la sobriété numérique telle que nous la proposons permettrait donc seulement de contenir l’explosion en cours de l’empreinte environnementale du numérique. Telle qu’elle est représentée dans notre scénario 2018-2025 “Sobriety”, cette sobriété numérique ne remettrait pas en cause le principe de la transition numérique. Ainsi, dans ce scénario, le volume de données échangées continue à croître, et le nombre de smartphones et téléviseurs produits chaque année se stabilise au niveau de 2017 – alors que les marchés des pays développés sont déjà aujourd’hui proches de la saturation.</p><h2>Tous concernés par la sobriété numérique</h2><p><strong><span>Accélérer la prise de conscience de l’impact environnemental du numérique</span></strong>, dans les entreprises et organisations publiques, dans le monde de la recherche et au sein du grand public est un préalable. Cette prise de conscience permettra d’intégrer l’impact du numérique comme critère de décision dans toutes les politiques d’achat et d’utilisation des équipements électroniques. La prise de conscience et l’action doivent se faire à l’échelle européenne et avec les organisations internationales, compte tenu de l’envergure mondiale et de la puissance économique des acteurs principaux du numérique.</p><p><span><strong>Les organisations publiques et privées peuvent jouer un rôle majeu<span>r</span>, en pilotant environnementalement leur transition numérique… à condition qu’elles disposent de références et d’outils adéquats.</strong></span> Elles doivent pouvoir prendre en compte l’impact environnemental de la composante numérique des choix qu’elles envisagent, à différents niveaux de pilotage.</p><p><strong><span><em>The Shift Project</em> a développé de tels outils.</span></strong> <strong>Le Référentiel Environnemental du Numérique (REN) proposé par le <em>Shift</em> donne, de manière accessible, des ordres de grandeur vérifiés sur l’énergie et les matières premières mobilisées</strong> par la production et l’utilisation de technologies numériques courantes. Le Shift propose à la puissance publique de fonder une base de données publique (sur le modèle de la base carbone de l’Ademe) pour permettre aux acteurs d’analyser leur impact environnemental. Grâce à cela, il sera possible de procéder à un bilan carbone des grands projets numériques avant de les lancer. Le <em>Shift</em> propose également aux dirigeants des mesures leur permettant d’agir sur la demande et la consommation de services numériques, et à l’État des principes de politiques publiques pour limiter cet impact. Ces outils sont destinés à la fois aux pays en développement et aux pays développés.</p><h2>Retrouver une capacité à interroger l’utilité sociale et économique de nos comportements</h2><p><strong><span>Il est nécessaire de retrouver une capacité individuelle et collective à interroger l’utilité sociale et économique de nos comportements d’achat et de consommation d’objets et de services numériques</span></strong>, et d’adapter nos comportements en conséquence. La sobriété numérique doit être adoptée comme un principe d’action. La pression de l’offre (GAFAM, BATX*) et les attentes de croissance du PIB associées à la numérisation ne peuvent servir de seuls juges dans la sélection des projets numériques.</p><p><strong>Les entreprises ont un rôle clé à jouer, et beaucoup à gagner</strong> – notamment la poursuite durable de leur transition numérique et la limitation des coûts.</p><p><strong>Dans les pays en développement, les gains économiques, environnementaux et sociaux potentiels promettent d’être plus importants</strong>, car les infrastructures y sont encore largement à créer.</p><p><strong>Dans les pays développés, il serait grand temps de s’interroger davantage sur les multiples facettes – sociales, sanitaires, etc. – de la surconsommation numérique</strong>, en complément de l’impact environnemental généré. <strong><span>Chiche ?</span></strong></p><p><em>*GAFAM (Google, Apple, Facebook, Amazon, Microsoft), BATX (Baidu, Alibaba, Tencent Xiaomi)</em></p><p> </p><p>—</p><p><strong>Le rapport « Pour une sobriété numérique » du think tank <em>The Shift Project</em> est le fruit d’un groupe de travail dirigé par Hugues Ferreboeuf</strong>, ingénieur polytechnicien et diplômé de Télécom ParisTech qui a dirigé plusieurs sociétés du secteur numérique. Le groupe de travail est composé d’universitaires, d’experts et de professionnels du secteur : Françoise Berthoud (CNRS, GDS EcoInfo), Philippe Bihouix (exp. métaux), Pierre Fabre (AFD), Daniel Kaplan (FING), Laurent Lefèvre (INRIA), Alexandre Monnin (INRIA, ESC-Clermont Origens Medialab), Olivier Ridoux (IRISA, Université de Rennes), Samuli Vaija (exp. ACV), Marc Vautier (exp. éco-conception), Xavier Verne (exp. grands projets informatiques), Alain Ducass (exp. énergie et numérique en Afrique), Maxime Efoui-Hess (TSP), Zeynep Kahraman (TSP).</p><p><strong>Contact : </strong>Jean-Noël Geist, Chargé des affaires publiques, The Shift Project – jean-noel.geist@theshiftproject.org | 06 95 10 81 91</p><p id="jp-relatedposts" class="jp-relatedposts"><h3 class="jp-relatedposts-headline"><em>Articles similaires</em></h3></p></div>