title: Solastalgia: The Origins and Definition
url: http://healthearth.blogspot.ca/2008/01/solastalgia-history-and-definition.html
hash_url: d05ae3f2427f882df18de32c5b6fa65e

<p>
As an environmental philosopher at The University of Newcastle I had a reputation within my region as an activist and advocate for environmental conservation and I had published a number of academic and media articles on the environmental history and sustainability of the Hunter Region.</p><p>From about the year 2000 onwards, residents within the region would often ring me at work and talk to me about their concerns about particular environmental issues and I would advise and help as best I could.</p><p>However, I began to notice the increasing number of people who were concerned about the sheer scale of the environmental impacts in the Upper Hunter Region of NSW. In their attempts to halt the expansion of open cut coal mining and to control the impact of power station pollution, individuals would ring me at work pleading for help with their cause. These people were clearly distressed about the relationship to their home environment and the threat to their identity and well-being from changes to their environment. A visit to the Upper Hunter and close examination of the mining affected landscape confirmed the sheer scale and intensity of the negative changes to the environment.</p><p align="left"><a href="http://3.bp.blogspot.com/_eYYGQV9aC-k/R4mIMY_KNKI/AAAAAAAAAAc/03xC7QgjLz4/s1600-h/Nov+and+December+Xmas+2007+005.jpg"><img alt="" border="0" id="BLOGGER_PHOTO_ID_5154800994949412002" src="http://3.bp.blogspot.com/_eYYGQV9aC-k/R4mIMY_KNKI/AAAAAAAAAAc/03xC7QgjLz4/s320/Nov+and+December+Xmas+2007+005.jpg"/></a></p><p align="left"><a href="http://3.bp.blogspot.com/_eYYGQV9aC-k/R4mIMY_KNKI/AAAAAAAAAAc/03xC7QgjLz4/s1600-h/Nov+and+December+Xmas+2007+005.jpg"/></p><a href="http://3.bp.blogspot.com/_eYYGQV9aC-k/R4mIMY_KNKI/AAAAAAAAAAc/03xC7QgjLz4/s1600-h/Nov+and+December+Xmas+2007+005.jpg"/><a href="http://3.bp.blogspot.com/_eYYGQV9aC-k/R4mIMY_KNKI/AAAAAAAAAAc/03xC7QgjLz4/s1600-h/Nov+and+December+Xmas+2007+005.jpg"/><a href="http://3.bp.blogspot.com/_eYYGQV9aC-k/R4mIMY_KNKI/AAAAAAAAAAc/03xC7QgjLz4/s1600-h/Nov+and+December+Xmas+2007+005.jpg"/><a href="http://3.bp.blogspot.com/_eYYGQV9aC-k/R4mIMY_KNKI/AAAAAAAAAAc/03xC7QgjLz4/s1600-h/Nov+and+December+Xmas+2007+005.jpg"/><a href="http://3.bp.blogspot.com/_eYYGQV9aC-k/R4mIMY_KNKI/AAAAAAAAAAc/03xC7QgjLz4/s1600-h/Nov+and+December+Xmas+2007+005.jpg"/><a href="http://3.bp.blogspot.com/_eYYGQV9aC-k/R4mIMY_KNKI/AAAAAAAAAAc/03xC7QgjLz4/s1600-h/Nov+and+December+Xmas+2007+005.jpg"/><p>I had been thinking about the relationship between environmental change, ecosystem distress and human distress for some time. Under the influence of Canadian ecosystem health guru David Rapport and his concept of ‘ecosystem distress syndrome’ I had been working through some of the influences on my own thinking about this relationship. The two major influences at this time were Aldo Leopold and his own concept of ‘land health’ and the Australia’s own pioneer environmental thinker, Elyne Mitchell.</p><p>I sought a suitable concept to describe the distress the people in the Upper Hunter were suffering. One word, ‘nostalgia’, came to prominence as it was once a concept linked to a diagnosable illness associated with the melancholia of homesickness for people who were distant from their home. It seemed very close to the condition that Upper Hunter people were manifesting yet had an obvious limitation in that I was dealing with people who were not distant from their home.</p><strong><span>Nostalgia</span></strong><p>Nostalgia (from the Greek </p><em>nostos</em><p> - return to home or native land - and the New Latin suffix </p><em>algia</em><p> - pain or sickness from the Greek root </p><em>algos</em><p>) or literally, the sickness caused by the intense desire to return home was considered to be a medically diagnosable psycho - physiological disease right up to the middle of the C20. Found in the English language from 1757, nostalgia has been defined differently in different epochs. In 1905 nostalgia was defined as “…a feeling of melancholy caused by grief on account of absence from one’s home country, of which the English equivalent is homesickness. Nostalgia represents a combination of psychic disturbances and must be regarded as a disease. It can lead to melancholia and even death. It is more apt to affect persons whose absence from home is forced rather than voluntary" (William Fiennes 2002:122).</p><p>Nostalgia was particularly evident in soldiers fighting in foreign countries who experienced homesickness to the point where they became ill and unable to perform their duties. The cure for nostalgia was a prescription for afflicted soldiers to return home to recuperate and restore their well-being and health. According to Feinnes, nostalgia was still being discussed in journals such as War Medicine in the 1940s and “as late as 1946 was termed a possibly fatal ‘psycho-physiological’ complaint by an eminent social scientist”.</p><p>However, in general, reference to ‘nostalgia’ as a sickness resulting from a longing or desire to return home while one is away from ‘home’ is no longer in common use. The more frequent modern use of the term loses its connection to the geographical or spatial ‘home’ and suggests a temporal dimension or ‘looking back’, a desire to be connected with a positively perceived period in the past. Typically, there is a longing for a cultural setting in the past in which a person felt more ‘at home’ than the present. For individuals who see the past as better than the present there is the possibility that nostalgia remains a very real experience that can lead to deep distress. For example, for Indigenous people who have been dispossessed of their lands and culture, the nostalgia for a past where former geographical and cultural integration was both highly valued and sustainable is an ongoing painful experience.</p><p>In the Upper Hunter, people were suffering from both imposed place transition (place pathology) and powerlessness (environmental injustice). In overview, there seemed to be some justification for the creation of a new concept that captured the conceptual space or territory connected to this particular constellation of the factors that define place and identity. The people I was concerned about were still ‘at home’, but felt a similar melancholia as that caused by nostalgia connected to the breakdown of the normal relationship between their psychic identity and their home. What these people lacked was solace or comfort derived from their present relationship to a ‘home’ that was being desolated. In addition, they felt a profound sense of isolation about their inability to have a meaningful say and impact on the state of affairs that caused their distress. ‘Solastalgia’ was created to describe the specific form of melancholia connected to lack of solace and sense of desolation in the everyday and lived experience of people within their ‘home’. The English language lacked such a concept.</p><strong><span>Solastalgia</span></strong><p>Solastalgia has its origins in the concepts of nostalgia, solace and desolation. Solace is derived from the Latin verb </p><em>solari</em><p> (noun </p><em>solacium</em><p> or </p><em>solatium</em><p>), with meanings connected to the alleviation or relief of distress or to the provision of comfort or consolation in the face of distressing events. Solace has connections to both psychological and physical contexts. One emphasis refers to the comfort one is given in difficult times (consolation) while another refers to that which gives comfort or strength. A person or a landscape might give solace, strength or support to other people. Special environments might provide solace in ways that other places cannot. If a person lacks solace then they are distressed and in need of consolation. If a person seeks solace or solitude in a much loved place that is being desolated, then they will suffer distress.</p><p>Desolation has its origins in the Latin </p><em>solus</em><p> (noun </p><em>desolare</em><p>) with meanings connected to devastation, deprivation of comfort, abandonment and loneliness. It too has meanings that relate to both psychological and physical contexts … a personal feeling of abandonment (isolation) and to a landscape that has been devastated.</p><p>In addition, the concept of solastalgia has been constructed such that it has a ghost reference or structural similarity to nostalgia thereby ensuring that a place reference is imbedded.</p><p>Hence, solastalgia has its origins in the New Latin word ‘nostalgia’ (and its Greek roots </p><em>nostos </em><p>and </p><em>algos</em><p>), however, it is based on two Latin roots, ‘solace’ and ‘desolation’, with a New Latin suffix, algia or pain, to complete its meaning.</p><p>Solastalgia is the pain or sickness caused by the loss or lack of solace and the sense of desolation connected to the present state of one’s home and territory. It is the 'lived experience' of negative environmental change. It is the homesickness you have when you are still at home. It is that feeling you have when your sense of place is under attack. While I claim responsibility for creating the concept of solastalgia and its meaning, I am aware that that the existential experience underlying it is not new ... only that it is newly defined in English (but possibly represented in many other languages). The experience of solastalgia might well be ancient and ubiquitous and under the impact of relentless environmental change, ecosystem distress and climate chaos, it may well become much more common. It is my sincere hope that the negative experience of solastalgia can be overcome by the restoration of ecosystem and human health via every form of creative enterprise at our disposal.
</p>
