title: How the internet flips elections and alters our thoughts
url: https://aeon.co/essays/how-the-internet-flips-elections-and-alters-our-thoughts
hash_url: e9265c0f50ed97b532690cd93ba3c770

<p data-uuid="5f71b967-7a88-f23f-6d31-27ae19372dc3">Over the past century, more than a few great writers have expressed concern about humanity’s future. In <em>The Iron Heel</em> (1908), the American writer Jack London pictured a world in which a handful of wealthy corporate titans – the ‘oligarchs’ – kept the masses at bay with a brutal combination of rewards and punishments. Much of humanity lived in virtual slavery, while the fortunate ones were bought off with decent wages that allowed them to live comfortably – but without any real control over their lives.</p><p data-uuid="778cad28-b813-e29b-9007-10f02ebfd25b">In <em>We </em>(1924), the brilliant Russian writer Yevgeny Zamyatin, anticipating the excesses of the emerging Soviet Union, envisioned a world in which people were kept in check through pervasive monitoring. The walls of their homes were made of clear glass, so everything they did could be observed. They were allowed to lower their shades an hour a day to have sex, but both the rendezvous time and the lover had to be registered first with the state.</p><p data-uuid="fac44ee0-bd38-2e2c-415b-8c9b01cc9120"/><p class="debug"/><p data-uuid="3c3e5e91-f013-4b60-4ae3-cb7906fc2042">In <em>Brave New World</em> (1932), the British author Aldous Huxley pictured a near-perfect society in which unhappiness and aggression had been engineered out of humanity through a combination of genetic engineering and psychological conditioning. And in the much darker novel <em>1984</em> (1949), Huxley’s compatriot George Orwell described a society in which thought itself was controlled; in Orwell’s world, children were taught to use a simplified form of English called Newspeak in order to assure that they could never express ideas that were dangerous to society.</p><p data-uuid="4d7f8f72-d2b2-fbf2-87f3-f5b53196c13a">These are all fictional tales, to be sure, and in each the leaders who held the power used conspicuous forms of control that at least a few people actively resisted and occasionally overcame. But in the non-fiction bestseller <em>The Hidden Persuaders</em> (1957) – recently released in a 50th-anniversary edition – the American journalist Vance Packard described a ‘strange and rather exotic’ type of influence that was rapidly emerging in the United States and that was, in a way, more threatening than the fictional types of control pictured in the novels. According to Packard, US corporate executives and politicians were beginning to use subtle and, in many cases, <em>completely undetectable</em> methods to change people’s thinking, emotions and behaviour based on insights from psychiatry and the social sciences.</p><p data-uuid="9c952f2a-1984-561b-089f-3d3412bb9403">Most of us have heard of at least one of these methods: <em>subliminal stimulation, </em>or what Packard called ‘subthreshold effects’ – the presentation of short messages that tell us what to do but that are flashed so briefly we aren’t aware we have seen them. In 1958, propelled by public concern about a theatre in New Jersey that had supposedly hidden messages in a movie to increase ice cream sales, the National Association of Broadcasters – the association that set standards for US television – amended its code to prohibit the use of subliminal messages in broadcasting. In 1974, the Federal Communications Commission opined that the use of such messages was ‘contrary to the public interest’. Legislation to prohibit subliminal messaging was also introduced in the US Congress but never enacted. Both the UK and Australia have strict laws prohibiting it.</p><p data-uuid="993f4161-2d6d-d0d7-447d-20583fd962f6">Subliminal stimulation is probably still in wide use in the US – it’s hard to detect, after all, and no one is keeping track of it – but it’s probably not worth worrying about. Research suggests that it has only a small impact, and that it mainly influences people who are already motivated to follow its dictates; subliminal directives to drink affect people only if they’re already thirsty.</p><p data-uuid="ace0ec47-e011-dcb3-92f3-e1866b3408c3">Packard had uncovered a much bigger problem, however – namely that powerful corporations were constantly looking for, and in many cases already applying, a wide variety of techniques for controlling people without their knowledge. He described a kind of cabal in which marketers worked closely with social scientists to determine, among other things, how to get people to buy things they didn’t need and how to condition young children to be good consumers – inclinations that were explicitly nurtured and trained in Huxley’s <em>Brave New World</em>. Guided by social science, marketers were quickly learning how to play upon people’s insecurities, frailties, unconscious fears, aggressive feelings and sexual desires to alter their thinking, emotions and behaviour without any awareness that they were being manipulated.</p><p data-uuid="33482cf4-7a2a-126e-6417-19c23e7c285e">By the early 1950s, Packard said, politicians had got the message and were beginning to merchandise themselves using the same subtle forces being used to sell soap. Packard prefaced his chapter on politics with an unsettling quote from the British economist Kenneth Boulding: ‘A world of unseen dictatorship is conceivable, still using the forms of democratic government.’ Could this really happen, and, if so, how would it work?</p><p data-uuid="54c779cf-e844-6124-6959-982e465bb55c"/><div class="shortcode-inline-newsletter"><p class="shortcode-inline-newsletter__title">Get Aeon straight to your inbox</p></div><p data-uuid="a34c52f1-5f48-7af8-bb30-f60bc56bd0dd"><span class="drop">T</span>he forces that Packard described have become more pervasive over the decades. The soothing music we all hear overhead in supermarkets causes us to walk more slowly and buy more food, whether we need it or not. Most of the vacuous thoughts and intense feelings our teenagers experience from morning till night are carefully orchestrated by highly skilled marketing professionals working in our fashion and entertainment industries. Politicians work with a wide range of consultants who test every aspect of what the politicians do in order to sway voters: clothing, intonations, facial expressions, makeup, hairstyles and speeches are all optimised, just like the packaging of a breakfast cereal.</p><p data-uuid="06deaa83-582d-003f-5bb8-96c1d7c55551">Fortunately, all of these sources of influence operate competitively. Some of the persuaders want us to buy or believe one thing, others to buy or believe something else. It is the competitive nature of our society that keeps us, on balance, relatively free.</p><p data-uuid="b2f836d6-adfe-a0a3-ff1a-c55df089ccc1">But what would happen if new sources of control began to emerge that had little or no competition? And what if new means of control were developed that were far more powerful – and far more <em>invisible</em> – than any that have existed in the past? And what if new types of control allowed a handful of people to exert enormous influence not just over the citizens of the US but over most of the people on Earth?</p><p data-uuid="4e48f0db-673e-52e7-8e77-d7f04abbc4f0">It might surprise you to hear this, but these things have already happened.</p><p data-uuid="acf17800-9f94-3900-ef7d-116966fc1049"><span class="pullquote"><em>Google decides which web pages to include in search results, and how to rank them.</em><span> How it does so is one of the best-kept secrets in the world, like the formula for Coca-Cola</span></span></p><p data-uuid="f15baf16-9ea3-1503-01b7-0a0a15928851">To understand how the new forms of mind control work, we need to start by looking at the search engine – one in particular: the biggest and best of them all, namely Google. The Google search engine is so good and so popular that the company’s name is now a commonly used verb in languages around the world. To ‘Google’ something is to look it up on the Google search engine, and that, in fact, is how most computer users worldwide get most of their information about just about everything these days. They <em>Google</em> it. Google has become the main gateway to virtually all knowledge, mainly because the search engine is so good at giving us exactly the information we are looking for, almost instantly and almost always in the first position of the list it shows us after we launch our search – the list of ‘search results’.</p><p data-uuid="88f093af-a67a-29d6-e2f3-c1ec883c1586">That ordered list is so good, in fact, that about 50 per cent of our clicks go to the top two items, and more than 90 per cent of our clicks go to the 10 items listed on the first page of results; few people look at other results pages, even though they often number in the thousands, which means they probably contain lots of good information. Google decides which of the billions of web pages it is going to include in our search results, and it also decides how to rank them. How it decides these things is a deep, dark secret – one of the best-kept secrets in the world, like the formula for Coca-Cola.</p><p data-uuid="290f045e-96e2-c24f-c174-847fcc2f3aa5">Because people are far more likely to read and click on higher-ranked items, companies now spend billions of dollars every year trying to trick Google’s search algorithm – the computer program that does the selecting and ranking – into boosting them another notch or two. Moving up a notch can mean the difference between success and failure for a business, and moving into the top slots can be the key to fat profits.</p><p data-uuid="e9120515-12bc-962e-40eb-c77d80606b4f">Late in 2012, I began to wonder whether highly ranked search results could be impacting more than consumer choices. Perhaps, I speculated, a top search result could have a small impact on people’s opinions about things. Early in 2013, with my associate Ronald E Robertson of the <span><a href="http://aibrt.org/" target="_blank">American Institute for Behavioral Research and Technology</a></span> in Vista, California, I put this idea to a test by conducting an experiment in which 102 people from the San Diego area were randomly assigned to one of three groups. In one group, people saw search results that favoured one political candidate – that is, results that linked to web pages that made this candidate look better than his or her opponent. In a second group, people saw search rankings that favoured the opposing candidate, and in the third group – the control group – people saw a mix of rankings that favoured neither candidate. The same search results and web pages were used in each group; the only thing that differed for the three groups was the ordering of the search results.</p><p data-uuid="99436a4f-43b7-da4a-dda4-cd4f62e78754">To make our experiment realistic, we used real search results that linked to real web pages. We also used a real election – the 2010 election for the prime minister of Australia. We used a foreign election to make sure that our participants were ‘undecided’. Their lack of familiarity with the candidates assured this. Through advertisements, we also recruited an ethnically diverse group of registered voters over a wide age range in order to match key demographic characteristics of the US voting population.</p><p data-uuid="4ae979bd-1508-9e25-407d-74cea2464fd2">All participants were first given brief descriptions of the candidates and then asked to rate them in various ways, as well as to indicate which candidate they would vote for; as you might expect, participants initially favoured neither candidate on any of the five measures we used, and the vote was evenly split in all three groups. Then the participants were given up to 15 minutes in which to conduct an online search using ‘Kadoodle’, our mock search engine, which gave them access to five pages of search results that linked to web pages. People could move freely between search results and web pages, just as we do when using Google. When participants completed their search, we asked them to rate the candidates again, and we also asked them again who they would vote for.</p><p data-uuid="4a77424e-8937-3517-7c6b-a69599d72968">We predicted that the opinions and voting preferences of 2 or 3 per cent of the people in the two bias groups – the groups in which people were seeing rankings favouring one candidate – would shift toward that candidate. What we actually found was astonishing. The proportion of people favouring the search engine’s top-ranked candidate increased by <em>48.4 per cent</em>, and all five of our measures shifted toward that candidate. What’s more, 75 per cent of the people in the bias groups seemed to have been completely unaware that they were viewing biased search rankings. In the control group, opinions did not shift significantly.</p><p data-uuid="a503fbe0-87a5-9a96-9b5c-2273c491ae96"><span class="drop">T</span>his seemed to be a major discovery. The shift we had produced, which we called the Search Engine Manipulation Effect (or SEME, pronounced ‘seem’), appeared to be one of the largest behavioural effects ever discovered. We did not immediately uncork the Champagne bottle, however. For one thing, we had tested only a small number of people, and they were all from the San Diego area.</p><p data-uuid="5dafe49f-874a-8248-d028-25074c468ead">Over the next year or so, we replicated our findings three more times, and the third time was with a sample of more than 2,000 people from all 50 US states. In that experiment, the shift in voting preferences was 37.1 per cent and even higher in some demographic groups – as high as 80 per cent, in fact.</p><p data-uuid="c68ee986-fb02-5248-de62-3cc313c6dc99">We also learned in this series of experiments that by reducing the bias just slightly on the first page of search results – specifically, by including one search item that favoured the <em>other </em>candidate in the third or fourth position of the results – we could <em>mask</em> our manipulation so that few or even <em>no</em> people were aware that they were seeing biased rankings. We could still produce dramatic shifts in voting preferences, but we could do so <em>invisibly</em>.</p><p data-uuid="b1520145-9a6e-bba2-647d-23505f37c090">Still no Champagne, though. Our results were strong and consistent, but our experiments all involved a foreign election – that 2010 election in Australia. Could voting preferences be shifted with real voters in the middle of a real campaign? We were skeptical. In real elections, people are bombarded with multiple sources of information, and they also know a lot about the candidates. It seemed unlikely that a single experience on a search engine would have much impact on their voting preferences.</p><p data-uuid="a67636e0-5070-f0d4-7207-cda3849b6928">To find out, in early 2014, we went to India just before voting began in the largest democratic election in the world – the Lok Sabha election for prime minister. The three main candidates were Rahul Gandhi, Arvind Kejriwal, and Narendra Modi. Making use of online subject pools and both online and print advertisements, we recruited 2,150 people from 27 of India’s 35 states and territories to participate in our experiment. To take part, they had to be registered voters who had not yet voted and who were still undecided about how they would vote. </p><p data-uuid="61b3ca33-8066-35d9-fc91-1b1e25f618ca"><span class="pullquote"><span>unlike subliminal stimuli, SEME has an enormous impact – like Casper the ghost pushing you down a flight of stairs</span></span></p><p data-uuid="a372aa79-c2f5-6091-e51e-8175a87c9f4a">Participants were randomly assigned to three search-engine groups, favouring, respectively, Gandhi, Kejriwal or Modi. As one might expect, familiarity levels with the candidates was high – between 7.7 and 8.5 on a scale of 10. We predicted that our manipulation would produce a very small effect, if any, but that’s not what we found. On average, we were able to shift the proportion of people favouring any given candidate by more than 20 per cent overall and more than 60 per cent in some demographic groups. Even more disturbing, 99.5 per cent of our participants showed no awareness that they were viewing biased search rankings – in other words, that they were being manipulated.</p><p data-uuid="539ab341-3152-25bf-b6d6-7588c2bde122">SEME’s near-invisibility is curious indeed. It means that when people – including you and me – are looking at biased search rankings, <em>they look just fine</em>. So if right now you Google ‘US presidential candidates’, the search results you see will probably look fairly random, <em>even if they happen to favour one candidate</em>. Even I have trouble detecting bias in search rankings that I <em>know</em> to be biased (because they were prepared by my staff). Yet our randomised, controlled experiments tell us over and over again that when higher-ranked items connect with web pages that favour one candidate, this has a dramatic impact on the opinions of undecided voters, in large part for the simple reason that people tend to click only on higher-ranked items. This is truly scary: like subliminal stimuli, SEME is a force you can’t see; but unlike subliminal stimuli, it has an enormous impact – like Casper the ghost pushing you down a flight of stairs.</p><p data-uuid="f5610202-9ac2-d7ee-953c-b72be51fc54d">We published a detailed <a href="http://www.pnas.org/content/112/33/E4512.full.pdf?with-ds=yes" target="_blank">report</a> about our first five experiments on SEME in the prestigious <em>Proceedings of the National Academy of Sciences</em> (PNAS) in August 2015. We had indeed found something important, especially given Google’s dominance over search. Google has a near-monopoly on internet searches in the US, with 83 per cent of Americans specifying Google as the search engine they use most often, according to the <span><a href="http://www.pewinternet.org/2012/03/09/search-engine-use-2012/" target="_blank">Pew Research Center</a></span>. So if Google favours one candidate in an election, its impact on undecided voters could easily decide the election’s outcome. </p><p data-uuid="7469c27b-d2e0-ba8f-a8a3-728f59097762">Keep in mind that we had had only one shot at our participants. What would be the impact of favouring one candidate in searches people are conducting over a period of weeks or months before an election? It would almost certainly be much larger than what we were seeing in our experiments.</p><p data-uuid="1968a455-5f23-490d-aef9-b3809f87d8ff">Other types of influence during an election campaign are balanced by competing sources of influence – a wide variety of newspapers, radio shows and television networks, for example – but Google, for all intents and purposes, has no competition, and people trust its search results implicitly, assuming that the company’s mysterious search algorithm is entirely objective and unbiased. This high level of trust, combined with the lack of competition, puts Google in a unique position to impact elections. Even more disturbing, the search-ranking business is entirely unregulated, so Google could favour any candidate it likes without violating any laws. <span><a href="http://digitalcommons.law.umaryland.edu/cgi/viewcontent.cgi?article=2530&amp;context=fac_pubs" target="_blank">Some courts</a></span> have even ruled that Google’s right to rank-order search results as it pleases is protected as a form of free speech.</p><p data-uuid="cc43b813-eb29-45de-3c76-b1ec8f416a77">Does the company ever favour particular candidates? In the 2012 US presidential election, Google and its top executives donated more than $800,000 to President Barack Obama and just $37,000 to his opponent, Mitt Romney. And in 2015, a team of researchers from the University of Maryland and elsewhere <a href="http://www.slate.com/articles/technology/future_tense/2015/12/why_google_search_results_favor_democrats.html" target="_blank">showed</a> that Google’s search results routinely favoured Democratic candidates. Are Google’s search rankings really biased? An <span><a href="http://www.wsj.com/articles/how-google-skewed-search-results-1426793553" target="_blank">internal report</a></span> issued by the US Federal Trade Commission in 2012 concluded that Google’s search rankings routinely put Google’s financial interests ahead of those of their competitors, and anti-trust actions currently under way against Google in both the <span><a href="http://www.bloomberg.com/news/articles/2015-04-14/google-faces-fines-search-constraints-as-eu-decision-approaches" target="_blank">European Union</a></span> and <span><a href="http://www.dailytech.com/India+Could+Rock+Google+With+Its+Biggest+Antitrust+Fine+Yet++5B+USD/article34488.htm" target="_blank">India</a></span> are based on similar findings.</p><p data-uuid="4af49bbe-02a7-f89a-0c87-5b94a10f9608">In most countries, 90 per cent of online search is conducted on Google, which gives the company even more power to flip elections than it has in the US and, with internet penetration increasing rapidly worldwide, this power is growing. In our <em>PNAS</em> article, Robertson and I calculated that Google now has the power to flip upwards of <em>25 per cent of the national elections in the world</em> with no one knowing this is occurring. In fact, we estimate that, with or without deliberate planning on the part of company executives, Google’s search rankings have been impacting elections for years, with growing impact each year. And because search rankings are ephemeral, they leave no paper trail, which gives the company complete deniability.</p><p data-uuid="eaf1c2d4-66ed-da38-f398-2286f3ca00b4">Power on this scale and with this level of invisibility is unprecedented in human history. But it turns out that our discovery about SEME was just the tip of a very large iceberg.</p><p data-uuid="c86aa28b-3f41-80a5-ab1f-6d8404301c5c"><span class="drop">R</span>ecent <span><a href="http://www.cio.com/article/2976083/social-networking/why-social-media-could-swing-the-2016-presidential-election.html" target="_blank">reports</a></span> suggest that the Democratic presidential candidate Hillary Clinton is making heavy use of social media to try to generate support – Twitter, Instagram, Pinterest, Snapchat and Facebook, for starters. At this writing, she has 5.4 million followers on Twitter, and her staff is tweeting several times an hour during waking hours. The Republican frontrunner, Donald Trump, has 5.9 million Twitter followers and is tweeting just as frequently.</p><p data-uuid="68590310-e7fe-0732-034f-19886c90cce6">Is social media as big a threat to democracy as search rankings appear to be? Not necessarily. When new technologies are used competitively, they present no threat. Even through the platforms are new, they are generally being used the same way as billboards and television commercials have been used for decades: you put a billboard on one side of the street; I put one on the other. I might have the money to erect more billboards than you, but the process is still competitive.</p><p data-uuid="83e41920-acd2-f525-7aa3-677b03652710">What happens, though, if such technologies are misused by the companies that own them? A <a href="http://www.nature.com/nature/journal/v489/n7415/abs/nature11421.html" target="_blank">study</a> by Robert M Bond, now a political science professor at Ohio State University, and others published in <em>Nature</em> in 2012 described an ethically questionable experiment in which, on election day in 2010, Facebook sent ‘go out and vote’ reminders to more than 60 million of its users. The reminders caused about 340,000 people to vote who otherwise would not have. Writing in the <em><a href="https://newrepublic.com/article/117878/information-fiduciary-solution-facebook-digital-gerrymandering" target="_blank">New Republic</a></em> in 2014, Jonathan Zittrain, professor of international law at Harvard University, pointed out that, given the massive amount of information it has collected about its users, Facebook could easily send such messages only to people who support one particular party or candidate, and that doing so could easily flip a close election – <em>with no one knowing that this has occurred</em>. And because advertisements, like search rankings, are ephemeral, manipulating an election in this way would leave no paper trail.</p><p data-uuid="8d064753-ecda-5882-51ce-44790fb162e9">Are there laws prohibiting Facebook from sending out ads selectively to certain users? Absolutely not; in fact, targeted advertising is how Facebook makes its money. Is Facebook currently manipulating elections in this way? No one knows, but in my view it would be foolish and possibly even improper for Facebook <em>not</em> to do so. Some candidates are better for a company than others, and Facebook’s executives have a fiduciary responsibility to the company’s stockholders to promote the company’s interests.</p><p data-uuid="0c0a26b9-8e69-14fc-21da-90a97f20678c">The Bond study was largely ignored, but <span><a href="http://www.pnas.org/content/111/24/8788.full.pdf" target="_blank">another Facebook experiment</a></span>, published in 2014 in <em>PNAS</em>, prompted protests around the world. In this study, for a period of a week, 689,000 Facebook users were sent news feeds that contained either an excess of positive terms, an excess of negative terms, or neither. Those in the first group subsequently used slightly more positive terms in their communications, while those in the second group used slightly more negative terms in their communications. This was said to show that people’s ‘emotional states’ could be deliberately manipulated on a massive scale by a social media company, an idea that many people found disturbing. People were also upset that a large-scale experiment on emotion had been conducted without the explicit consent of any of the participants.</p><p data-uuid="a0530c90-cec4-287f-763d-8a913f3a72a1">Facebook’s consumer profiles are undoubtedly massive, but they pale in comparison with those maintained by Google, which is collecting information about people 24/7, using <span><a href="http://www.usnews.com/opinion/articles/2013/05/10/15-ways-google-monitors-you" target="_blank">more than 60 different observation platforms</a></span> – the search engine, of course, but also Google Wallet, Google Maps, Google Adwords, Google Analytics, Chrome, Google Docs, Android, YouTube, and on and on. Gmail users are generally oblivious to the fact that Google stores and analyses every email they write, even the drafts they never send – as well as all the <em>incoming</em> email they receive from both Gmail and non-Gmail users.</p><p data-uuid="2ea18de8-881f-2ff8-aecc-30da182749ce"><span class="pullquote"><span>if Google set about to fix an election, it could identify just those voters who are undecided. Then it could send customised rankings favouring one candidate to </span><em>just those people</em></span></p><p data-uuid="8b3b267e-4a08-bed9-dd37-ec23eb7d210c">According to Google’s <span><a href="http://google.com/policies/privacy" target="_blank">privacy policy</a></span> – to which one assents whenever one uses a Google product, even when one has not been informed that he or she is using a Google product – Google can share the information it collects about you with almost anyone, including government agencies. But never with <em>you</em>. Google’s privacy is sacrosanct; yours is nonexistent.</p><p data-uuid="468ab48c-46c2-136c-1cad-d74939aae714">Could Google and ‘those we work with’ (language from the privacy policy) use the information they are amassing about you for nefarious purposes – to manipulate or coerce, for example? Could inaccurate information in people’s profiles (which people have no way to correct) limit their opportunities or ruin their reputations?</p><p data-uuid="9b433c58-6550-302c-2df9-47756af089ff">Certainly, if Google set about to fix an election, it could first dip into its massive database of personal information to identify just those voters who are undecided. Then it could, day after day, send customised rankings favouring one candidate to <em>just those people</em>. One advantage of this approach is that it would make Google’s manipulation extremely difficult for investigators to detect.</p><p data-uuid="463419ea-7513-8a82-2743-b14effeca1cb">Extreme forms of monitoring, whether by the KGB in the Soviet Union, the Stasi in East Germany, or Big Brother in <em>1984</em>, are essential elements of all tyrannies, and technology is making both monitoring and the consolidation of surveillance data easier than ever. By 2020, China will have put in place the most ambitious government monitoring system ever created – a single database called the <span><a href="http://www.latimes.com/world/asia/la-fg-china-credit-system-20151122-story.html" target="_blank">Social Credit System</a></span>, in which multiple ratings and records for all of its 1.3 billion citizens are recorded for easy access by officials and bureaucrats. At a glance, they will know whether someone has plagiarised schoolwork, was tardy in paying bills, urinated in public, or blogged inappropriately online.</p><p data-uuid="5002b091-fa51-995c-6997-ad7cd9226856">As Edward Snowden’s revelations made clear, we are rapidly moving toward a world in which both governments and corporations – sometimes working together – are collecting massive amounts of data about every one of us every day, with few or no laws in place that restrict how those data can be used. When you combine the data collection with the desire to control or manipulate, the possibilities are endless, but perhaps the most frightening possibility is the one expressed in Boulding’s assertion that an ‘unseen dictatorship’ was possible ‘using the forms of democratic government’.</p><p data-uuid="431524ec-db13-2189-4988-48dc0ac2e29e"><span class="drop">S</span>ince Robertson and I submitted our initial report on SEME to <em>PNAS</em> early in 2015, we have completed a sophisticated series of experiments that have greatly enhanced our understanding of this phenomenon, and other experiments will be completed in the coming months. We have a much better sense now of why SEME is so powerful and how, to some extent, it can be suppressed.</p><p data-uuid="77a7222f-d981-90da-124b-c07d718c0cb3">We have also learned something very disturbing – that search engines are influencing far more than what people buy and whom they vote for. We now have evidence suggesting that on virtually all issues where people are initially undecided, search rankings are impacting almost every decision that people make. They are having an impact on the opinions, beliefs, attitudes and behaviours of internet users worldwide – entirely without people’s knowledge that this is occurring. This is happening with or without deliberate intervention by company officials; even so-called ‘organic’ search processes regularly generate search results that favour one point of view, and that in turn has the potential to tip the opinions of millions of people who are undecided on an issue. In one of our recent experiments, biased search results shifted people’s opinions about the value of fracking by 33.9 per cent.</p><p data-uuid="97c290df-71f6-5df8-f8b8-201cde0c512f">Perhaps even more disturbing is that the handful of people who do show awareness that they are viewing biased search rankings shift <em>even further</em> in the predicted direction; simply knowing that a list is biased doesn’t necessarily protect you from SEME’s power.</p><p data-uuid="9948ddaf-caf4-8f6b-229d-46869e514e99">Remember what the search algorithm is doing: in response to your query, it is <em>selecting</em> a handful of webpages from among the billions that are available, and it is <em>ordering</em> those webpages using secret criteria. Seconds later, the decision you make or the opinion you form – about the best toothpaste to use, whether fracking is safe, where you should go on your next vacation, who would make the best president, or whether global warming is real – is determined by that short list you are shown, even though you have no idea how the list was generated.</p><p data-uuid="e7d60d0c-1a22-cd6a-c6bc-7c7db0c7e1c1"><span class="pullquote"><span>The technology has made possible undetectable and untraceable manipulations of entire populations that are beyond the scope of existing regulations and laws</span></span></p><p data-uuid="b1e3ea49-8980-4ca7-1c5f-5fe870b5dd5b">Meanwhile, behind the scenes, a consolidation of search engines has been quietly taking place, so that more people are using the dominant search engine even when they think they are not. Because Google is the best search engine, and because crawling the rapidly expanding internet has become prohibitively expensive, more and more search engines are drawing their information from the leader rather than generating it themselves. The most recent deal, revealed in a <span><a href="https://www.sec.gov/Archives/edgar/data/1011006/000119312515348230/d48361d8k.htm" target="_blank">Securities and Exchange Commission filing</a></span> in October 2015, was between Google and Yahoo! Inc.</p><p data-uuid="c7134eb6-29c1-2fcc-c05b-4b13f4433b71">Looking ahead to the November 2016 US presidential election, I see clear signs that Google is backing Hillary Clinton. In April 2015, Clinton hired <span><a href="https://www.washingtonpost.com/news/post-politics/wp/2015/04/08/hillary-clinton-hires-google-executive-to-be-chief-technology-officer/" target="_blank">Stephanie Hannon</a></span> away from Google to be her chief technology officer and, a few months ago, Eric Schmidt, chairman of the holding company that controls Google, <span><a href="http://qz.com/520652/groundwork-eric-schmidt-startup-working-for-hillary-clinton-campaign/" target="_blank">set up a semi-secret company</a></span> – The Groundwork – for the specific purpose of putting Clinton in office. The formation of The Groundwork prompted Julian Assange, founder of Wikileaks, to dub Google Clinton’s ‘<a href="http://www.huffingtonpost.com/entry/julian-assange-google-hillary-clinton_us_5633acc9e4b0631799123a7d" target="_blank">secret weapon</a>’ in her quest for the US presidency.</p><p data-uuid="0ee7a4e5-dfb6-b191-7e3e-3ab0d18d6324">We now estimate that Hannon’s old friends have the power to drive between 2.6 and 10.4 million votes to Clinton on election day with no one knowing that this is occurring and without leaving a paper trail. They can also help her win the nomination, of course, by influencing undecided voters during the primaries. Swing voters have always been the key to winning elections, and there has never been a more powerful, efficient or inexpensive way to sway them than SEME.</p><p data-uuid="f08a1074-0000-1ef0-13ed-bb2bae5e1cb0">We are living in a world in which a handful of high-tech companies, sometimes working hand-in-hand with governments, are not only monitoring much of our activity, but are also invisibly controlling more and more of what we think, feel, do and say. The technology that now surrounds us is not just a harmless toy; it has also made possible undetectable and untraceable manipulations of entire populations – manipulations that have no precedent in human history and that are currently well beyond the scope of existing regulations and laws. The new hidden persuaders are bigger, bolder and badder than anything Vance Packard ever envisioned. If we choose to ignore this, we do so at our peril.</p>
