title: NewCrafts 2018
url: http://ronanamicel.tumblr.com/post/174431390297/newcrafts-2018
hash_url: f3cf6d0a13203fbcc8be2d5f7f540bbc

<div class="text"><p>Jeudi 17 et vendredi 18 mai 2018 avait lieu à Paris la conférence NewCrafts, et j'y ai participé pour la 2e année consécutive.</p><p>C'est une conférence en anglais, sur le thème du développement logiciel. L'organisation est impeccable, les intervenant(e)s varié(e)s, pointu(e)s, et inspirant(e)s.</p><p>Il y a plusieurs <em>tracks</em> en parallèle, plus des ateliers, et aussi les discussions dans les couloirs, et c'est donc parfois difficile de choisir vers où suivre ses pieds.</p><p>La première journée, j'ai assisté à pas mal de présentations, alors que la deuxième j'avais plutôt envie de pratiquer avec du code, et j'ai donc privilégié des ateliers. Et pendant ces deux jours, les différents moments de pause ont été l'occasion de nombreuses discussions enrichissantes avec les autres participants !</p><p>Voici quelques notes sur des choses qui m'ont intéressé, surpris, amusé, ou encore questionné pendant ces deux jours.</p><h3>Fighting the Invisible Enemy (Paul Rayner)</h3><p>Ce qui va à l'encontre du <em>flow</em> dans nos processus de développement de produits, ce sont les queues invisibles qui se forment : par exemple, une fonctionnalité est développée mais en attente d'être testée ou déployée.</p><p>Les queues sont des indicateurs avancés (<em>leading indicators</em>), contrairement au débit (<em>throughput</em>) ou au temps de cycle (<em>cycle time</em>). Il est donc important de prendre conscience de ces queues, de les rendre visibles, et surtout d'agir rapidement et de manière décisive quand elles commencent à grossir, avant que les conséquences ne se manifestent de manière plus problématique au niveau de l'ensemble du système.</p><p>Paul Rayner a utilisé des modèles de traffic routier (<a href="https://t.umblr.com/redirect?z=http%3A%2F%2Ftraffic-simulation.de&amp;t=NTg0NTUxZWI5ZjU1MGQ2YjJjNzhhZWMyZWMyOGYxY2RmMDE3MGUzMSw5RDhyYUYxYg%3D%3D&amp;b=t%3AiIFgGOyZQ8NQUkVSSlRl9A&amp;p=http%3A%2F%2Fronanamicel.tumblr.com%2Fpost%2F174431390297%2Fnewcrafts-2018">http://traffic-simulation.de</a>) pour illustrer de manière très parlante les comportements non linéaires qui apparaissent à la moindre perturbation dès lors que le système fonctionne à un niveau de capacité élevé.</p><p>Il nous a aussi montré un outil sur lequel il travaille, et qui s'appelle tout simplement <a href="https://t.umblr.com/redirect?z=http%3A%2F%2Fflow.virtualgenius.com&amp;t=MDBkZWVjMDU4MTJmM2I0N2Q4MDA1NTdjNTM5ZWUwZTBhYzhhNDY5Ziw5RDhyYUYxYg%3D%3D&amp;b=t%3AiIFgGOyZQ8NQUkVSSlRl9A&amp;p=http%3A%2F%2Fronanamicel.tumblr.com%2Fpost%2F174431390297%2Fnewcrafts-2018">Flow</a>. Celui-ci extrait les données temporelles depuis Pivotal Tracker / Jira / etc. pour visualiser le temps passé par chaque ticket dans chaque étape, et mieux identifier les temps d'attente.</p><p>Cette approche visuelle m'a fait penser à un autre outil du <em>Lean</em>, le diagramme de flux cumulé (<em>cumulative flow diagram</em>).</p><h3>Feature Branching is Evil (Thierry de Pauw)</h3><p>Thierry nous raconte son expérience en tant que consultant avec deux projets assez différents.</p><p>La première équipe était peu expérimentée, et n'utilisait auparavant aucun système de gestion de versions. Pour rester simple, il les a aidé à adopter Subversion : seulement deux gestes à apprendre (<em>checkout</em>, et <em>commit</em>), et pas de branches. Il avait pensé ça comme une première étape, mais en fait ça marchait pas mal.</p><p>La deuxième équipe était constituée de développeurs expérimentés, qui avait choisi d'utiliser git et le mode de fonctionnement “git flow”. Lorsqu'il leur a suggéré d'arrêter les branches à longue durée de vie, il s'est heurté à une forte incompréhension :</p><ul><li>mais les branches nous permettent de travailler chacun de notre côté sans être perturbé par les changements des autres !</li><li>mais les branches nous permettent de jeter un refactoring s'il ne va nulle part !</li><li>mais les branches nous permettent de contrôler la qualité de ce qu'on livre (via une revue de code pre-merge)</li><li>mais les branches nous permettent de contrôler quelles fonctionnalités on livre (on ne merge que quand on veut livrer)</li></ul><p>Dans sa présentation, Thierry a abordé :</p><ul><li>les inconvénients des branches à longue durée de vie :

<ul><li>elles retardent le feedback,</li><li>elles retardent l'intégration,</li><li>elles cachent le travail du reste de l'équipe et réduisent la communication,</li><li>elles découragent le refactoring,</li><li>elles créent du stock (au sens du Lean),</li><li>elles augmentent le risque,</li><li>elles créent du travail supplémentaire (brancher, rebaser, merger…),</li></ul></li><li>les avantages  du <em>trunk-based development</em> :

<ul><li>commits plus fréquents sur master → builds plus fréquents → déploiements plus fréquents → time-to-market réduit → expérimentation plus facile</li><li>builds plus fréquents → les problèmes sont détectés plus tôt → la qualité est améliorée</li></ul></li><li>comment faire du <em>trunk-based development</em> :

<ul><li>l'application est toujours prête à être livrée sur la branche principale,</li><li>découper les gros changements en petits morceaux incrémentaux,</li><li>garder cachées les nouvelles fonctionnalités non terminées,</li><li>utiliser la technique “<em>branch by abstraction</em>” pour les gros refactorings,</li><li>utiliser les <em>feature toggles</em> (mais en dernier recours)</li></ul></li><li>comment remplacer la revue de code  ?

<ul><li>le <em>pair programming</em> est une solution possible (revue de code continue <em>pre-commit</em>)</li><li>on peut aussi faire une revue de code <em>post-commit</em><ul><li><em>pre-merge</em> :  <em>pull requests</em> fréquentes sur des branches à durée de vie courte</li><li><em>post-merge</em> : revue de code de tous les commits poussés sur <em>master</em></li></ul></li></ul></li><li>au delà des raisons invoquées explicitement, quels sont les peurs qui font qu'une équipe peut résister à l'adoption de ce modèle ?

<ul><li>les développeurs ne savent pas développer par petits incréments → c'est une compétence encore trop rare, qui doit s'acquérir</li><li>la base de code est trop couplée, et manque de tests → c'est difficile de changer quoi que ce soit sans craindre de casser quelque chose</li><li>les builds sont trop lents → 🐢</li></ul></li></ul><h3>The Origins of Opera and the Future of Programming (Jessica Kerr)</h3><p>Je regrette de ne pas avoir pu voir cette présentation. En attendant la vidéo, un article de blog est disponible qui en reprend la trame : <a href="https://t.umblr.com/redirect?z=https%3A%2F%2Fthe-composition.com%2Fthe-origins-of-opera-and-the-future-of-programming-bcdaf8fbe960&amp;t=MDA0N2M1ODQzMTVmODIzZGViY2VjNTNkZGNkMjJmYmM2OTIwMWZkNSw5RDhyYUYxYg%3D%3D&amp;b=t%3AiIFgGOyZQ8NQUkVSSlRl9A&amp;p=http%3A%2F%2Fronanamicel.tumblr.com%2Fpost%2F174431390297%2Fnewcrafts-2018">https://the-composition.com/the-origins-of-opera-and-the-future-of-programming-bcdaf8fbe960</a></p><h3>Endangered Species: Senior Craftsmen (Cyrille Dupuydauby)</h3><p>Le goulot d'étranglement dans nos métiers, c'est l'apprentissage. Il n'y a pas beaucoup de développeurs qui ont 10 ans d'expérience, et encore moins qui en ont 20. Doit-on compter sur eux pour enseigner le métier aux nouveaux ? Seule une petite partie d'entre eux a envie de devenir prof, le reste préfère sans doute programmer. C'est tous ensemble, en tant que communauté, que nous devons être une organisation apprenante. Chacun, quel que soit le stade où il en est, peut aider les autres.</p><p>Slides : <a href="https://t.umblr.com/redirect?z=https%3A%2F%2Fnoti.st%2Fdupdob%2FgX1kor%2Fendangered-species-senior-crafters&amp;t=Yjg0ZDRhZTU2NmU2NmNjOWQ4YTliNWUzNmE4NGM4ZTA2NDAzODE1MSw5RDhyYUYxYg%3D%3D&amp;b=t%3AiIFgGOyZQ8NQUkVSSlRl9A&amp;p=http%3A%2F%2Fronanamicel.tumblr.com%2Fpost%2F174431390297%2Fnewcrafts-2018">https://noti.st/dupdob/gX1kor/endangered-species-senior-crafters</a></p><h3>How to take smart notes (Sönke Ahrens)</h3><p>Les conseils pour prendre des notes sont généralement de les séparer (un cahier ou carnet par sujet / matière), de les relire dès que possible… Ce sont de mauvais conseils.</p><p>Les conseils sur comment écrire un article, un rapport, un mémoire, sont très linéaires : trouvez un sujet, puis faites des recherches, puis lisez et prenez des notes, puis faites un plan, puis rédigez… L'écriture y est une tâche parmi d'autres, et la vision est très top-down. Une meilleure approche est possible !</p><p>Pour Richard Feynman, la pensée est indissociable de l'écriture. Les notes ne sont pas une forme de stockage du résultat de notre pensée, elles sont notre pensée elle-même. L'esprit a besoin de cet échafaudage extérieur qu'est l'écriture.</p><p>Pendant sa carrière académique, Niklas Luhmann a écrit environ 600 publications, dont plus de 60 livres, sur des sujets comme la sociologie, le droit, la politique, les médias, la philosophie, l'art, l'amour… Son secret ? Sa boîte à notes (Zettelkasten).</p><p>90 000 notes accumulées. Ça semble beaucoup, mais ça fait seulement 6 par jour.</p><p>Son système est simple mais terriblement efficace :</p><ul><li>une idée par note ; une note sert à développer une idée</li><li>chaque note a un identifiant noté en haut à gauche : 1, 2, 3… ( une note peut renvoyer à une autre par son identifiant noté à l'encre rouge dans le texte)</li><li>il n'y a pas de classement hiérarchique, l'organisation est émergente : une note liée à une autre peut être insérée derrière elle dans la boîte, et recevoir un identifiant avec une branche (par exemple : 1a1) ; cela permet de retrouver des notes pertinentes à proximité, et de dérouler ainsi le fil plus tard</li></ul><p>En insérant la rédaction de ces notes à ses activités quotidiennes de lecture, séminaires, etc. l'écriture n'est plus quelque chose de séparé que l'on fera juste avant la deadline, mais devient un travail progressif et incrémental. Les questions à creuser et les catégories émergent. Les idées s'enrichissent les unes les autres. Penser, relier et comprendre deviennent des actions concrètes.</p><p>Pour en savoir plus : <a href="https://t.umblr.com/redirect?z=http%3A%2F%2Ftakesmartnotes.com&amp;t=ODY3NTQxNDk4ZjliMjBhZmNhNDdhZTE4MzViMTFiMDU1NjgxN2FjNCw5RDhyYUYxYg%3D%3D&amp;b=t%3AiIFgGOyZQ8NQUkVSSlRl9A&amp;p=http%3A%2F%2Fronanamicel.tumblr.com%2Fpost%2F174431390297%2Fnewcrafts-2018">http://takesmartnotes.com</a></p><h3>Big corps as little panopticons. Agile coaches as colonial imperialists. (Romeu Moura)</h3><p>Le <a href="https://t.umblr.com/redirect?z=https%3A%2F%2Ffr.wikipedia.org%2Fwiki%2FPanoptique&amp;t=OWUyYTE1OTZhNDU1NzVkYWVkNTFmMTE1ZWMyZTI2M2ZiMDRjZjI4Niw5RDhyYUYxYg%3D%3D&amp;b=t%3AiIFgGOyZQ8NQUkVSSlRl9A&amp;p=http%3A%2F%2Fronanamicel.tumblr.com%2Fpost%2F174431390297%2Fnewcrafts-2018">panoptique</a> est une architecture de prison imaginée à la fin du XVIIIe siècle par <a href="https://t.umblr.com/redirect?z=https%3A%2F%2Ffr.wikipedia.org%2Fwiki%2FJeremy_Bentham&amp;t=OWZlNGEyODQ0ODhmMWZjNzBiMzU1ZjlmMDc1ZGYwYjhiZmNjMjBlZiw5RDhyYUYxYg%3D%3D&amp;b=t%3AiIFgGOyZQ8NQUkVSSlRl9A&amp;p=http%3A%2F%2Fronanamicel.tumblr.com%2Fpost%2F174431390297%2Fnewcrafts-2018">Jeremy Bentham</a>, et analysée au XXe siècle par <a href="https://t.umblr.com/redirect?z=https%3A%2F%2Ffr.wikipedia.org%2Fwiki%2FMichel_Foucault&amp;t=NjIyMDFmZGUzNWZkMjliMWI2NTVjNDlhZGI0ZmExMmExMDdlNDViYiw5RDhyYUYxYg%3D%3D&amp;b=t%3AiIFgGOyZQ8NQUkVSSlRl9A&amp;p=http%3A%2F%2Fronanamicel.tumblr.com%2Fpost%2F174431390297%2Fnewcrafts-2018">Michel Foucault</a> dans son livre « <a href="https://t.umblr.com/redirect?z=https%3A%2F%2Ffr.wikipedia.org%2Fwiki%2FSurveiller_et_punir&amp;t=MDZkNjc4ZGFkMDNlYmU3YmZmOTQ1ZTc0YmJmMzFkZmYxOWZmOWI0MSw5RDhyYUYxYg%3D%3D&amp;b=t%3AiIFgGOyZQ8NQUkVSSlRl9A&amp;p=http%3A%2F%2Fronanamicel.tumblr.com%2Fpost%2F174431390297%2Fnewcrafts-2018">Surveiller et punir</a> ».</p><p>Ses caractéristiques clés sont que :</p><ul><li>les prisonniers sont toujours vus par les gardes et le savent ;</li><li>les prisonniers ne voient pas les gardes ;</li><li>les prisonniers ne se parlent pas entre eux.</li></ul><p>Dans un premier temps, un prisonnier se comporte bien car il est observé. Mais dans un deuxième temps, il est conditionné à devenir son propre garde.</p><p>On peut comparer les entreprises à des panoptiques. Les managers veulent une complète visibilité sur ce que font leurs employés (reporting, etc), mais ne communiquent pas sur ce qu'ils font, et les équipes ne se parlent pas. Les équipes finissent par devenir leurs propres gardes, et s'interdisent de faire certaines choses : « ah mais non, ici on ne peut pas faire ça ».</p><p>En Amérique du Sud, les colons n'ont pas réussi à transformer les autochtones en esclaves. Ils avaient la mauvaise habitude de se laisser mourir. Ils devaient donc importer des esclaves venant d'Afrique. Jusqu'à ce que les missionnaires jésuites trouvent la combine : une fois convertis à la foi chrétienne, ils craignaient de mourir !</p><p>Les grandes entreprises déploient des armées de coachs pour effectuer leur “transformation agile”. Il s'agit moins de transformer toute la structure (et certainement pas le haut de la pyramide), que d'imposer un changement à certains</p><p>Pour Romeu, tous ces coaches agiles sont des jésuites. Qu'ils croient ou non aux valeurs de l'agilité, ils sont envoyés pour changer la culture de « ces gens là bas ». Ils sont instrumentalisés.</p><p>Alors que faire ? Comprendre le système. Lire « Thinking in systems ». Lire Foucault (c'est dur). Regarder la présentation de Jessica ou lire son article.</p><p>Chacun d'entre nous a plus de pouvoir qu'il ne croit. Nous sommes conditionnés à penser le contraire. Nous vivons dans une peur artificielle d'agir différemment. Nous surestimons le pouvoir de notre hiérarchie. On les croit malveillants, mais ils sont dans la même situation, à un niveau différent. Et à tous les niveaux, les gens aimeraient que les choses changent. Restez indignés !</p><h3>What is programming anyway? (Felienne Hermans)</h3><p>On emploie souvent des métaphores pour expliquer ce qu'est la programmation. Dire que programmer c'est comme les maths, ça peut avoir un effet négatif. Felienne suggère de dire plutôt que programmer c'est comme écrire. Tout le monde peut écrire, et l'écriture a des usages variés : fiction, poésie, calligraphie, pétition, dissertation, liste de courses…</p><p>Cette présentation m'a aussi fait réaliser qu'Excel est un langage de programmation fonctionnelle, et que c'était sans doute le meilleur langage de programmation, car des millions de gens l'utilisent sans le savoir… Imaginez vous programmer en Java sans faire exprès !</p><h3>Atelier: 50 shades of FizzBuzz</h3><p>L'atelier visait à prendre un problème simple (FizzBuzz) et à explorer différentes manières de l'implémenter, en se donnant des contraintes.</p><p>Par exemple, on a commencé en mode <em>zombie pair programming</em> : le co-pilote pouvait faire des gestes mais ne pouvait pas parler, seulement grogner ou dire « brains ! ».</p><p>On a ensuite enrichi les spécifications et vu comment le code évoluait.</p><p>J'ai profité d'une partie de l'atelier pour explorer comment utiliser le <em>property-based testing</em> pour exprimer les tests.</p><p>J'ai mis mes différentes versions sur GitHub : <a href="https://t.umblr.com/redirect?z=https%3A%2F%2Fgithub.com%2Fronnix%2F50-shades-of-fizzbuzz&amp;t=ODBlOGMxZmI5MmRhNGNlMDIxMzgzZWRhMWVhZjMxYmQwZmM5OTc1Miw5RDhyYUYxYg%3D%3D&amp;b=t%3AiIFgGOyZQ8NQUkVSSlRl9A&amp;p=http%3A%2F%2Fronanamicel.tumblr.com%2Fpost%2F174431390297%2Fnewcrafts-2018">https://github.com/ronnix/50-shades-of-fizzbuzz</a></p><h3>Atelier: Evolutionary Design</h3><p>L'atelier visait à expérimenter l’<em>evolutionary design</em>.</p><p>La première activité a consisté à implémenter, en groupes de 4-5 personnes, une nouvelle méthode sur une base de code existante (cool, c'était en Python !), en mode <em>outside-in</em> TDD. Ç'a été une expérience à la fois intéressante et pénible pour moi, car je pense plutôt être de l'école classique du TDD, et faire les choses en mode <em>London school</em> allait un peu contre mon penchant naturel…</p><p>La deuxième activité a consisté, toujours en groupes, à prendre une base de code développée par un autre groupe lors d'un précédent atelier où ils avaient plus de temps, et à l'améliorer avec des refactorings.</p><h3>Dojo tournant en continu</h3><p>Pendant toute la durée de la conférence, un dojo de programmation a eu lieu en continu, où chacun pouvait venir participer au développement d'un jeu de la vie, en mode <em>mob programming</em>.</p><p>Je n'y ai participé que quelques minutes, mais c'était très drôle de voir apparaître en accéléré les problèmes que l'on voit en entreprise sur des projets plus longs sur lesquels il y a du <em>turn over</em>. Le code devient très vite du code legacy, l'intention initiale est vite perdue, les connaissances se transmettent mal, les nouveaux venus veulent aller dans une direction qui a déjà été essayée sans succès par les précédents, mais ils ne le savent pas…</p><h3>Pauses, couloirs et soirée du jeudi</h3><p>Les meilleures sessions, ce sont toujours les rencontres et les discussions avec les autres participants. J'ai été heureux de recroiser des gens que je ne vois pas souvent, et d'en rencontrer de nouveaux que j'aurai plaisir à revoir l'an prochain !</p></div>
