title: La sagesse de Kandiaronk : la critique indigène, le mythe du progrès et la naissance de la Gauche
url: http://journaldumauss.net/?La-sagesse-de-Kandiaronk-la-critique-indigene-le-mythe-du-progres-et-la
hash_url: fc2bf94da2dcee9adf3386bc6edf5c41

<div><p>Dans le dernier chapitre, nous avons décrit quelque chose de l’héritage de Jean-Jacques Rousseau - dont l’histoire sur les origines de l’inégalité sociale ne cesse d’être racontée en des variations infinies jusqu’à nos jours. Pourtant, comment cette histoire a-t-elle vu le jour ?</p>
<p>Les historiens des idées n’ont jamais vraiment abandonné la théorie de l’histoire du Grand Homme. Ils écrivent souvent comme si toutes les idées importantes d’une époque donnée pouvaient être rapportées à un individu hors du commun, que ce soit Platon, ou Confucius, Adam Smith ou Karl Marx, plutôt que de considérer leurs écrits comme des interventions particulièrement brillantes sur des sujets déjà largement débattus dans des tavernes ou des soirées ou des jardins publics, ou n’importe quel autre lieu. Comme si William Shakespeare avait en quelque sorte inventé la langue anglaise. En fait, bon nombre des tournures de phrases les plus brillantes de Shakespeare se sont avérées être des expressions courantes de l’époque. N’importe quel Anglais ou Anglaise élisabéthain aurait pu probablement les lancer dans une conversation informelle. Et si ces auteurs restent aussi obscurs que ceux de blagues de mauvais goût, sans Shakespeare, ces expressions auraient probablement disparu depuis longtemps et auraient été oubliées.</p>
<p>Tout cela a été tout à fait vrai pour Rousseau. Les historiens des idées écrivent parfois comme si Rousseau avait personnellement lancé le débat sur les inégalités sociales avec son essai. En fait, Rousseau l’a écrit pour se soumettre à un concours de rédaction sur le sujet.</p>
<p>En mars 1754, l’<i>Académie Dijonnaise des Arts et Sciences</i> avait annoncé un concours national d’essais sur la question ’Quelle est l’origine de l’inégalité entre les hommes, et est-elle autorisée par la loi naturelle ? Ce que nous aimerions faire dans ce chapitre, c’est de nous poser la question suivante : pourquoi un groupe d’universitaires de l’Ancien Régime organisant un concours national de dissertation aurait-il jugé que c’était une question appropriée en tout premier lieu ? La façon dont la question est posée suppose, après tout, que l’inégalité sociale <i>a</i> une origine, c’est-à-dire qu’il va de soi qu’il fût un temps où les êtres humains étaient égaux, puis que quelque chose est arrivé pour changer cette situation, ce qui est en fait une chose assez surprenante à penser pour les gens vivant sous la monarchie absolue de Louis XV. Après tout, ce n’est pas comme si quelqu’un en France à l’époque avait une expérience personnelle de la vie en société d’égal à égal. C’était une culture dans laquelle presque tous les aspects de l’interaction humaine, qu’il s’agisse de manger, de boire, de travailler, de socialiser, étaient marqués par des ordres hiérarchiques élaborés et des rituels de respect social. Les auteurs des essais étaient des hommes qui avaient passé leur vie à faire soigner tous leurs besoins par des serviteurs, ils vivaient du patronage des ducs et des archevêques, ils entraient rarement dans un bâtiment sans connaître l’ordre précis de l’importance de chacun. Rousseau lui-même, un jeune philosophe ambitieux, était à l’époque engagé dans un projet élaboré qui consistait à essayer d’exercer son influence à la cour. Son expérience qui se rapprochait le plus de l’égalité sociale, c’était quelqu’un qui distribuait des parts égales de gâteau lors d’un souper. Pourtant, à l’époque, tout le monde s’entendait pour dire que cette situation n’était pas naturelle, qu’il n’en avait pas toujours été ainsi.</p>
<p>Si nous voulons comprendre pourquoi <i>c’</i>était le cas, nous devons nous pencher non seulement sur la France, mais aussi sur la place de la France dans un monde beaucoup plus vaste. La fascination pour la question de l’inégalité sociale est relativement nouvelle, et elle a tout à voir avec le choc et la confusion qui ont suivi l’intégration soudaine de l’Europe dans une économie mondiale dont elle avait longtemps été un acteur très mineur. Au Moyen Âge, la plupart des gens dans d’autres parties du monde qui savaient quoi que ce soit sur l’Europe du Nord la considéraient comme une réserve obscure et peu invitante remplie de fanatiques religieux qui, à part des attaques occasionnelles contre leurs voisins (’les croisades’) étaient largement sans rapport avec le commerce mondial et la politique mondiale. Les intellectuels européens de l’époque ne faisaient que redécouvrir Aristote et le monde antique et n’avaient que très peu d’idée de ce à quoi les gens pensaient et se disputaient ailleurs. Tout cela a bien sûr changé lorsque les flottes portugaises ont commencé à contourner l’Afrique et ont fait irruption dans l’océan Indien, et surtout, avec la conquête espagnole des Amériques. Soudain, quelques-uns des royaumes européens les plus puissants se sont retrouvés aux commandes de vastes étendues du globe, et les intellectuels européens se sont retrouvés en communication directe non seulement avec les anciennes civilisations de la Chine et de l’Inde, mais exposés à une pléthore d’idées sociales, scientifiques et politiques non imaginées jusque-là. Le résultat final de ce flot d’idées nouvelles a été connu sous le nom des Lumières.</p>
<p>Bien sûr, ce n’est pas non plus la façon dont les historiens des idées racontent généralement l’histoire. Non seulement on nous enseigne à penser l’histoire des idées comme étant largement le fait de ’grands penseurs’ individuels écrivant de grands livres ou pensant de grandes pensées, mais on suppose que ces grands penseurs le font presque exclusivement en référence les uns aux autres. Par conséquent, même dans les cas où les penseurs des Lumières eux-mêmes insistaient ouvertement sur le fait qu’ils obtenaient leurs idées de sources étrangères - comme par exemple, le philosophe allemand Gottfried Wilhelm Leibniz. a fait lorsqu’il a exhorté ses compatriotes à adopter des modèles chinois d’art politique - il y a une étrange tendance à insister sur le fait qu’ils n’étaient pas vraiment sérieux, ou encore, que lorsqu’ils disaient embrasser des idées chinoises, persanes ou indigènes américaines, ce n’étaient pas vraiment des idées chinoises, persanes ou indigènes américaines mais des idées qu’eux-mêmes avaient créées et simplement attribuées aux autres exotiques étrangers.</p>
<p>C’est une hypothèse remarquablement arrogante, comme si la ’pensée occidentale’ (comme on l’appellera plus tard) était un ensemble d’idées si puissant et si monolithique que personne d’autre ne pourrait y exercer une influence significative. C’est aussi assez manifestement faux. Prenons le cas de Leibniz mentionné ci-dessus. Au cours des XVIIIe et XIXe siècles, les gouvernements européens en sont venus progressivement à adopter l’idée que chaque gouvernement devait présider correctement une population de langue et de culture largement uniforme, présidée par un fonctionnaire bureaucratique formé aux arts libéraux qui avait réussi les concours. Il peut paraître surprenant qu’ils l’aient fait, car rien de tel n’avait existé à une époque antérieure de l’histoire européenne. Pourtant, c’était presque exactement le système qui existait depuis des siècles en Chine. Devons-nous vraiment insister sur le fait que la défense des modèles chinois d’art politique par Leibniz et ses alliés et partisans n’a rien à voir avec le fait que les Européens ont, en fait, adopté quelque chose qui ressemble beaucoup aux modèles chinois d’art politique ? Ce qui est vraiment inhabituel dans cette affaire, c’est que Leibniz était si honnête au sujet de ses influences intellectuelles ; dans la plupart des pays d’Europe, les autorités de l’Église détenaient encore beaucoup de pouvoir et quiconque soutenait que les voies non chrétiennes étaient supérieures pourrait être accusé d’athéisme, qui était potentiellement un crime capital.<span class="spip_note_ref"> [<a href="#nb3" class="spip_note" rel="footnote" title="Un exemple notoire est celui de Christian Wolff, le philosophe allemand le (...)" id="nh3">3</a>]</span></p>
<p>C’est à peu près la même chose avec la question de l’inégalité. Si nous ne nous demandons pas ’ quelles sont les origines de l’inégalité sociale ’, mais ’ quelles sont les origines de la <i>question de l’</i>origine de l’inégalité sociale ’ - comment en serait-il venu à penser qu’en 1754, l’Académie de Dijon trouvait cette question appropriée - nous sommes immédiatement confrontés à une longue histoire de débats entre Européens sur la nature des sociétés éloignées : dans ce cas, particulièrement les sociétés des forêts de l’est d’Amérique du Nord. De plus, beaucoup de ces conversations font référence à des arguments que les Européens avaient eus avec les Amérindiens eux-mêmes, au sujet de la nature de la liberté, de l’égalité ou même de la rationalité et de la religion révélée - en fait, la plupart des thèmes qui allaient devenir centraux dans la pensée politique du siècle des Lumières. De nombreux penseurs influents du siècle des Lumières ont en effet affirmé que certaines de leurs idées sur le sujet provenaient directement de sources amérindiennes - même si, comme on pouvait s’y attendre, les historiens des idées insistent sur le fait que cela ne peut pas vraiment être le cas. On suppose que les peuples autochtones ont vécu dans un univers complètement différent, qu’ils ont même habité une réalité différente. Tout ce que les Européens disent d’eux, selon la logique, doit donc être de simples projections de jeux d’ombres, des fantasmes ’nobles et sauvages’ tirés de la tradition européenne elle-même.<span class="spip_note_ref"> [<a href="#nb4" class="spip_note" rel="footnote" title="Pour quelques déclarations classiques de la prétendue tradition européenne du (...)" id="nh4">4</a>]</span> Il s’agit généralement d’une critique de l’arrogance occidentale (’comment pouvez-vous suggérer que les impérialistes génocidaires étaient réellement à l’écoute de ceux dont ils étaient en train d’éradiquer les sociétés ? ’), mais cette critique, pourrait-elle être tout aussi bien considérée comme une forme d’arrogance occidentale en soi ? Il est incontestable que les commerçants, les missionnaires et les colons européens ont, en fait, engagé des conversations prolongées avec les gens qu’ils ont rencontrés dans ce qu’ils ont appelé le Nouveau Monde, et ont souvent vécu parmi eux pendant de longues périodes, même s’ils ont également participé à leur destruction. Nous savons que nombre de ceux qui vivent en Europe et qui en sont venus à adhérer à des principes de liberté et d’égalité qui n’existaient à peine dans leur pays que quelques générations auparavant ont affirmé que les récits de ces rencontres avaient une profonde influence sur leur pensée. Nier simplement qu’il est possible qu’ils aient eu raison, c’est, en fait, insister sur le fait que les peuples autochtones ne peuvent pas avoir d’impact réel sur l’histoire. C’est une forme d’infantilisation des non-occidentaux que ces auteurs prétendent critiquer.</p>
<p>Ces dernières années, un nombre croissant d’universitaires, la plupart d’origine autochtone, ont remis en question ces hypothèses.<span class="spip_note_ref"> [<a href="#nb5" class="spip_note" rel="footnote" title="Grinde 1977, Johansen 1982, 1998, Grinde &amp; Johansen 1990, Mann 1992, (...)" id="nh5">5</a>]</span> Ici, nous suivons leurs traces. Essentiellement, nous allons relater l’histoire en supposant que toutes les parties prenantes à la conversation étaient des adultes et qu’ils s’écoutaient, au moins à l’occasion. Si nous faisons cela, même les histoires prennent soudainement un air très différent. En fait, les Amérindiens, confrontés à des étrangers étranges et inconnus, ont progressivement développé leur propre critique, étonnamment cohérente, des institutions européennes, et ces critiques ont été prises très au sérieux en Europe. Elles ont été prises tellement au sérieux, en fait, que l’histoire du progrès ambivalent de la civilisation que nous avons résumée dans le dernier chapitre a dû être inventée, en grande partie, pour neutraliser la menace que représentait la critique autochtone.</p>
<p>C’est d’ailleurs précisément la raison pour laquelle l’Académie de Dijon se posait la question, mais ici, bien sûr, nous anticipons.</p>
<p>Alors, comment les Européens en sont-ils venus à s’interroger sur les origines des inégalités sociales ?</p>
<p>La première chose à souligner, c’est que ce problème n’est pas un problème qui aurait eu un sens pour quiconque au Moyen Âge. Les rangs et les hiérarchies étaient supposés exister depuis le tout début. Même dans le jardin d’Éden, comme l’a observé saint Thomas d’Aquin, Adam dépassait clairement Ève. L’’ égalité sociale ’ - et donc, c’est le contraire, l’inégalité - n’existait tout simplement pas en tant que concept. Une étude récente de la littérature médiévale par deux chercheurs italiens<span class="spip_note_ref"> [<a href="#nb6" class="spip_note" rel="footnote" title="Alfani &amp; Frigfeni 2013" id="nh6">6</a>]</span> n’a trouvé aucune preuve que les termes latins <i>aequalitas</i><i> ou </i><i>inaequalitas, </i>ou leurs équivalents anglais, français, espagnol, allemand ou italien, étaient utilisés pour décrire les relations sociales avant l’époque de Colomb. On ne peut donc même pas dire que les penseurs médiévaux aient rejeté la notion d’égalité sociale : l’idée qu’elle puisse exister ne leur est jamais venue à l’esprit.</p>
<p>Les auteurs observent que les termes ’égalité’ et ’inégalité’ n’ont commencé à devenir monnaie courante qu’au début du XVIIe siècle, sous l’influence de la théorie du droit naturel. La théorie de la loi naturelle, à son tour, a surgi en grande partie au cours des débats sur les implications morales et juridiques de la découverte européenne du Nouveau Monde.<span class="spip_note_ref"> [<a href="#nb7" class="spip_note" rel="footnote" title="Op cit : 21" id="nh7">7</a>]</span></p>
<p>Il est important de se rappeler que des aventuriers espagnols comme Cortes et Pizarro ont mené leurs conquêtes en grande partie sans l’autorisation des autorités supérieures ; par la suite, il y a eu d’intenses débats chez nous pour savoir si une telle agression sans fard contre des personnes qui, après tout, ne représentaient aucune menace pour les Européens, pouvait vraiment se justifier.<span class="spip_note_ref"> [<a href="#nb8" class="spip_note" rel="footnote" title="La meilleure source en anglais sur ces débats est Pagden 1986." id="nh8">8</a>]</span> Le principal problème était que, contrairement aux non-chrétiens de l’Ancien Monde, dont on pouvait supposer qu’ils avaient eu l’occasion d’apprendre les enseignements de Jésus et donc de les rejeter activement, il était assez évident que les habitants du Nouveau Monde n’avaient jamais été exposés aux idées des chrétiens. Ils ne peuvent donc pas être considérés comme des infidèles. Les conquistadors ont généralement mis au point cette question en lisant une déclaration en latin appelant les Indiens à se convertir avant de les attaquer ; les juristes des universités comme Salamanque en Espagne n’ont pas été impressionnés par cet argument. En même temps, les tentatives visant à considérer les habitants des Amériques comme si totalement étrangers qu’ils se trouvaient hors des frontières de l’humanité, et pouvaient donc être traités littéralement comme des animaux, n’ont pas non plus eu beaucoup de succès. Même les cannibales, ont noté les juristes, avaient des gouvernements, des sociétés et des lois, et étaient capables de construire des arguments pour défendre la justice de leurs arrangements sociaux ; donc, ils étaient clairement des humains, investis par Dieu de pouvoirs de raison.</p>
<p>La question était alors de savoir de quels droits les êtres humains disposent simplement à force d’être humains, c’est-à-dire de quels droits on pourrait dire qu’ils disposent ’naturellement’, même s’ils existaient dans un ’état de nature’, innocent des enseignements de la philosophie écrite et de la religion révélée et sans lois codifiées ? La question a fait l’objet de vifs débats. Il n’est pas nécessaire de s’attarder ici sur les formules exactes qu’ils ont trouvées (il suffit de dire qu’ils ont permis aux Américains d’avoir des droits naturels, mais qu’ils ont fini par justifier leur conquête, à condition que leur traitement ultérieur ne soit pas <i>trop</i> violent ou oppressif) : l’important dans ce contexte est qu’ils aient ouvert une porte conceptuelle. Elle a permis à des écrivains comme Thomas Hobbes, Hugo Grotius ou John Locke de passer outre les récits bibliques que tout le monde avait l’habitude d’utiliser comme point de départ et de commencer par des expériences de pensée similaires : comment les humains auraient-ils pu être dans un état de nature, quand ils avaient seulement leur humanité  ?</p>
<p>Dans tous les cas, ces auteurs ont tiré leurs exemples de cet état de la nature de ce qu’ils supposaient être les sociétés les plus simples de l’hémisphère occidental et ont donc conclu que, pour le meilleur ou pour le pire (Hobbes, par exemple, l’a certainement trouvé pire), l’état original de l’humanité était celui de liberté et d’égalité.</p>
<p>Il est important de s’arrêter ici un instant et d’examiner pourquoi ils l’ont fait parce que ce n’était pas du tout une conclusion évidente ou inévitable.</p>
<p>Tout d’abord, le fait qu’ils se soient fixés sur des sociétés apparemment simples comme exemples d’époques primordiales, des sociétés comme les Algonquins des forêts orientales de l’Amérique du Nord, ou les Caraïbes, ou les Amazoniens, plutôt que sur des civilisations urbaines comme les Aztèques, les Mayas ou les Incas, bien que cela nous semble évident, n’aurait pas semblé évident à ce moment-là. Les auteurs de la Renaissance, confrontés à une population d’habitants de la forêt sans roi et n’employant que des outils de pierre, n’avaient guère de chances de les considérer comme primordiaux. La plupart des penseurs de la Renaissance auraient conclu qu’ils regardaient les vestiges tombés au champ d’honneur d’une civilisation ancienne, ou des réfugiés qui, au cours de leurs errances, avaient oublié les arts de la métallurgie et la gouvernance civile. Une telle conclusion aurait eu un sens commun évident pour les gens qui supposaient que toutes les connaissances vraiment importantes avaient été révélées par Dieu au début des temps, que les villes existaient déjà avant le Déluge, et que leur propre vie intellectuelle était essentiellement considérée comme une tentative de récupérer la sagesse perdue des Grecs et des Romains. L’histoire n’est pas une histoire de progrès. Il s’agissait en grande partie d’une série de catastrophes.</p>
<p>Introduire le concept d’état de nature n’a pas vraiment tout changé, du moins immédiatement, mais cela a permis aux philosophes politiques d’imaginer les gens dépourvus des attributs de la civilisation non comme des sauvages dégénérés, mais comme une sorte d’humanité à l’état brut. Cela leur a permis de poser une foule de questions nouvelles et sans précédent sur ce que cela signifiait d’être humain. Quelles formes sociales existeraient encore, même parmi les personnes qui n’avaient pas de forme reconnaissable de loi ou de gouvernement ? Le mariage existerait-il ? Quelles formes pourrait-elle prendre ? L’Homme naturel aurait-il tendance à être naturellement grégaire, ou les gens auraient-ils tendance à s’éviter les uns les autres ? La religion naturelle existait-elle ?</p>
<p>Mais pourquoi se sont-ils fixés sur l’idée de liberté primordiale, ou, surtout, d’égalité ? Cela semble d’autant plus étrange que l’égalité sociale n’avait pas été considérée comme une possibilité par les intellectuels médiévaux.</p>
<p>Tout d’abord, une précision s’impose. Alors que les intellectuels médiévaux avaient du mal à imaginer des relations sociales égales, les paysans médiévaux semblent avoir eu beaucoup plus de facilité à le faire. Il y a toujours eu un certain égalitarisme populaire brutal et prêt à l’emploi, qui s’est particulièrement manifesté lors de fêtes populaires comme le Carnaval, le 1er mai ou les fêtes de Noël, qui ont souvent révélé l’idée d’un ’monde à l’envers’, où tous les pouvoirs et autorités étaient renversés ou bafoués. Souvent, les célébrations étaient présentées comme un retour à un âge primordial de l’égalité : l’âge de Chronos, ou Saturne, ou le pays de Cocagne. Parfois aussi, ces idéaux ont été invoqués lors de révoltes populaires.</p>
<p>Certes, il n’est jamais tout à fait clair à quel point de tels idéaux égalitaires sont vraiment autonomes, ou un simple effet secondaire des arrangements sociaux hiérarchiques qui existaient pendant les temps ordinaires. Notre idée que tout le monde est égal devant la Loi, par exemple, remonte à l’origine à l’idée que tout le monde est égal devant le Roi, ou l’Empereur : puisque si un homme est investi d’un pouvoir absolu, alors évidemment, tous les autres sont égaux en comparaison. Le christianisme primitif a également insisté sur le fait que tous les croyants étaient (dans un sens ultime) égaux par rapport à Dieu, qu’ils appelaient ’Le Seigneur’. Comme cet exemple l’illustre, le pouvoir primordial par rapport auquel les mortels ordinaires sont tous, de facto, égaux, n’a pas besoin d’être lui-même un véritable être humain de chair et de sang ; par conséquent, l’un des points essentiels de la création d’un roi de carnaval ou d’une reine de mai est qu’ils existent afin d’être détrônés.<span class="spip_note_ref"> [<a href="#nb9" class="spip_note" rel="footnote" title="L’un des rivaux de Rousseau dans le concours de rédaction, le marquis (...)" id="nh9">9</a>]</span> Comme nous le verrons, ce genre de création d’une autorité fictive est très important dans l’histoire.</p>
<p>Comme les spéculations sur les ordres égalitaires heureux d’il y a longtemps apparaissent également dans la littérature classique, même les Européens instruits étaient familiers avec ce concept. Mais tout cela pour dire qu’un état d’égalité n’était pas inconcevable pour eux. Cela n’explique nullement pourquoi ils supposaient presque universellement que des êtres humains innocents de civilisation existeraient dans un tel état.<span class="spip_note_ref"> [<a href="#nb10" class="spip_note" rel="footnote" title="Certes, il y avait des précédents classiques pour une telle idée, mais il y (...)" id="nh10">10</a>]</span> Il faut ici revenir à l’argument qui a été déployé pour établir les habitants des Amériques comme compatriotes humains au départ : le fait que, aussi exotiques ou même pervers que puissent paraître leurs coutumes, ils étaient capables de construire des raisonnements logiques pour leur défense.</p>
<p>Ce que nous suggérons alors, c’est que les intellectuels américains-et ici et dans ce qui suit, nous utilisons le terme ’américain’ comme il l’était à l’époque, pour désigner les habitants autochtones de l’hémisphère occidental, et ’intellectuel’ comme toute personne ayant l’habitude de discuter d’idées abstraites-, ont en fait joué un rôle dans ce processus. Il est très étrange que cela soit considéré comme une idée particulièrement radicale, mais dans la littérature scientifique, c’est une véritable hérésie.</p>
<p>Personne ne nie que de nombreux explorateurs, missionnaires, commerçants, colons et autres résidents européens sur les côtes américaines ont passé des années à apprendre des langues autochtones et à perfectionner leurs compétences en conversation avec des locuteurs natifs, tout comme les autochtones américains ont appris l’espagnol, l’anglais ou le français. Nous ne pensons pas non plus qu’une personne qui a déjà appris une langue vraiment étrangère nie que cela exige beaucoup de travail conceptuel, essayant de saisir des concepts inconnus. Nous savons que les missionnaires menaient généralement de longs débats philosophiques dans le cadre de leurs fonctions professionnelles ; beaucoup d’autres, des deux côtés, se disputaient soit par simple curiosité, soit parce qu’ils avaient des raisons pratiques immédiates de comprendre le point de vue de l’autre. Enfin, personne ne nie que la littérature de voyage et les relations missionnaires, qui contenaient souvent des résumés ou même des extraits de ces échanges, étaient des genres littéraires populaires suivis avec avidité par des Européens instruits : tout ménage de classe moyenne à Amsterdam ou à Grenoble au XVIIIe siècle aurait probablement eu sur ses tablettes au moins un exemplaire des Relations jésuites de la Nouvelle-France et un ou deux témoignages écrits par des voyageurs vers des pays éloignés. De tels livres étaient appréciés en grande partie parce qu’ils contenaient des idées surprenantes et sans précédent.</p>
<p>Les historiens des idées du courant dominant sont conscients de tout cela, mais l’écrasante majorité conclut néanmoins que même lorsque les auteurs européens disent explicitement qu’ils empruntent des idées, des concepts et des arguments aux penseurs autochtones, on ne devrait pas les prendre au sérieux. Tout cela n’est qu’un malentendu, une fabrication ou, au mieux, une projection naïve d’idées européennes préexistantes. Les intellectuels américains, lorsqu’ils apparaissent dans les récits européens, sont supposés n’être que de simples représentants d’un archétype occidental préexistant du ’ noble sauvage ’, une marionnette utilisée pour fournir un alibi plausible à un auteur qui pourrait autrement avoir des difficultés à présenter ce qui était considéré subversif (le déisme, par exemple, le matérialisme raisonnable, ou des vues non traditionnelles sur le mariage). Certes, si l’on rencontre un argument attribué à un sauvage dans un texte européen qui ressemble un tant soit peu à ce que l’on trouve dans Cicéron, ou Érasme, il faut supposer qu’aucun sauvage n’aurait pu vraiment le dire - ou même que la conversation en question n’a jamais vraiment eu lieu du tout.<span class="spip_note_ref"> [<a href="#nb11" class="spip_note" rel="footnote" title="Il ne semble jamais venir à l’esprit de personne que 1. il n’y a qu’un nombre (...)" id="nh11">11</a>]</span></p>
<p>Cette habitude de pensée est tout au moins très commode pour les étudiants en littérature occidentale, eux-mêmes formés à Cicéron et à Érasme, qui pourraient autrement être contraints d’essayer d’apprendre quelque chose sur ce que les peuples indigènes pensent réellement du monde et, surtout, de ce qu’ils font des Européens. Nous irons dans la direction opposée. Nous examinerons les premiers récits de missionnaires et de voyageurs de la Nouvelle-France - le Québec d’aujourd’hui -, car c’est avec ces récits que Rousseau lui-même était le plus familier, pour se faire une idée de ce que ses habitants autochtones pensaient de la société française et comment ils en sont venus à penser différemment à leur propre société en conséquence. Nous dirons que les Amérindiens ont en effet développé une vision très critique des institutions de leurs envahisseurs, qui s’est d’abord concentrée sur leur manque de liberté, puis, plus tard, sur l’inégalité, à mesure qu’ils se familiarisaient avec les arrangements sociaux européens. L’une des raisons pour lesquelles la littérature de missionnaire et de voyage est devenue si populaire en Europe est précisément parce qu’elle a exposé ses lecteurs à ce genre de critiques, en plus de leur donner un sentiment de possibilité sociale, la connaissance que les voies familières n’étaient pas les seules voies, puisque des sociétés existaient qui faisaient les choses très différentes. Enfin, nous dirons qu’il y a peut-être une raison pour laquelle tant de penseurs des Lumières ont insisté sur le fait que leurs idéaux de liberté individuelle et d’égalité politique étaient inspirés par des sources et des exemples amérindiens. C’est peut-être parce qu’ils l’étaient vraiment.</p>
<p>L’’Âge de la raison’ était un âge de débat. Le siècle des Lumières était enraciné dans la conversation ; il se déroulait en grande partie dans les cafés et les salons. Beaucoup de textes classiques des Lumières prirent littéralement la forme de dialogues, la plupart cultivés dans un style facile, transparent, conversationnel et clairement inspiré du salon. (Ce sont les Allemands, à l’époque, qui avaient tendance à écrire dans le style obscur pour lequel les intellectuels français sont devenus célèbres depuis). Le recours à la ’raison’ était avant tout un style d’argumentation. Les idéaux de la Révolution française, Liberté, Égalité et Fraternité, ont pris la forme qu’ils avaient prise au cours d’une longue série de débats et de conversations. Tout ce que nous suggérons ici, c’est que ces conversations se sont étendues plus loin que nous ne l’avions supposé.</p>
<p><strong>Huronie, Algonkie : le communisme au service de la liberté.</strong></p>
<p>Alors : qu’est-ce que les habitants de la Nouvelle-France ont fait des Européens qui ont commencé à arriver sur leurs rives au XVIe siècle ?</p>
<p>À cette époque, la région connue sous le nom de Nouvelle-France était principalement habitée par des Montagnais-Neskapis, des Algonquins et des Iroquoiens. Ceux qui se trouvaient plus près de la côte étaient en grande partie des fourragers semi-nomades, bien que certains pratiquaient aussi l’agriculture ; les Wendats (’ Hurons ’<span class="spip_note_ref"> [<a href="#nb12" class="spip_note" rel="footnote" title="Techniquement, les Hurons étaient une confédération de locuteurs iroquoiens (...)" id="nh12">12</a>]</span>), concentrés dans les principales vallées fluviales plus à l’intérieur, cultivaient le maïs, la courge et les haricots autour des villes fortifiées. Il est intéressant de noter que les premiers observateurs français attachaient peu d’importance à ces distinctions économiques, d’autant plus que, dans les deux cas, la recherche de nourriture ou l’agriculture étaient essentiellement le fait des femmes ; les hommes, ont-ils noté, étaient principalement occupés à la chasse et, parfois, à la guerre, ce qui signifiait qu’ils pouvaient être considérés dans un sens comme des aristocrates naturels.</p>
<p>L’idée du ’noble sauvage’ remonte à de telles estimations - il ne s’agissait pas, à l’origine, de noblesse de caractère, mais simplement du fait que les Indiens s’occupaient eux-mêmes de la chasse et du combat, qui, chez eux, étaient en grande partie l’affaire des ducs et comtes. Les appréciations françaises sur le caractère des ’sauvages’ tendent à être très mitigées. L’évaluation indigène du caractère français était nettement moindre. Le père Pierre Biard, par exemple, était un ancien professeur de théologie affecté en 1608 à l’évangélisation des Mi’kmaq algonquophones de la Nouvelle-Écosse, qui vivaient depuis quelque temps près d’un fort français. Biard n’avait pas beaucoup d’estime pour les Mi’kmaq, mais il a déclaré que ce sentiment était réciproque :</p>
<p>Ils se considèrent mieux que les Français : ’Car, disent-ils, vous êtes toujours en train de vous battre et de vous disputer entre vous, nous vivons en paix. Vous êtes envieux et vous vous calomniez sans cesse ; vous êtes des voleurs et des trompeurs ; vous êtes cupides, et vous n’êtes ni généreux ni bons ; quant à nous, si nous avons un morceau de pain, nous le partageons avec notre prochain.’ Ils disent cela et aiment les choses continuellement.<span class="spip_note_ref"> [<a href="#nb13" class="spip_note" rel="footnote" title="Biard 1611 : 173 -74 ; dans Ellingson 2001 : 51." id="nh13">13</a>]</span></p>
<p>Plus scandaleux encore, selon Biard, les Mi’kmaqs affirmaient constamment qu’ils étaient par conséquent plus riches que les Français.</p>
<p>Vingt ans plus tard, le frère Gabriel Sagard, frère de Récollection, écrivit des choses similaires sur les Wendats. Sagard était d’abord très critique à l’égard de la vie des Wendats, qu’il qualifiait de péché en soi (il était obsédé par l’idée que les femmes wendates avaient toutes l’intention de le séduire), mais à la fin de son séjour, il avait conclu que leurs arrangements sociaux étaient à bien des égards supérieurs à ceux de son pays. Ici, il faisait clairement écho à l’opinion des Wendats :</p>
<p>Ils n’ont pas de procès et se donnent peu de peine pour acquérir les biens de cette vie, pour laquelle nous, chrétiens, nous nous tourmentons tant, et pour notre avidité excessive et insatiable à les acquérir, nous sommes justement et avec raison reprochés par leur vie tranquille et leurs dispositions tranquilles.<span class="spip_note_ref"> [<a href="#nb14" class="spip_note" rel="footnote" title="Sagard 1631[1939] : 192." id="nh14">14</a>]</span></p>
<p>Tout comme les Mi’kmaqs de Biard, les Wendats étaient particulièrement offensés par le manque de générosité des Français les uns envers les autres :</p>
<blockquote class="spip">
<p>Ils se font l’écho de l’hospitalité et s’entraident pour que les nécessités de tous soient satisfaites sans qu’il y ait de mendiants indigents dans leurs villes et villages ; et ils considéraient que c’était une très mauvaise chose quand ils entendaient dire qu’il y avait en France un grand nombre de ces mendiants dans le besoin, et pensaient que cela était par manque de charité en nous, et nous blâment sévèrement pour cela.<span class="spip_note_ref"> [<a href="#nb15" class="spip_note" rel="footnote" title="1632B : 88-89." id="nh15">15</a>]</span></p>
</blockquote>
<p>Wendat jette un regard tout aussi critique sur les habitudes de conversation des Français. Sagard a été surpris et impressionné par l’éloquence et la capacité de raisonnement de ses hôtes, des compétences affinées par des discussions quasi quotidiennes sur les affaires communes ; ses hôtes, en revanche, lorsqu’ils ont pu voir un groupe de Français réunis, ont souvent remarqué la façon dont ils semblaient constamment se bousculer les uns les autres et s’entretuer dans la conversation, utilisant des arguments faibles, et surtout (le sous-texte semblait être), ne se montrant pas très intelligents. Ceux qui essayaient de s’emparer de la scène, refusant aux autres les moyens de présenter leurs arguments, agissaient à peu près de la même manière que ceux qui s’emparaient des moyens matériels de subsistance et refusaient de les partager ; on a l’impression que les Américains considéraient les Français comme vivant dans une sorte de guerre hobbésienne de tous contre tous.<span class="spip_note_ref"> [<a href="#nb16" class="spip_note" rel="footnote" title="Il est probablement digne de mentionner que, surtout à cette époque, les (...)" id="nh16">16</a>]</span></p>
<p>Le récit de Sagard sur son séjour parmi les Wendats est devenu la base d’un livre largement lu chez lui ; Locke et Voltaire l’ont cité comme l’une de leurs principales sources pour leur description des sociétés américaines. Les <i>Relations jésuites</i>, parues entre 1633 et 1673, et qui ont également été largement lues et débattues en Europe, comportent de nombreuses remontrances similaires. Dans les 71 volumes des Relations jésuites, par exemple, les mots « é<i>gal</i>’ ou ’<i>égalité</i>’ apparaissent à peine<span class="spip_note_ref"> [<a href="#nb17" class="spip_note" rel="footnote" title="Une version consultable des documents existe maintenant en ligne." id="nh17">17</a>]</span>- et dans ces rares cas, c’est presque toujours en référence à ’l’égalité des sexes’ (que les jésuites ont trouvé particulièrement scandaleuse). Cela semble être le cas si les jésuites en question se disputaient avec les Wendats, qui ne semblaient peut-être pas tout à fait égalitaires sur le plan anthropologique, puisqu’ils avaient des fonctions politiques officielles et une strate de prisonniers de guerre que les jésuites, du moins, appelaient ’esclaves’, ou les Mi’kmaq ou les Montagnais-Neskapi, qui étaient organisés en bandes de chasseurs-cueilleurs que les anthropologues ultérieurs considéreraient égalitaires. Au lieu de cela, nous entendons les Américains se plaindre de la compétitivité et de l’égoïsme des Français, et plus encore, peut-être, de leur hostilité à la liberté.</p>
<p>Le fait que les Amérindiens vivent dans une société généralement libre, ce qui n’était pas le cas des Européens, n’a jamais vraiment fait l’objet d’un débat - les deux parties ont convenu que c’était le cas. Ils ne s’entendaient pas sur la question de savoir si la liberté individuelle était souhaitable. C’est un domaine où les premiers récits de missionnaires ou de voyageurs des Amériques posent souvent un véritable défi conceptuel. La plupart des lecteurs contemporains ont l’habitude de tenir pour acquis que les observateurs ’occidentaux’, même ceux du XVIIe siècle, ne sont qu’une version antérieure de nous-mêmes, contrairement aux indigènes américains qui représentent un Autre essentiellement étranger, peut-être méconnaissable. En fait, à bien des égards, les auteurs de ces textes ne nous ressemblaient en rien et, du moins en ce qui concerne les questions de liberté personnelle, d’égalité des hommes et des femmes, de mœurs sexuelles ou de souveraineté populaire - ou même de théorie de la psychologie profonde<span class="spip_note_ref"> [<a href="#nb18" class="spip_note" rel="footnote" title="Wallace 1958 ; cf. aussi Graeber 2001, chapitre 5." id="nh18">18</a>]</span>- les attitudes autochtones américaines sont susceptibles d’être beaucoup plus près de celles du lecteur.</p>
<p>La liberté individuelle est un exemple particulièrement frappant parce qu’aujourd’hui, il est presque impossible pour quiconque vit dans une démocratie libérale de dire qu’il est contre la liberté, du moins dans l’abstrait (dans la pratique, bien sûr, nos idées sont généralement beaucoup plus nuancées). C’est l’un des héritages durables du siècle des Lumières, des révolutions américaine et française. La liberté est intrinsèquement bonne. Les jésuites du XVIIe siècle <i>ne</i> partageaient certainement <i>pas</i> cette hypothèse. Ils avaient tendance à considérer la liberté individuelle comme animaliste. En 1642, le missionnaire jésuite Le Jeune parle des Montagnais-Neskapi :</p>
<p>Ils s’imaginent qu’ils doivent, de par leur droit de naissance, jouir de la liberté des ânons sauvages, sans rendre hommage à qui que ce soit, sauf quand bon leur semble. Ils m’ont reproché cent fois que nous avons peur de nos capitaines, pendant qu’ils rient et se moquent des leurs<i>. </i>Toute l’autorité de leur chef est dans la fin de sa langue ; car il est puissant dans la mesure où il est éloquent ; et, même s’il se tue à parler et à haranguer, on ne lui obéira que s’il plaît aux sauvages.<span class="spip_note_ref"> [<a href="#nb19" class="spip_note" rel="footnote" title="JR 6 pp. 109-110/241. L’expression ’capitaine’ est utilisée indifféremment (...)" id="nh19">19</a>]</span></p>
<p>De l’avis des Montagnais-Neskapi, en revanche, les Français n’étaient guère mieux que des esclaves, vivant dans la peur constante de se mettre en difficulté avec leurs supérieurs. De telles critiques apparaissent régulièrement dans les récits des jésuites, non seulement de la part de ceux qui vivaient dans des bandes nomades, mais aussi de citadins comme les Wendat. De plus, les missionnaires étaient prêts à admettre que ce n’était pas que de la rhétorique. Même les hommes d’État wendats ne pouvaient forcer personne à faire ce qu’ils ne voulaient pas faire. Comme le père Lallemant l’a noté en 1644 :</p>
<blockquote class="spip">
<p>Je ne crois pas qu’il y ait des gens sur terre plus libres qu’eux, et moins capables de permettre l’assujettissement de leur volonté à quelque pouvoir que ce soit, au point que les Pères ici présents n’ont aucun contrôle sur leurs enfants, ni sur leurs sujets, ni sur les capitaines, ni sur les lois du pays, sauf dans la mesure où chacun est disposé à se soumettre à eux. Il n’y a pas de punition infligée au coupable, et aucun criminel qui n’est pas sûr que sa vie et ses biens ne sont pas en danger....<span class="spip_note_ref"> [<a href="#nb20" class="spip_note" rel="footnote" title="JR 28:47." id="nh20">20</a>]</span></p>
</blockquote>
<p>Ce récit mérite d’être longuement cité, parce qu’il donne une idée du défi politique que devait représenter, pour le public européen de l’époque, une partie du matériel que l’on trouvait dans les Relations jésuites, et pourquoi tant de gens le trouvaient si fascinant. Après avoir expliqué à quel point il était scandaleux que même les meurtriers s’en tirent indemnes, le bon père a admis que, simplement considéré comme un moyen de maintenir la paix, le système judiciaire wendat n’était pas inefficace. En fait, ça a étonnamment bien marché. Plutôt que de punir les coupables, les Wendats ont insisté pour que l’ensemble de la lignée ou du clan du coupable paie une compensation. C’est pourquoi il était de la responsabilité de chacun de garder ses semblables sous contrôle :</p>
<p>Ce ne sont pas les coupables qui sont punis. C’est le public qui doit faire amende honorable pour les offenses des individus ; afin que, si un Huron a tué un Algonquin ou un autre Huron, tout le pays se rassemble ; et ils s’entendent sur le nombre de cadeaux à donner à la tribu ou aux parents de celui qui a été tué, pour suspendre la revanche qu’ils pourraient prendre. Les capitaines exhortent leurs sujets à fournir ce qui est nécessaire ; personne n’y est contraint, mais ceux qui le veulent apportent publiquement ce qu’ils veulent apporter ; il semble qu’ils se soient disputés les uns les autres en fonction de leurs richesses, et que le désir de gloire et de sollicitude pour le bien public les pousse à faire de même. Or, bien que cette forme de justice restreigne tous ces peuples, et semble plus efficacement réprimer les troubles que le châtiment personnel des criminels en France, il s’agit néanmoins d’une procédure très légère, qui laisse les individus dans un tel esprit de liberté qu’ils ne se soumettent à aucune loi et ne suivent aucune autre impulsion que celle de leur propre volonté.<span class="spip_note_ref"> [<a href="#nb21" class="spip_note" rel="footnote" title="JR 28:48-49, cf. JR 10:211-221." id="nh21">21</a>]</span></p>
<p>Il y a un certain nombre de choses dignes de mention dans ce passage. L’une d’entre elles est qu’il est clair que certaines personnes étaient effectivement considérées comme riches. La société wendat n’était pas ’économiquement égalitaire’ dans ce sens. Cependant, il y avait une différence entre ce que nous considérions comme des ressources économiques, comme la terre, qui appartenait à des familles, qui était exploitée par des femmes et dont les produits étaient en grande partie gérés par des collectifs de femmes, et le genre de ’ richesse ’ dont il est question ici, comme le wampum, qui existait essentiellement à des fins politiques. Les riches Wendats accumulaient des objets précieux pour pouvoir les donner lors d’occasions dramatiques comme celle-ci. Ni dans le cas des terres et des produits agricoles, ni dans celui des wampums et autres objets de valeur similaires, il n’y avait aucun moyen de transformer l’accès aux ressources matérielles en pouvoir - ou du moins, le pouvoir de faire travailler les autres pour vous ou de les contraindre à faire ce qu’ils ne veulent pas faire. Au mieux, l’accumulation et la distribution adroite des richesses pourraient rendre un homme plus susceptible d’accéder à une fonction politique (devenir ’chef’ ou ’capitaine’ - les sources françaises ont tendance à utiliser ces termes sans discernement pour désigner les chefs de la lignée wendat, les orateurs qui transmettent les décisions collectives et les chefs de guerre temporaires) -, mais comme les Jésuites l’ont constamment souligné, le seul fait de remplir une fonction politique ne donne à personne le droit de donner des ordres. Ou, pour être tout à fait exact, un titulaire de bureau peut donner tous les ordres qu’il veut, mais personne n’a l’obligation particulière de les suivre.</p>
<p>Pour les Jésuites, bien sûr, tout cela était scandaleux. En fait, leur attitude à l’égard des idéaux autochtones de liberté est exactement le contraire de l’attitude que la plupart des Français, ou des Canadiens, ont tendance à avoir aujourd’hui. Comme nous l’avons observé, presque tous ceux qui ont grandi dans une démocratie libérale insisteront pour considérer la liberté comme un idéal tout à fait admirable, en principe, même s’ils ont l’impression qu’une société fondée sur la liberté individuelle totale - certainement, une société qui est allée jusqu’à éliminer la police, les prisons ou tout autre appareil coercitif - tomberait instantanément dans un chaos violent. Le père Lallemant était prêt à admettre qu’en pratique, un tel système fonctionnait assez bien ; il créait ’beaucoup moins de désordre qu’il n’y en a en France’. Mais les jésuites étaient opposés à la liberté en principe. Lallemant continue :</p>
<blockquote class="spip">
<p>C’est, sans aucun doute, une disposition tout à fait contraire à l’esprit de la Foi, qui nous oblige à soumettre non seulement notre volonté, mais aussi notre esprit, nos jugements et tous les sentiments de l’homme à une puissance inconnue de nos sens, à une Loi qui n’est pas terrestre, et qui est entièrement opposée aux lois et sentiments de nature corrompue. Ajoutez à cela que les lois du Pays, qui leur paraissent les plus justes, attaquent la pureté de la vie chrétienne de mille manières... surtout en ce qui concerne leurs mariages....<span class="spip_note_ref"> [<a href="#nb22" class="spip_note" rel="footnote" title="JR 28:49-50. Voici un autre père jésuite, qui revient sur le thème de l’âne : (...)" id="nh22">22</a>]</span></p>
</blockquote>
<p>Les Relations jésuites sont pleines de ce genre de choses : les missionnaires scandalisés ont souvent rapporté, par exemple, que les femmes étaient considérées comme ayant le plein contrôle de leur propre corps, et que les femmes non mariées avaient donc la liberté sexuelle, et les femmes mariées pouvaient divorcer à volonté. C’était un scandale. Mais pour eux, cette conduite pécheresse n’était que le prolongement d’un principe de liberté plus général, enraciné dans des dispositions naturelles, qu’ils considéraient comme pernicieuses en soi. La ’méchante liberté des sauvages’, insistait-on, était le plus grand obstacle à leur ’soumission au joug de la loi de Dieu’<span class="spip_note_ref"> [<a href="#nb23" class="spip_note" rel="footnote" title="JR 5:175." id="nh23">23</a>]</span>. Il était même extrêmement difficile de trouver des termes permettant de traduire des concepts tels que ’seigneur’, ’commandement’, ’obéissance’, ’obéissance’, dans les langues indigènes ; il était pratiquement impossible d’expliquer les concepts théologiques sous-jacents.<span class="spip_note_ref"> [<a href="#nb24" class="spip_note" rel="footnote" title="Blackburn 2004:93." id="nh24">24</a>]</span></p>
<p>Sur le plan politique, donc, les Français et les Américains ne se disputaient pas sur l’égalité, mais sur la liberté. À peu près la seule référence à l’égalité spécifiquement politique qui apparaît dans les 71 volumes de <i>The Jesuit Relations</i> se passe presque comme un aparté, dans un récit d’un événement de l’année 1648, qui s’est passé dans un établissement de Wendat christianisés autour de la ville de Québec. Après une perturbation causée par l’entrée d’une cargaison d’alcool illégal dans la communauté, le gouverneur a persuadé les dirigeants wendats d’accepter l’interdiction des boissons alcoolisées, et a publié un édit à cet effet, ce qui est crucial, note-t-il, appuyé par la menace d’une punition. Le père Lallemant, encore une fois, enregistre l’histoire. Pour lui, ce fut un événement marquant :</p>
<blockquote class="spip">
<p>Du début du monde jusqu’à l’arrivée des Français, les sauvages n’ont jamais su ce qu’il était si solennel d’interdire quoi que ce soit à leur peuple, sous aucune peine, même minime. Ce sont des gens libres, dont chacun se considère aussi important que les autres, et ils ne se soumettent à leurs chefs que dans la mesure où cela leur plaît.<span class="spip_note_ref"> [<a href="#nb25" class="spip_note" rel="footnote" title="JR v.33.p49" id="nh25">25</a>]</span></p>
</blockquote>
<p>L’égalité est ici un prolongement direct de la liberté ; en effet, elle en est l’expression. Elle n’a presque rien en commun avec la notion plus familière (eurasienne) d’’égalité devant la loi’, qui est en fin de compte l’égalité devant le souverain, c’est-à-dire l’égalité dans la soumission commune une fois encore. Les Américains, en revanche, étaient égaux dans la mesure où ils étaient également libres d’obéir ou de désobéir aux ordres comme bon leur semblait. La gouvernance démocratique des Wendats et des Cinq Nations des Haudenosaunee, qui a tant impressionné les lecteurs européens ultérieurs, était une expression du même principe : si aucune contrainte n’était permise, il était évident qu’une telle cohérence sociale qui existait devait être créée par un débat raisonné, des arguments persuasifs et l’établissement du consensus social.</p>
<p>Nous revenons ici à la question par laquelle nous avons commencé : les Lumières comme l’apothéose du principe du débat ouvert et rationnel. J’ai déjà mentionné le respect à contrecœur de Sagard pour les installations de Wendat lors d’une argumentation logique. Il s’agit d’un thème que l’on retrouve dans la plupart des récits jésuites. Il est important de garder à l’esprit, ici, que les jésuites étaient les intellectuels du monde catholique. Formés à la rhétorique classique et aux techniques de <i>disputatio</i><span class="spip_note_ref"> [<a href="#nb26" class="spip_note" rel="footnote" title="https://fr.wikipedia.org/wiki/Disputatio." id="nh26">26</a>]</span>, ils avaient appris les langues des Américains avant tout pour pouvoir argumenter avec eux, pour les convaincre de la supériorité de la foi chrétienne. Pourtant, ils ont été régulièrement surpris et impressionnés par la qualité des contre-arguments auxquels ils ont dû faire face. Comment une telle facilité rhétorique a-t-elle pu arriver à ceux qui n’avaient aucune connaissance des œuvres de Varro et Quintilian ? En examinant la question, les jésuites ont presque toujours noté l’ouverture dans la conduite des affaires publiques. Ainsi Lejeune :</p>
<blockquote class="spip">
<p>Il n’y en a presque aucun qui soit incapable de converser ou de raisonner très bien, et en bons termes, sur des sujets dont ils ont connaissance. Les conseils, qui se tiennent presque tous les jours dans les Villages, et sur presque tous les sujets, améliorent leur capacité de dialogue’.</p>
</blockquote>
<p>Ou encore Lallemant :</p>
<blockquote class="spip">
<p>Je peux dire en vérité qu’en matière d’intelligence, ils ne sont en rien inférieurs aux Européens et à ceux qui habitent en France. Je n’aurais jamais cru que, sans instruction, la nature aurait pu fournir une éloquence des plus promptes et vigoureuses, que j’ai admirée chez de nombreux Hurons ; ou une clairvoyance plus claire dans les affaires publiques, ou une gestion plus discrète dans les choses auxquelles ils sont habitués.<span class="spip_note_ref"> [<a href="#nb27" class="spip_note" rel="footnote" title="JR 28:61-62" id="nh27">27</a>]</span></p>
</blockquote>
<p>Certains sont allés plus loin et ont fait remarquer, non sans frustration, que les sauvages du Nouveau Monde semblaient plus intelligents, dans l’ensemble, que les gens avec lesquels ils avaient l’habitude de traiter à la maison (par exemple, ’ ils sont presque tous plus intelligents dans leurs affaires, leurs discours, leurs politesses, leurs rapports, leurs tours et leurs subtilités que les citoyens et marchands les plus avisés en France ’.<span class="spip_note_ref"> [<a href="#nb28" class="spip_note" rel="footnote" title="JR 15:155, aussi en Francs 2002:4, cf. Blackburn 2004:68." id="nh28">28</a>]</span>) Le point clé pour les fins de la présente étude est que les Jésuites ont reconnu une relation intrinsèque entre le refus du pouvoir arbitraire, un débat politique ouvert et inclusif, et le goût de l’argumentation raisonnée. Pourtant, attribuer cette facilité comme le fait Lallemant à la ’nature’, comme si les compétences en argumentation logique n’étaient que le résultat inévitable d’arrangements politiques non coercitifs, ignore le fait qu’il existe de nombreux moyens d’être persuasif.</p>
<p>Certes, il est vrai que les dirigeants politiques autochtones de ce qui allait devenir les États-Unis, qui dans la plupart des cas n’avaient aucun moyen de contraindre qui que ce soit à faire ce qu’ils n’avaient pas accepté de faire, étaient connus pour leurs pouvoirs rhétoriques. Même les généraux américains qui mènent des campagnes génocidaires contre les peuples autochtones se sont souvent vus réduits en larmes par la force de leur éloquence. Pourtant, la persuasion ne doit pas nécessairement prendre la forme d’une argumentation logique ; elle peut tout aussi bien faire appel aux sentiments, attiser les passions, déployer des métaphores poétiques, faire appel aux mythes ou à la sagesse proverbiale, employer l’ironie et la dissimulation, l’humour, l’insulte, les appels à la prophétie ou la révélation ; et le degré auquel on insiste, par-dessus toute autre méthode, a tout rapport avec la tradition rhétorique dont sort l’orateur et les dispositions présumées de l’audience. Ce sont surtout les locuteurs de langues iroquoiennes comme les Wendats, ou les Cinq Nations au sud, qui semblent avoir accordé une telle importance au débat raisonné - même, comme nous le verrons, il s’agissait d’une forme de divertissement agréable en soi. Si c’est le cas, cela ne peut être que le résultat d’une histoire culturelle particulière. De telles choses sont notoirement difficiles à reconstituer, même si nous ferons quelques spéculations à ce sujet plus tard. Pour l’instant, il suffit de dire qu’ils l’ont fait, et le fait qu’ils l’aient fait, a eu des répercussions historiques majeures. Parce qu’il semble que c’est précisément cette forme de débat - rationnel, sceptique, empirique, conversationnel - qui, peu de temps après, a été identifiée aux Lumières, et tout comme les Jésuites, les penseurs des Lumières et les révolutionnaires démocratiques l’ont considérée comme intrinsèquement liée au rejet de l’autorité arbitraire - en particulier, celle des autorités religieuses comme les Jésuites eux-mêmes.</p>
<p>Rassemblons les pièces du puzzle éparpillées jusqu’ici. Au milieu du XVIIe siècle, les penseurs juridiques et politiques européens commençaient à jouer avec l’idée d’un état de nature égalitaire : au moins dans le sens minimal où les sociétés qu’ils supposaient dépourvues de gouvernement, d’écriture, de religion ou de propriété privée étaient égalitaires par défaut, puisque ceux qui vivaient dans ces sociétés n’auraient aucun moyen significatif pour se distinguer les uns des autres. Des termes comme ’égalité’ et ’inégalité’ commençaient à peine à devenir d’usage courant, dans les milieux intellectuels, à l’époque où les premiers missionnaires français se sont mis à évangéliser les habitants de ce qui est maintenant la Nouvelle-Écosse et le Québec.<span class="spip_note_ref"> [<a href="#nb29" class="spip_note" rel="footnote" title="Elles ont également été acceptées de manière inégale. La plupart des jésuites (...)" id="nh29">29</a>]</span> Le public des lecteurs européens était de plus en plus curieux de savoir à quoi pouvaient ressembler de telles sociétés primordiales. Mais ils n’avaient aucune disposition particulière à imaginer les hommes et les femmes vivant dans un état de nature comme étant particulièrement ’nobles’, et encore moins comme des sceptiques rationnels et des champions de la liberté individuelle.<span class="spip_note_ref"> [<a href="#nb30" class="spip_note" rel="footnote" title="Un récent examen exhaustif de la littérature effectué par Ter Ellingson (2001) (...)" id="nh30">30</a>]</span> Ce dernier est le produit de la rencontre dialogique.</p>
<p>Comme nous l’avons vu, au début, aucune des deux parties n’avait beaucoup à dire sur l’’égalité’. L’argument portait plutôt sur la liberté et l’entraide, ou, ce qu’on pourrait encore mieux appeler liberté et communisme. Nous devons être clairs sur ce que nous entendons par ce dernier terme. Depuis au moins le début du XIXe siècle, il y a eu des débats animés sur la question de savoir s’il y a jamais eu une chose que l’on pourrait légitimement appeler ’ communisme primitif ’, et les sociétés autochtones des forêts du nord-est ont toujours été au centre de ces débats, puisque Frederich Engels a utilisé les Iroquois comme un de ses principaux exemples de communisme primitif dans <i>The Origins of the Family, Private Property et the State</i>. Dans les arguments sur le communisme primitif, cependant, le ’communisme’ fait toujours référence à la propriété communautaire, en particulier des ressources productives. Comme nous l’avons déjà observé, de nombreuses sociétés américaines peuvent être considérées comme quelque peu ambiguës dans ce sens ; les femmes possédaient et travaillaient les champs individuellement, même si elles entreposaient et éliminaient les produits collectivement ; les hommes possédaient leurs propres outils et armes individuellement, même si elles partageaient généralement le jeu et le butin.</p>
<p>Cependant, il y a une autre façon d’utiliser le mot ’communisme’ : non pas comme régime de propriété, mais dans le sens original de ’de chacun selon ses capacités, à chacun selon ses besoins’. Il y a aussi un communisme minimal qui s’applique en toutes circonstances, le sentiment que si les besoins d’une autre personne sont assez grands (disons qu’elle se noie), et/ou que le coût pour y répondre est assez modeste (disons qu’elle demande des directions, ou une lumière), alors bien sûr toute personne honnête s’y conformerait. Ce communisme de base pourrait même être considéré comme le fondement même de la sociabilité humaine, puisque ce ne sont que les ennemis acharnés que l’on ne traiterait pas de cette façon. Ce qui varie d’une société à l’autre, c’est la mesure dans laquelle on estime que ce communisme de base devrait s’étendre correctement. Dans de nombreuses sociétés - et les sociétés américaines de l’époque semblent en faire partie - il aurait été inconcevable de refuser une demande de nourriture. Pour les Français du XVIIe siècle, ce n’était manifestement pas le cas ; l’éventail du communisme de base semble avoir été très restreint ; il ne s’étendait certainement pas à la nourriture et au logement ; les Américains étaient donc scandalisés par leur comportement.</p>
<p>Mais comme nous l’avons vu tout à l’heure avec la confrontation de deux conceptions très différentes de l’égalité, nous assistons en fin de compte à un affrontement entre des conceptions très différentes de l’individualisme. Les Européens se disputaient constamment l’avantage. Les Américains se garantissaient mutuellement les moyens d’une vie autonome, ou du moins s’assuraient qu’aucun homme ou femme n’était subordonné à un autre. Dans la mesure où nous pouvons parler de communisme, il n’existait pas en opposition à la liberté individuelle, mais en soutien à celle-ci. On pourrait en dire autant du système politique. Tout ce qui fonctionnait pour s’assurer que la volonté de personne ne serait soumise à celle de personne d’autre.</p>
<p>Ce n’est qu’avec le temps, à mesure que les Américains en apprenaient davantage sur l’Europe et que les Européens commençaient à réfléchir à ce que signifierait la transposition des idéaux américains de liberté individuelle dans leurs propres sociétés, que le mot ’égalité’ a commencé à faire régulièrement son apparition.</p>
<p>Pour comprendre l’évolution de la critique indigène et son impact sur la pensée européenne, il faut d’abord comprendre le rôle de deux hommes : un aristocrate français appauvri, le baron Louis-Armand de Lom d’Arce de la Hontan, et un homme d’État wendat exceptionnellement brillant, Kandiaronk.</p>
<p>En 1683, Lahontan (comme on l’a surnommé), alors âgé de 17 ans, s’enrôle dans l’armée et est affecté au Canada. Au cours de la décennie suivante, il participe à plusieurs campagnes et expéditions exploratoires, obtenant finalement le grade d’adjoint au gouverneur général, le comte de Frontenac. Au cours de ce processus, il s’exprime couramment en algonquin et en wendat et, du moins selon son propre récit, il se lie d’amitié avec un certain nombre de personnalités politiques autochtones - qui, plus tard, a-t-il affirmé, en observant qu’il était un peu sceptique en matière religieuse et un ennemi politique des Jésuites, étaient disposées à partager avec lui leurs opinions réelles sur les enseignements chrétiens. Kandiaronk était l’un d’eux. Un stratège clé de la Confédération Wendat, Kandiaronk (son nom signifiait littéralement ’ le rat musqué ’, et les Français l’appelaient souvent simplement ’ Le Rat ’) était à l’époque engagé dans un jeu géopolitique complexe, essayant de monter les Anglais, les Français et les Cinq Nations les uns contre les autres, dans le but à terme de créer une alliance autochtone globale pour empêcher les colons de progresser.<span class="spip_note_ref"> [<a href="#nb31" class="spip_note" rel="footnote" title="Ainsi, selon certaines sources de l’époque, et selon les traditions orales (...)" id="nh31">31</a>]</span> Le projet semble avoir nécessité de nombreux déplacements. Tous ceux qui l’ont rencontré, amis ou ennemis, ont admis qu’il était un individu remarquable : un guerrier courageux, un orateur brillant et un politicien particulièrement habile. Il fut aussi, jusqu’à la fin de sa vie, un farouche opposant au christianisme.<span class="spip_note_ref"> [<a href="#nb32" class="spip_note" rel="footnote" title="Les histoires officielles affirment qu’il s’est converti à la toute fin de sa (...)" id="nh32">32</a>]</span></p>
<p>La carrière de Lahontan s’est mal terminée. Bien qu’il ait défendu avec succès la Nouvelle-Écosse contre une flotte anglaise, il fuit de son gouverneur et est contraint de fuir le territoire français. Condamné par contumace pour insubordination, il passa la majeure partie de la décennie suivante à errer à travers l’Europe en essayant, sans succès, de négocier un retour en France, sa France natale. En 1702, il vivait à Amsterdam, et sa chance était à son comble, selon ceux qui l’ont rencontré comme vagabond sans le sou et espion indépendant ; il réussit à sauver sa fortune en publiant une série de livres sur ses aventures au Canada. Le troisième, intitulé ’Curious Dialogues with a Savage of Good Sense Who Has Traveled’ (1703), consistait en une série de quatre conversations entre Lahontan et Kandiaronk, dans lesquelles le sage Wendat, se fondant sur ses propres observations ethnographiques de Montréal, New York et Paris, jette un regard extrêmement critique sur les idées et coutumes européennes en matière de religion, politique, santé et vie sexuelle. Ces livres ont gagné un large public, et peu de temps après, Lahontan était devenu une sorte de célébrité mineure, s’installant à la cour de Hanovre, qui était également le siège de Leibniz, qui se lia d’amitié et le soutint avant qu’il ne tombe malade et meure à un jeune âge vers 1715.</p>
<p>La plupart de la littérature existante sur l’œuvre de Lahontan<span class="spip_note_ref"> [<a href="#nb33" class="spip_note" rel="footnote" title="Chinard 1913, 1931, Allen 1966, Richter 1972, Betts 1984:129-136, Ouellet (...)" id="nh33">33</a>]</span> suppose simplement que les dialogues sont inventés, et les arguments attribués à ’Adario’ (le nom donné à Kandiaronk dans les Dialogues) simplement les opinions de Lahontan lui-même. D’une certaine façon, ce n’est pas surprenant. Adario prétend non seulement avoir visité la France, mais il exprime des opinions sur tout, de la politique monastique aux affaires juridiques. Dans le débat sur la religion, il a souvent l’air d’un déiste, embrassant exactement le genre de scepticisme rationnel qui devenait populaire dans les cercles intellectuels plus audacieux en Europe, y compris Lahontan lui-même, à l’époque. Il est également vrai que le style des dialogues semble être en partie inspiré par le satiriste grec Lucien de Samosate ; et il est certain que, vu la prévalence de la censure de l’Église à l’époque, le moyen le plus facile pour un libre penseur de s’en tirer en publiant une attaque ouverte contre le christianisme était probablement de composer un dialogue prétendant défendre la foi des attaques d’un sceptique étranger imaginaire et ensuite faire perdre tous ses arguments au défendeur de la foi.</p>
<p>Ce n’est que très récemment que les chercheurs autochtones sont<span class="spip_note_ref"> [<a href="#nb34" class="spip_note" rel="footnote" title="Sioui 1972, 1992, 1999 ; Steckley 1981, 2014:56-62 ; Mann 2001. Certaines (...)" id="nh34">34</a>]</span> revenus sur le sujet à la lumière de ce que nous savons sur Kandiaronk lui-même, et sont arrivés à des conclusions très différentes. Le vrai Adario était, en fait, célèbre non seulement pour son éloquence, mais aussi pour avoir participé à des débats avec les Européens, comme le livre de Lahontan l’indiquait. Comme le fait remarquer Barbara Alice Mann :</p>
<blockquote class="spip">
<p>Malgré le refrain presque unanime des érudits occidentaux qui insistent sur le fait que les dialogues sont ’imaginaires’, il y a d’excellentes raisons de les accepter comme authentiques. Tout d’abord, les personnes les plus proches du Kandiaronk historique étaient uniformément émerveillées par ses talents oratoires... Partout où il allait, ses contemporains le suppliaient de parler pour le plus grand plaisir des auditeurs de l’entendre. Son esprit était légendaire.</p>
</blockquote>
<p>Charlevoix décrit Kandiaronk comme étant si ’naturellement éloquent’ que ’personne ne l’a peut-être jamais surpassé dans sa capacité mentale’. Orateur exceptionnel du conseil, ’ il n’était pas moins brillant dans les conversations en privé, et [les conseillers et les négociateurs] prenaient souvent plaisir à le provoquer pour qu’il entende ses réparties, toujours animées, pleines d’esprit, et généralement sans réponse. Il était le seul homme au Canada à être à la hauteur du comte de Frontenac, qui l’invitait souvent à sa table pour donner ce plaisir à ses officiers ’ (Mann 2001:55).</p>
<p>En d’autres termes, Montréal, dans les années 1690, a souvent été le théâtre d’une sorte de salon des Lumières, où le gouverneur et ses officiers (y compris sans doute son adjoint, Lahontan) ont accueilli Kandiaronk pour débattre exactement du genre de questions qui figuraient dans les <i>Dialogues</i>, et où c’est Kandiaronk qui a pris la position du sceptique rationnel.</p>
<p>De plus, tout porte à croire que Kandiaronk s’était rendu en France ; au moins, nous savons que la Confédération Wendat a envoyé un ambassadeur à la cour de Louis XIV en 1691, et le bureau de Kandiaronk à l’époque était président du conseil, ce qui aurait fait de lui la personne logique à envoyer. Si la connaissance intime des affaires européennes et la compréhension de la psychologie européenne attribuée à Adario peuvent sembler invraisemblables, il faut garder à l’esprit que Kandiaronk était un homme engagé dans des négociations politiques avec les Européens depuis des années et qu’il les encerclait régulièrement en anticipant leurs logiques, intérêts, angles morts et réactions. Enfin, Mann note que bon nombre des critiques du christianisme, et plus généralement des coutumes européennes, attribuées à l’Adario correspondent presque exactement aux critiques qui ont été documentées par d’autres locuteurs de langues iroquoiennes à cette époque.<span class="spip_note_ref"> [<a href="#nb35" class="spip_note" rel="footnote" title="Mann 2001:57-61" id="nh35">35</a>]</span></p>
<p>Lahontan lui-même prétendait avoir fondé les <i>Dialogues</i> sur des notes prises pendant ou après diverses conversations qu’il avait eues avec Kandiaronk dans la capitale wendat de Michilimackinac ; notes qu’il a réorganisé plus tard avec l’aide du gouverneur, et complété, sans doute, par des souvenirs des débats similaires tenus sur la propre table à manger du Frontenac. Il ne fait aucun doute qu’au cours de ce processus, le texte a été enrichi et embelli, et probablement retouché à nouveau lorsque Lahontan a produit sa dernière édition à Amsterdam. Mais il y a toutes les raisons de croire que les arguments de base étaient ceux de Kandiaronk.</p>
<p>Lahontan anticipe déjà certains d’entre eux dans ses Mémoires, lorsqu’il note que les Américains qui étaient effectivement allés en Europe - il pensait probablement avant tout à Kandiaronk lui-même, ainsi qu’à un certain nombre de convertis chrétiens qui avaient été mis au travail comme esclaves de cuisine - sont revenus méprisants les revendications européennes de supériorité culturelle :</p>
<p>Comme cela a été le cas en France, ils n’ont cessé de nous taquiner avec les fautes et les désordres qu’ils ont observés dans nos villes, comme s’ils étaient causés par l’argent. Il ne sert à rien d’essayer de leur faire comprendre à quel point la distinction de propriété est utile pour le soutien de la société : ils font une blague de tout ce que vous dites à ce sujet. Bref, ils ne se disputent pas, ne se calomnient pas, ils se moquent des arts et des sciences, et rient des différences de rang que l’on observe chez nous. Ils nous traitent d’esclaves et nous traitent d’âmes misérables, dont la vie ne vaut pas la peine d’être vécue, alléguant que nous nous dégradons en nous soumettant à un seul homme [le roi] qui possède tout le pouvoir et qui n’est lié que par sa propre volonté.</p>
<p>En d’autres termes, on retrouve ici toutes les critiques familières de la société européenne auxquelles les premiers missionnaires ont dû faire face - les chamailleries, le manque d’entraide, la soumission aveugle à l’autorité -, mais avec un nouvel élément ajouté : l’organisation de la propriété privée. Le texte se poursuit :</p>
<p>Ils pensent qu’il n’est pas responsable qu’un homme ait plus qu’un autre et que les riches aient plus de respect que les pauvres. En bref, disent-ils, le nom des sauvages, que nous leur donnons, nous conviendrait mieux, puisqu’il n’y a rien dans nos actions qui porte une apparence de sagesse.</p>
<p>Ceux qui ont eu l’occasion d’observer de près la société française en sont venus à réaliser une différence clé par rapport à la leur, une différence qui n’aurait pas été évidente pour ceux qui étaient exposés presque exclusivement aux trappeurs, commerçants, soldats et missionnaires. Là où, dans leurs propres sociétés, il n’y avait guère de moyens de convertir la richesse en pouvoir sur les autres, et donc, les différences de richesse avaient peu d’effet sur la liberté individuelle. Un homme avec une réserve inhabituellement importante de wampum, ou une femme qui contrôle une récolte record de maïs, auraient sans doute été admirés, et peut-être capables de lancer des projets qu’il n’aurait peut-être pas existé autrement, mais il aurait été difficile de trouver un moyen de déployer ses richesses pour faire faire à un voisin ce qu’il n’aurait pas eu envie de faire autrement. En France, ce n’était pas du tout le cas. Le pouvoir sur les possessions peut se traduire directement en pouvoir sur les autres êtres humains de diverses façons.</p>
<p>Mais donnons la parole à Kandiaronk lui-même. Le premier des <i>Dialogues</i> porte sur les questions religieuses, dans lequel Lahontan laisse son fleuret démêler calmement les contradictions logiques et l’incohérence des doctrines chrétiennes du péché originel et de la rédemption, en accordant une attention particulière au concept de l’enfer. Kandiaronk souligne continuellement le fait que les chrétiens sont divisés en sectes sans fin, chacune convaincue d’avoir entièrement raison et que toutes les autres sont en Enfer, ainsi que le manque de fiabilité inhérent aux textes historiques. Pour donner une idée de sa saveur :</p>
<blockquote class="spip">
<p><i>Kandiaronk</i> : Allez, mon frère. Ne vous levez pas les bras.... Il est naturel que les chrétiens aient foi dans les Saintes Écritures, car, depuis leur enfance, ils en ont tant entendu parler. Pourtant, il est raisonnable pour ceux qui ne sont pas nés avec de tels préjugés, comme les Wendats, d’examiner les choses de plus près.</p>
<p>Cependant, après avoir réfléchi longuement et intensément pendant une décennie à ce que les Jésuites nous ont dit sur la vie et la mort du fils du Grand Esprit, tout Wendat pourrait vous donner vingt contre-arguments. Pour ma part, j’ai toujours pensé que s’il était possible que Dieu ait abaissé suffisamment ses normes pour descendre sur terre, il le ferait à la vue de tous, en descendant en triomphe, avec pompe et majesté, et plus publiquement... Il serait allé de nation en nation faire de puissants miracles, donnant ainsi à chacun les mêmes lois. Alors nous aurions tous eu exactement la même religion, uniformément répandue et également connue aux quatre coins du monde, prouvant à nos descendants, depuis lors jusqu’à dix mille ans dans le futur, la vérité de cette religion. Au lieu de cela, il y a cinq ou six cents religions, chacune distincte des autres, dont, selon vous, la religion des Français, seule, est toute bonne, sainte ou vraie.<span class="spip_note_ref"> [<a href="#nb36" class="spip_note" rel="footnote" title="1704 : 106-107. Les références citées se rapportent à l’édition anglaise de (...)" id="nh36">36</a>]</span></p>
</blockquote>
<p>Ce dernier point reflète peut-être le point le plus révélateur de Kandiaronk : l’extraordinaire importance de la vision jésuite : surtout, puisque leur religion suppose qu’un être omniscient et tout-puissant choisirait librement de s’enfermer dans la chair et de subir une souffrance terrible pour une seule espèce imparfaite, conçue pour être imparfaite, et diffuserait si peu la sagesse de cet être que seuls quelques-uns allaient être sauvés et que les Jésuites viennent de la branche sur cinq cents qui a tout juste réussi à raconter exactement la vérité<span class="spip_note_ref"> [<a href="#nb37" class="spip_note" rel="footnote" title="’En supposant qu’il est si puissant et si grand, quelle est la probabilité (...)" id="nh37">37</a>]</span>.</p>
<p>Suit un chapitre sur le sujet du droit, où Kandiaronk adopte la position que le droit punitif de style européen, comme la doctrine religieuse de la damnation éternelle, n’est pas rendu nécessaire par la corruption inhérente à la nature humaine, mais plutôt par une forme d’organisation sociale qui encourage un comportement égoïste et acquisif.</p>
<p>Lahontan objecte. Il est vrai, dit-il, que la raison est la même pour tous les humains, et chacun est capable de comprendre que certaines formes de comportement sont destructrices ; mais la raison ne suffit pas. L’existence même des juges et des peines montre que tout le monde n’est pas capable de suivre ses diktats :</p>
<blockquote class="spip">
<p><i>Lahontan</i> : C’est pourquoi les méchants doivent être punis et les bons doivent être récompensés. Sinon, le meurtre, le vol et la diffamation se répandraient partout et, en un mot, nous deviendrions le peuple le plus malheureux de la terre.</p>
<p><i>Kandiaronk</i> : Pour ma part, j’ai du mal à voir comment vous pourriez être beaucoup plus malheureux que vous ne l’êtes déjà. Quel genre d’être humain, quelle espèce de créature les Européens doivent-ils être pour être forcés de faire le bien et ne s’abstenir du mal que par crainte d’être punis ? …</p>
<p>Vous avez constaté que nous manquons de juges. Quelle en est la raison ? On ne porte jamais plainte l’un contre l’autre. Et pourquoi n’intentons-nous jamais de procès ? Parce qu’on a pris la décision de ne pas accepter, ni d’utiliser l’argent. Et pourquoi refusons-nous d’accorder de l’argent à nos communautés ? La raison en est la suivante : nous sommes déterminés à ne pas avoir de lois, parce que, depuis que le monde est un monde, nos ancêtres ont pu vivre heureux sans elles.</p>
<p>Cela peut sembler fallacieux - le Wendat avait certainement un code juridique -, mais par ’lois’, Kandiaronk fait clairement référence à des lois de nature coercitive ou punitive. Il éviscère ensuite point par point le système juridique français, s’attardant particulièrement sur la persécution judiciaire, les faux témoignages, la torture, les accusations de sorcellerie et la justice différentielle pour les riches et les pauvres. Mais en fin de compte, il revient à son observation initiale : tout l’appareil qui consiste à essayer de forcer les gens à bien se comporter serait inutile si la France ne maintenait pas aussi un appareil contraire qui encourage les gens à mal se comporter. Cet appareil se composait d’argent, de droits de propriété et de la poursuite de l’intérêt personnel matériel qui en résultait.</p>
<p><i>Kandiaronk</i> : J’ai passé six ans à réfléchir sur l’état de la société européenne et je ne peux toujours pas penser à une seule façon d’agir qui ne soit pas inhumaine, et je pense sincèrement que cela ne peut qu’être le cas si vous vous en tenez à vos distinctions de ’mien’ et de ’tien’. J’affirme que ce que vous appelez argent est le diable des démons ; le tyran des Français, la source de tous les maux ; le fléau des âmes et l’abattoir des vivants. Imaginer qu’on puisse vivre au pays de l’argent et préserver son âme, c’est comme imaginer qu’on puisse préserver sa vie au fond d’un lac. L’argent est le père du luxe, de la lascivité, des intrigues, des tromperies, des mensonges, de la trahison, de l’insincérité, de tous les pires comportements du monde. Les pères vendent leurs enfants, les maris leurs femmes, les femmes trahissent leurs maris, les frères s’entretuent, les amis sont faux, et tout cela pour l’argent. A la lumière de tout cela, dites-moi que nous, Wendats, nous n’avons pas raison de refuser de toucher, ni même de regarder l’argent ?</p>
</blockquote>
<p>Pour 1703, c’était captivant.</p>
<p>Une grande partie de l’échange subséquent consiste en ce que le Français essaie de convaincre les Wendats des avantages de la civilisation européenne, et les Wendats répliquent que les Européens feraient beaucoup mieux d’adopter le mode de vie Wendat. Vous imaginez sérieusement, dit-il, que je serais heureux de vivre comme les habitants de Paris, de prendre deux heures tous les matins juste pour m’habiller et me maquiller, saluer et m’incliner devant chaque type prétentieux que je rencontre dans la rue et qui est né avec un héritage ? Pensez-vous vraiment que je pourrais porter un sac plein de pièces de monnaie et ne pas les remettre à des gens qui ont faim, que je porterais une épée, mais que je ne la tirerais pas sur la première bande de voyous que je vois en train de rassembler les indigents pour les pousser au service naval ? Si Lahontan adoptait un mode de vie américain, par contre, il lui faudrait peut-être un certain temps pour s’adapter, mais au bout du compte, il serait beaucoup plus heureux. (Ici, le point de vue de Kandiaronk semble être confirmé par des preuves empiriques : il était notoire, au cours des premiers siècles de la colonisation européenne de l’Amérique du Nord, que les colons capturés et adoptés de force dans les sociétés autochtones pendant une certaine période de temps souhaitaient rarement retourner chez eux et y résistaient souvent activement ; les Américains autochtones qui étaient adoptés dans des familles de colons s’en sont presque toujours échappés à la première occasion).</p>
<p>Kandiaronk est même prêt à s’affirmer que l’Europe se porterait mieux si tout son système social était démantelé :</p>
<blockquote class="spip">
<p><i>Lahontan : </i>Essayez pour une fois dans votre vie d’écouter : Ne voyez-vous pas, mon cher ami, que les nations d’Europe ne pourraient pas survivre sans or et sans argent - ou sans un symbole précieux similaire. Sans elle, les nobles, les prêtres, les marchands et bien d’autres qui n’ont pas la force de travailler le sol, mourraient simplement de faim. Nos rois ne seraient pas des rois ; quels soldats aurions-nous ? Qui travaillerait pour les rois, ou pour qui que ce soit d’autre ? ... Cela plongerait l’Europe dans le chaos et créerait la confusion la plus sombre qui soit.</p>
<p><i>Kandiaronk :</i> Vous pensez vraiment que vous allez m’influencer en répondant aux besoins des nobles, des marchands et des prêtres ? Si vous abandonniez mes conceptions et les vôtres, oui, de telles distinctions entre les hommes se dissoudraient ; une égalité nivelante prendrait alors sa place parmi vous comme elle le fait maintenant chez les Wendats. Et oui, pendant les trente premières années qui suivront le bannissement de l’intérêt personnel, vous verrez sans aucun doute une certaine désolation, car ceux qui sont seulement qualifiés pour manger, boire, dormir et prendre du plaisir, languiront et mourront. Mais leur progéniture serait adaptée à notre mode de vie. J’ai exposé à maintes reprises les qualités qui, selon nous, devraient définir l’humanité - la sagesse, la raison, l’équité, etc. - et démontré que l’existence d’intérêts matériels distincts frappe tout cela à la tête : un homme motivé par un intérêt ne peut être un homme de raison.</p>
</blockquote>
<p>L’’égalité’ est donc invoquée ici comme un idéal conscient de soi, mais seulement à la suite d’une confrontation prolongée entre les institutions et les valeurs américaines et européennes, et comme une provocation calculée qui fait reculer le discours civilisateur européen sur lui-même.</p>
<p>L’une des raisons pour lesquelles les historiens ont trouvé si facile de rejeter Kandiaronk comme l’ultime ’Noble Sauvage’, et donc comme une simple projection des fantasmes européens, est que beaucoup de ses affirmations sont si manifestement exagérées. Il n’est pas vraiment vrai que les Wendats, ou d’autres sociétés américaines, n’avaient pas de lois, ne se disputaient jamais, et ne connaissaient aucune inégalité de richesse. En même temps, comme nous l’avons vu, l’argumentation de base de Kandiaronk correspond parfaitement à ce que les missionnaires et les colons français entendaient des autres Canadiens autochtones depuis leur arrivée. Affirmer que les Dialogues sont de la romance et qu’ils ne peuvent donc pas vraiment refléter ce que Kandiaronk a dit, c’est supposer que les gens sont incapables de se romancer eux-mêmes - malgré les preuves accablantes que c’est précisément ce que presque tout le monde, et certainement tout débatteur habile, serait susceptible de faire dans une telle situation.</p>
<p>Dans les années 1940, l’anthropologue Gregory Bateson a inventé le terme ’schismogenèse’ : la tendance des gens à se définir contre les autres. Imaginez un argument où deux personnes partent d’un désaccord politique mineur, mais au bout d’une heure, finissent par prendre des positions si intransigeantes qu’elles se retrouvent sur des pôles complètement opposés d’une certaine division idéologique - même des positions si extrêmes qu’elles ne les accepteraient jamais dans des circonstances ordinaires, juste pour montrer combien elles sont complètement en désaccord entre elles.<span class="spip_note_ref"> [<a href="#nb38" class="spip_note" rel="footnote" title="Bateson 1935, 1958." id="nh38">38</a>]</span> Nous savons tous que ce genre de chose peut arriver. Toute personne lisant ce qui suit l’aura probablement vu se produire, au moins une ou deux fois. Bateson suggère que de tels processus peuvent devenir institutionnalisés sur le plan culturel. Comment les garçons et les filles de Papouasie-Nouvelle-Guinée en viennent-ils à se comporter si différemment, alors que personne ne leur a jamais dit explicitement comment les garçons et les filles sont censés se comporter ? Ils n’apprennent pas seulement les rôles de genre en imitant leurs aînés ; cela arrive aussi parce que les garçons et les filles apprennent chacun à trouver le comportement de l’autre désagréable et à essayer d’être aussi peu comme le sexe opposé que possible. Ce qui commence comme des différences apprises mineures devient exagéré jusqu’à ce que les filles en viennent à penser à elles-mêmes, et deviennent ensuite de plus en plus, en fait, tout ce que les garçons ne sont pas. Et bien sûr, les garçons font la même chose envers les filles.</p>
<p>Bateson s’intéressait aux processus psychologiques au sein des sociétés, mais il y a toutes les raisons de croire que quelque chose de semblable se produit également entre les sociétés. Les gens viennent pour se définir contre leurs voisins. Les citadins deviennent ainsi plus urbains, à mesure que les barbares deviennent plus barbares. Si l’on peut dire que le ’caractère national’ existe vraiment, c’est uniquement à cause de ces processus schismogénétiques : Les Anglais qui essaient de devenir le moins possible comme les Français, les Français s’opposent aux Allemands, et ainsi de suite. Au moins, ils exagéreront certainement les différences dans les disputes entre les uns et les autres.</p>
<p>Dans une confrontation historique des civilisations comme celle qui a eu lieu le long de la côte est de l’Amérique du Nord au XVIIe siècle, nous pouvons nous attendre à voir deux processus contradictoires. D’une part, il faut s’attendre à ce que les gens des deux côtés de la ligne de partage apprennent les uns des autres et adoptent certaines des idées, habitudes et technologies de l’autre, à mesure que les Américains ont commencé à utiliser les bouilloires et mousquets européens et que les colons européens ont commencé à adopter des techniques agricoles indigènes et des approches plus indulgentes pour élever leurs enfants. En même temps, ils feront aussi presque invariablement l’inverse : ils choisiront certains points de contraste et les exagéreront ou les idéaliseront même, dans une certaine mesure, en essayant d’agir le moins possible comme leurs nouveaux voisins. L’accent mis par Kandiaronk sur l’argent est également typique de telles situations : à ce jour, les sociétés autochtones incorporées dans l’économie mondiale, de la Bolivie à Taiwan, encadrent presque invariablement leurs propres traditions, comme le dit Marshall Sahlins, ’ par opposition au fait que les hommes blancs ’ vivent de l’argent ’.<span class="spip_note_ref"> [<a href="#nb39" class="spip_note" rel="footnote" title="Sahlins 1999:402, 414" id="nh39">39</a>]</span></p>
<p>Toutes ces préoccupations seraient plutôt insignifiantes si les livres de Lahontan n’avaient pas eu autant de succès. En fait, ils ont eu un impact énorme sur les opinions et les sensibilités européennes. Les opinions de Kandiaronk ont été traduites en allemand, en anglais, en néerlandais et en italien, et se sont poursuivies sous forme imprimée, en plusieurs éditions, pendant plus d’un siècle. Le livre a également inspiré un flot infini d’imitations. En 1721, par exemple, les spectateurs parisiens affluent en masse à la comédie <i>L’Arlequin Sauvage de</i> Delisle de la Drevetière, l’histoire d’un Wendat amené en France par un jeune capitaine de navire, qui présente une longue série de monologues indignés où le héros, qui comme Kandiaronk, ’attribue les maux de la société [française] à la propriété privée, à l’argent et surtout aux inégalités énormes qui rendent les pauvres esclaves des riches’<span class="spip_note_ref"> [<a href="#nb40" class="spip_note" rel="footnote" title="Allan 1966:95." id="nh40">40</a>]</span>. La pièce a été reprise presque chaque année pendant les deux décennies qui ont suivi<span class="spip_note_ref"> [<a href="#nb41" class="spip_note" rel="footnote" title="Ouellet 1995 : 328. Après une pause, une autre série de pièces similaires avec (...)" id="nh41">41</a>]</span>.</p>
<p>Plus frappant encore, une grande figure des Lumières françaises s’est essayée à une critique de la société française à la Lahontan aux yeux d’un étranger imaginaire. Montesquieu choisit un Persan, d’Argens un Chinois, Diderot un Tahitien, Chateaubriand un Natchez,<i> L’Ingenu</i> de Voltaire était moitié wendat et moitié français.<span class="spip_note_ref"> [<a href="#nb42" class="spip_note" rel="footnote" title="Voir Harvey 2012 pour un bon résumé récent de l’impact des perspectives (...)" id="nh42">42</a>]</span> Tous ont repris et développé des thèmes et des arguments empruntés directement à Kandiaronk, complétés par des vers d’autres ’critiques sauvages’ dans les récits des voyageurs.<span class="spip_note_ref"> [<a href="#nb43" class="spip_note" rel="footnote" title="L’expression est celle de Pagden (1983)." id="nh43">43</a>]</span> En effet, je pense que l’on peut légitimement affirmer que les origines réelles du ’regard occidental’, cette manière rationnelle, sans culture, supposée objective de voir les cultures étranges et exotiques qui caractérisent l’anthropologie européenne ultérieure, ne se trouvent pas du tout dans les récits des voyageurs, mais plutôt dans ceux de ces indigènes sceptiques, regardant avec un air de défiance les curiosités exotiques de l’Europe.</p>
<p><i>Les Lettres d’une Péruvienne</i> de la célèbre Saloniste Madame de Graffigny (publiées en 1747), qui voyaient la société française à travers les yeux d’une princesse inca imaginaire enlevée, sont peut-être l’œuvre la plus populaire de ce genre. Elle est considérée comme un jalon féministe en ce sens que cette oeuvre pourrait bien être le premier roman européen sur une femme qui ne se termine pas par le mariage ou la mort de son protagoniste. L’héroïne de Graffigny, Zilia, critique les vanités et les absurdités de la société européenne et du patriarcat lui-même ; à la fin, elle rejette les avancées de son sauveur aristocrate français, se construit un sanctuaire pour le Soleil, et consacre sa vie à la lecture et la contemplation. Au XIXe siècle, certains se souviennent du roman, du moins dans certains milieux, comme étant le premier ouvrage à introduire la notion de socialisme d’État, auprès du grand public, puisque Zilia se demande à un moment donné pourquoi le roi de France, bien que prélevant toutes sortes d’impôts lourds, ne peut pas simplement redistribuer la richesse de la même manière que la Capa Inca.<span class="spip_note_ref"> [<a href="#nb44" class="spip_note" rel="footnote" title="Donc Etienne 1876 ; cf Kavanagh 1994. Cela soulève la question intéressante (...)" id="nh44">44</a>]</span></p>
<p>En 1751, Madame de Graffigny préparait une deuxième édition et envoya des lettres à plusieurs amis pour leur demander des suggestions de changements. L’un d’entre eux était A.R.J. Turgot, un étudiant de séminaire de 23 ans et économiste en herbe, et il se trouve que nous avons une copie de sa réponse, qui était longue et très critique. Le texte ne saurait être plus important, car il marque un moment clé dans le développement intellectuel de Turgot : le moment où il a commencé à transformer sa contribution la plus durable à la pensée humaine, l’idée du progrès économique matériel, en une théorie générale de l’histoire.</p>
<p>L’empire inca, évidemment, ne peut guère être qualifié d’’égalitaire’, mais Graffigny le représente comme un despotisme bienveillant, dans lequel tous sont finalement égaux devant le roi, et la critique de la France par Zilia, comme celle de tous les étrangers imaginaires écrivant dans la tradition de Kandiaronk, porte sur son manque de liberté individuelle et les inégalités violentes<span class="spip_note_ref"> [<a href="#nb45" class="spip_note" rel="footnote" title="’Sans or, il est impossible d’acquérir une partie de cette terre que la nature (...)" id="nh45">45</a>]</span>. Turgot trouve cette pensée dangereuse. Oui, nous aimons tous l’idée de liberté et d’égalité, écrit-il, c’est-à-dire, en principe. Mais il faut tenir compte du contexte plus large. En réalité, la liberté et l’égalité des sauvages ne sont pas un signe de leur supériorité, mais la preuve de leur infériorité, puisqu’une telle égalité n’est possible que dans une société où chaque ménage est largement autosuffisant, et donc où tous sont également pauvres. Au fur et à mesure que les sociétés évoluent, les progrès technologiques, les différences naturelles de talents et de capacités entre les individus (qui ont toujours existé) deviennent de plus en plus importantes, et finalement elles forment la base d’une division du travail toujours plus complexe. Nous passons de sociétés simples comme celle du Pérou à notre propre ’civilisation commerciale’ complexe, où la pauvreté et la dépossession de certains, si lamentables soient-elles, est la condition nécessaire à la prospérité de la société dans son ensemble. Il n’y a pas moyen d’éviter cela. La seule alternative, selon Turgot, serait une intervention massive de l’État pour créer une uniformité des conditions sociales, une égalité imposée qui ne pourrait avoir pour effet que d’écraser toute initiative et donc d’être une catastrophe économique et sociale.</p>
<p>Turgot suggère à Madame Graffigny de réécrire le roman de manière à ce que Zilia réalise tout cela à la fin du livre. Il n’est pas surprenant qu’elle ne l’ait pas suivi sur sa suggestion. Quelques années plus tard, Turgot devait élaborer ces idées dans une série de conférences sur l’histoire du monde. Il plaidait déjà depuis quelques années en faveur de la primauté du progrès technologique en tant que moteur de l’amélioration sociale globale, mais dans cette conférence, il en a fait une théorie explicite des étapes du développement économique : l’évolution sociale, selon lui, commence toujours par les chasseurs, puis passe à une étape du pastoralisme, puis de l’agriculture et enfin à celle de la civilisation commerciale urbaine contemporaine<span class="spip_note_ref"> [<a href="#nb46" class="spip_note" rel="footnote" title="Meek 1976:70-71. Turgot écrivait à la veille de la révolution industrielle. (...)" id="nh46">46</a>]</span>. Ceux qui restent encore chasseurs, bergers ou simples agriculteurs sont mieux compris comme des vestiges de nos propres étapes antérieures de développement social.</p>
<p>En d’autres termes, les théories de l’évolution sociale ont d’abord été formulées comme une réponse directe au pouvoir de la critique indigène. En l’espace de quelques années, la décomposition de Turgot de toutes les sociétés en quatre étapes apparaît dans les conférences de son ami et allié intellectuel Adam Smith à Glasgow, et en cours d’élaboration d’une théorie générale de l’histoire humaine par ses collègues : des hommes comme Lord Kames, Adam Ferguson, et John Millar. Le nouveau paradigme a rapidement commencé à avoir un effet profond sur la façon dont les penseurs européens, et le public européen en général, imaginaient les peuples indigènes. Les observateurs qui considéraient auparavant les modes de subsistance et la division du travail dans les sociétés nord-américaines comme des questions d’importance secondaire au mieux, ont maintenant commencé à supposer qu’ils étaient la seule chose qui comptait vraiment. Tout le monde devait être trié le long de la même grande échelle évolutive, en fonction de son mode d’acquisition de nourriture. Les sociétés ’ égalitaires ’ ont été bannies au bas de cette échelle, où, au mieux, elles pouvaient donner un aperçu de la façon dont les lointains ancêtres évolutionnistes auraient pu vivre, mais ne pouvaient certainement plus être imaginées comme des parties égales dans un dialogue sur la nature ou la légitimité du comportement actuel des habitants des sociétés riches et puissantes.</p>
<p>Entre 1703 et 1751, la critique indigène nord-américaine de la civilisation européenne a donc eu un impact énorme sur la pensée européenne. Ce qui avait commencé comme des expressions répandues d’indignation et de dégoût de la part des Américains d’abord exposés aux us et coutumes européennes a fini par évoluer, à travers un millier de conversations, menées dans des dizaines de langues, en un débat sur la nature de l’autorité, de la décence, de la responsabilité sociale et, surtout, de la liberté humaine. Lorsqu’il est apparu clairement aux observateurs français que la plupart des Amérindiens considéraient l’autonomie individuelle et la liberté d’action comme des valeurs consommées, qu’ils organisaient leur vie de manière à minimiser toute possibilité qu’un être humain soit subordonné à la volonté d’un autre, et qu’en conséquence ils considéraient la société française comme essentiellement une société d’esclaves agressifs, ils réagissaient de diverses manières. Certains, comme les Jésuites, ont condamné l’idée même de liberté. D’autres - des colons, des intellectuels et des membres du public qui lisent chez eux - en sont venus à voir une proposition sociale provocante et attrayante. (Leurs conclusions à ce sujet n’avaient d’ailleurs aucun rapport particulier avec leurs sentiments à l’égard des populations autochtones elles-mêmes, qu’ils étaient souvent très heureux de voir exterminées - même si, en toute justice, il y avait des personnalités publiques des deux côtés de la ligne de partage qui s’opposaient fermement à l’agression contre les peuples étrangers). En fait, la critique indigène des institutions européennes était perçue comme si puissante que quiconque s’opposerait aux arrangements intellectuels et sociaux existants aurait tendance à l’utiliser comme une arme de choix : un jeu, comme nous l’avons vu, joué par presque tous les grands philosophes du siècle des Lumières. Comme c’est ce qui s’est produit - et nous l’avons déjà vu dans le cas de Lahontan et de Kandiarons -, un argument au sujet de la liberté est devenu de plus en plus un argument au sujet de l’égalité. Mais surtout, tous ces appels à la sagesse des ’sauvages’ étaient des moyens de contester l’arrogance de l’autorité reçue : la certitude médiévale que les jugements de l’Église et de son établissement, ayant embrassé la version correcte du christianisme, étaient nécessairement supérieurs à ceux de quiconque sur terre.</p>
<p>Le cas de Turgot révèle à quel point les idées de civilisation, d’évolution et de progrès que nous en sommes venus à considérer comme le cœur même de la pensée des Lumières sont, en fait, des arrivants tardifs relatifs et, surtout, dans quelle mesure elles étaient des réponses directes au pouvoir de cette critique indigène. C’était, en fait, un effort pour sauver ce sentiment de supériorité européenne que les penseurs du siècle des Lumières avaient cherché à renverser, à déstabiliser et à déconcentrer. Certes, au cours du siècle suivant, elle a connu un succès remarquable. Mais cela a créé une foule de contradictions : par exemple, le fait particulier que les empires coloniaux européens, contrairement à presque n’importe quel autre empire dans l’histoire du monde, ont été forcés de prétendre qu’ils n’étaient pas des arrangements éternels, mais des moyens temporaires pour accélérer la marche vers la civilisation de leurs sujets - au moins ceux que, contrairement aux Wendats, ils n’ont guère fait disparaître de la carte.</p>
<p>C’est ici que nous pouvons enfin retourner à Rousseau. L’échange entre Madame Givenchy et Turgot nous donne une idée de ce qu’était le débat intellectuel en France au début des années 1750, du moins dans les milieux <i>salonistes</i> où Rousseau s’était installé. La liberté et l’égalité étaient-elles des valeurs universelles, ou étaient-elles - du moins sous forme pure - incompatibles avec un régime fondé sur la propriété privée ? Le progrès des arts et des sciences a-t-il conduit à une meilleure compréhension du monde, et donc aussi au progrès moral ? Ou bien la critique indigène était-elle correcte, et la richesse et le pouvoir de la France n’étaient-ils qu’un effet secondaire pervers d’arrangements sociaux contre nature, voire pathologiques ? Telles étaient les questions dont tout le monde semblait débattre.</p>
<p>Si nous savons quelque chose de ces débats aujourd’hui, c’est en grande partie à cause de leur influence sur l’essai de Rousseau. Le ’Discours sur les origines de l’inégalité sociale’ a été enseigné, débattu et démantelé dans un millier de classes - ce qui est en fait un peu étrange parce qu’à bien des égards, il s’agit d’une excentricité, même si l’on en croit les normes de l’époque.</p>
<p>Au début de sa vie, Rousseau était surtout connu comme compositeur en herbe. Son ascension en tant que penseur social commence en 1750, lorsqu’il remporte le premier prix d’un concours parrainé par la même Académie de Dijon, sur la question ’La restauration des sciences et des arts a-t-elle contribué à l’amélioration morale ?<span class="spip_note_ref"> [<a href="#nb47" class="spip_note" rel="footnote" title="Il convient de noter que la question est formulée en termes traditionnels : (...)" id="nh47">47</a>]</span> Rousseau a remporté le premier prix, et la renommée nationale, avec un essai dans lequel il a soutenu avec beaucoup de passion que les arts et les sciences n’avaient pas renforcé l’amélioration morale. Nos intuitions morales élémentaires, a-t-il affirmé, sont fondamentalement décentes et saines ; la civilisation ne fait que nous corrompre en nous encourageant à privilégier la forme sur le contenu. Presque tous les exemples du ’Discours sur les arts et les sciences’ sont tirés des classiques, mais dans ses notes de bas de page, Rousseau fait allusion à d’autres sources d’inspiration :</p>
<p>Je n’ose pas parler de ces nations heureuses qui ne connaissent même pas les noms des vices que nous avons tant de mal à contrôler, de ces sauvages américains aux les moyens simples et naturels de maintenir l’ordre public que Montaigne n’hésite pas à préférer, non seulement aux lois de Platon, mais même à toute chose plus parfaite que la philosophie ne pourra jamais imaginer pour diriger un peuple. Il en cite un certain nombre d’exemples frappants pour ceux qui savent les admirer. De plus, dit-il, ils ne portent pas de culotte !<span class="spip_note_ref"> [<a href="#nb48" class="spip_note" rel="footnote" title="Note 3, Discours sur les arts et les sciences. L’essai de Montaigne ’On (...)" id="nh48">48</a>]</span></p>
<p>La victoire de Rousseau a déclenché un scandale ; il était pour le moins controversé qu’une académie vouée à l’avancement des arts et des sciences décerne les plus grands honneurs à un argument voulant que les arts et les sciences soient entièrement contre-productifs. Il a passé la majeure partie des années suivantes à écrire des réponses très médiatisées aux critiques de l’essai (et à utiliser sa nouvelle renommée pour produire un opéra-comique, Le Devin du Village, qui est devenu très populaire à la cour). Lorsqu’en 1754, la même Académie annonça un nouveau concours sur les origines de l’inégalité sociale, ils eurent clairement l’impression qu’il fallait remettre le jeune homme à sa place. Rousseau a soumis un traité encore plus élaboré, mais non seulement il n’a pas reçu le prix - ce prix a été décerné à un essai très conventionnel d’un clerc nommé l’abbé Talbert, qui attribuait en grande partie notre condition inégale actuelle au péché originel -, mais les juges ont annoncé que, puisque la soumission de Rousseau allait bien au-delà du nombre de mots, ils ne l’avaient même pas lu au long du processus.<span class="spip_note_ref"> [<a href="#nb49" class="spip_note" rel="footnote" title="Il est intéressant de comparer les arguments des autres participants dans (...)" id="nh49">49</a>]</span></p>
<p>L’essai est certainement étrange. Ce n’est pas exactement ce que l’on prétend souvent être. Rousseau ne prétend pas, en fait, que la société humaine commence dans un état d’innocence idyllique ; il soutient, plutôt de façon confuse, que les premiers humains étaient essentiellement bons, mais qu’ils s’évitaient néanmoins systématiquement par crainte de la violence. En conséquence, les êtres humains en état de nature étaient des créatures solitaires, ce qui lui permet de faire valoir que la ’société’ elle-même, c’est-à-dire toute forme d’association permanente entre individus, était nécessairement une restriction à la liberté humaine. Même la langue a marqué un compromis. La véritable innovation que Rousseau introduit est l’émergence des relations de propriété comme moment clé de la chute de l’état de grâce.</p>
<p>Par conséquent, le modèle de Rousseau - qui, comme il le souligne à maintes reprises, n’a pas vocation à être pris au pied de la lettre, mais est simplement une expérience de pensée - comporte trois étapes : un état de nature purement imaginaire où les individus vivaient isolés les uns des autres, une étape de sauvagerie à l’âge de pierre, qui a suivi l’invention du langage où il inclut la majorité des habitants d’Amérique du Nord, ainsi que les ’sauvages’, et enfin la civilisation qui a suivi l’invention de l’agriculture et la métallurgie. Chacune marque un déclin moral. Mais, comme il prend soin de le souligner, l’ensemble de la parabole n’est qu’un moyen de tenter de comprendre ce qui a permis à l’être humain d’accepter la notion de propriété privée :</p>
<p>Le premier homme qui, ayant enfermé une parcelle de terrain, s’est dit ’Ceci est à moi’, et a trouvé des gens assez simples pour le croire, était le vrai fondateur de la société civile. De combien de crimes, de guerres et de meurtres, de combien d’horreurs et de malheurs personne n’aurait pu sauver l’humanité, en soulevant les pieux, ou en remplissant le fossé, et en criant à ses semblables : ’Méfiez-vous d’écouter cet imposteur ; vous êtes ruinés si vous oubliez un jour que les fruits de la terre nous appartiennent tous, et la terre elle-même à personne’. Mais il est fort probable que les choses étaient déjà arrivées à un tel point, qu’elles ne pouvaient plus continuer comme elles étaient ; car l’idée de propriété dépend de nombreuses idées antérieures, qui ne pouvaient être acquises que successivement, et qui ne pouvaient pas avoir été formées d’un seul coup dans le mental humain.</p>
<p>Rousseau pose donc exactement la même question que tant d’Américains autochtones perplexes : comment les Européens peuvent-ils transformer la richesse en pouvoir, transformer une simple répartition inégale des biens matériels - qui existait, du moins dans une certaine mesure, dans toute société - en capacité de dire aux autres quoi faire, de les employer comme domestiques, ouvriers ou grenadiers, ou simplement de sentir que cela ne les regarde pas s’ils meurent dans la rue. Bien que Rousseau ne cite pas directement Lahontan ou les auteurs jésuites, il les connaissait bien<span class="spip_note_ref"> [<a href="#nb50" class="spip_note" rel="footnote" title="Rousseau se décrit lui-même comme un lecteur avide de carnets de voyage et (...)" id="nh50">50</a>]</span>, comme tout intellectuel de l’époque l’aurait été. Il est également informé par les mêmes questions cruciales : pourquoi les Européens sont-ils si compétitifs ? Pourquoi ne partagent-ils pas la nourriture ? Pourquoi se soumettent-ils aux ordres des autres ? Le long excursus de Rousseau sur la <i>pitié</i>, la sympathie naturelle que, selon lui, les sauvages ont les uns pour les autres et qui retient les pires déprédations de la civilisation dans la seconde phase, n’a de sens qu’à la lumière des exclamations constantes des observateurs indigènes dans ces livres, que les Européens ne semblent pas se soucier des autres, qu’ils ne sont ’ni généreux ni gentils’.<span class="spip_note_ref"> [<a href="#nb51" class="spip_note" rel="footnote" title="Autres exemples : ’La culture de la terre a nécessairement entraîné sa (...)" id="nh51">51</a>]</span></p>
<p>La raison de l’étonnante réussite de l’essai est donc que, malgré son style sensationnaliste, clairement conçu pour choquer et confondre, c’est vraiment une sorte de compromis intelligent entre des positions apparemment contradictoires. Il réussit à incorporer des éléments de la critique indigène, des échos du récit biblique de la Chute, et quelque chose qui ressemble beaucoup aux stades d’évolution du développement matériel qui était proposé à l’époque par Turgot et les penseurs des lumières écossaises. Rousseau convient que Kandiaronk avait essentiellement raison, que les Européens civilisés étaient, dans l’ensemble, des créatures atroces, et pour toutes les raisons qu’il a décrites ; il convient que la propriété est la racine du problème ; la différence est qu’il ne peut pas vraiment imaginer que la société soit basée sur autre chose. C’est ce qui a été perdu dans la traduction de la critique indigène en des termes que les philosophes français pouvaient comprendre. Il n’est jamais venu à l’esprit des Américains qu’il y avait une contradiction entre la liberté individuelle et le communisme - du moins, le communisme dans le sens où nous l’avons utilisé ici, comme une certaine présomption de partage, que les gens qui ne sont pas de véritables ennemis peuvent être censés répondre aux besoins des autres. En fait, la liberté de l’individu était supposée reposer sur un certain niveau de communisme de base, puisque, après tout, les gens qui meurent de faim ou qui n’ont pas de vêtements ou d’abris adéquats dans une tempête de neige ne sont pas vraiment libres de faire grand-chose, si ce n’est ce qu’il faut pour rester en vie. La conception européenne de la liberté individuelle, en revanche, était intimement liée aux conceptions de la propriété privée. D’un point de vue juridique, elle remonte à l’ancien pouvoir absolu du chef de famille romain de faire tout ce qu’il voulait avec ses biens personnels et personnels, y compris ses enfants et ses esclaves.<span class="spip_note_ref"> [<a href="#nb52" class="spip_note" rel="footnote" title="Voir Graeber 2011 : 203-207." id="nh52">52</a>]</span> En d’autres termes, la liberté s’est toujours faite au moins potentiellement aux dépens des autres. De plus, il y avait un sentiment très fort que les ménages devaient être autosuffisants ; par conséquent, la vraie liberté signifiait l’autonomie au sens radical, pas seulement l’autonomie de la volonté, mais en aucun cas la dépendance à l’égard d’autres êtres humains (sauf ceux sous leur pouvoir ou leur contrôle direct).<span class="spip_note_ref"> [<a href="#nb53" class="spip_note" rel="footnote" title="Rousseau lui-même s’était enfui très tôt de chez lui, écrivant à son père (...)" id="nh53">53</a>]</span> Rousseau, qui lui-même a toujours insisté sur le fait qu’il voulait vivre sa vie d’une manière qui ne le rendait pas dépendant de l’aide des autres (même s’il avait tous ses besoins satisfaits par des maîtresses et des servantes), fait écho à cette logique. Lorsque nos ancêtres ont pris la décision fatale de diviser la terre en parcelles individuelles et ont créé, d’abord, des structures juridiques pour protéger leur propriété, puis des gouvernements pour appliquer ces lois, ils ont imaginé qu’ils créaient les moyens de préserver leur liberté. En fait, ils ont ’couru tête baissée vers leurs chaînes’. C’est une image puissante. Mais il est difficile d’imaginer en quoi consistait exactement la liberté perdue par Rousseau, si (comme il l’a insisté) toute relation humaine continue, même d’entraide, était une restriction à la liberté. Rien d’étonnant, peut-être, à ce qu’il finisse par inventer un âge purement imaginaire dans lequel chaque individu humain errait seul parmi les arbres.</p>
<p>Les critiques conservateurs, comme nous l’avons mentionné, ont blâmé Rousseau pour presque tout. Beaucoup l’ont tenu personnellement responsable de la guillotine. Le rêve de rétablir l’ancien état de liberté et d’égalité, disaient-ils, conduisit exactement aux effets que Turgot avait prédits : un totalitarisme de style inca qui ne pouvait être imposé que par la terreur révolutionnaire. Il est certainement vrai que les radicaux de l’époque des révolutions américaine et française ont souvent adopté les idées de Rousseau. Voici par exemple un extrait prétendument tiré d’un manifeste écrit en 1776, qui reproduit presque parfaitement la fusion de l’évolutionnisme de Rousseau et sa critique de la propriété privée comme menant directement à l’État :</p>
<p>Au fur et à mesure que les familles se multipliaient, les moyens de subsistance commençaient à manquer ; la vie<i> nomade </i>(ou itinérante) cessait, et la PROPRIÉTÉ commençait à exister ; les hommes choisissaient des habitations ; l’agriculture les faisait se mélanger. Le langage devint universel ; en vivant ensemble, un homme commença à mesurer sa force avec un autre, et les plus faibles se distinguèrent des plus forts. Cela a sans doute créé l’idée d’une défense mutuelle, d’un individu dirigeant des familles diverses réunies, et donc de défendre leurs personnes et leurs champs contre l’invasion d’un ennemi ; mais la LIBERTÉ a donc été ruinée dans sa fondation, et l’ÉGALITÉ a disparu.<span class="spip_note_ref"> [<a href="#nb54" class="spip_note" rel="footnote" title="Barruel 1799:104. La citation provient d’un tract anti-Illuminati, (...)" id="nh54">54</a>]</span></p>
<p>L’extrait serait tiré du manifeste de l’Ordre secret des Illuminati, un réseau de cadres révolutionnaires organisé au sein des francs-maçons, par un professeur de droit bavarois nommé Adam Weisthaupt. L’organisation a existé ; il semble qu’elle visait à éduquer une élite internationale éclairée, voire anti-nationale, pour qu’elle travaille à la restauration de la liberté et de l’égalité. Les conservateurs l’ont presque immédiatement dénoncé, ce qui a conduit à l’interdiction de l’ordre huit ans plus tard, mais les conspirateurs de droite insistent pour qu’il continue d’exister, et que les Illuminati étaient les mains cachées qui tiraient les ficelles derrière la Révolution française (ou même la révolution russe). C’est idiot, mais l’une des raisons pour lesquelles le fantasme était possible est que les Illuminati furent peut-être les premiers à proposer qu’une avant-garde révolutionnaire, formée à l’interprétation correcte de la doctrine, soit capable à la fois de comprendre la direction générale de l’histoire, et aussi d’intervenir pour la changer.<span class="spip_note_ref"> [<a href="#nb55" class="spip_note" rel="footnote" title="Il n’est pas tout à fait clair si l’’ illuminisme ’, comme on l’a appelé, était (...)" id="nh55">55</a>]</span></p>
<p>Il peut sembler ironique que Rousseau, qui a commencé sa carrière en adoptant ce que nous considérons aujourd’hui comme une position archiconfessionnelle conservatrice - que le progrès mène à la décadence morale<span class="spip_note_ref"> [<a href="#nb56" class="spip_note" rel="footnote" title="La principale différence est que Rousseau considère que le progrès sape une (...)" id="nh56">56</a>]</span>- finisse par devenir la bête noire suprême des conservateurs. Mais un vitriol spécial est toujours réservé aux traîtres. Les penseurs conservateurs considèrent généralement que Rousseau est passé d’un début prometteur à un demi-tour complet et à la création de ce que nous considérons maintenant comme la gauche. Ils ne se trompent pas non plus totalement dans ce domaine. Rousseau a été en effet un personnage crucial dans la formation de la pensée de gauche. L’une des raisons pour lesquelles les débats intellectuels des années 1740 ou 1750 nous paraissent si étranges aujourd’hui, c’est que les divisions gauche-droite ultérieures n’avaient pas encore cristallisé les termes ’gauche’ et ’droite’ eux-mêmes, n’existaient pas encore au moment de la révolution américaine ; ils furent un produit de la décennie immédiatement après celle-ci, et faisaient référence aux positions des groupes aristocrates et populaires de l’Assemblée nationale française en 1789. Évidemment, les effusions de Rousseau sur la décence fondamentale de la nature humaine et les âges perdus de la liberté et de l’égalité n’ont été en aucun cas responsables du soulèvement en mettant des idées étranges dans la tête des sans-culottes (comme nous l’avons noté, car la plupart des intellectuels de l’histoire européenne semblent avoir été la seule classe de gens qui <i>n’étaient pas</i> capables de s’en faire l’idée). Mais on pourrait soutenir qu’en réunissant la critique indigène et la doctrine du progrès développée à l’origine pour la contrer, il a, en fait, écrit le document fondateur de la gauche, <i>comme</i> projet intellectuel.</p>
<p>Pour la même raison, la pensée de droite se méfie depuis le début non seulement des idées de progrès, mais aussi de toute la tradition issue de la critique indigène. Nous avons l’habitude de supposer que ce sont surtout les politiciens de gauche qui parlent du ’Mythe du Noble Sauvage’ et que tout récit européen ancien qui idéaliserait des gens lointains, ou même qui leur attribuerait des opinions convaincantes n’est en réalité qu’une projection romantique des fantasmes européens sur des gens que les auteurs ne pourraient jamais vraiment comprendre. Le dénigrement raciste du sauvage et la célébration naïve de l’innocence sauvage sont toujours traités comme les deux faces d’une même pièce impérialiste.<span class="spip_note_ref"> [<a href="#nb57" class="spip_note" rel="footnote" title="Certes, il y a une tendance, dans toute cette littérature, lorsqu’on les (...)" id="nh57">57</a>]</span> Pourtant, à l’origine, il s’agissait d’une position explicitement de droite.</p>
<p>Ter Ellingson, l’anthropologue qui a fait la revue la plus complète de la littérature, a conclu qu’il n’y a jamais eu de ’ Mythe du Noble Sauvage ’ - dans le sens, un stéréotype de sociétés simples vivant à une époque d’innocence primordiale heureuse - du tout. Les récits de vrais voyageurs tendent à nous fournir une image beaucoup plus ambivalente, décrivant les sociétés étrangères comme un mélange complexe, parfois incohérent, de vertus et de vices. Au lieu de cela, ce qu’il convient d’examiner pourrait mieux s’appeler le mythe du mythe du noble sauvage. Pourquoi certains Européens ont-ils commencé à accuser d’autres Européens d’avoir une vision aussi naïve et romantique, au point que quiconque suggère qu’un aspect de la vie autochtone a quelque chose à nous enseigner puissent être immédiatement accusé de romantisation. La réponse n’est pas jolie. L’expression ’noble sauvage’ a en fait été popularisée comme un terme de ridicule et d’abus utilisé par une clique de racistes purs et durs qui ont pris le contrôle de la British Ethnological Society en 1859, et ont appelé à l’extermination totale des peuples inférieurs.</p>
<p>Les tenants originaux de l’idée blâment Rousseau, mais peu de temps après, les étudiants en histoire littéraire fouillent les archives à la recherche de traces de ce noble sauvage partout. Presque tous les textes discutés au cours de ce chapitre ont fait l’objet d’un examen minutieux et ont été rejetés comme des fantasmes dangereux et romantiques. Mais au début, ces rejets venaient presque entièrement de la droite politique. Ellingson donne un exemple particulier de Gilbert Chinard, dont le volume de 1913 ’America and the Exotic Dream in French literature of the Seventeenth and Eighteenth Centuries’ (<i>L’Amérique et le rêve exotique dans la littérature française au XVIIe et au XVIIIe siècle) </i>était le principal responsable de l’établissement de la notion de ’noble sauvage’ comme trope littéraire occidental dans les universités américaines, Chinard étant peut-être le moins timide sur son agenda politique. Lui aussi a reconnu Lahontan comme le personnage clé et a expliqué en détail que Rousseau avait emprunté des arguments précis à ses Mémoires ou à ses Dialogues avec Kandiaronk. Dans un sens plus large, il détecte une affinité de tempérament :</p>
<p>C’est Jean-Jacques [Rousseau], plus que tout autre auteur, qui ressemble à l’auteur des <i>Dialogues avec un sauvage. </i>Avec tous ses défauts, ses motifs fondamentalement ignobles, il a mis dans son style une passion, un enthousiasme qui n’a d’équivalent que dans le <i>discours sur l’inégalité. </i>Comme Rousseau, il est anarchiste ; comme lui, il est dépourvu de sensibilité morale, et à un degré beaucoup plus grand ; comme lui, il se voit comme la proie des persécutions de la race humaine liguées contre lui-même ; comme lui, il s’indigne des souffrances du malheureux et, encore plus que lui, il rejette l’appel aux armes ; et comme lui surtout, il attribue à la propriété tous les maux qui nous affectent. En cela, il nous permet d’établir un lien direct entre les missionnaires jésuites et Jean-Jacques.<span class="spip_note_ref"> [<a href="#nb58" class="spip_note" rel="footnote" title="Chinard 1913 : 186, traduction suivant Ellingson 2001 : 383. Un passage (...)" id="nh58">58</a>]</span></p>
<p>Parce que, selon Chinard, même les Jésuites, les prétendus ennemis de Lahontan, jouaient finalement le même jeu. Aussi exaspérés par la liberté indue des indigènes américains qu’ils aient pu paraître, leurs motifs n’étaient pas innocents. La réponse d’Ellingson au passage de Chinard ci-dessus mérite d’être citée intégralement :</p>
<p>Attends une minute, on doit faire une pause et se demander, de quoi Chinard parle ici ? Une sorte de mouvement anarchiste perpétré par Lahontan, les Jésuites et Rousseau ? Est-ce une théorie de conspiration pour expliquer la Révolution française ? Oui, il s’avère que c’est presque le cas ; les jésuites ont promu des ’idées dangereuses’ en nous donnant l’impression des bonnes qualités des ’sauvages’, et ’cette impression semble avoir été contraire aux intérêts de l’Etat monarchique et à la religion’. Il poursuit en demandant : ’Pour louer la bonté des sauvages et la sagesse avec laquelle ils dirigent les affaires de la nation dans leurs conseils, n’est-ce pas pour critiquer indirectement notre système gouvernemental ? Il poursuit en les accusant d’un certain nombre d’autres activités subversives, telles que ’reproduire le discours des sauvages’ et ’rapporter fidèlement leurs objections naïves, naturelles et raisonnables’, aboutissant à ’fournir aux non-croyants toutes les armes [idéologiques] qu’ils pourraient désirer’. Il conclut par un sombre avertissement : ’Les <i>philosophes </i>du 18e siècle viendraient, leurs idées trouveraient un terrain bien préparé’. En fait, la caractérisation fondamentale de Rousseau par Chinard est ’<i>un continuateur des missionnaires Jésuites</i>’, et les missionnaires ont contribué à faire naître ’les esprits révolutionnaires [qui] allaient transformer notre société et, enflammés par la lecture de leurs relations, nous ramener à la situation des sauvages américains’.<span class="spip_note_ref"> [<a href="#nb59" class="spip_note" rel="footnote" title="Ellingson 2003:383." id="nh59">59</a>]</span></p>
<p>Pour M. Chinard, le fait que les observateurs européens aient ou non rapporté avec exactitude les points de vue de leurs interlocuteurs autochtones n’est pas pertinent. Peut-être qu’ils l’étaient. Qu’est-ce que ça change ? Les Amérindiens étaient, comme le dit Chinard, ’une race différente de la nôtre’ avec laquelle aucune relation significative n’était possible : on pourrait aussi bien, laisse-t-il entendre, enregistrer les opinions politiques d’un farfadet. Ce qui compte vraiment, ce sont les motivations des Blancs impliqués et ceux-ci étaient clairement mauvais, ils sont tous mécontents et fauteurs de troubles. À un moment donné, Chinard accuse même un observateur précoce des coutumes des Inuits du Groenland d’avoir mélangé ses descriptions avec un mélange de socialisme et d’’ illuminisme ’ - c’est-à-dire de voir les coutumes sauvages à travers une lentille qui aurait aussi bien pu être empruntée à l’Ordre secret des Illuminati !<span class="spip_note_ref"> [<a href="#nb60" class="spip_note" rel="footnote" title="Chinard 1913:214." id="nh60">60</a>]</span></p>
<p>« <i/></p>
<blockquote class="spip">
<p>Les hommes font leur propre histoire, mais pas dans les conditions de leur choix. <br class="autobr"/>
K.Marx</p>
</blockquote>
<p> »</p>
<p>Ce n’est pas ici l’endroit pour détailler la manière dont la critique de droite s’est transformée en critique de gauche. Dans une certaine mesure, on peut probablement mettre cela sur le compte de la paresse des érudits instruits dans l’histoire de la littérature française ou anglaise, confrontés à la perspective d’avoir à se poser sérieusement la question de ce qu’un Mi’kmaq du XVIIe siècle aurait pu réellement penser. Dire que ce n’est pas important serait raciste. Dire que c’est inconnaissable parce que les sources sont racistes, c’est plutôt laisser tomber. Dans une certaine mesure aussi, elle est fondée sur des protestations tout à fait légitimes de la part de ceux qui, historiquement, ont été romancés. Nombreux sont ceux qui ont fait remarquer que, pour ceux qui en sont les destinataires, se faire dire que l’on est une race inférieure et que, par conséquent, tout ce que l’on peut dire peut être ignoré que l’on est un enfant innocent de la nature ou l’incarnation de la sagesse ancienne et que tout ce que l’on dit doit donc être traité comme ineffablement profond, est presque aussi ennuyeux. Les deux attitudes semblent conçues pour empêcher toute conversation significative.</p>
<p>La plupart des personnes dont nous allons parler dans ce livre sont mortes depuis longtemps. Il n’est plus possible d’avoir une quelconque conversation avec eux, significative ou non. Nous sommes néanmoins déterminés à décrire la préhistoire comme s’il s’agissait de gens à qui l’on aurait pu parler de leur vivant, qui n’existent pas seulement comme des spécimens, des marionnettes en chaussettes ou les jouets d’une loi historique inexorable. Il y a certainement des tendances dans l’histoire. Certaines sont des tendances très puissantes - des courants si forts qu’il est très difficile de s’y opposer (bien qu’il semble toujours y en avoir qui y parviennent quand même.). Mais les seules ’lois’ sont celles que nous inventons nous-mêmes.</p>
<p>Cela aussi, bien sûr, est l’une des grandes intuitions de la pensée des Lumières, et comme nous le verrons, elle est elle-même, au moins en partie, dérivée des conversations entre Européens et Nord-Américains.</p>
<p>Lorsque nous nous sommes lancés dans la rédaction de ce livre, nous nous sommes imaginés en train d’écrire une contribution à la littérature naissante sur la question des origines de l’inégalité sociale - mais cette fois-ci, une contribution fondée sur les faits réels. Au fur et à mesure de nos recherches, nous nous sommes rendu compte à quel point cette question était étrange. Même en dehors des implications de l’innocence primordiale, cette façon de formuler le problème suggère un certain diagnostic de ce qui ne va pas dans la société et de ce qui peut et ne peut pas être fait, ce qui, comme nous l’avons vu, a souvent très peu à voir avec ce qui rend les personnes vivant dans des sociétés que nous avons fini par appeler ’égalitaires différentes des personnes qui ne le sont pas. Rousseau évite la question, en réduisant ses sauvages à de simples expériences de pensée. Il était à peu près la seule grande figure des Lumières françaises à <i>ne pas avoir</i> écrit un dialogue ou un autre travail imaginatif pour essayer de regarder la société européenne d’un point de vue étranger. En fait, il dépouille ses ’sauvages’ de tout pouvoir imaginatif qui leur soit propre ; leur bonheur provient entièrement de leur incapacité à imaginer le contraire ou à se projeter dans l’avenir d’une manière ou d’une autre<span class="spip_note_ref"> [<a href="#nb61" class="spip_note" rel="footnote" title="’Son imagination ne peint pas d’images, son cœur ne lui fait pas d’exigences. (...)" id="nh61">61</a>]</span>. Ils manquent donc aussi totalement de philosophie. C’est probablement la raison pour laquelle personne ne pouvait prévoir les désastres qui s’ensuivraient lorsqu’ils ont commencé à jalonner des propriétés et à former des gouvernements pour les protéger ; au moment où les êtres humains étaient même capables de penser aussi loin, les dommages avaient déjà été faits.</p>
<p>Dans les années 1960, l’anarchiste et anthropologue français Pierre Clastres suggérait exactement le contraire. Et si le genre de personnes que nous aimons imaginer aussi simples et innocentes parce qu’elles sont libres de dirigeants, de gouvernements, de bureaucraties et de classes dirigeantes, étaient libres non pas parce qu’elles manquent d’imagination, mais parce qu’elles sont en fait <i>plus</i> imaginatives que nous. Nous avons du mal à imaginer à quoi ressemblerait une société vraiment libre ; peut-être n’ont-ils pas autant de mal à imaginer ce que seraient un pouvoir et une domination arbitraires. Peut-être qu’ils peuvent non seulement l’imaginer, mais aussi organiser consciemment leur société de manière à ce que de telles choses ne se produisent jamais. Comme nous le verrons au chapitre suivant, l’argument de Clastres a ses limites. Mais en insistant sur le fait que les sujets des études anthropologiques sont tout aussi conscients et imaginatifs que les anthropologues eux-mêmes, il a fait plus que quiconque pour réparer les dommages que Rousseau avait causés auparavant ou depuis.</p>
<p>Rousseau a été accusé de nombreux crimes. Il est innocent de la plupart d’entre eux. S’il y a vraiment un élément toxique dans son héritage, c’est bien ceci : non pas sa promulgation de l’image du Noble Sauvage, ce qu’il n’a pas vraiment fait, mais sa promulgation de l’image du Stupide Sauvage, même s’il le considère heureux dans sa stupidité. Les impérialistes du XIXe siècle ont adopté le stéréotype avec enthousiasme, se contentant d’ajouter une variété de justifications apparemment scientifiques - de l’évolutionnisme darwinien au racisme ’scientifique’ - pour développer cette notion de simplicité innocente afin de pousser les peuples libres restants du monde (ou de plus en plus, à mesure que l’expansion impériale européenne se poursuit, les peuples autrefois libres du monde) dans un espace conceptuel où leur jugement ne semble plus menacer. C’est le travail que nous essayons de défaire.</p>
<p>’Liberté, égalité, fraternité’ étaient les cris de ralliement de la Révolution française<span class="spip_note_ref"> [<a href="#nb62" class="spip_note" rel="footnote" title="La ’ fraternité ’ peut sembler étrange ici, du moins dans la mesure où les (...)" id="nh62">62</a>]</span>. Il existe aujourd’hui des disciplines entières, des sous-branches de la philosophie et des sciences politiques et des études juridiques, qui font de l’égalité leur matière première. L’égalité est presque universellement reconnue comme une valeur, malgré l’absence quasi totale de consensus sur ce à quoi le terme se réfère réellement. Égalité des chances ? Égalité de condition ? Égalité formelle devant la loi ?</p>
<p>De même, des sociétés comme les Mi’kmaq, les Algonquins ou les Wendats du XVIIe siècle sont régulièrement appelées ’ sociétés égalitaires ’ - ou, sinon, ’ bandes ’ ou sociétés ’ tribales ’, ce qui est généralement présumé signifier la même chose. On ne sait jamais exactement à quoi le terme est censé se référer. S’agit-il d’une idéologie, de la croyance que tout le monde <i>devrait</i> être pareil - évidemment pas de toutes les façons, mais à certains égards qui sont considérés comme particulièrement importants ? Ou devrait-il s’agir d’une situation dans laquelle les gens <i>sont</i> réellement les mêmes ? Et dans ce dernier cas, cela devrait-il signifier qu’un idéal égalitaire qui caractérise cette société particulière est en fait largement réalisé, de sorte qu’on puisse dire que tous les membres de la société ont un accès égal à la terre, ou se traitent mutuellement avec la même dignité, ou sont également libres de faire connaître leurs opinions dans les assemblées publiques ? Ou peut-il s’agir d’une mesure imposée par l’observateur : revenu monétaire, pouvoir politique, apport calorique, taille de la maison, nombre et qualité des biens personnels ? L’égalité signifierait-elle l’effacement de l’individu ou la célébration de l’individu ? (Après tout, une société où tout le monde était exactement le même, et où ils étaient tous si différents qu’il n’y avait aucun critère pour dire que l’un était supérieur à l’autre, semblerait à la fois ’égalitaire’ à un observateur extérieur). Peut-on parler d’égalité dans une société où les aînés sont traités comme des dieux et prennent toutes les décisions importantes, si tous les membres de cette société qui survivent après, disons, cinquante ans deviennent des aînés ? Qu’en est-il des relations entre les sexes ? Beaucoup de sociétés dites ’égalitaires’ ne sont réellement égalitaires qu’entre hommes adultes. Parfois, les relations entre les hommes et les femmes dans ces sociétés sont tout sauf égales. D’autres cas sont plus ambigus. Il se peut que les hommes et les femmes d’une société donnée fassent non seulement des travaux différents, mais qu’ils aient des théories différentes sur ce qui est important, de sorte qu’ils aient tous deux tendance à penser que les principales préoccupations de l’autre (cuisine, chasse, soins aux enfants, guerre...) sont insignifiantes ou si profondément différentes qu’il est insensé de les comparer du tout. Plusieurs des sociétés rencontrées par les Français en Amérique du Nord correspondent à cette description. Elles peuvent être considérées comme matriarcales d’un point de vue, patriarcales d’un autre.<span class="spip_note_ref"> [<a href="#nb63" class="spip_note" rel="footnote" title="En ce sens que les femmes contrôlaient la terre et ses produits, et les (...)" id="nh63">63</a>]</span> Dans de tels cas, peut-on parler d’égalité entre les sexes ? Ou ne pourrions-nous le faire que si les hommes et les femmes étaient également égaux selon certains critères externes minimaux : être également à l’abri de la menace de violence domestique, par exemple, ou avoir un accès égal aux ressources, ou avoir voix au chapitre dans les affaires communes ?</p>
<p>Puisqu’il n’y a pas de réponse claire et généralement acceptée à aucune de ces questions, l’utilisation du terme ’égalitaire’ a conduit à des arguments sans fin. En fait, on ne sait toujours pas très bien ce que le terme ’égalitaire’ signifie. En fin de compte, le terme n’est pas employé parce qu’il a une substance positive, mais plutôt pour la même raison que les théoriciens de la Loi naturelle du XVIe siècle ont spéculé sur l’égalité dans l’état de la nature : Le terme ’ égalité ’ est un terme par défaut, se référant à ce genre de masse protoplasmique de l’humanité que l’on imagine comme étant un reste lorsque tous les attributs de la civilisation sont dépouillés. Les personnes ’ égalitaires ’ sont celles qui n’ont pas de princes, de juges, de surveillants ou de prêtres héréditaires, et sont généralement, sans ville ni écriture. Ce sont des sociétés d’égaux dans le seul sens où tous les signes les plus évidents d’inégalité font défaut.</p>
<p>Il s’ensuit que tout travail historique qui prétend porter sur les origines de l’inégalité sociale est en réalité une enquête sur les origines de la civilisation ; un travail qui implique à son tour une vision de l’histoire qui, comme celle de Turgot, conçoit la civilisation comme un système de complexité sociale qui garantit une plus grande prospérité globale, mais en même temps, garantit que certains compromis devront nécessairement être faits dans le domaine des libertés et des droits. Nous essayons de raconter une histoire différente.</p>
<p>Ce n’est pas que nous considérions comme insignifiant ou inintéressant le fait que les princes, les juges, les surveillants ou les prêtres héréditaires - ou d’ailleurs l’écriture et les villes - n’émergent qu’à un certain moment de l’histoire humaine. Bien au contraire : pour comprendre notre situation difficile actuelle, en tant qu’espèce, il est absolument crucial de comprendre comment ces choses sont apparues. Cependant, nous insistons aussi pour que, pour ce faire, il nous faut rejeter l’idée de traiter nos lointains ancêtres comme une sorte de soupe humaine primordiale. Les preuves qui s’accumulent dans les domaines de l’archéologie, de l’anthropologie et des domaines connexes suggèrent que, tout comme les Amérindiens ou les Français du XVIIIe siècle, nos lointains ancêtres avaient des idées très précises sur ce qui était important dans leurs sociétés, que celles-ci ont varié considérablement au cours des quelque trente mille années qui se sont écoulées entre le début de l’âge de glace et l’aube de la civilisation que nous qualifions et que les décrire en termes d’’ égalitarisme ’ uniforme ne nous dit presque rien sur eux. Il ne fait aucun doute qu’il y avait généralement un certain degré d’égalité par défaut : une présomption que les humains sont tous aussi impuissants face aux dieux ; ou un fort sentiment que la volonté de personne ne devrait être subordonnée en permanence à celle d’autrui. Il aurait sans doute fallu s’assurer que des princes, des juges, des surveillants ou des prêtres héréditaires n’apparaissent pas pendant une si longue période.</p>
<p>Mais les idéologies autoconscientes de ’l’égalité’, c’est-à-dire celles qui présentent l’égalité comme une valeur explicite, par opposition à une idéologie de liberté, de dignité ou de participation qui s’applique également à tous, semblent avoir été relativement récentes dans l’histoire. Même lorsqu’elles apparaissent, ces idéologies s’appliquent rarement à tout le monde. L’ancienne démocratie athénienne, par exemple, reposait sur l’égalité politique entre ses citoyens - même s’ils ne représentaient qu’entre 10 et 20 % de la population totale - en ce sens que chacun avait les mêmes droits de participer aux décisions publiques. On nous apprend à y voir un jalon dans l’évolution politique, car nous considérons que cette notion plus ancienne de participation civique égale a été ravivée et élargie, environ deux mille ans plus tard, à l’époque des révolutions française et américaine. C’est une proposition douteuse : les systèmes politiques qualifiés de ’démocraties’ dans l’Europe du XIXe siècle n’ont presque rien à voir avec l’Athènes antique, mais ce n’est pas vraiment la question. Les intellectuels athéniens de l’époque, qui étaient pour la plupart d’origine aristocratique, avaient tendance à considérer l’ensemble de l’arrangement comme une affaire sordide et préféraient de loin le gouvernement de Sparte, dirigé par un pourcentage encore plus faible de la population totale, qui vivait collectivement des travaux des serfs. Les citoyens spartiates se désignaient eux-mêmes comme les <i>Homoioioi</i>, que l’on pourrait traduire par ’ les égaux ’ ou ’ ceux qui sont tous les mêmes ’ ; ils ont tous suivi la même formation militaire rigoureuse, adopté le même dédain hautain tant pour le luxe efféminé que pour les idiosyncrasies individuelles, mangé dans les halls communautaires, et passé la plupart de leur vie à pratiquer la guerre.</p>
<p>Il ne s’agit donc pas d’un livre sur les origines de l’inégalité. Mais il vise à répondre à un grand nombre des mêmes questions d’une manière différente. Il ne fait aucun doute que quelque chose a terriblement mal tourné dans le monde. Un très faible pourcentage de sa population contrôle le destin de presque tout le monde, et elle se conduit de façon de plus en plus désastreuse. Pour comprendre comment cette situation s’est produite, nous devons remonter à ce qui a rendu possible l’émergence des rois, des prêtres, des surveillants et des juges. Mais nous n’avons plus le luxe de pouvoir supposer que nous savons déjà exactement ce que c’était. En nous inspirant des critiques autochtones comme Kandiaronk, nous devons aborder les documents historiques, archéologiques et ethnographiques avec un regard nouveau.</p>
<p><strong>BIBLIOGRAPHIE</strong></p>
<p>Allan, Peter. 1966. ’Baron Lahontan.’ Mémoire de maîtrise, Université de la Colombie-Britannique.</p>
<p>Barruel, Abbé. 1799. <i>Mémoires illustrant l’histoire du jacobinisme, volume III, le complot antisocial</i>. New York : Isaac Collins.</p>
<p>Basile, Paola. 1997. ’Lahontan et l’évolution moderne du mythe du bon sauvage’. Thèse de maîtrise, Université McGill.</p>
<p>Bateson, Gregory. 1935. Culture Contact and Schismogenesis, <i>Man</i> Vol. 35 (Dec) pp.178-183</p>
<hr class="spip"/>
<p> . 1958. <i>Naven : A Survey of the Problems Suggested by a Composite Picture of the Culture of a New Guinea Tribe Drawn from Three Points of View</i>. Deuxième édition, avec un épilogue révisé, Stanford : Stanford University Press.</p>
<p>Berkhofer, Robert F. 1978a. ’White Conceptions of Indians.’ Dans <i>Handbook of North American Indians</i>, vol. 15. Nord-est, 522-547. Washington : Smithsonian Institution Press.</p>
<hr class="spip"/>
<p> . 1978b. <i>L’homme blanc est indien : Images de l’Amérindien de Columbus à nos jours</i>. New York : Knopf.</p>
<p>Betts, C. J. 1984. <i>Le Déisme primitif en France : des soi-disant ’Déistes’ de Lyon (1564) aux ’Lettres philosophiques’ de Voltaire (1734). </i>Archives internationales de l’histoire des idées. Leiden : Martinus Nijhoff Publishers.</p>
<p>Burns, Louis F. 2004. Une <i>histoire du peuple Osage</i>. Tuscaloosa : University of Alabama Press.</p>
<p>Charlevoix, Francois-Xavier de. 1744. <i>Journal d’un voyage fait par ordre du roi dans l’Amérique septentrionale</i>. Édition critique par Pierre Berthiaume. 2 vols. Bibliotheque du Nouveau Monde. Montréal : Les Presses de l’Universite de Montréal [1994].</p>
<p>Chiappelli, Fredi, éd. 1976. <i>Premières images de l’Amérique : L’impact du nouveau monde sur l’ancien</i>. Berkeley : University of California Press.</p>
<p>Chinard, Gilbert. 1911 <i>L’Exotisme américain dans la litterature française au XVIe siècle. </i>Paris : Hachette.</p>
<hr class="spip"/>
<p> . . 1913. <i>L’Amérique et le rêve exotique dans la littérature française au XVIIe et au XVIIIe siècle</i>. Paris : Hachette.</p>
<hr class="spip"/>
<p> . , ed. 1931. “Introduction.” <i>Dialogues curieux entre l’auteur et un sauvage de bons sens qui a voyagé, et Mémoires de l’Amérique septentrionale by Lahontan</i>, Louis Armand de Lom d’Arce. Baltimore : The Johns Hopkins Press.</p>
<p>Cro, Stelio. 1990. <i>Le Noble Sauvage : Allégorie de la liberté</i>. Waterloo, Canada : Wilfred Laurier University Press.</p>
<p>Cushner, Nicholas P. 2006. <i>Pourquoi es-tu venu ici ? Les Jésuites et la première évangélisation de l’Amérique indigène</i>. Oxford, Oxford University Press.</p>
<p>Dickason, Olive Patricia. 1984. <i>Le mythe du sauvage : Et les débuts du colonialisme français dans les Amériques</i>. Alberta : University of Alberta Press,.</p>
<p>Duchet, Michèle. <i>Anthropologie et histoire au siècle des Lumières</i>. Paris : A. Michel, 1995.</p>
<p>Ellingson, Ter. 2001. <i>Le mythe du noble sauvage</i>. Berkeley : University of California Press.</p>
<p>Etienne, Louis. 1871. ’Un Roman socialiste d’autrefois.” <i>Revue des deux mondes</i>. 15 Juillet 1871.</p>
<p>Fitzhugh, William W. 1985. <i>Cultures en contact</i> : <i>The Impact of European Contacts on Native American Cultural Institutions A.D. 1000-1800</i>. Washington, D.C. : Smithsonian Institution Press,.</p>
<p>Franks, C. E. S. 2002. ’À la recherche du sauvage sauvage : une exploration des cultures politiques de l’Amérique du Nord.’ <i>The American Review of Canadian Studies</i> 32.4 : 547-580.</p>
<p>Graeber, David. 2001. <i>Vers une théorie anthropologique de la valeur : La fausse monnaie de nos propres rêves</i>. New York : Palgrave.</p>
<hr class="spip"/>
<p> . 2007. ’Il n’y a jamais eu d’Ouest : Ou, la démocratie émerge des espaces entre les deux’ dans les <i>possibilités : Essais sur la hiérarchie, la rébellion et le désir</i>, p. 329-374. Oakland : AK Press.</p>
<hr class="spip"/>
<p> . 2011. <i>Dette : Les 5000 premières années</i>. Brooklyn : Melville House.</p>
<p>Graffigny, Françoise de. 1747. <i>Lettres d’une Péruvienne</i>. Paris : A. Peine. Traduction anglaise par Jonathan Mallason, ’Letters of a Peruvian Woman’, Oxford, Oxford University Press, 2009.</p>
<p>Grinde, Donald A. 1977 <i>The Iroquois and the Founding of the American Nation</i>. San Francisco : Indian Historian Press.</p>
<p>Harvey, David Allen. 2012. <i>Les Lumières françaises et les autres : Le mandarin, le sauvage et l’invention des sciences humaines</i>. Londres : Palgrave.</p>
<p>Havard, Gilles. 2001. <i>La Grande Paix de Montréal de 1701 : La diplomatie franco-autochtone au XVIIe siècle</i>. (Trans. Phyllis Aronoff et Howard Scott.) Montréal : McGill-Queen’s University Press.</p>
<p>Healy, George R. 1958. ’Les jésuites français et l’idée du noble sauvage.’ <i>William et Mary Quarterly</i>, 15 : 143-67.</p>
<p>Hodgen, Margaret Trabue. 1964. <i>Anthropologie primitive aux XVIe et XVIIe siècles</i>. Philadelphie : University of Pennsylvania Press.</p>
<p>Johansen, Bruce E. 1982. <a href="http://www.worldcat.org/oclc/8115189" class="spip_out" rel="external"><i>Fondateurs oubliés : Benjamin Franklin, les Iroquois et la justification de la Révolution américaine</i></a>. Ipswich, Massachusetts : Gambit, Inc.</p>
<hr class="spip"/>
<p> . 1998 <i>Débattre de la démocratie : Native American Legacy of Freedom</i>. Santa Fe : Clear Light Publishers.</p>
<p>Kavanagh, Thomas M. 1994. ’Lire le moment et le moment de lire dans les Lettres d’une Péruvienne de Graffigny.’ <i>Modern Language Quarterly</i>, Vol.55 (2), p.125-147</p>
<p>Lahontan, Louis Armand de Lom d’Arce. 1702a. <i>Mémoires de l’Amérique septentrionale, ou la Suite des voyages de MR. le Baron de Lahontan</i>. Eds. Rèal Ouellet and Alain Beaulieu. Montréal : Presses de l’Université de Montréal,</p>
<hr class="spip"/>
<p> . 1702b [1990]. <i>Nouveaux Voyages de Mr. Le Baron de Lahontan, dans l’Amérique Septentrionale</i>. Ed. Réal Ouellet and Alain Beaulieu. Montréal : Presses de l’Universite ́ de Montréal.</p>
<hr class="spip"/>
<p> . 1703 [1990]. <i>Supplément aux Voyages du Baron de Lahontan, Ou l’on trouve des dialogues curieux entre l’Auteur et Un Sauvage de bon sens qui a voyagé</i>. (Rèal Ouellet and Alain Beaulieu, editors). Montréal : Presses de l’Universite ́ de Montréal.</p>
<hr class="spip"/>
<p> . 1735. De <i>nouveaux voyages en Amérique du Nord donnant un compte rendu complet des coutumes, du commerce, de la religion et des opinions étranges des sauvages de ce pays, avec des remarques politiques sur les tribunaux du Portugal et du Danemark, et l’état actuel du commerce dans ces pays</i>. Londres : J. Walthoe.</p>
<p>Levy, Philip A. 1996. ’Exemples de prise de liberté : The Iroquois Influence Thesis and the Problem of Evidence.’ <i>William &amp; Mary Quarterly 53(3</i>) : 587-604.</p>
<p>Lovejoy, Arthur O., et George Boas. 1935. <i>Primitivisme et idées connexes dans l’antiquité</i>. Baltimore : Johns Hopkins University Press.</p>
<p>Mann, Barbara Alice. 2001. ’Êtes-vous délirant ? Kandiaronk sur le christianisme.’ Dans <i>Native American Speakers of the Eastern Woodlands : Selected Speeches and Critical Analysis</i> (B. A. Mann, éditeur), p. 35-82. Westport : Greenwood Press.</p>
<p>McGregor, Gaile. 1988. <i>Le Noble Sauvage dans le Jardin du Nouveau Monde : Notes Toward a Syntactics of Place</i>. Toronto : University of Toronto Press,.</p>
<p>Meek, Ronald. 1976. <i>Les sciences sociales et le Sauvage ignoble. </i>Cambridge : Cambridge University Press.</p>
<p>Morgan, Lewis Henry. 1851. <i>Ligue des Ho-dé-no-sau-nee, ou Iroquois. </i>Rochester : Sage.</p>
<p>Muthu, Sankar. 2003. Les <i>Lumières contre l’Empire</i>. Princeton : Princeton University Press.</p>
<p>Ouellet, Real. 1990. “Jésuites et philosophes lecteurs de Lahontan.” <i>Saggi e ricerche di letteratura francese</i> 29 : 119-164.</p>
<hr class="spip"/>
<p> . 1995. “A la découverte de Lahontan.” <a href="https://www.persee.fr/collection/dhs" class="spip_out" rel="external"><i>Dix-Huitième Siècle</i></a>, vol. 27, pp. 323-333.</p>
<p>Pagden, Anthony 1982. <i>The Fall of Natural Man : the American Indian and the origins of comparative ethnology. </i>Cambridge : Cambridge University Press.</p>
<hr class="spip"/>
<p> . 1983. ’Le critique sauvage : Some European Images of the Primitive/’ <br class="manualbr"/>The Yearbook of English Studies, Vol. 13, Colonial and Imperial Themes Special Number, pp. 32-45.</p>
<hr class="spip"/>
<p> . 1993. <i>Rencontres européennes avec le Nouveau Monde : De la Renaissance au romantisme</i>. New Haven, Connecticut : Yale University Press.</p>
<p>Pinette, Susan. 2006. ’L’importance de la littérature : Les Dialogues de Lahontan et la pensée primitiviste.’ <i>Études de prose</i> 28:1, 41-53</p>
<p>Pomeau, René. 1967. “Voyages et lumières dans la littérature française du XVIIIe siècle.” <i>SVEC</i> LVII.22 (1967) : 1269 – 89.</p>
<p>Richter, Daniel K. 1972. “Lahontan dans l’Encyclopédie et ses suites.” <i>Recherches Nouvelles sur quelques écrivains des lumères</i> (Jacques Proust, ed), pp. 163-200. Genéve : Librarie Droz.</p>
<hr class="spip"/>
<p> . 1992. <i>L’épreuve de la longue maison : Les peuples de la Ligue iroquoise à l’époque de la colonisation européenne</i>. Chapel Hill : University of North Carolina Press.</p>
<p>Sagard, Gabriel. 1632. <i>Le Grand Voyage du Pays des Hurons</i>. Paris : Denys Moreau.</p>
<p>Sahlins, Marshall. 1999, ’Deux ou trois choses que je sais de la culture.’ <i>The Journal of the Royal Anthropological Institute</i> Vol. 5, No. 3, pp. 399-421</p>
<p>Sayre, Gordon M. 1997. <i>Les Sauvages Américains : Représentations des Amérindiens dans la </i><i>littérature coloniale</i><i> française et </i><i>anglaise</i>. Chapel Hill : University of North Carolina Press.</p>
<p>Sioui, Georges. 1972. “A la réfiexion des Blancs d’Amérique du Nord et autres étrangers,” <i>Recherches amérindiennes </i>au <i>Québec, vol. </i>II, n. 4-5, p. <i>65-68. </i></p>
<hr class="spip"/>
<p> . 1992. <i>For an Amerindian Autohistory : an Essay of the Foundations of a Social Ethic</i>. Montréal : McGill.</p>
<hr class="spip"/>
<p> . 1999. Huron-Wendat. L’héritage du cercle. Vancouver : British Columbia University Press</p>
<p>Steckley, John. 1981 ’Kandiaronk : un homme appelé rat.’ Dans <i>Untold Tales : Quatre Hurons du XVIIe siècle. </i>Toronto : Associated Heritage Publishing. pp. 41-52.</p>
<hr class="spip"/>
<p> . 2014. <i>The eighteenth century Wyandot : a Clan-Based Study</i>. Waterloo : Wilfrid Laurier University Press.</p>
<p>Thwaites, Reuben Gold, éd. 1896-1901. <i>The Jesuit Relations and Allied Documents : Voyages et explorations des missionnaires jésuites en Nouvelle-France, 1610-1791</i>. 73 vol. Cleveland : Burrows Brothers.</p>
<p>Tisserand, Roger. 1936. <i>Les </i>Concurrents <i>de J.-J. </i>Rousseau <i>à l’ Académie de Dijon pour le prix de 1754</i>. Paris : Boivin.</p>
<p>Tooker, Elizabeth. 1964. <i>An Ethnography of the Huron Indians, 1615-1649</i>. Washington, D.C. : Bureau of Ethnology, Bulletin numéro 190.</p>
<hr class="spip"/>
<p> . 1988 ’La Constitution des États-Unis et la Ligue iroquoise.’ <i>Ethnohistory </i>35 : 305- 36.</p>
<hr class="spip"/>
<p> . 1990 ’Rejoindre Johansen.’ <i>Ethnohistory </i>37 : 291-297.</p>
<p>Déclencheur, Bruce. 1976. <i>Les enfants d’Aataensik : Histoire du peuple huron jusqu’en 1660</i>. 2 vol. Montréal : McGill-Queens University Press.</p>
<p>Wallace, Anthony F. C. 1958. ’Dreams and the Wishes of the Soul : A Type of Psychoanalytic Theory among the Seventeenth Century Iroquois.’ <i>American Anthropologist, New Series</i>, Vol. 60, No. 2, pp. 234-248.</p>
<p>White, Richard. 1991. <i>Le terrain d’entente : Les Indiens, les empires et les républiques de la région des Grands Lacs, 1650-1815</i>. Cambridge : Cambridge University Press.</p></div>